<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$feCurrent = ""; $beCurrent = "";
$feStyle=""; $beStyle="";
if ($this->tabId == "backend") {
	$beCurrent = " current";	$beStyle = " style=\"display: block;\"";
} else {
	$feCurrent = " current";	$feStyle = " style=\"display: block;\"";
}
?>
<h4 class="title"><?php echo Text::_('ACL manager')." (".$this->roleName.")"; ?></h4>
<table class="acl-manager rounded-pan"><tbody><tr><td>

<div id="tab_switcher">
	<ul class="switcher" id="tabs">
		<li class="switcher<?php echo $feCurrent; ?>" onclick="switchTab(this,'frontend');">
			<div class="switcher">
				<span class="pseudo-href"><?php echo Text::_('Frontend'); ?></span>
			</div>
		</li>
		<li class="switcher<?php echo $beCurrent; ?>" onclick="switchTab(this,'backend');">
			<div class="switcher">
				<span class="pseudo-href"><?php echo Text::_('Backend'); ?></span>
			</div>
		</li>
	</ul>
</div>

<div class="tab_body" id="tab_frontend"<?php echo $feStyle; ?>>
<form id="formFrontendRules" action="index.php" method="post">
	<input type="hidden" name="module" value="aclmgr" />
	<input type="hidden" name="task" value="update" />
	<input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>" />
	<input type="hidden" name="tabId" value="frontend" />
	
<?php $module = ""; $_side=array("",""); $html=""; $rcount=0; $r_half=ceil(count($this->objectsFE)/2); $side_n=0;
foreach ($this->objectsFE as $objectf) {
	if ($module != $objectf->ao_module_name) {
		if ($module) { 
			$html.="</table></fieldset>";
			$_side[$side_n].=$html;
			if ($rcount>$r_half) $side_n=1;
			$html=""; 
		}
		$module = $objectf->ao_module_name;
		$html.="<fieldset>";
		$html.="<legend>".Text::_("Module rules for ".$module)."</legend>";
		$html.="<table class=\"rules\">";
	}
	$checked = ""; $canAccess = 0;
	if (isset($objectf->canAccess)) if ($objectf->canAccess) {
		$checked="checked=\"checked\"";
		$canAccess = 1;
	}
	$objectText = $objectf->ao_name;
	if ($objectf->ao_description != "") $objectText = $objectf->ao_description;
	$html.="<tr>";
	$html.="<td style=\"text-align:left;\">".Text::_($objectText)."</td>";
	$html.="<td style=\"text-align:left;width:10px;\">";
	$html.="<input type=\"hidden\" name=\"oldAccess[".$objectf->ao_id."]\" value=\"".$canAccess."\" />";
	$html.="<input id=\"access_".$objectf->ao_id."\" type=\"checkbox\" name=\"access[".$objectf->ao_id."]\" ".$checked." />";
	$html.="</td>";
	$html.="</tr>";
	$rcount++;
}
$html.="</table></fieldset>";
$_side[$side_n].=$html;
echo "<div class=\"l_acl\">".$_side[0]."</div><div class=\"r_acl\">".$_side[1]."</div>";
//echo "<div class=\"l_acl\">".$l_side.$r_side."</div>";
?>
	<div class="clear"></div>
	<table class="rules">
		<tr>
			<td class="buttons">
				<input type="submit" class="commonButton" value="<?php echo Text::_('Apply'); ?>" />
			</td>
			<td class="buttons">
				<input type="button" class="commonButton" onclick="javascript:document.location.href='index.php?module=aclmgr&amp;view=roles'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel" />
			</td>
		</tr>
	</table>
</form>
</div>

<div class="tab_body" id="tab_backend"<?php echo $beStyle; ?>>
<form id="formBackendRules" action="index.php" method="post">
	<input type="hidden" name="module" value="aclmgr" />
	<input type="hidden" name="task" value="update" />
	<input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>" />
	<input type="hidden" name="tabId" value="backend" />
	
<?php $module = ""; $_side=array("",""); $html=""; $rcount=0; $r_half=ceil(count($this->objectsBE)/2); $side_n=0;
foreach ($this->objectsBE as $objectb) {
	if ($module != $objectb->ao_module_name) {
		if ($module) { 
			$html.="</table></fieldset>";	
			$_side[$side_n].=$html;
			if ($rcount>$r_half) $side_n=1;
			$html=""; 
		}
		$module = $objectb->ao_module_name;
		$html.="<fieldset>";
		$html.="<legend>".Text::_("Module rules for ".$module)."</legend>";
		$html.="<table class=\"rules\">";
	}
	$checked = ""; $canAccess = 0;
	if (isset($objectb->canAccess)) if ($objectb->canAccess) {
		$checked="checked=\"checked\"";
		$canAccess = 1;
	}
	$objectText = $objectb->ao_name;
	if ($objectb->ao_description != "") $objectText = $objectb->ao_description;

	$html.="<tr>";
	$html.="<td style=\"text-align:left;\">".Text::_($objectText)."</td>";
	$html.="<td style=\"text-align:left;width:10px;\">";
	$html.="<input type=\"hidden\" name=\"oldAccess[".$objectb->ao_id."]\" value=\"".$canAccess."\" />";
	$html.="<input id=\"access_".$objectb->ao_id."\" type=\"checkbox\" name=\"access[".$objectb->ao_id."]\" ".$checked." />";
	$html.="</td>";
	$html.="</tr>";
	$rcount++;
}
$html.="</table></fieldset>";
$_side[$side_n].=$html;
echo "<div class=\"l_acl\">".$_side[0]."</div><div class=\"r_acl\">".$_side[1]."</div>";
//echo "<div class=\"l_acl\">".$l_side.$r_side."</div>";
?>
	<div class="clear"></div>
	<table class="rules">
		<tr>
			<td class="buttons">
				<input type="submit" class="commonButton" value="<?php echo Text::_('Apply'); ?>" />
			</td>
			<td class="buttons">
				<input type="button" class="commonButton" onclick="javascript:document.location.href='index.php?module=aclmgr&amp;view=roles'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel" />
			</td>
		</tr>
	</table>
</form>
</div>
</td></tr></tbody></table>
