<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class articleControllerdefault extends SpravController {
	public function showitems() {
		$this->showData();
	}
	public function changeDateForm(){
		Portal::getInstance()->disableTemplate();
		// это статья
		$psid=$this->getPsid();
		$model=$this->getModel('items');
		$view=$this->getView();
		$data=$model->getDataArticle($psid);
		$view->renderChangeForm($psid,$data);
	}
	public function changeDate(){
		$model=$this->getModel('items');
		$psid=request::getInt('psid');
		$new_date=request::getInt('a_date');
		$res=$model->changeDateItems($psid,$new_date);
		if($res) $msg=Text::_("Data changed");
		else $msg=Text::_("Failed data change");
		$this->setredirect("index.php?module=article");
	}
	public function save() {
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr 		= $mdl->get('reestr');
		$model 			= $this->getModel();
		$viewname 	= $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));
		$psid       = request::getSafe('psid', false); 					// ид строки
		$multy_code	= request::getSafe('multy_code', 0);
		$layout			= request::getSafe('layout');
		$start			= request::getInt('start');
		$sort				= request::getSafe('sort');
		$orderby		= request::getSafe('orderby');
		$is_apply		= request::getSafe('apply',0);
		$reestr->set('multy_code',$multy_code);
		$reestr->set('view',$viewname);
		$reestr->set('psid',$psid);
		$new_psid=$model->save();
		if($new_psid) {
			$name	= request::get('a_title',"");
			$alias	= request::get('a_alias',"");
			$model->updateAlias($new_psid,$alias,$name);
			$model->garbageCollector($new_psid);
			$msg=Text::_("Save successfull"); $new_psid=urlencode($new_psid);
		}	else { $msg=Text::_("Save unsuccessfull"); $new_psid=urlencode($psid); }
		if ($is_apply) $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&task=modify&psid='.$new_psid.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		else $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		$this->setRedirect($url,$msg);
	}
	
}
?>