<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class blogModule extends Module {

	public function getParamsMask(){
		$params=parent::getParamsMask();
		$params['short_theme_length']["vtype"]="integer";	$params['short_theme_length']["vdefault"]="50";
		$params['exclude_cats_from_map']["vtype"]="string";	$params['exclude_cats_from_map']["vdefault"]="0";
		$params['exclude_blogs_from_map']["vtype"]="string";	$params['exclude_blogs_from_map']["vdefault"]="0";
	  return $params;
	}
	public function prepare() {
		$this->setDefaultView('categories');
		
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getLinksArray(&$i,&$_arr) {
		$db=Database::getInstance();
		$module=$this->getName();
		$sql='SELECT bc_id, bc_name, bc_meta_title FROM #__blogs_cats WHERE bc_enabled=1 AND bc_deleted=0';
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		if (count($res)) {
			foreach($res as $val)  {
				$i++;
				$_arr[$module][$i]['link']=Router::_("index.php?module=blog&view=category&psid=".$val->bc_id, true);
				$_arr[$module][$i]['name']=$val->bc_name;
				if ($val->bc_meta_title) $_arr[$module][$i]['fullname']=$val->bc_meta_title;
				else $_arr[$module][$i]['fullname']=$val->bc_name;
			}
		}
		return true;
	}
	public function getACLTemplate($is_admin=true){
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='blogModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='deleteBlogList'; $acl[$i]['ao_description']='Finally delete blogs';
			$i++;$acl[$i]['ao_name']='viewBlogList'; $acl[$i]['ao_description']='View blogs list';
			$i++;$acl[$i]['ao_name']='viewBlogCategories'; $acl[$i]['ao_description']='View categories';
			$i++;$acl[$i]['ao_name']='modifyBlogCategories'; $acl[$i]['ao_description']='Modify categories';
			$i++;$acl[$i]['ao_name']='viewSetRights'; $acl[$i]['ao_description']='View and modify rights';
			$i++;$acl[$i]['ao_name']='deleteBlogCategories'; $acl[$i]['ao_description']='Finally delete categories';
			$i++;$acl[$i]['ao_name']='viewBlogPost'; $acl[$i]['ao_description']='View posts';
			$i++;$acl[$i]['ao_name']='deleteBlogPost'; $acl[$i]['ao_description']='Finally delete blog posts';
		} else {
			$i++;$acl[$i]['ao_name']='blogModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewBlogList'; $acl[$i]['ao_description']='View blogs list';
			$i++;$acl[$i]['ao_name']='viewBlogCategories'; $acl[$i]['ao_description']='View categories';
		}
		return 	$acl;
	}
}
?>