<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_('Blog rights')." (".Text::_('Blog').
"&nbsp;".$this->blogName.")&nbsp;".Text::_('for')."&nbsp;".$this->subjectName; ?></h4>

<div class="center">
	<form action="index.php" method="post">
		<input type="hidden" name="module" value="blog" />
		<input type="hidden" name="task" value="updateRights" />
		<input type="hidden" name="subject" value="<?php echo $this->subject; ?>" />
		<input type="hidden" name="blogId" value="<?php echo $this->blogId; ?>" />
		<?php if ($this->subject == 'role') { ?>
		<input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>" />
		<?php } else { ?>
		<input type="hidden" name="userId" value="<?php echo $this->userId; ?>" />
		<?php }?>

		<table class="rounded-tbl">
<?php
foreach ($this->actions as $action) {
  $checked = ""; $vl = 0;
  if (isset($this->rules[$action])) {
    if (intval($this->rules[$action]->flag) == 1) {
      $checked = " checked=\"checked\"";
      $vl = 1;
    }
  }
?>
			<input type="hidden" name="oldAccess[<?php echo $action; ?>]" value="<?php echo $vl; ?>" />
			<tr>
				<td><?php echo Text::_("blog_".$action); ?></td>
				<td align="right">
					<input type="checkbox" name="access[<?php echo $action; ?>]"<?php echo $checked; ?> />
				</td>
			</tr>
<?php } ?>
		<tr>
			<td colspan="2" class="buttons">
				<input type="submit" class="commonButton" name="save" value="<?php echo Text::_('Save'); ?>" />
				<input type="submit" class="commonButton" name="apply" value="<?php echo Text::_('Apply'); ?>" />
				<input type="button" class="commonButton" onclick="javascript:document.location.href='<?php echo Router::_("index.php?module=blog&view=rights&blogid=".$this->blogId); ?>'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel" />
			</td>
		</tr>
		</table>
	</form>
</div>