<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogHelperGroupsTree extends simpleTreeTable{

	public function __construct() {
		parent::__construct();
		$this->table="goods_group";
		$this->fld_id="ggr_id";
		$this->fld_parent_id="ggr_id_parent";
		$this->fld_title="ggr_name";
		$this->fld_deleted="ggr_deleted";
		$this->fld_enabled="ggr_enabled";
		$this->fld_orderby="ggr_name";
		$this->element_link="";
		$this->buildTreeArrays();
	}
	public function getWholeTreeUp($links){
		$arr=array();
		if (is_array($links)&&count($links)) {
			foreach($links as $link){
				$arr[]=$link["id"];
			}
			return parent::getWholeTreeUp($arr);
		} else return $arr;
	}
}
?>