<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$tablname='orders';
$keystring='o_id';
$deleted='o_deleted';
$nametabl="Orders";
$buttons=array(
		"go_up"=> array("show"=>0,"link"=>false),
		"new"=>array("show"=>0,"view"=>"orders","task"=>"modify"),
		"filter"=>array("show"=>1,"view"=>"orders", "layout"=>"default"),
		"modify"=>array("show"=>1,"view"=>"orders","task"=>"modify"),
		"print"=>array("show"=>1,"view"=>"orders","task"=>"printOrders"),
		"delete"=>array("show"=>0,"view"=>"orders","task"=>"delete"),
		"undelete"=>array("show"=>0,"view"=>"orders","task"=>"delete"),
		"trash"=>array("show"=>0,"link"=>false)
);
$cur_table_arr=array(
		"field"=>array(1=>'o_id','o_date','o_uid','o_pt_id','o_pt_name',
				'o_pt_data','o_pt_sum','o_dt_id','o_dt_name','o_dt_data',
				'o_dt_sum','o_discount_sum','o_taxes_sum','o_total_sum','o_points',
				'o_currency','o_status','o_paid','o_ip_address','o_comments'),
		"name"=>array(1=>'Order number','Order date','Username','Payment ID','Payment type',
				'Payment data','Payment commission','Delivery ID','Delivery type','Delivery data',
				'Delivery sum','Discount','Taxes','Total','Points',
				'Currency','Status','Is paid','IP address','Comments'),
		"input_type"=>array(1=>'label','label','label_sel','hidden','label',
				'hidden','label','hidden','label','hidden',
				'hidden','hidden','hidden','label','label',
				'label','select','hidden','label','label'),
		"val_type"=>array(1=>'int','date','int','int','string',
				'string','float','int','string','string',
				'float','float','float','float','float',
				'int','int','boolean','string','string'),
		"link"=>array(2=>'index.php?module=catalog&view=orders&layout=order&psid=[0]&no_pages=1'),
		"link_key"=>array(2=>'$id'),
		"link_type"=>array(2=>'popupwt:Order items'),
		"view"=>array(4=>0,8=>0),
		"ch_table" => array(1=>"", 3=>"users",17=>'orders_status'),
		"ch_field" => array(1=>"", 3=>"u_nickname",17=>'os_name'),
		"ch_id"    => array(1=>"", 3=>"u_id",17=>'os_id')
);
?>