<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogModelgoodsgroup extends SpravModel {
	

	public function getGroupFields($psid){
		$sql = "SELECT f.*, ggf.parent_id  FROM #__fields_list AS f";
		$sql.=" LEFT JOIN #__goods_group_fields AS ggf ON ggf.f_id=f.f_id AND ggf.parent_id=".$psid;
		$sql.=" WHERE f.f_custom=1";
		$sql.=" ORDER BY f.f_descr";
		$this->_db->setQuery($sql); 
		return $this->_db->loadObjectList();
	}
	public function saveGroupFields($psid,$fields){
		$sql="DELETE FROM #__goods_group_fields WHERE parent_id=".$psid.$this->_db->getDelimiter();
		if (count($fields)){
			foreach($fields as $fld){
				$sql.="INSERT INTO  #__goods_group_fields VALUES (".$fld.",".$psid.",0)".$this->_db->getDelimiter();
			}
		}			
		$this->_db->setQuery($sql);
		return $this->_db->query_batch(true,true);
	}
	public function cleanLinkFromGroup(){
		// удаление ссылок
		$query = "DELETE FROM #__goods_links WHERE parent_id NOT IN (SELECT ggr_id FROM #__goods_group)".$this->_db->getDelimiter();
		$query.= "DELETE FROM #__goods_group_data WHERE obj_id NOT IN (SELECT ggr_id FROM #__goods_group)".$this->_db->getDelimiter();
		$this->_db->setQuery($query); 
		if(!$this->_db->query_batch(true,true)) return false; 
		return true;
	}
	public function cleanRecords()	{
		if(parent::cleanRecords()) return $this->cleanLinkFromGroup();	else return false;
	}
	public function save(){
		$psid=parent::save(); 
		if ($psid) { 
			if ((catalogConfig::$thumbAutoCreate)&&($_FILES["ggr_thumb"]["name"])) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$filename=Files::splitAppendix($res->ggr_thumb, true);
				if ($filename) {
					$_src=ALTADOC_UF_PATH."catalog".DS."ggr".DS.$filename;
					$_dest=$_src;
					if(Files::isImage($_src)) {
						$res=Files::resizeImage($_src, $_dest,catalogConfig::$ggr_thumb_width,catalogConfig::$ggr_thumb_width);
					 	if (!$res) return 0;
					}
				} else return 0;
			}
		} else return 0;
		return $psid;
	}
	public function updateAlias($psid,$alias,$name){
		$alias=mb_substr(Translit::_($alias), 0,255);
		if (!$alias) $alias=mb_substr(Translit::_($name), 0,255);
		if ($alias=="goods") $alias=mb_substr(Translit::_($psid."_".$name), 0,255);
		$sql="SELECT COUNT(*) FROM #__goods_group WHERE ggr_alias='".$alias."' AND ggr_id<>".$psid;
		$this->_db->setQuery($sql);
		if ($this->_db->loadResult()>0){
			$alias=mb_substr($psid."_".$alias,0,255);
		}
		$sql="UPDATE #__goods_group SET ggr_alias='".$alias."' WHERE ggr_id=".$psid;
		$this->_db->setQuery($sql);
		return $this->_db->query();
	}
}
?>