<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogModelprice extends Model {
	public function getGoods($psid,$params){
		$sql="SELECT g.* FROM #__goods AS g LEFT JOIN #__goods_links AS l ON l.g_id=g.g_id";
		if ($params["break_by_groups"]) {
			if ($psid){
				$sql.=" WHERE l.parent_id=".(int)$psid;				
				if ($params["enabled_only"]) $sql.=" AND g.g_enabled=1";
			} else {
				if ($params["enabled_only"]) $sql.=" WHERE g.g_enabled=1";
			}
			$sql.=" ORDER BY l.ordering,g.g_name";
		} else {
			if ($psid){
				$psid_arr=$this->getBranchArr($psid,$params["enabled_only"]);
				$sql.=" WHERE l.parent_id IN (".implode(",",$psid_arr).")";
				if ($params["enabled_only"]) $sql.=" AND g.g_enabled=1";
			} else {
				if ($params["enabled_only"]) $sql.=" WHERE g.g_enabled=1";
			}
			$sql.=" ORDER BY g.g_name";
		}
		$this->_db->setQuery($sql);
		$res=$this->_db->loadObjectList();
		return $res;
	}
	public function getBranchArr($psid, $enabled_only) {
		$psid_arr[]=$psid;
		$params["parent_group"]=$psid;
		$params["enabled_only"]=$enabled_only;
		$arr=$this->getTreeArr($params);
		if (count($arr)){
			foreach($arr as $element){
				$psid_arr[]=$element->id;
			}
		}
		return $psid_arr;
	}
	public function getTreeArr($params) {
		$tree = new simpleTreeTable;
		$tree->table="goods_group";
    $tree->fld_id="ggr_id";
    $tree->fld_parent_id="ggr_id_parent";
    $tree->fld_title="ggr_name";
    $tree->fld_deleted="ggr_deleted";
    $tree->fld_enabled="ggr_enabled";
    $tree->fld_orderby="ggr_ordering, ggr_name";
    $tree->element_link="";
		$tree->buildTreeArrays('',0,1,$params["enabled_only"]);
  	return $tree->getTreeArr($params["parent_group"]);
  }
	
	public function getGroupTitle($params){
		if (!$params["parent_group"])	return "";
		$sql="SELECT ggr_name FROM #__goods_group WHERE ggr_id=".(int)$params["parent_group"]." AND ggr_deleted=0";
		if($params["enabled_only"]) $sql.=" AND ggr_enabled=1";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}
}

?>