<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class orderslModelXmlformat extends Model {

	private $table_structure = array();
	private $sql_shabl = '';


	public function ClearGoodsObject(&$obj,$excludeField=array()) {
		$res=get_class_vars(get_class($obj));
		foreach($res as $key=>$val) {
			if(array_key_exists($key, $excludeField)) continue;
			if(is_array($val)) {
				foreach($val as $dop=>$cont) {
					$obj->$key[$dop]=$cont;
				}
			}	else { $obj->$key=$val;
			}
		}
	}

	public function ClearGroupObject(&$obj) {
		$obj->found			= false;
		$obj->ggr_id			= 0;
		$obj->ggr_id_parent	= 0;
		$obj->ggr_name		= 0;
		$obj->ggr_comment		= '';
		$obj->ggr_timp		= 0;
		$obj->ggr_deleted		= 0;
	}
	public function setSQLShabl($shabl) {
		$this->sql_shabl=$shabl;
	}
	public function getSQLShabl() {
		return $this->sql_shabl;
	}
	public function FillTableStructure(){
		$arr=array();
		$res=$this->_db->getListFieldfromTable("goods");
		foreach($res as $key=>$val) {
			$arr[$key]=$val->Type;
		}
		$this->table_structure=$arr;

		return true;
	}
	/**
	 * Импорт товара в базу
	 * @param array $df_arr - весь список доп полей
	 * @param array $val_arr - список значений доп полей, пришедших в выгрузке
	 */
	public function saveGoodsImport($goods,$df_arr,$val_arr=false) 	{
		if($goods->g_id=='NEW')	{
			$goods->g_id=0;
			$sql=$this->getSQLShabl();
			eval("\$query = \"".$sql."\"");
			$this->_db->setQuery($query);
			if($this->_db->query()) {
				$id=$this->_db->insertid();
				if($df_arr&&count($df_arr)>0) {
					$query="";
					foreach($df_arr as $keyf=>$valf) {
						if($val_arr&&isset($val_arr[$valf])) { // у нас пришло значение доп поля  в выгрузке
							$query.="\n INSERT INTO #__goods_data
										VALUES	('".$id."',".$keyf.",'".$valf."','".$goods->$valf."')
										ON DUPLICATE KEY UPDATE field_value='".$val_arr[$valf]."'".$this->_db->getDelimiter();
						}
					}

				}
				$this->_db->setQuery($query);
				if($this->_db->query_batch(true,true)){
					$result=true;
				}
				else $result=false;
					
				if(!$result) return "Additional data - ".$this->_db->getLastError()."<br />".$this->_db->getQuery()."<br />";
				else return 'OK';
			} else {
				return "Insert data - ".$this->_db->getLastError()."<br />".$this->_db->getQuery()."<br />";
			}

		} else {
			if(!$goods->g_id) return false;
			$sql=$this->getSQLShabl();

			eval("\$query = \"".$sql."\"");
			$query.=$this->_db->getDelimiter();
			if($df_arr&&count($df_arr)>0) {
				foreach($df_arr as $keyf=>$valf) {
					if($val_arr&&isset($val_arr[$valf])) { // у нас пришло значение доп поля  в выгрузке
						$query.="\n INSERT INTO #__goods_data
									VALUES ('".$goods->g_id."',".$keyf.",'".$valf."','".$goods->$valf."')
									ON DUPLICATE KEY UPDATE field_value='".$val_arr[$valf]."'".$this->_db->getDelimiter();
					}
				}
			}

			$this->_db->setQuery($query);
			if($this->_db->query_batch(true,true)){
				return 'OK';
			} else {
				return $this->_db->getLastError()."<br />".$this->_db->getQuery()."<br />";
			}
		}
	}

	public function getArrayMeasure() {
		$this->_db->setquery('select meas_id,meas_short_name from #__measure where meas_deleted=0');
		if($res=$this->_db->loadAssocList('meas_short_name')) {
			return $res;
		} else return array();
	}
	public function getCurrentArrayGoods()
	{
		$this->_db->setquery('select g_id,g_sku from #__goods');
		if($res=$this->_db->loadAssocList('g_sku')) {
			return $res;
		} else return array();

	}
	protected function createObjectByMeta($meta)
	{
		if($meta)
		{
			$obj=new stdClass();
			foreach($meta->field as $key=>$val)
			{
				if(isset($meta->default_value[$key]))
				{
					$obj->$val=$meta->default_value[$key];
					if($meta->default_value[$key]=='')
						$obj->$val=$this->getDefaultForType($meta->val_type[$key]);
				}
			}
			return $obj;

		}
		else return false;
	}

	public function importXMLData()	{

		set_time_limit('600');
		ini_set('memory_limit','64M');		// Limit memory to 64 megabytes
		// получаем значения
		$reset=Request::get('reset',false);
		$upload=Request::get('upload',false);
		$delfile=Request::get('delfile',false);
		$typegroup=0;//Request::getInt('typegroup');
		$link=stripslashes(Request::get('xmlfile',false));
		$curentInfo=Module::getInstance('catalog');
		// записываем изменения в конфиг модуля
		$starttime=time();
		$goods_model = $curentInfo->getModel('goods');
			
		// массив едениц измерения
		$arr_measure=$this->getArrayMeasure();
		$meta = new SpravMetadata('catalog','goods','default');
		// создаем объект по метадате
		$goods=$this->createObjectByMeta($meta);
		$goods_etalon=$goods; // объект дефолта для приведения
		// получаем временный массив товаров существующих в базе
		$curArrGoods=$this->getCurrentArrayGoods();
		$add_fld=false;
		foreach($meta->is_add as $key_fld=>$val_fld)	{
			if($val_fld){
				$add_fld[$val_fld]=$meta->field[$key_fld];
			}
		}
		$xml = simplexml_load_file($link);
		// достаем группы
		$group=new stdClass;
		// групповой подъем
		foreach ($xml->groups[0]->children() as $name=>$val) {
			$this->ClearGroupObject($group);
			//TODO сделать проверку полей в таблице групп
			$group->ggr_id			= $val['id'];
			$group->ggr_id_parent	= $val['parent'];
			$group->ggr_name		= $val;
			$group->ggr_comment		= '';
			$this->saveGroupImport($group,$typegroup);
		}
		//$goods=$curentInfo->getModel('goods');
		$this->FillTableStructure();
		// создаем базовый вариант импортируемого класса
		$res=array_combine(array_values($meta->field),array_values($meta->default_value));//get_class_vars(get_class($goods));

		$sql_txt=" insert into #__".$meta->tablename." (";
		$listFielsTable=$this->table_structure;

		$result_list=array_intersect_key($listFielsTable,$res);
		$fieldlist="";
		$varlist="";
		$updlist="";
		foreach($result_list as $key=>$val)  {
			$fieldlist.="$key,";
			// приводим типы
			if(strpos($val,'int')!==false||strpos($val,'decimal')!==false)
			{
				$varlist.='"'. '.$' . 'goods->'.$key.'.",';
			}
			else {$varlist.='\'"'. '.$' . 'goods->'.$key.'."\',';
			}
		}
		// проверяем апдейт
		$addfld_update=false;
		foreach ($xml->goods[0]->item[0]->children() as $iname=>$ival) {
			//echo "$iname=>$ival<br />";
			if(array_key_exists($iname, $listFielsTable))
				$updlist.=''.$iname.'=\'".$goods->'.$iname.'."\',';
		}


		$lenf=strlen($fieldlist);$fieldlist[$lenf-1]=" ";
		$lenv=strlen($varlist);$varlist[$lenv-1]=" ";
		$lenu=strlen($updlist);$updlist[$lenu-1]=" ";


		$sql_txt=" insert into #__".$meta->tablename." (";
		$sql_txt.=$fieldlist.')';
		$sql_txt.=' VALUES( ';
		$sql_txt.=$varlist.")";
		$sql_txt.=" ON duplicate KEY UPDATE ".$updlist;
		$this->setSQLShabl($sql_txt);
		$countImport=0;
		$countError=0;
		$handler=fopen(PATH_FRONT.DS.'tmp'.DS.'import.log.html', "wb");
		//mkdir(PATH_FRONT.DS.'tmp');
		fwrite($handler, HTMLControls::renderStaticHeader('лог загрузки товара'));
		foreach($xml->goods[0]->children() as $item){
			$goods=$goods_etalon;// обнуляем поля класса;
			foreach ($item->children() as $name=>$val) {
				//echo "$name=>$val<br />";
				//util::ddump($name,'name');
				//util::ddump($val,'val');
				//$this->ClearGoodsObject($obj,array('table_structure'=>false,'sql_shabl'=>false));
				//$goods->$name=$val[0];
				// свойства класса
				reset($res);
				// доп поля
				$addfld_update=false;
				if($add_fld) {
					foreach($add_fld as $akey=>$aval) {
						$apar=$val->$aval;
						$addfld_update[$aval]=$apar;
					}
				}

				//foreach($res as $keyclass=>$valclass) {
				//$par=$val;
				//if(count($val)>0)
				//{
				$goods->$name=strval($val[0]);

				//}
				//else {$goods->$keyclass=$valclass;}
				//}
				// формируем замену

			}
			// преобразуем единицы измерений
			if(array_key_exists($goods->g_measure, $arr_measure)) {
				$goods->g_measure=$arr_measure[$goods->g_measure]["meas_id"];
			}
			else $goods->g_measure=0;

			// заменяем g_id
			if(array_key_exists($goods->g_sku, $curArrGoods)) {
				$goods->g_id=$curArrGoods[$goods->g_sku]['g_id'];
			}
			else $goods->g_id='NEW';

			$rep=$this->saveGoodsImport($goods,$addfld_update);
			if($rep=='OK') {
				$countImport++;
				$txt=$countImport.". Позиция  ".$goods->g_name." ид  ".$goods->g_id." артикул ".$goods->g_sku." импортирована<br />";
			} else {
				$countError++;
				$txt=$countError.". Позиция  ".$goods->g_name." ид  ".$goods->g_id. " артикул ".$goods->g_sku." ОШИБКА!!! - ".$rep."<br />";
			}
			fwrite($handler, $txt);
		}
		// сохраняем линки групп и товаров
		$limit_linkRecord=100;
		$counterLink=0;
		$countLink=0;
		$sql='';
		// получаем временный массив товаров существующих в базе
		$curArrGoods=null;
		$curArrGoods=$this->getCurrentArrayGoods();
		foreach ($xml->links[0]->children() as $lname=>$lval) {
			if(array_key_exists(strval($lval), $curArrGoods)) {
				$g_id=$curArrGoods[strval($lval)]['g_id'];
				$counterLink++;
				$countLink++;
				if($counterLink<$limit_linkRecord)	{
					$sql.="insert ignore #__".$meta->linktable." (g_id, ordering, parent_id) values('".$g_id."','999','".$lval["grp_id"]."')".$this->_db->getDelimiter();
				} else {// сохраняем в базу кусок записи
					$this->_db->setQuery($sql);
					$res=$this->_db->query_batch(true,true);
					$counterLink=0;
					$sql='';
				}
			}
		}
		if($sql) {
			$this->_db->setQuery($sql);
			$res=$this->_db->query_batch(true,true);
		}
		fwrite($handler, HTMLControls::renderStaticFooter());
		fclose($handler);
			
		$restime=(time()-$starttime);
		$report="Всего импортировано : ".$countImport." записей<br />";
		$report.="Всего импортировано : ".$countLink." линковочных записей<br />";
		$report.="Не удалось загрузить : ".$countError." записей<br />";
		// очищаем таблицу резервов
		$this->_db->setQuery("truncate table #__sl_reserv");
		if($this->_db->query()) $report.="Таблица резервов тканей очищена<br />";
		// очищаем таблицу линков товаров от мусора
		$this->_db->setQuery("delete from #__goods_links where g_id NOT IN (select g.g_id from #__goods as g)");
		if($this->_db->query()) $report.="Таблица линков обновлена<br />";

		else $report.="Таблицу резервов тканей очистить не удалось<br />";
		$report.="Время исполнения $restime с.<br />";
		$report.="Лог импорта <a target=\"_blank\" href=\"/tmp/import.log.html\">Посмотреть</a>";
		echo $report;




	}
	public function saveGroupImport($obj, $type=0) {
		$query = "INSERT IGNORE `#__goods_group`";
		$query .="(ggr_id,ggr_id_parent,ggr_name,ggr_comment,ggr_deleted)
				VALUES(".$obj->ggr_id.",".$obj->ggr_id_parent.",'".$obj->ggr_name."','".$obj->ggr_comment."',0)";
		$this->_db->setQuery($query);
		$res=$this->_db->query();
		if($res===false) {
			// пишем ошибку сохранения в лог
		}	else {
			// пишем ошибку в лог что все нормально
		}
	}
	public function createPatternXML($fileName,$createFile=false) {
		$string='<?xml version="1.0" encoding="utf-8" standalone="yes"?>
				<datapacket version="2.0">
				<metadata>
				<fields>
				</fields>
				</metadata>
				<rowdata>
				</rowdata>
				</datapacket>';
		if($createFile) {
			$handler=fopen(PATH_FRONT.'tmp'.DS.$fileName, "w");
			if (fwrite($handler, $string) === FALSE) {
				fclose($handler); return false;
			}  else {
				return true;
			}
		} else {
			return $string;
		}
	}
	/**
	 *
	 * подготовка файлов выгрузки заказов
	 * @param unknown_type $arr
	 * @param unknown_type $data_start
	 * @param unknown_type $data_end
	 */
	public function createOrderFile($arr_order,$list_field_order,$file_order)
	{
		// создаем паттерн нужной структуры
		$res=$this->createPatternXML('',false);
		$xml= new SimpleXMLElement($res);
		// записываем формат таблицы

		// список полей
		$fields=$xml->metadata->fields;
		foreach($list_field_order as $fld)
		{
			$field=$fields->addChild('field');
			$field->addAttribute('fieldname', $fld);
			$field->addAttribute('fieldtype','string');
		}

		$data=$xml->rowdata;
		foreach($arr_order as $keydata=>$valdata)
		{
			$row=$data->addChild('row');
			foreach($valdata as $fld_name=>$fld_val)
			{
				if(array_search($fld_name, $list_field_order)!==false)
				{
					$field_data=$row->addChild('field');
					$field_data->addAttribute('name', $fld_name);
					$field_data->addAttribute('value', $fld_val);
				}
			}
		}
		$handler=fopen(PATH_FRONT.'tmp'.DS.$file_order, "w");
		fwrite($handler, $xml->asXML());
		fclose($handler);
	}
	public function getDefaultForType($val_type)
	{
		switch ($val_type)	{
			case "int":
				$result=0;
				break;
			case "boolean":
				$result=0;
				break;
			case "string":
				$result='';
				break;
			case "text":
				$result='';
				break;
			case "float":
				$result=0;
				break;
			case "currency":
				$result=0;
				break;
			case "date":
				$result = Date::toSQL('',".",false,true);
				break;
			case "datetime":
				$result = Date::toSQL('',".",false,true);
				break;
			case "timestamp":
				$result=NULL;
				break;
			case "blob":
				$result='';
				break;
			default:
				$result='';
		}
		return $result;

	}
}
?>