<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

Portal::getInstance()->AddScriptDeclaration("$(document).ready(function() { csv_export_checkbox('export_ggr'); csv_export_accordion('export_ggr');});");
$form=new aForm("export_form", "post", "index.php",false);
$form->addInput(array( "ID"=>"step", 	"TYPE"=>"hidden", "NAME"=>"step", "VAL"=>1));
$form->addInput(array( "ID"=>"module", 	"TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"catalog"));
$form->addInput(array( "ID"=>"view", 	"TYPE"=>"hidden", "NAME"=>"view", "VAL"=>"export"));
$form->addInput(array("CLASS"=>"commonButton","TYPE"=>"submit",	"VAL"=>Text::_("Continue"),	"ID"=>"doit", "NAME"=>"doit","ONCLICK"=>"return csv_export_proceed();"));
$form->StartLayout();
?>
<h4 class="title"><?php echo Text::_("Export settings");?></h4>
<div class="center">
	<table class="file-selector">
		<tr><th align="center"><?php echo Text::_("Groups");?></th><th align="center"><?php echo Text::_("Fields");?></th></tr>
		<tr><td colspan="2" align="center"><hr /></td></tr>
		<tr>
			<td valign="top" width="60%">
				<?php 
				echo $this->tree;
				?>
			</td>
			<td valign="top">
				<?php 
				foreach($this->fields as $key=>$val){
					if(in_array($key,$this->hidden_fields)) continue;
					echo "<span class=\"checkboxContainer\">".HTMLControls::renderCheckbox($key,1,1).HTMLControls::renderLabelField($key,$val,1)."</span>";
				}
				?>
			</td>
		</tr>
		<tr><td colspan="2" align="center"><hr /></td></tr>
	<tr>
		<td colspan="2" align="center">
			<?php $form->renderInputPart("module"); ?>
			<?php $form->renderInputPart("view"); ?>
			<?php $form->renderInputPart("step"); ?>
			<?php $form->renderInputPart("doit"); ?>
		</td>
	</tr>
</table>
</div>
<?php $form->endLayout(); ?>
		