<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<div id="modify-wrapper" class="rounded-pan">
	<h4 class="title"><?php echo $this->goods->title." - ".Text::_("Additional fields");?></h4>
	<form  action="index.php" method="post" name="adddata">
<?php
if(count($this->fieldsList)){
	foreach ($this->fieldsList as $index=>$value)	{
		if(array_key_exists($value->f_id, $this->fieldsData))	{
			$val=$this->fieldsData[$value->f_id]['field_value'];
		}	else {
			$val=$value->f_default;
		}
		echo "<div class=\"modify-wrapper\">";
		switch ($value->f_type)	{	
			case "4": // статичный список значений 
				echo "<div class=\"modify-label\">";
				if(trim($value->f_descr))	echo $value->f_descr;
				else echo $value->f_name;
				$_arr=SpravStatic::getCKArray($value->f_name);			
				echo "</div><div class=\"modify-input\">";
				echo HTMLControls::renderSelect($value->f_name,"",false,false, $_arr, $val,0);
				echo "</div>";	
			 break;
			case "5": // список значений из поля (список)				 
				echo "<div class=\"modify-label\">";
				if(trim($value->f_descr))	echo $value->f_descr;
				else echo $value->f_name;
				$_arr=explode(',',$value->f_choices);//SpravStatic::getCKArray($value->f_name);			
				echo "</div><div class=\"modify-input\">";
				echo HTMLControls::renderSelect($value->f_name,"",false,false, $_arr, $val,0);
				echo "</div>";	
			 break;	
			 
			case "1": // текстовое поле
			default:
				echo "<div class=\"modify-label\">";
				if(trim($value->f_descr))	echo $value->f_descr;
				else echo $value->f_name;			
				echo "</div><div class=\"modify-input\">";
				echo HTMLControls::renderInputText($value->f_name,$val);
				echo "</div>";	
			break;		
		}
		echo "</div>"; // modify-wrapper
	}
}
// выводим сюда hiiden поля
?>
		<div class="modify-buttons">
			<input name="psid" value="<?php echo $this->psid;?>" id="psid" type="hidden" />
			<input name="task" value="saveAddFields" id="task" type="hidden" />
			<input name="module" value="catalog" id="module" type="hidden" />
			<input name="view" value="goods" id="view" type="hidden" />
			<input name="sort" value="gr_id" id="sort" type="hidden" />
			<input name="start" value="0" id="start" type="hidden" />
			<input name="orderby" value="ASC" id="orderby" type="hidden" />
			<input name="multy_code" value="<?php echo $this->multy_code;?>" id="multy_code" type="hidden" />
			<input name="parent_module" value="goods" id="parent_module" type="hidden" />
			<input name="save" value="Сохранить" class="commonButton" type="submit" />
			<input name="apply" value="Применить" class="commonButton" type="submit" />
			<input name="cancel" value="Закрыть" onclick="javascript:document.location.href='/administrator/index.php?module=catalog&amp;view=goods&amp;layout=default&amp;sort=gr_id&amp;start=0&amp;orderby=ASC&amp;multy_code=<?php echo $this->multy_code;?>'; return true" class="commonButton" type="button" />
		</div>
	</form>
</div>
