<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$orders  = $this->orders;
$orders_items = $this->orders_items;
if (count($orders)) {
	foreach ($orders as $order){
		$taxesInOrder=array();
		$summa=0; $total=0;
		$oid=$order->o_id;
		$summa=0; $total=0;
		echo "<div class=\"one_order printA4V\">";
		echo "<h3 class=\"title\">".Text::_("Order")." № ".$order->o_id." ".Text::_("from")." ".Date::GetdateRus($order->o_date)."</h3>";
		echo "<div class=\"order_row\">";
		echo "<b>".Text::_("Delivery type")." : </b>".$order->o_dt_name;
		echo catalogDelivery::getDeliveryClass($order->o_dt_id)->renderInfo($order->o_dt_data);
		echo "</div>";
		echo "<div class=\"order_row\">";
		echo "<b>".Text::_("Payment type")." : </b>".$order->o_pt_name;
		echo catalogPayment::getPaymentClass($order->o_pt_id)->renderInfo($order->o_pt_data);
		echo "</div>";
		echo "<div class=\"order_row\">";
		echo "<b>".Text::_("Comments")." : </b>".htmlspecialchars($order->o_comments);
		echo "</div>";
		echo "<div class=\"clr\"></div>";
		echo "<div class=\"full_order\"><table class=\"orders\"> \n\n";
		echo "<thead> \n";
		echo "<tr> \n";
		echo "<th class=\"npp\">".Text::_('NPP')."</th> \n";
		echo "<th>".Text::_('Articul')."</th> \n";
		echo "<th>".Text::_('Title')."</th>";
		echo "<th class=\"cur_price\">".Text::_('Price')."</th>";
		echo "<th class=\"cur_quantity\">".Text::_('Quantity')."</th>";
		echo "<th class=\"cur_sum\">".Text::_('Sum')."</th>";
		echo "</tr>";
		echo "</thead><tbody>";
		$counter=0;
		foreach($orders_items as $g) {
			if ($oid!=$g->i_order_id) continue;
			$counter++;
			echo "<tr>";
			echo "<td>".$counter."</td>";
			echo "<td>".$g->i_g_sku."</td>";
			echo "<td>".$g->i_g_name."</td>";
			$current_price=$g->i_g_price;
			$current_quantity=$g->i_g_quantity;
			$current_sum=$g->i_g_sum;
			echo "<td class=\"cur_price\">".number_format($current_price,2)."</td>";
			$summa=$summa+$current_sum;
			echo "<td class=\"cur_quantity\">".number_format($current_quantity, catalogConfig::$quantity_digits)." ".Measure::getInstance()->getShortName($g->i_g_measure)."</td>";
			echo "<td class=\"cur_sum\">".number_format($current_sum,2)."</td>";
			echo "</tr> \n";
			if ($g->i_g_tax>0){
				$tax_name=base64_encode($g->i_g_tax_name);
				if (!isset($taxesInOrder[$tax_name]))$taxesInOrder[$tax_name]=0;
				$taxesInOrder[$tax_name]+=$g->i_g_tax;
			}
		}
		echo "<tr><td class=\"subtotal\" colspan=\"5\">".Text::_("Sum by order")." : </td>";
		echo "<td class=\"subtotal_sum\" colspan=\"1\">".number_format($summa,2)."</td></tr> \n";
		$total=$summa+$order->o_dt_sum;
		
		if ($order->o_dt_sum>0) {
			echo "<tr><td class=\"deliveries\" colspan=\"5\">".Text::_("Delivery sum")." : </td>";
			echo "<td class=\"deliveries_sum\" colspan=\"1\">".number_format($order->o_dt_sum,2)."</td></tr> \n";
		}
		
		$total=$total+$order->o_pt_sum;
		if ($order->o_pt_sum>0) {
			echo "<tr><td class=\"payments\" colspan=\"5\">".Text::_("Payment commission")." : </td>";
			echo "<td class=\"payments_sum\" colspan=\"1\">".number_format($order->o_pt_sum,2)."</td></tr> \n";
		}
		
		$total=$total-$order->o_discount_sum;
		if ($order->o_discount_sum>0) {
			if ($order->o_discount_sum>0) {
				echo "<tr><td class=\"discounts\" colspan=\"5\">".Text::_("Discount")." : </td>";
				echo "<td class=\"discounts_sum\" colspan=\"1\">".number_format($order->o_discount_sum,2)."</td></tr> \n";
			} else {
				echo "<tr><td class=\"discounts\" colspan=\"5\">".Text::_("Fee")." : </td>";
				echo "<td class=\"discounts_sum\" colspan=\"1\">".number_format(abs($order->o_discount_sum),2)."</td></tr> \n";
			}
		}
		if ($total!=$summa){
			echo "<tr><td class=\"subtotal\" colspan=\"5\">".Text::_("Sum")." : </td>";
			echo "<td class=\"subtotal_sum\" colspan=\"1\">".number_format($total,2)."</td></tr> \n";
		}
		if ($order->o_taxes_sum) {
			echo "<tr><td class=\"taxes\" colspan=\"5\">".Text::_("Taxes in order")." : </td>";
			echo "<td class=\"taxes_sum\" colspan=\"1\">".number_format($order->o_taxes_sum,2)."</td></tr> \n";
			if (count($taxesInOrder)) {
				foreach($taxesInOrder as $kt=>$vt){
					echo "<tr><td class=\"taxes\" colspan=\"5\">".base64_decode($kt)." : </td>";
					echo "<td class=\"taxes_sum\" colspan=\"1\">".number_format($vt,2)."</td></tr> \n";
				}
			}
		}
		echo "<tr><td class=\"total\" colspan=\"5\">".Text::_("Total")." : </td>";
		echo "<td class=\"total_sum\" colspan=\"1\">".number_format($order->o_total_sum,2)."</td></tr> \n";
		echo "</tbody>";
		echo "</table></div>";
		echo "</div>";
	}
}
?>