<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_("Price list parameters")?></h4>
<form name="adminForm" action="index.php" method="post" target="_blank">
<?php 
	$grpTree=$this->grpTree;
	$grp_html=$grpTree->getTreeHTML(0,"select","parent_group");
	echo HTMLControls::renderHiddenField("option","print");
	echo HTMLControls::renderHiddenField("module","catalog");
	echo HTMLControls::renderHiddenField("view","price");
	echo HTMLControls::renderHiddenField("layout","list");
?>
	<table class="rounded-pan">
		<tbody>
			<tr>
				<td><?php echo HTMLControls::renderLabelField("price_type","Price type",1) ?>&nbsp;&nbsp;</td>
				<td><?php echo HTMLControls::renderSelect("price_type", "price_type", false, false, SpravStatic::getCKArray("price_type"),1,0); ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderLabelField("parent_group","Begin from",1) ?>&nbsp;&nbsp;</td>
				<td><?php echo $grp_html; ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("enabled_only",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("enabled_only","Enabled only",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("break_by_groups",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("break_by_groups","Break by groups",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_thumbs",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_thumbs","Show thumbs",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_dimensions",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_dimensions","Show dimensions",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_pack_price",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_pack_price","Show pack price",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_volume_price",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_volume_price","Show volume price",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_weight",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_weight","Show weight",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_weight_price",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_weight_price","Show weight price",1) ?></td>
			</tr>
			<tr>
				<td><?php echo HTMLControls::renderCheckbox("show_company_info",1,1); ?></td>
				<td><?php echo HTMLControls::renderLabelField("show_company_info","Show company info",1) ?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo HTMLControls::renderLabelField("add_header","Add header",1) ?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo HTMLControls::renderBBCodeEditor("add_header","add_header"); ?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo HTMLControls::renderLabelField("add_footer","Add footer",1) ?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo HTMLControls::renderBBCodeEditor("add_footer","add_footer"); ?></td>
			</tr>
			<tr>
				<th align="center" colspan="2">
					<?php echo HTMLControls::renderButton("go",Text::_("Proceed"),"submit");?>
				</th>
			</tr>
		</tbody>
	</table>
</form>