<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$presentFields=array();
$db=Database::getInstance();
$fld_array = $db->getListFieldfromTable("goods",true);
$query=" select f_name,f_descr from #__fields_list where f_deleted =0 and f_table='goods'";
$db->setQuery($query);
$fld_arrayDop = $db->loadAssocList();
if (count($fld_array)) {
	foreach ($fld_array as $key=>$val) { 
		$presentFields[$key]["name"]=$val->Field; 
		$presentFields[$key]["comment"]=$val->Comment; 
	}
}
if (count($fld_arrayDop)) {
	foreach ($fld_arrayDop as $key=>$val) {
		$presentFields[$key]["name"]=$val['f_name'];
		$presentFields[$key]["comment"]=$val['f_descr'];
	}
}
unset($fld_arrayDop);
unset($fld_array);
echo "<h4 class=\"title\">текущий xml формат файла:</h4>";
$text='
<?xml version="1.0" encoding="--КОДОВАЯ СТРАНИЦА (utf-8,windows-1251)--"?>
<altadoc type="exchange">
	<header>
		<direction>--НАПРАВЛЕНИЕ ОТНОСИТЕЛЬНО CMS (IN,OUT)--</direction>
		<operation>--ИМЯ ОПЕРАЦИИ (СПРАВОЧНАЯ ИНФОМАЦИЯ)--</operation>
		<code>--КОД АВТООБМЕНА--</code>
		<author>--АВТОР--</author>
		<opdate>--ДАТА--</opdate>
		<optime>--ВРЕМЯ--</optime>
	</header>
	<data>
		<items type="goods" quantity="--КОЛИЧЕСТВО ТОВАРОВ--">
			<item psid="--ИД ТОВАРА--">
				<flds>';
if (count($presentFields)){
	foreach ($presentFields as $key=>$val)	$text.="					<".$val["name"].">--".$val["comment"]."--</".$val["name"]."> \n";
}
$text.='
				</flds>
				<groupflds>
					<поле группы>--Поле группы--</поле группы>
					..........................................
					<поле группы>--Поле группы--</поле группы>
				</groupflds>
				<links>
					<link ordering="--ПОРЯДОК СОРТИРОВКИ--">--ИД ГРУППЫ--</link>
					<link ordering="--ПОРЯДОК СОРТИРОВКИ--">--ИД ГРУППЫ--</link>
				</links>
			</item>
		</items>';
$fld_array = $db->getListFieldfromTable("g_group",true);

$text.='
		<items type="goodsgroup" quantity="--КОЛИЧЕСТВО ГРУПП--">
			<item psid="--ИД ГРУППЫ--">
				<flds>';
if (count($fld_array)){
	foreach ($fld_array as $key=>$val) $text.="<".$val->Field.">--".$val->Comment."--</".$val->Field."> \n";				
}
$text.='
				</flds>
			</item>
		</items>
	</data>
</altadoc>';
echo "<pre style='white-space:pre;'>".htmlspecialchars($text)."</pre>";
?>