<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewfields extends View {
	function listModules()	{
		$type=request::getInt('m_admin_side');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getModulesList($type);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Modules absent")."</option>";
		echo $html;
	}
	function listViews()	{
		$type=request::getInt('m_admin_side');
		$m_module=request::get('m_module','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getViewsList($type,$m_module);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Views absent")."</option>";
		echo $html;
	}

	function listLayouts() {
		$type=request::getInt('m_admin_side');
		$m_module=request::get('m_module','');
		$m_view=request::get('m_view','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getLayoutsList($type,$m_module, $m_view);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Layouts absent")."</option>";
		echo $html;
	}

	function getFormSelectVisio() {
		$html ='<h4 class="title">'.Text::_("Prepare visio")
				.'&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="image" src="'.Portal::getInstance()->getTemplateUri().'images/refresh.png" onclick="javascript:document.location.href=\'index.php?module=conf&amp;task=prepareFields\'" name="prepare" title="'.Text::_("Prepare fields").'" />
				</h4>';
		$html.='<div id="selectVisio">';
		$html.='<form method="post" action="index.php">';
		$html.='<input type="hidden" name="module" value="conf" />';
		$html.='<input type="hidden" name="task" value="prepareVisioForm" />';
		$html.='<input type="hidden" name="view" value="fields" />';
		$html.='<table class="prepare-visio">';
//		$html.='<tr><th align="left">';
//		$html.=Text::_("Type of side").'</th><td><label for="adm">'.Text::_("Admin side").'</label><input type="radio"  id="adm" value="1" name="m_admin_side" onclick="setListVisioModules();" />';
//		$html.='&nbsp;&nbsp;<label for="front">'.Text::_("Front side").'</label><input type="radio"  id="front" value="0" name="m_admin_side" onclick="setListVisioModules();" /></td></tr>';

//		$html.='<tr><th align="left">'.Text::_("List of modules").'</th><td>';
//		$html.= HTMLControls::renderSelect("m_module","m_module","","",$modules,false,false,"setListVisioViews();" );
//		$html.='</td></tr>';
		$html.='<tr><th align="left">'.Text::_("Type of side").'</th><td><select class="singleSelect" onchange="setListVisioModules();" id="m_admin_side" name="m_admin_side"><option selected="selected" value="-1">'.Text::_("Select view side").'</option><option value="1">'.Text::_("Admin side").'</option><option value="0">'.Text::_("Front side").'</option></select></td></tr>';
		$html.='<tr><th align="left">'.Text::_("List of modules").'</th><td><select class="singleSelect" onchange="setListVisioViews();" id="m_module" name="m_module"><option>'.Text::_("Select module").'</option></select></td></tr>';
		$html.='<tr><th align="left">'.Text::_("List of views").'</th><td><select class="singleSelect" onchange="setListVisioLayout();" id="m_view" name="m_view"><option>'.Text::_("Select view").'</option></select></td></tr>';
		$html.='<tr><th align="left">'.Text::_("List of layout").'</th><td><select class="singleSelect" id="m_layout" name="m_layout"><option>'.Text::_("Select layout").'</option></select></td></tr>';
		$html.='<tr><th align="center" colspan="2"><input class="commonButton" type="submit" name="save" value="'.Text::_("Edit").'" /></th></tr>';
		$html.="</table>";
		$html.="</form></div>";
		echo $html;

	}

	function getFormVisioSet($res){

		$m_admin_side=$this->m_admin_side;
		$m_module=$this->m_module;
		$m_view=$this->m_view;
		$m_layout=$this->m_layout;
		if($m_admin_side==0) $texttype=Text::_("Front side");
		else $texttype=Text::_("Admin side");
		$html='';
		$html.='<h4 class="title">'.Text::_("Editing parametres").' : '.$texttype.'. '.Text::_("module").' : '.$m_module.', '.Text::_("view").' : '.$m_view.',  '.Text::_("layout").' : '.$m_layout.'.</h4>';
		if($res) {
			$html.='<div id="modify-wrapper" class="rounded-pan"><form method="post" action="index.php">';
			$html.='<input type="hidden" name="module" value="conf" />';
			$html.='<input type="hidden" name="task" value="saveVisio" />';
			$html.='<input type="hidden" name="m_module" value="'.$m_module.'" />';
			$html.='<input type="hidden" name="m_view" value="'.$m_view.'" />';
			$html.='<input type="hidden" name="m_layout" value="'.$m_layout.'" />';
			$html.='<input type="hidden" name="m_admin_side" value="'.$m_admin_side.'" />';
			$html.='<table class="editMetaFields">';
			$html.='<tr><th>'.Text::_("field").'</th>';
			$html.='<th width="10%">'.Text::_("Ordering").'</th>';
			$html.='<th width="11%"><a onclick="toggleCheckboxes(\'m_viewlist\', \''.Text::_("Change status").': '.Text::_("viewlist").'\');">'.Text::_("viewlist").'</a></th>';
			$html.='<th width="10%">'.Text::_("sizelist").'</th>';
			$html.='<th width="11%"><a onclick="toggleCheckboxes(\'m_viewmod\', \''.Text::_("Change status").': '.Text::_("viewmod").'\');">'.Text::_("viewmod").'</a></th>';
			$html.='<th width="10%">'.Text::_("sizemod").'</th>';
			$html.='<th width="11%"><a onclick="toggleCheckboxes(\'m_showfilter\', \''.Text::_("Change status").': '.Text::_("showfilter").'\');">'.Text::_("showfilter").'</a></th></tr>';
			foreach($this->meta->field as $id=>$fld){
				if (array_key_exists($fld,$res)) { 
					$val=$res[$fld];
					if($val->m_show==1) $m_viewlistCheck ='checked="checked"'; else $m_viewlistCheck ='';
					if($val->m_input_view==1) $m_viewmodCheck ='checked="checked"'; else $m_viewmodCheck ='';
					if($val->m_show_in_filter==1) $m_showfilterCheck ='checked="checked"'; else $m_showfilterCheck ='';
					$html.='<tr><td>'.Text::_($this->m_meta_name[$this->m_meta_field[$val->m_field]]).'<input type="hidden" name="m_id['.$val->m_id.']" value="'.$val->m_id.'" /></td>';
					$html.='<th><input size="3" type="text" name="m_field_order['.$val->m_id.']" value="'.((int)$this->meta->field_order[$id]*10).'" /></th>';
					$html.='<th><input type="checkbox" name="m_viewlist['.$val->m_id.']" id="m_viewlist_'.$val->m_id.'" value="'.$val->m_show.'" '.$m_viewlistCheck.'/></th>';
					$html.='<th><input size="3" type="text" name="m_sizelist['.$val->m_id.']" value="'.$val->m_width.'" /></th>';
					$html.='<th><input type="checkbox" name="m_viewmod['.$val->m_id.']" id="m_viewmod_'.$val->m_id.'" value="'.$val->m_input_view.'" '.$m_viewmodCheck.'/></th>';
					$html.='<th><input size="3" type="text" name="m_sizemod['.$val->m_id.']" value="'.$val->m_input_size.'" /></th>';
					$html.='<th><input type="checkbox" name="m_showfilter['.$val->m_id.']" id="m_showfilter_'.$val->m_id.'" value="'.$val->m_show_in_filter.'" '.$m_showfilterCheck.'/></th></tr>';
				} else { return false; }
			}
/*
			foreach($res as $val) {
				if(isset($this->m_meta_field[$val->m_field]))      	{
					if($val->m_show==1) $m_viewlistCheck ='checked="checked"'; else $m_viewlistCheck ='';
					if($val->m_input_view==1) $m_viewmodCheck ='checked="checked"'; else $m_viewmodCheck ='';
					if($val->m_show_in_filter==1) $m_showfilterCheck ='checked="checked"'; else $m_showfilterCheck ='';
					$html.='<tr><td>'.Text::_($this->m_meta_name[$this->m_meta_field[$val->m_field]]).'<input type="hidden" name="m_id['.$val->m_id.']" value="'.$val->m_id.'" /></td>';
					$html.='<th><input size="3" type="text" name="m_field_order['.$val->m_id.']" value="'.$val->m_field_order.'" /></th>';
					$html.='<th><input type="checkbox" name="m_viewlist['.$val->m_id.']" id="m_viewlist_'.$val->m_id.'" value="'.$val->m_show.'" '.$m_viewlistCheck.'/></th>';
					$html.='<th><input size="3" type="text" name="m_sizelist['.$val->m_id.']" value="'.$val->m_width.'" /></th>';
					$html.='<th><input type="checkbox" name="m_viewmod['.$val->m_id.']" id="m_viewmod_'.$val->m_id.'" value="'.$val->m_input_view.'" '.$m_viewmodCheck.'/></th>';
					$html.='<th><input size="3" type="text" name="m_sizemod['.$val->m_id.']" value="'.$val->m_input_size.'" /></th>';
					$html.='<th><input type="checkbox" name="m_showfilter['.$val->m_id.']" id="m_showfilter_'.$val->m_id.'" value="'.$val->m_show_in_filter.'" '.$m_showfilterCheck.'/></th></tr>';
				}
			}
*/			
			$html.="<tr><th class=\"buttons\" colspan=\"7\">
					<input class=\"commonButton\" type=\"submit\" name=\"save\" value=\"".Text::_("Save")."\" />
							<input class=\"commonButton\" type=\"submit\" name=\"apply\" value=\"".Text::_("Apply")."\" />
									<input class=\"commonButton\" type=\"button\" name=\"reset\" value=\"".Text::_("Cancel")."\" onclick=\"javascript:document.location.href='".Router::_("index.php?module=conf&task=selectVisio",false,false)."';\" />
											</th></tr>";
			$html.="</table>";

		}
		$html.="</form></div>";
		echo $html;
		return true;
	}
	function getFormPrepareFields(){
		$mod_arr=Module::getInstalledModules(); asort($mod_arr);
		foreach($mod_arr as $k=>$v){ $_arr[$v]=$v; } 
		$form=new aForm("prepare_fields_form","post","index.php?module=conf&task=checkFields",false);
		$zone_adress=""; //или пустой если по морде ползем, или "administrator/",если по админке
		$form->addInput(array("TYPE"=>"checkbox",
				"NAME"=>"admin_zone",
				"TITLE"=>"Admin modules",
				"VAL"=>1
		));
		$form->addInput(array("TYPE"=>"checkbox",
				"NAME"=>"deflt_zone",
				"TITLE"=>"Modules",
				"VAL"=>1
		));
		$form->addInput(array('TYPE'=>"select",
				'ID'=>'mod_name1',
				'NAME'=>'mod_name1',
				'SIZE'=>1,
				'LABEL'=>Text::_('select mod name'),
				'VAL'=>$this->m_module,
				'OPTIONS'=>$_arr
		));
		$form->addInput(array("TYPE"=>"submit",
				"CLASS"=>"commonButton",
				"VAL"=>Text::_("Prepare"),
				"NAME"=>"Prepare"
		));
		$form->StartLayout();
		?>
<h4 class="title"><?php echo Text::_("Select module");?>	</h4>
<div id="prepareVisio" class="center">
	<table class="prepare-visio">
<!-- 
		<tr>
			<th colspan="2" align="center"><h4 class="title">
					<?php echo Text::_("Select zone of visiblity");?>
				</h4></th>
		</tr>
		<tr>
			<td colspan="2" align="center">
				<?php echo HTMLControls::renderRadio("zone","admin_zone",1,Text::_("Admin zone"),"",false)?>
				&nbsp;&nbsp;&nbsp;&nbsp;
				<?php echo HTMLControls::renderRadio("zone","deflt_zone",2,Text::_("Front"),"",false)?>
			</td>
		</tr>
 -->		
		<tr>
			<td><?php echo Text::_("Modules");?></td>
			<td><?php $form->renderInputPart("mod_name1");?></td>
		</tr>
		<tr>
			<td colspan="2" align="center"><?php $form->renderInputPart("Prepare"); ?>
			</td>
		</tr>
	</table>
</div>
<?php
$form->endLayout();
	}
}
?>