<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class feedbackControllerdefault extends SpravController {
	public function showMessages() {
		$layout=$this->get('layout');
		if ($layout=='single') {
			Portal::getInstance()->disableTemplate();
			$psid=Request::getInt('psid',0);
			if ($psid){
				$model = $this->getModel();
				$model->setRead($psid);
				$msg = $model->getElement($psid);
				$view = $this->getView();
				$view->assign('msg',$msg);
			}
		} else $this->showData();
	}
	
	public function modify($ajaxModify=false){
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr = $mdl->get('reestr');

		$model = $this->getModel();
		$viewname = $this->getView()->getName();
		$this->checkACL("modify".ucfirst($moduleName).ucfirst($viewname));
		$arr_psid     = request::get('cps_id', false);				// массив отмеченных галочкой элементов
		$multy_code   = request::get('multy_code', false); 		// ид верхней группы
		$psid         = request::get('psid', false); 					// ид строки
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		if($psid) $model->setRead($psid);
		parent::modify($ajaxModify);
	}
}
?>