<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class forumModule extends Module {

	public function getParamsMask(){
		$params=parent::getParamsMask();
		$params['short_theme_length']["vtype"]="integer";	$params['short_theme_length']["vdefault"]="50";
		return $params;
	}
	public function prepare() {
		$this->setDefaultView('sections');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getACLTemplate($is_admin=true){		
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='forumModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewForumSections'; $acl[$i]['ao_description']='View forum sections';
			$i++;$acl[$i]['ao_name']='viewForumPosts'; $acl[$i]['ao_description']='View forum posts';
			$i++;$acl[$i]['ao_name']='viewForumThemes'; $acl[$i]['ao_description']='View forum themes';
			$i++;$acl[$i]['ao_name']='viewSetForumRights'; $acl[$i]['ao_description']='View and modify rights';
		} else {
			$i++;$acl[$i]['ao_name']='forumDisableCaptcha'; $acl[$i]['ao_description']='Disable captcha';
			$i++;$acl[$i]['ao_name']='forumModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='forumDisableFloodControl'; $acl[$i]['ao_description']='Disable flood control';
		}
		return 	$acl;
	}
}
?>