<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$return_link="index.php?module=forum";
?>
<h4 class="title"><?php echo Text::_('Forum rights')." (".Text::_('Forum')."&nbsp;".$this->forum_name.")"; ?></h4>

<div class="center">
<form action="index.php" method="post">
	<input type="hidden" name="module" value="forum" />
	<input type="hidden" name="view" value="rights" />
	<input type="hidden" name="layout" value="modify" />
	<input type="hidden" name="psid" value="<?php echo $this->forum_id; ?>" />
	<input type="hidden" name="return" value="<?php echo $this->return; ?>" />

	<table class="rounded-tbl">
	<tr>
		<td>
			<input type="radio" id="rb_user" name="subject" value="user" />
		</td>

		<td>
			<label for="rb_user"><?php echo Text::_('User login'); ?></label>
		</td>
		<td>
			<input onfocus="javascript:$('#rb_user').click();" type="text" id="t_user" name="userlogin" value="" />
		</td>
	</tr>


	<tr>
		<td>
			<input type="radio" id="rb_role" name="subject" value="role" checked="checked" />
		</td>

		<td>
			<label for="rb_role"><?php echo Text::_('User role'); ?></label>
		</td>
		<td>
			<select onfocus="javascript:$('#rb_role').click();" id="s_role" name="roleid">
			<?php foreach ($this->roles as $roleid=>$role) {?>
				<option value="<?php echo $roleid; ?>"><?php echo $role->ar_title; ?></option>
			<?php } ?>
			</select>
		</td>
	</tr>
		<tr>
			<td>&nbsp;</td>
			<td class="buttons">
				<input type="submit" class="commonButton" value="<?php echo Text::_('Edit'); ?>" />
			</td>
			<td class="buttons">
				<input type="button" class="commonButton" onclick="javascript:document.location.href='<?php echo Router::_($return_link); ?>'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel" />
			</td>
		</tr>
	</table>

</form>
</div>