<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewitems extends SpravView {
	public function renderViewsSelector(){
		$views[""]=Text::_("Not selected");
		if ($this->modname) {
			$path=PATH_FRONT_MODULES.$this->modname.DS."views";
			$vfiles=Files::getFiles($path,false,false);
		} else $vfiles=array();
		if (count($vfiles)){
			foreach($vfiles as $key=>$val){
				$view=substr($key,0,strpos($key, "."));
				$views[$view]=$view;
			}
		}
		echo HTMLControls::renderSelect("mi_view","mi_view", "", "", $views,$this->vname,false);
	}
	public function getViewsList(){
		$html="<option value=\"\">".Text::_("Not selected")."</option>";
		if ($this->modname) {
			$path=PATH_FRONT_MODULES.$this->modname.DS."views";
			$vfiles=Files::getFiles($path,false,false);
		} else $vfiles=array();
		if (count($vfiles)){
			foreach($vfiles as $key=>$val){
				$view=substr($key,0,strpos($key, "."));
				$html.="<option value=\"".$view."\">".$view."</option>";
				
			}
		}
		return $html;
	}	
	public function renderModulesSelector($_cur_val=""){
		$inst_modules=Module::getInstalledModules();
		$mdirs=Files::getFolders(PATH_FRONT_MODULES,false,false);
		$_mdls[""]=Text::_("Not selected");
		foreach($inst_modules as $_module) { 
			if (array_key_exists($_module,$mdirs))	$_mdls[$_module]=$_module;	
		}
		$js="getViewsForModule(this,'mi_view');";
		echo HTMLControls::renderSelect("mi_module","mi_module", "", "", $_mdls,$_cur_val,false,$js);
		
	}
}
?>