<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$frm->startLayout();
echo "<div class=\"tablHeader\">".$dop_head." ".$head." : ".Text::_($meta->title)."</div>";
echo "<div class=\"clear\"></div>";
echo "<div class=\"tablBody\">";
echo "<table class=\"$classTable\">";
foreach ($input_type as $index=>$value)	{
	if ($meta->input_view[$index]==0 && $value!="hidden") continue;
	if ($meta->field[$index]=="mi_access") {
		if (isset($row->mi_access)) {
			if ($row->mi_access == "all") $mi_access = $row->mi_access;
			else $mi_access = explode(";",$row->mi_access);
		}	else $mi_access="all";

		echo"<tr><td colspan=\"2\">";
		echo "<fieldset><legend class=\"bold\">".Text::_($meta->field_title[$index]);
		echo "</legend>";
		$roles = ACLObject::getRoles();
		if ($mi_access == "all") {
			$fsStyle=" style=\"display:none;\""; $ewShowChecked = " checked=\"checked\"";
		}	else {
			$fsStyle = ""; $ewShowChecked = "";
		}
		$ewaShowJS = "$('#itemAccess').toggle();";
		echo "<p class=\"visible_all\"><input type=\"checkbox\" id=\"mi_access_all\" onclick=\"".$ewaShowJS."\" name=\"mi_access_all\"".$ewShowChecked." />";
		echo "<label for=\"mi_access_all\"><b>&nbsp;".Text::_('Show everybody')."</b></label></p>";
		echo "<table id=\"itemAccess\"".$fsStyle."\">";
		foreach ($roles as $role) {
			$checked = "";
			if (is_array($mi_access) && in_array($role->ar_id,$mi_access)) {
				$checked = "checked=\"checked\"";
			}
			echo "<tr><td><input id=\"mi_access_".$role->ar_id."\" type=\"checkbox\" name=\"mi_access[".$role->ar_id."]\" $checked/></td>";
			echo "<td><label for=\"mi_access_".$role->ar_id."\">".$role->ar_title."</label></td></tr>";
		}
		echo "</table>";

		echo "</fieldset>";
		echo"</td></tr>";
	} elseif ($meta->field[$index]=="mi_module") {
		echo"<tr><th>";
		$frm->renderLabelFor($meta->field[$index]);
		echo ":</th><td>";
		if (isset($row->mi_module)) $_cur_val=$row->mi_module; else $_cur_val="";
		$this->renderModulesSelector($_cur_val);
		echo"</td></tr>";
	} elseif ($meta->field[$index]=="mi_view") {
		echo"<tr><th>";
		$frm->renderLabelFor($meta->field[$index]);
		echo ":</th><td>";
		if (isset($row->mi_module)) $this->modname=$row->mi_module; else $this->modname="";
		if (isset($row->mi_view)) $this->vname=$row->mi_view; else $this->vname="";
		$this->renderViewsSelector();
		echo"</td></tr>";
	}	else {
		switch ($value)	{
			case "hidden":
				continue;
				break;
			default:
				echo"<tr><th>";
				$frm->renderLabelFor($meta->field[$index]);
				echo ":</th><td>";
				$frm->renderInputPart($meta->field[$index]);
				echo"</td></tr>";
				break;
		}
	}
}
echo"<tr><th style=\"text-align:center;\" colspan=\"2\">";
$frm->renderInputPart("save");
if (!$ajaxModify) $frm->renderInputPart("apply");
$frm->renderInputPart("cancel");
echo"</th></tr>";
echo "</table>";
echo "</div>";
$frm->endLayout();
?>