<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_("Current backups"); ?></h4>
<div class="tablBody">
<table id="backups" class="rounded-tbl">
	<tr>
		<td colspan="4" class="buttons">
			<p><a class="linkButton" href="index.php?module=service&amp;view=db&amp;layout=export"><?php echo Text::_("Create DB backup"); ?></a></p>
		</td>
	</tr>
	<tr>
		<th colspan="4" class="buttons"><?php echo Text::_("Path"); ?>: <?php echo $this->backup_path?></th>
	</tr>
<?php 
if ($this->files) {
	echo "<tr class=\"rows\">";
	echo "<th>".Text::_("Name")."</th>";
	echo "<th>".Text::_("File size")."</th>";
	echo "<th>".Text::_("Date")."</th>";
	echo "<th>&nbsp;</th>";
	echo "</tr>";
	
	foreach($this->files as $file){
		echo "<tr class=\"rows\">";
		echo "<td>".$file["filename"]."</td>";
		echo "<td>".$file["filesize"]."</td>";
		echo "<td>".$file["filedate"]."</td>";
		echo "<td align=\"center\"><a href=\"index.php?module=service&amp;task=deleteBackup&amp;file=".$file["filename"]."\" onclick=\"javascript:if(confirm('".Text::_("Do you want to delete")." ".$file["filename"]." ?'))return true; else return false;\" title=\"".Text::_("Delete")."\">
		<img width=\"1\" height=\"1\" src=\"/images/blank.gif\" class=\"delete\" alt=\"".Text::_("Delete")."\" /></a></td>";
		echo "</tr>";
	}
}
	?>
</table>
</div>