<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_("Backup tables"); ?></h4>
<form action="index.php" method="post">
	<table id="export" class="rounded-tbl">
	<?php if (count($this->tables)) { ?>
		<tr>
			<td class="buttons">
	<?php echo HTMLControls::renderButton("start",Text::_("Export now"),"submit"); 
				echo HTMLControls::renderHiddenField("module","service");
				echo HTMLControls::renderHiddenField("view","db");
				echo HTMLControls::renderHiddenField("file",$this->file);
				echo HTMLControls::renderHiddenField("task","exportTables");	?>
			</td>
			<td class="checkbox"><?php echo HTMLControls::renderCheckbox("",1,1,"toggleAll","","toggleChecked(this,'checkup')"); ?></td>
		</tr>
	<tr>
		<td colspan="4" class="buttons"><?php echo Text::_("Path"); ?>: <?php echo $this->backup_path.$this->file; ?></td>
	</tr>
	<?php foreach ($this->tables as $tbl) { ?>
		<tr class="rows">
			<td><?php echo $tbl; ?></td>
			<td class="checkbox"><?php echo HTMLControls::renderCheckbox($tbl."_mode",1,1,false,"checkup"); ?></td>
		</tr>
		<?php } 
	} ?>
	</table>
</form>
