<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");
echo "<div class=\"tablBody\">";
echo "<table class=\"rounded-tbl\">";
if ($this->info_message)  echo "<tr><td colspan=\"2\" class=\"info_message ".$this->error_class."\">".$this->info_message."</td></tr>";
echo "<tr><td width=\"50%\">";
echo "<fieldset style=\"float:left;\" class=\"uploader\">";
echo "	<legend>".Text::_("Create folder")."</legend>";
echo "	<p>";
echo "		<input type=\"text\" id=\"newfolder\" />";
echo "		<input class=\"commonButton\" type=\"button\" onclick=\"mm_createFolder('".$this->folder."')\" value=\"".Text::_("Create")."\" />";
echo "	</p>";
echo "</fieldset>";
echo "</td><td>";
echo "<fieldset style=\"float:right;\" class=\"uploader\">";
echo "	<legend>".Text::_("Upload file")."</legend>";

echo "	<form id=\"mm_single_upload\" method=\"post\" action=\"".$_SERVER['PHP_SELF']."\" enctype=\"multipart/form-data\">";
echo "		<p class=\"fileselector\"><input class=\"commonButton\" type=\"submit\" value=\"".Text::_("Upload")."\" />&nbsp;<input type=\"file\" name=\"up_file\" size=\"38\" /></p>";
echo "		<p><span class=\"warning\">".Text::_("Max file size")." ".ini_get("upload_max_filesize")."</span></p>";
echo "		<input type=\"hidden\" name=\"option\" value=\"ajax\" />";
echo "		<input type=\"hidden\" name=\"task\" value=\"createMedia\" />";
echo "		<input type=\"hidden\" name=\"module\" value=\"service\" />";
echo "		<input type=\"hidden\" name=\"folder\" value=\"".$this->folder."\" />";
echo "		<div class=\"progress\"><div class=\"bar\"></div ><div class=\"percent\">0%</div ></div><div id=\"status\"></div>";
echo "	</form>";

echo "</fieldset>";
echo "</td></tr>";
echo "<tr><td colspan=\"2\">";
/*********************************/
echo "<table id=\"filemanager\">";
echo "<tr>";
echo "<td class=\"currentfolder\" colspan=\"6\"><b>".Text::_("Current folder").":</b> ".$this->filepath."</td>";
echo "</tr>";
echo "<tr>";
echo "<th width=\"5%\">&nbsp;</th>";
echo "<th width=\"5%\">&nbsp;</th>";
echo "<th>".Text::_("Name")."</th>";
echo "<th width=\"15%\">".Text::_("File size")."</th>";
echo "<th width=\"15%\">".Text::_("File date")."</th>";
echo "<th width=\"10%\">".Text::_("Actions")."</th>";
echo "</tr>";
$files=$this->files;
if ($files && count($files)){
	foreach ($files as $file) {
		$ext = strtolower(substr($file['filename'], strrpos($file['filename'], '.')+1));
		$filename = stripslashes($file['filename']);
		if (mb_strlen($filename,DEF_CP) > 43) {	$short_filename = mb_substr($file['filename'], 0, 40,DEF_CP) . '...';	}	 else $short_filename=$filename;
		echo "<tr>";
			$delete_js="javascript:if(confirm('".Text::_("Do you want to delete")." ".$filename." ?'))return true; else return false;";
			if ($file['folder']==1) {
				if ($filename=="..") echo "<td>&nbsp;</td>";
				else {
					echo "<td align=\"center\"><a title=\"".Text::_("Delete")."\" onclick=\"mm_deleteFolder('".$this->folder."','".$filename."')\">";
					echo "<img width=\"1\" height=\"1\" alt=\"Delete\" class=\"delete\" src=\"/images/blank.gif\" />";
					echo "</a></td>";
				}
				if ($filename=="..") {
					echo "<td>&nbsp;</td>";
					echo "<td><a title=\"".Text::_("Folder up")."\" onclick=\"mm_getContent('".$this->folder."','',1)\"><img width=\"1\" height=\"1\" alt=\"Folder Up\" class=\"folder_up\" src=\"/images/blank.gif\" /></a>&nbsp;&nbsp;&nbsp;&nbsp;<b>..</b></td>";
				}	else {
					echo "<td><img width=\"1\" height=\"1\" alt=\"Folder\" class=\"folder\" src=\"/images/blank.gif\" /></td>";
					echo "<td><a title=\"".Text::_("Open folder")."\" onclick=\"mm_getContent('".$this->folder."','".$filename."',0)\">".$short_filename."</a></td>";
				}
				echo "<td align=\"right\">".$file['filesize']." KB</td>";
				echo "<td align=\"center\">".$file['filedate']."</td>";
				echo "<td>&nbsp;</td>";
			} elseif ($file['folder']==0) {
				$href="index.php?module=service&amp;task=downloadFile&amp;folder=".rawurlencode($this->folder)."&amp;file=".rawurlencode($filename);
				echo "<td align=\"center\"><a title=\"".Text::_("Delete")."\"  onclick=\"mm_deleteFile('".$this->folder."','".$filename."')\">";
				echo "<img width=\"1\" height=\"1\" alt=\"Delete\" class=\"delete\" src=\"/images/blank.gif\" />";
				echo "</a></td>";
				echo "<td><img width=\"1\" height=\"1\" alt=\"File\" class=\"file\" src=\"/images/blank.gif\" /></td>";
				echo "<td><a title=\"".Text::_("Get link")."\" class=\"getlink\" onclick=\"mm_setLink('".$this->folder."','".$filename."')\">".$short_filename."</a></td>";
				echo "<td align=\"right\">".$file['filesize']." KB</td>";
				echo "<td align=\"center\">".$file['filedate']."</td>";
				echo "<td align=\"center\">";
				echo "<a title=\"".Text::_("Download")."\" target=\"_blank\" class=\"download\" href=\"".$href."\"><img width=\"1\" height=\"1\" alt=\"Get link\" class=\"getlink\" src=\"/images/blank.gif\" /></a>";
				if (Files::isImage($this->filepath.DS.$filename)) {
					$imagehref=ALTADOC_UF."/".Files::pathURLEncode($this->folder)."/".rawurlencode($filename);
					echo "&nbsp;<a target=\"_blank\" title=\"".Text::_("Preview")."\" class=\"preview\" href=\"".$imagehref."\"><img width=\"1\" height=\"1\" alt=\"Preview\" class=\"preview\" src=\"/images/blank.gif\" /></a>";
				} else echo "&nbsp;";
				echo "</td>";
			}
		echo "</tr>";
	}
}
echo "</table>";
echo "</td></tr>";
echo "<tr><td id=\"medialink\" colspan=\"2\"></td></tr>";
echo "</table>";
echo "</div>";
?>