<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class tsjControllerdefault extends SpravController {
	public function showLic() {
		$this->showData();
	}
	public function showMeters() {
		$this->showData();
	}
	public function showPolls() {
		$this->showData();
	}
	public function showPollsres() {
		$this->showData("p_name","atsj_polls");
	}
	public function printProtocol(){
		$mdl		= Module::getInstance();
		$view 	= $this->getView();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($view->getName()));
		$model=$this->getModel();
		$arr_psid     = request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$psid=Request::getInt("psid",0);
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		$poll=$model->getElement($psid);
		$poll_res=$model->getPollResults($psid);
		$view->assign("poll",$poll);
		$view->assign("poll_res",$poll_res);
		Portal::getInstance()->changeTemplateFile('print');
		$view->setLayout("protocol");
		$view->render();
	}
	public function showCreateUser() {
		$model=$this->getModel('exchange');
		$newUsers=$model->getNewusers();
		$view=$this->getView();
		$view->assign('newUsers',$newUsers);
		
	}

	public function ajaxcreateUser()
	{
		$login=Request::getSafe('login');
		$nickname=Request::getSafe('nickname');
		$password=Request::getSafe('password');
		$email=Request::getSafe('email');
		if(
		defined("_ADMIN_MODE")&&$this->checkACL("modifyTsjUsers")
		)
		{
		if($this->createTsjUser($login,$nickname,$password,$email))
		{
			echo "Пользователь создан";
		}
		else
		{
			echo "Создать пользователя не удалось";
		}
		}
		else 
		{
			echo "Нет прав на создание пользователя";
		}
	}
	
	private function createTsjUser($login,$nickname,$password,$email){ 
		return User::addUser($login,$nickname,$password,$email,'8',User::getInstance()->u_id,1); 	
		}
	public function showMetervals() {
		$this->showData();
	}
	public function showExchange() {		
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$viewname 	= $this->getView()->getName();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));		
	}
	public function checkImport(){
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$this->set("view","exchange",true);
		$this->set("layout","check",true);
		$viewname 	= $this->getView()->getName();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		$filename="import".time();
		$link=Files::uploadXML('xml', $filename, PATH_TMP, true);
		if(isset($link['file'])&&is_file($link['file']))
		{		
		  $model=$this->getModel();
		  $info=$model->getXMLPrepare($link['file']);
		  if($info)
		  {
		  	$view=$this->getView();
		  	$newUsers=$model->getNewusers();
		  	$newLic=$model->getNewLic();
		  	$newMeters=$model->getNewMeters();
		  	$foundUsers=$model->getFoundUsers();
		  	$foundLic=$model->getFoundLic();
		  	$foundMeters=$model->getFoundMeters();
		  	$newKvit=$model->getCountNewKvit();
		  	$newPlat=$model->getCountNewPlat();
		  		  	
		  	$view->assign('newUsers',$newUsers);
		  	$view->assign('newLic',$newLic);
		  	$view->assign('newMeters',$newMeters);
		  	$view->assign('newKvit',$newKvit);
		  	$view->assign('newPlat',$newPlat);
		  	$view->assign('foundUsers',$foundUsers);
		  	$view->assign('foundLic',$foundLic);
		  	$view->assign('foundMeters',$foundMeters);
		    $view->render();
		  	
		  }
		  else {
			$url="index.php?module=tsj&view=exchange";
			Util::redirect($url,Text::_("Error"));
		  }
		} 
		else 
		{
			$url="index.php?module=tsj&view=exchange";
			Util::redirect($url,Text::_("Error"));
		}
//		$view->assign("data",$arr_data);
		
	}
		
	public function importData(){
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$this->set("view","exchange",true);
		$this->set("layout","import",true);
		$viewname 	= $this->getView()->getName();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));		
		$model=$this->getModel();
		$addnew=Request::getInt('addnew',0);		
		$res=$model->updateData($addnew);
		$view=$this->getView();
//		$view->assign("data",$arr_data);
		$view->render();
	}
	
	public function exportData(){
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$this->set("view","exchange",true);
		$this->set("layout","export",true);
		$viewname 	= $this->getView()->getName();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));		
		$model=$this->getModel();
		$xml=new BaseXML();
		$month=request::getInt('p_month');
		$year=request::getInt('p_year');
		if(!$month||!$year){$this->setRedirect("index.php?module=tsj&view=exchange"); return false;}
		$model->updateChecked($month,$year);
		$arr_data=$model->getData($month,$year);
		$list_field=$model->getFields();
		$filename="export_tsj.xml";		
		$xml->createXMLFile($arr_data, $list_field,$filename);		
		$view=$this->getView();
		$view->assign("data",$arr_data);
		$view->assign("fields",$list_field);
		$view->assign("file",$filename);
		$view->render();
	}
}

?>