<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class tsjModule extends Module {
	public function getParamsMask(){
		$params['calc_month']["vtype"]="integer";	$params['calc_month']["vdefault"]=0;
		$params['calc_year']["vtype"]="integer";	$params['calc_year']["vdefault"]=0;
		$params['kvit_tmpl']["vtype"]="integer";	$params['kvit_tmpl']["vdefault"]=0;
		return $params;
	}

	public function prepare() {
		$this->setDefaultView('lic');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getACLTemplate($is_admin=true){		
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='tsjModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewTsjPolls'; $acl[$i]['ao_description']='View polls';
			$i++;$acl[$i]['ao_name']='deleteTsjPolls'; $acl[$i]['ao_description']='Finally delete polls';
			$i++;$acl[$i]['ao_name']='viewTsjPollsres'; $acl[$i]['ao_description']='View polls results';
			$i++;$acl[$i]['ao_name']='deleteTsjPollsres'; $acl[$i]['ao_description']='Finally delete polls results';
			$i++;$acl[$i]['ao_name']='viewTsjLic'; $acl[$i]['ao_description']='Flat accounts';
			$i++;$acl[$i]['ao_name']='deleteTsjLic'; $acl[$i]['ao_description']='Finally delete accounts';
			$i++;$acl[$i]['ao_name']='viewTsjMeters'; $acl[$i]['ao_description']='Meters';
			$i++;$acl[$i]['ao_name']='deleteTsjMeters'; $acl[$i]['ao_description']='Finally delete meters';
			$i++;$acl[$i]['ao_name']='viewTsjMetervals'; $acl[$i]['ao_description']='Meter vals';
			$i++;$acl[$i]['ao_name']='deleteTsjMetervals'; $acl[$i]['ao_description']='Finally delete meter vals';
			$i++;$acl[$i]['ao_name']='viewTsjExchange'; $acl[$i]['ao_description']='Data exchange';
		} else {
			$i++;$acl[$i]['ao_name']='tsjModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewTsjPolls'; $acl[$i]['ao_description']='View polls';
			$i++;$acl[$i]['ao_name']='viewTsjPollsres'; $acl[$i]['ao_description']='Can vote';
		}
		return 	$acl;
	}
}
?>