<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<div class="print_outer" style="border:1px dotted #CCCCCC">
<?php 
Portal::getInstance()->addStyleSheet("print.css");
$style='
table.poll_protocol{
	width:100%;
	border:1px solid;
}
table.poll_protocol td, table.poll_protocol th{
	border:1px solid;
}
';
Portal::getInstance()->addStyle($style);
$now=time(); $pro=0; $contra=0;
if ($this->poll){
	echo "<h3>".Text::_("Vote protocol")." ".Text::_("from")." ".Date::GetdateRus($now,1)."</h3>";
	echo "<h3>".Text::_("Theme").": ".$this->poll->p_name."</h3>";
	echo "<h3>".Text::_("Vote period").": ".Date::GetdateRus($this->poll->p_time_start)." - ".Date::GetdateRus($this->poll->p_time_end)."</h3>";
	if (count($this->poll_res)){
		echo "<table class=\"poll_protocol\">";
		echo "<tr><th>".Text::_("FIO")."</th><th align=\"center\" width=\"25%\">".Text::_("Result")."</th></tr>";
		foreach($this->poll_res as $golos){
			$ud=Userdata::getInstance($golos->pp_user_id)->getCompany();
			echo "<tr><td>";
			echo $ud["surname"]." ".$ud["firstname"]." ".$ud["patronymic"];
			echo "</td><td align=\"center\">";
			if ($golos->pp_result==1){
				echo Text::_("Pro");
				$pro++;
			} elseif($golos->pp_result==-1){
				echo Text::_("Contra");
				$contra++;
			} else echo "&nbsp;";
			echo "</td></tr>";
		}
		echo "<tr><th colspan=\"2\">".Text::_("Vote results")." : </th></tr>";
		echo "<tr><th>".Text::_("Pro")."</th><td align=\"center\">".$pro."</td></tr>";
		echo "<tr><th>".Text::_("Contra")."</th><td align=\"center\">".$contra."</td></tr>";
		echo "<tr><th>".Text::_("Total voted")."</th><td align=\"center\">".($pro+$contra)."</td></tr>";
		echo "</table>";
	}
}


?>
</div>