<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class videosetModelgroups extends SpravModel {

	public function checkTrashChilds(){
		// проверяем галлереи внутри удаляемых групп, в том числе и помеченные на удаление
		$sql="SELECT COUNT(vg_id) FROM #__videoset_galleries WHERE vg_group_id IN (SELECT vgr_id FROM #__videoset_groups WHERE vgr_deleted=1)";
		$this->_db->setQuery($sql);
		$galleries=$this->_db->loadResult();
		if ($galleries) return true;
		return false;
	}
	
	public function save(){
		$psid=parent::save(); 
		if ($psid) { 
			if ((galleryConfig::$thumbAutoCreate)&&($_FILES["vgr_thumb"]["name"])) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$filename=Files::splitAppendix($res->vgr_thumb, true);
				if ($filename) {
					$_src=ALTADOC_UF_PATH."videoset".DS."groups".DS."thumbs".DS.$filename;
					$_dest=$_src;
					if(Files::isImage($_src)){
					$res=Files::resizeImage($_src, $_dest,galleryConfig::$thumbWidth,galleryConfig::$thumbHeight);
					if (!$res) return 0;
					}
				} else return 0;
			}
		} else return 0;
		$this->updateAlias($psid, Request::getSafe('vgr_alias',""), Request::getSafe('vgr_title',""));
		return $psid;
	}
}

?>