<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

define("_ALTADOC_IE_DROP", 7);
define('_ALTADOC_HTML5',true);

Portal::getInstance()->addScript("jquery.selectBoxIt.js");
Portal::getInstance()->addStylesheet("jquery.selectBoxIt.css");
Portal::getInstance()->addScript("jquery.infoballoon.js");
Portal::getInstance()->addStylesheet("jquery.infoballoon.css");
Portal::getInstance()->addScript("jquery.beautifier.js");
Portal::getInstance()->addStylesheet("jquery.beautifier.css");
Portal::getInstance()->addScript("jquery.nicefileinput.min.js");
Portal::getInstance()->addStylesheet("jquery.nicefileinput.css");
$scroll_script="$(window).load(function() {
	$(window).scroll(function() { if ($(window).scrollTop() != 0) { $('#scrollToTop').fadeIn(); } else if ($(window).scrollTop() == 0) { $('#scrollToTop').fadeOut(); } });
	$('#scrollToTop').bind('click',function(){ $('html, body').animate({ scrollTop: 0  }, 200);	});
});";
Portal::getInstance()->addScriptDeclaration($scroll_script);
echo $this->renderSystemMessage(); ?>
<div id="outer_wrapper" class="clearfix">
	<div id="panel">
		<div id="panel_line">
			<div id="panel_butt_exit" class="panel_button_r"><a title="<?php echo Text::_('Logout'); ?>" href="/index.php?option=logout"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
			<div id="panel_butt_help" class="panel_button_r"><a class="relpopuptext80"  title="<?php echo Text::_('Help'); ?>" href="index.php?module=help&amp;notmpl=1"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
			<div id="panel_butt_license" class="panel_button_r"><a class="relpopuptext80" title="<?php echo Text::_('License'); ?>" href="index.php?module=help&amp;layout=license&amp;notmpl=1"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
			<div id="panel_butt_site" class="panel_button_r"><a target="_blank" title="<?php echo Text::_('Back to frontend'); ?>" href="<?php echo Portal::getInstance()->getURI(1); ?>"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
			<div id="panel_butt_cpanel" class="panel_button_l"><a title="<?php echo Text::_('Main page'); ?>" href="index.php"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
			<div id="panel_logo"><p><a target="_blank" href="http://altadoc.ru">AltaDoc-CMS&nbsp;<small><?php echo Portal::getVersion()."&nbsp;".Portal::getLicenseType(); ?></small></a><?php echo " - ".Text::_("Administration"); ?></p></div>
		</div>
		<?php Portal::getInstance()->placeWidget('adminmenu',array('menuId'=>1,'menu_divId'=>'panel_line1'),0); ?>
	</div> <!-- panel -->
	<div class="clear"></div>
	<div id="inner_wrapper"><?php echo $this->moduleHTML; ?></div>
	<div id="clear"></div>
	<div id="footer_m">
		<div id="footer_l"></div> <!-- footer_l -->
		<div id="footer_r"><?php echo $this->getCopyright(); ?></div> <!-- footer_r -->
	</div> <!-- footer_m -->
</div> <!-- contentWrapper -->
<a id="scrollToTop" title="" class="scrollToTop" style="display:none;"><?php echo Text::_("Scroll up"); ?></a>
<?php 
//Portal::getInstance()->addStylesheet("jquery.selectBoxIt.css");
//Portal::getInstance()->addStylesheet("jquery.infoballoon.css");
//Portal::getInstance()->addStylesheet("jquery.beautifier.css");
//Portal::getInstance()->addStylesheet("jquery.nicefileinput.css");
?>