//ALTADOC_COPYRIGHT_TEMPLATE

function getDeliveryForm(obj)  {
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'renderDeliveryForm',
			psid:$(obj).val()
		}),
		dataType:'html',
		success: function (data, textStatus) {
			$('#delievery_form').html(data);
//			$('#dt_selector').validate();
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}

function setDeliveryList(obj){
ajaxShowActivity();
$.ajax({
	url : siteConfig['siteUrl']+'index.php',
	data:({type:'module',
		option:'ajax',
		module:'catalog',
		task:'renderDeliverySelector',
		psid:$(obj).val()
	}),
	dataType:'html',
	success: function (data, textStatus) {
		$('#delievery_selector').html(data);
		$('#delievery_form').html("");
//		$('#dt_selector').validate();
		ajaxHideActivity();
	},
	error: function () { ajaxHideActivity(); return false; }
});
}

function fillAddressPanel(obj) {
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'getAddress',
			psid:$(obj).val()
		}),
		dataType:'json',
		success: function (data, textStatus) {
			for(var key in data) {
				if ($('#'+key).attr('type')!=undefined) {
					if(key==='use_as_default') { continue; }
					switch($('#'+key).attr('type')){
						case 'checkbox':
							if (data[key]=='1') { $('#'+key).attr('checked','checked');	} 
							else { $('#'+key).attr('checked',''); }
							$('#'+key).change();
							break
						case 'select-one':
							$('#'+key).val(data[key]);
							$('#'+key).change();
							break
						default:
							$('#'+key).val(data[key]);
							break
					}
					console.log(key);
					console.log($('#'+key).attr('type'));
				}
			}
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
	
}
function toggleAddressPanel(obj,ehide){
	if ($(obj).val()>0) $('#'+ehide).hide();
	else $('#'+ehide).show();
}
function checkDeliveryForm(visible_only,fillManual) {
	if (form_checkfill('dt_selector',visible_only)){
		if (fillManual) fillManualInput('dt_selector');
		go_form('dt_selector');
	}
}  
function setCustomGoodsFilter(filter_by,id){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'setCustomFilter',
			filter_by:filter_by,
			psid:id
		}),
		dataType:'html',
		success: function (data, textStatus) {
//			if (data=='OK'){
//				window.location.reload();
//			}
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function resetCustomGoodsFilter(filter_by){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'resetCustomFilter',
			filter_by:filter_by
		}),
		dataType:'html',
		success: function (data, textStatus) {
			if (data=='OK'){
				window.location.reload();
			}
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function goodsComplectSetVisible(el,tab_id){
	if ($(el).val()==5) $('#gmtab_'+tab_id).show();
	else $('#gmtab_'+tab_id).hide();
}