<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class articleModule extends Module {

	public function prepare() {
		$this->setDefaultView('read');
	}
	public function getSitemapHTML($links=true) { 
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		
		$tree=new simpleTreeTable();
		$tree->table="articles";
		$tree->fld_id="a_id";
		$tree->fld_parent_id="a_parent_id";
		$tree->fld_title="a_title";
		$tree->fld_deleted="a_deleted";
		$tree->fld_enabled="a_published";
		$tree->fld_alias="a_alias";
		$tree->fld_orderby="a_title";
		$tree->element_link="index.php?module=article&amp;view=read&amp;psid=";
		$tree->buildTreeArrays("",0,1,1);
		$result["html"] = $tree->getTreeHTML(0,'ul','article_tree');
		return $result;
	}	
}

?>