<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if (count($this->articles)) {
	foreach($this->articles as $article) {
		echo "<div class=\"articleBlock\" id=\"articleBlock_".$article->a_id."\">";
		$artLink = "index.php?module=article&amp;view=read&amp;psid=".$article->a_id;
		echo "<div class=\"articleTitle\"><a class=\"articleTitle\" href=\"".Router::_($artLink)."\">".$article->a_title."</a></div>";

		echo "<div class=\"articleData\">";
		$authorLink ="<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$article->a_author_id)."\">".$article->author."</a>";
		echo "<div class=\"articleProp\"><b>".Text::_('AUTHOR').":&nbsp;&nbsp;</b>".$authorLink."&nbsp;";
		echo "<b>".Text::_('DATE').":&nbsp;&nbsp;</b>".$article->a_date."</div>";
		echo "</div>";
		echo "<div class=\"articleShort\">";
		$first_hr=mb_strpos($article->a_text,'<hr id="system-readmore"',0);
			
		if ($first_hr) echo mb_substr($article->a_text,0,$first_hr);
		else echo mb_substr(strip_tags($article->a_text), 0, siteConfig::$shortTextLength); 
		echo "</div>";
		echo "<div class=\"readMore\">";
		echo "<a href=\"".$artLink."\">".Text::_("Read more")."...</a>";
		
		echo "</div>";
		echo "</div>";
	}
}
?>