<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<div class=\"postShare\">".Event::raise("share.artile")."</div>";
?>
<div class="ArticleList">
	<?php
	foreach ($this->articles as $post) {
 $postlink=Router::_("index.php?module=article&amp;view=read&amp;psid=".$post->a_id);
 if (!$post->a_published) $published=" unpublished"; else $published="";
 ?>
	<div class="artBlock" id="post_<?php echo $post->a_id; ?>">
		<div class="artTheme<?php echo $published; ?>">
			<span class="artDate"><?php echo Date::fromSQL($post->a_date,true,true); ?>
			</span>
			<h2 class="title">
				<a href="<?php echo $postlink; ?>"><?php echo $post->a_title; ?>
				</a>
			</h2>
		</div>
		<div class="artText">
			<?php 		
			if($img=$this->getImage($post->a_thumb))
				echo "<div class=\"artThumb\"><img src=\"".$img."\" alt=\"".$post->a_alt_thm."\" title=\"".$post->a_title_thm."\" /></div>";
			$first_hr=mb_strpos($post->a_text,'<hr id="system-readmore"',0);
			Event::raise('content.prepare', array(), $post->a_text);
			if ($first_hr) echo mb_substr($post->a_text,0, $first_hr)."...";
			else echo mb_substr(strip_tags($post->a_text), 0, siteConfig::$shortTextLength)."...";
			echo "<div class=\"readMore\">";
			echo "<a href=\"".$postlink."\">".Text::_('Read more');
			echo "</div>";
?>
		</div>
	</div>
	<?php } ?>
</div>
