<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if ($this->art) {
?>
	<?php if ($this->showTitle == 1) { ?>
	<h1 id="articleTitleRead"><?php echo $this->articleTitle; ?></h1>
	<?php } ?>
	
	<?php
		if ($this->art->a_thumb) {
			$filename=ALTADOC_UF_PATH."article".DS."thumbs".DS.Files::splitAppendix($this->art->a_thumb,true);
			if (Files::isImage($filename))	{
				$filelink=ALTADOC_UF."/article/thumbs/".Files::splitAppendix($this->art->a_thumb);
				echo "<img class=\"articleThumb\" alt=\"".$this->art->a_thumb."\" src=\"".$filelink."\" />";
			}
		}
	?>
	<?php if ($this->articleShowInfo == 1) { ?>
	<div id="articleHeader">
		<div class="articlePropR articleShare"><?php echo Event::raise("share.article");  ?></div>
		<div class="articleProp articleDate"><?php echo Date::GetdateRus($this->articleDate); ?></div>
		<div class="articleProp articleAuthor"><span><?php echo Text::_('Author'); ?>:&nbsp;&nbsp;</span>
			<a href="<?php echo $this->articleAuthorProfileUrl; ?>"><?php echo $this->articleAuthor; ?></a>
		</div>
		<?php if ($this->use_rating) { ?>
		<div class="articleProp"><b><?php echo Text::_('Rating'); ?>:&nbsp;&nbsp;</b><?php echo $this->articleRating; ?></div>
		<?php } ?>
	</div>
	<?php }
	Event::raise('content.prepare', array("used_in_module"=>"article"), $this->articleHTML);
	$strippedHTML=strip_tags($this->articleHTML);
	if (!empty($strippedHTML)) {
	?><div id="articleTextRead"><?php echo $this->articleHTML; ?></div><?php
	}
	if (($this->use_rating)&&($this->canVote)&&($this->articleShowInfo)) {
		echo "<div id=\"articleVote\">";
		echo Event::raise("rating.rendervotepanel",array("module"=>"article","element"=>"object","psid"=>$this->art->a_id, "mess"=>Text::_("Vote this article")));  // content.rating
		echo "</div>";
	}
	if (count($this->arrChilds)>0){
		if (!empty($strippedHTML)) {
			echo "<div class=\"articleChildsTitle\">".Text::_("Articles")."</div>";
		}
		foreach($this->arrChilds as $key=>$row) {
			echo "<div class=\"articleChild\">";
			if ($row->a_alias) echo " <a href=\"".Router::_("index.php?module=article&amp;view=read&amp;psid=".$row->a_id."&amp;alias=".$row->a_alias)."\"><span>".$row->a_title."</span></a>";
			else echo " <a href=\"".Router::_("index.php?module=article&amp;view=read&amp;psid=".$row->a_id)."\"><span>".$row->a_title."</span></a>";
			echo "</div>";
		}
	}
if(!$this->notmpl){
?>
	<!-- Блок комментариев -->
	<div class="comments_list">
	<?php if ($this->comm->commentsEnabled()&&$this->comm->checkACL("read")){
		echo "<h4 class=\"titleBlockComment\">".Text::_('Comments').":</h4>";
		echo $this->comm->renderComments();
		if ($this->comm->checkACL("write")){	echo $this->comm->renderCommentForm();	}
	}	?>
	</div><!-- Конец блока комментариев-->
<?php 	
}
}
?>