<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<form action="<?php echo Router::_("index.php"); ?>" method="post">
	<input type="hidden" name="module" value="article" />
	<input type="hidden" name="task" value="save" />
	<input type="hidden" name="psid" value="<?php echo $this->articleId; ?>" />
	<fieldset class="art-params">
 	<legend class="article"><?php echo Text::_('Article parameters'); ?></legend>

	<div class="editInput">
 		<?php echo Text::_('Identificator'); ?>:
	  <?php if($this->articleId) echo $this->articleId; else echo Text::_('Unavailable while unsaved');  ?>
	</div>
	<div  class="editInput">
  	<div class="label"><label for="articleDate"><?php echo Text::_('Article date'); ?></label></div>
		<div class="datetime_container" >
			<input type="text" class="dateselector commoninput" id="articleDate" readonly="readonly" title="<?php echo Text::_('Article date'); ?>" name="articleDate" value="<?php echo $this->articleDate; ?>" size="16" />
			<img class="date_selector" src="/images/blank.gif" width="16" height="16" border="0" title="<?php echo Text::_("Date selector");?>"	alt="<?php echo Text::_("Date selector"); ?>" />	</div>
		</div>
	<div class="clr"></div>
	<div id="articleTitle" class="editInput100">
		<div class="label"><label for="articleTitle_inp"><?php echo Text::_('Article title'); ?></label></div>
		<input type="text" id="articleTitle_inp" class="articleTitleEdit" required="required" name="articleTitle" value="<?php echo $this->articleTitle; ?>" size="100"/>
	</div>
	<div class="editInput100">
		<div class="label"><label for="ArticleParent"><?php echo Text::_('Article parent'); ?></label></div>
		<?php echo $this->articleSelect; ?>
	</div>
	<div  class="editInput100">
  	<div class="label"><label for="articleName"><?php echo Text::_('Alias'); ?></label></div>
		<input type="text" class="commoninput" id="articleAlias" title="<?php echo Text::_('Article name alias'); ?>" name="articleAlias" value="<?php echo $this->articleAlias; ?>" size="20" />
	</div>
	<div  class="editInput100">
  	<div class="label"><label for="metatitle"><?php echo Text::_('Meta title'); ?></label></div>
		<input type="text" class="commoninput" id="metatitle" title="<?php echo Text::_('Meta title'); ?>" name="metatitle" value="<?php echo $this->metatitle; ?>" size="120" />
	</div>
	<div  class="editInput100">
  	<div class="label"><label for="metakeywords"><?php echo Text::_('Meta keywords'); ?></label></div>
		<input type="text" class="commoninput" id="metakeywords" title="<?php echo Text::_('Meta keywords'); ?>" name="metakeywords" value="<?php echo $this->metakeywords; ?>" size="120" />
	</div>
	<div  class="editInput100">
  	<div class="label"><label for="metadescr"><?php echo Text::_('Meta description'); ?></label></div>
		<input type="text" class="commoninput" id="metadescr" title="<?php echo Text::_('Meta description'); ?>" name="metadescr" value="<?php echo $this->metadescr; ?>" size="120" />
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articleShowTitle" id="articleShowTitle" <?php echo $this->showTitleCheck; ?> />
		<label for="articleShowTitle"><?php echo Text::_('Show article title'); ?></label>
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articleShowBreadCrumb" id="articleShowBreadCrumb" <?php echo $this->showBCCheck; ?> />
		<label for="articleShowBreadCrumb"><?php echo Text::_('Show breadcrumb'); ?></label>
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articleShowInfo" id="articleShowInfo" <?php echo $this->showInfoCheck; ?> />
		<label for="articleShowInfo"><?php echo Text::_('Show info'); ?></label>
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articleShowInContents" id="articleShowInContents" <?php echo $this->showInContentsCheck; ?> />
		<label for="articleShowInContents"><?php echo Text::_('Show in contents'); ?></label>
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articleShowChilds" id="articleShowChilds" <?php echo $this->showChildsCheck; ?> />
		<label for="articleShowChilds"><?php echo Text::_('Show childs'); ?></label>
	</div>
	<div class="editInput">
		<input type="checkbox" value="1" name="articlePublished" id="articlePublished" <?php echo $this->published; ?> />
		<label for="articlePublished"><?php echo Text::_('Published'); ?></label>
	</div>
	</fieldset>
	<?php echo HTMLControls::renderEditor('articleText','articleText',$this->articleText); ?>
	<div id="articleEditorFooter">
	<input type="submit" class="commonButton" value="<?php echo Text::_('Save'); ?>" />
	<input type="button" onclick="javascript:history.back();" class="commonButton" value="<?php echo Text::_('Close'); ?>" />
	</div>

</form>