<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class blogModelblog extends Model {

	public function getCategory($psid) {
		$query = "SELECT * FROM #__blogs_cats WHERE bc_id=".intval($psid);
		$this->_db->setQuery($query);
		$this->_db->loadObject($res);
		return $res;
	}
	
	public function getBlog($blog_id, $published_only=true) {
		$query = "SELECT * FROM #__blogs WHERE b_deleted=0 AND b_id=".intval($blog_id);
		if ($published_only) $query .=" AND b_enabled=1";
		$this->_db->setQuery($query);
		$this->_db->loadObject($blog);
		return $blog;
	}
	
	/**
	 * 
	 * Список блогов в категории
	 * @param $psid - ид категории
	 */
	public function getBlogs($psid,$published_only=true) {
		$rights=Module::getInstance('blog')->getModel('rights');
		$res=array();
		$query = "SELECT c.*, links.ordering as ordering
 							FROM #__blogs as c 
 							LEFT JOIN #__blogs_links AS links ON links.b_id=c.b_id
							WHERE c.b_deleted=0
							AND c.b_show_in_list=1 
							AND links.parent_id=".$psid;							 
		if ($published_only) $query .=" AND c.b_enabled=1";
		$query .=" ORDER BY links.ordering ASC";
		$this->_db->setQuery($query);
		$result=$this->_db->loadObjectList();
		if(count($result)) {
			foreach($result as $val) {
				if ($rights->checkAction($val->b_id,"read"))	{
					$res[]=$val;
				}
			}
		}
		return $res;
	}
}

?>