<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$cat=$this->category;
?>
<h1 class="title"><?php echo $cat->bc_name; ?></h1>
<div><?php echo $cat->bc_comment; ?></div>
<?php foreach ($this->blogs as $blog) { ?>
<div class="blogBlock" id="blogBlock_<?php echo $blog->b_id; ?>">
	<div class="blogTitle"><a class="blogTitle" href="<?php echo Router::_("index.php?module=blog&amp;view=list&amp;psid=".$blog->b_id."&amp;alias=".$blog->b_alias); ?>"><?php echo $blog->b_name; ?></a></div>
	<div class="blogData"><?php 
		if ($blog->b_thumb) {
			$filename=ALTADOC_UF_PATH."blog".DS."blog_thumbs".DS.Files::splitAppendix($blog->b_thumb,true);
			if (Files::isImage($filename))	{
				$filelink=ALTADOC_UF."/blog_thumbs/list/".Files::splitAppendix($blog->b_thumb);
				echo "<img class=\"bThumb\" title=\"".$blog->b_title_thm."\" alt=\"".$blog->b_alt_thm."\" src=\"".$filelink."\" />";
			}
		}
		echo $blog->b_description; 
	?></div>
</div>
<?php
}
?>