<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<div class=\"postShare\">".Event::raise("share.blog")."</div>";
echo "<h1 class=\"title\">".$this->blog->b_name."</h1>";
if (strlen($this->blog->b_description)>20) {
	//echo "<div class=\"postBlock\"><div class=\"blogDescr\">".Text::toHtml($this->description)."</div>"."</div>";
	echo "<div class=\"blogDescr\">";
	if ($this->blog->b_thumb) {
		$filename=ALTADOC_UF_PATH."blog".DS."blog_thumbs".DS.Files::splitAppendix($this->blog->b_thumb,true);
		if (Files::isImage($filename))	{
			$filelink=ALTADOC_UF."/blog_thumbs/list/".Files::splitAppendix($this->blog->b_thumb);
			echo "<img class=\"bThumb\" title=\"".$this->blog->b_title_thm."\" alt=\"".$this->blog->b_alt_thm."\" src=\"".$filelink."\" />";
		}
	}
	echo $this->blog->b_description;
	echo "</div>";
}
?>
<div class="postList">
	<?php
	foreach ($this->posts as $post) {
		$postlink=Router::_("index.php?module=blog&amp;view=post&amp;psid=".$post->p_id);
		if (!$post->p_enabled) $published=" unpublished"; else $published="";
?>
		<div class="postBlock" id="post_<?php echo $post->p_id; ?>">
			<div class="postTheme<?php echo $published; ?>">
				<span class="postDate"><?php echo Date::fromSQL($post->p_date,false,true); ?>
				</span><a href="<?php echo $postlink; ?>"><?php echo $post->p_theme; ?>
				</a>
			</div>
			<div class="postText">
				<?php 		
				if ($post->p_thumb) {
					$filename=ALTADOC_UF_PATH."blog".DS."thumbs".DS.Files::splitAppendix($post->p_thumb,true);
					if (Files::isImage($filename))	{
						$filelink=ALTADOC_UF."/blog/thumbs/".Files::splitAppendix($post->p_thumb);
						echo "<img class=\"postThumb\" title=\"".$post->p_title_thm."\" alt=\"".$post->p_alt_thm."\" src=\"".$filelink."\" />";
					}
				}
				if (!$this->blog->b_guieditor) Event::raise("bbcode.parse",array(),$post->p_text);
				$first_hr=mb_strpos($post->p_text,'<hr id="system-readmore"',0);
				if ($first_hr) echo mb_substr($post->p_text,0,$first_hr)."...";
				else	echo mb_substr(strip_tags($post->p_text), 0, siteConfig::$shortTextLength)."...";
				echo "<div class=\"readMore\">";
				if(!$this->blog->b_hide_comments){ 
					echo "<a href=\"".$postlink."\">".Text::_('Read post and comments');
					if ($post->p_comments) echo  "&nbsp;(".$post->p_comments.")";
					echo  "</a>&nbsp;&nbsp;&nbsp;";
				} else {
					echo "<a href=\"".$postlink."\">".Text::_('Read more')."</a>";
				}
				if($this->blog->b_post_rating) echo "<div class=\"postListRating\"><span>".Text::_('Rating')."</span>: ".$post->p_rating."</div>";
	
				echo "</div>";
				?>
			</div>
		</div>
	<?php } ?>
</div>
