<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if (isset($this->post)&&$this->post) {
	if (!$this->post->p_enabled) $published=" unpublished"; else $published="";
	?>
	<div class="postBlock" id="post_<?php echo $this->post->p_id; ?>">
	  <div class='leftblog'>
			<h1 class="postTheme<?php echo $published; ?>"><?php echo $this->post->p_theme; ?></h1>
			<div class="postText">
				<?php if(!$this->blog->b_hide_properties){ ?>
				<div class='rightblog'>
					<div class="postData">
						<div class="postProp"><b><?php echo Text::_('Date'); ?></b>: <?php echo Date::fromSQL($this->post->p_date,false,true); ?></div>
						<div class="postProp"><b><?php echo Text::_('Author'); ?></b>: <a href="<?php echo Router::_("index.php?module=user&amp;view=info&amp;psid=".$this->post->p_author_id); ?>"><?php echo $this->post->author; ?></a></div>
						<?php if($this->post->tags) { ?><div class="postProp"><b><?php echo Text::_('Tags'); ?></b>: <?php echo $this->post->tags; ?></div><?php } ?>
						<?php if($this->blog->b_post_rating){?> <div class="postProp"><b><?php echo Text::_('Rating'); ?></b>: <?php echo $this->post->p_rating; ?></div><?php } ?>
						<?php if($this->canVote) { ?>
						<div class="postProp">
							<?php echo Event::raise("rating.rendervotepanel",array("module"=>"blog","element"=>"object","psid"=>$this->post->p_id, "mess"=>Text::_("Vote this post"))); 	 // content.rating
							 ?>
						</div>
						<?php } ?>
						<div class="postProp" style="text-align:right;"><?php echo Event::raise("share.blogpost"); ?></div>
					</div>
				</div>
				<?php } ?>
				<?php
				if ($this->post->p_thumb) {
					$filename=ALTADOC_UF_PATH."blog".DS."thumbs".DS.Files::splitAppendix($this->post->p_thumb,true);
					if (Files::isImage($filename))	{
						$filelink=ALTADOC_UF."/blog/thumbs/".Files::splitAppendix($this->post->p_thumb);
						echo "<img class=\"postThumb\" title=\"".$this->post->p_title_thm."\" alt=\"".$this->post->p_alt_thm."\" src=\"".$filelink."\" />";
					}
				}
				if (!$this->blog->b_guieditor) Event::raise("bbcode.parse",array(),$this->post->p_text);
				Event::raise('content.prepare', array("used_in_module"=>"blog"), $this->post->p_text);
				echo $this->post->p_text;
				?>
			</div>
		</div>
		<?php if(!$this->blog->b_hide_comments){ ?>
		<div class="comments_list"><!-- Блок комментариев -->
		<?php if ($this->comm->commentsEnabled()&&$this->comm->checkACL("read")){
			if ($this->comm_id)	$comments=$this->comm->renderComment($this->comm_id, false);
			else $comments=$this->comm->renderComments();
			if($comments) {
				echo "<h4 class=\"titleBlockComment\">".Text::_('Comments').":</h4>";
				echo $comments;
			}
			else {
				if(!User::getInstance()->isLoggedIn()){
					echo "<h4 class=\"blogCommentWarning\">".Text::_("For adding comments it is necessary to become authorized on a portal")."</h4>";
					echo "<div id=\"sign_in\">
									<h4 class=\"not_authorized\">".Text::_("You are not authorized").".</h4>
									<h4 class=\"please_login\">".Text::_("Please log in or register").".</h4>
									<a rel=\"nofollow\" class=\"linkButton relpopup\" href=\"".Router::_("index.php?module=user&amp;view=login")."\">".Text::_("Log in")."</a>
									<a class=\"linkButton\" href=\"".Router::_("index.php?module=user&amp;view=register")."\">".Text::_("Register")."</a>
				        </div>";
				}
			}

			if ($this->comm->checkACL("write")&&!$this->post->p_closed){	echo $this->comm->renderCommentForm();	}
		}	?>
		</div><!-- Конец блока комментариев-->
		<?php } ?>
	</div>
<?php } ?>