<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogHelperGoods {
	public function getGroupIdByAlias($alias){
		$sql="SELECT ggr_id FROM #__goods_group WHERE ggr_alias='".$alias."'";	
		Database::getInstance()->setQuery($sql);
		return intval(Database::getInstance()->loadResult());	
	}
	public function getGoodsIdByAlias($alias){
		$sql="SELECT g_id FROM #__goods WHERE g_alias='".$alias."'";
		Database::getInstance()->setQuery($sql);
		return intval(Database::getInstance()->loadResult());	
	}
	public function getRandomGoods($grp_id=0,$g_id=0,$new=0,$hit=0) {
		$goods=array();
		if($g_id) { // есть ид товара - просто не морочимся, а его отдаем
			$sql='SELECT * FROM #__goods WHERE g_id='.(int)$g_id;
			Database::getInstance()->setQuery($sql);
			$result=Database::getInstance()->loadObject($goods[0]);
		} else {
			$sql_count="SELECT count(g_id) FROM #__goods";
			$sql_select="SELECT * FROM #__goods";
			$sql_where=" WHERE g_enabled=1 AND g_deleted=0";
			if($grp_id) $sql_where.=" AND g_id IN (SELECT l.g_id FROM #__goods_links AS l WHERE l.parent_id=".(int)$grp_id.")";
			if($new) $sql_where.=" AND g_new=1";
			if($hit) $sql_where.=" AND g_hit=1";
			$sql_count.=$sql_where;
			Database::getInstance()->setQuery($sql_count);
			$count=Database::getInstance()->loadResult();
			if ($count){
				$ind=rand(0,$count-1);
				$sql_select.=$sql_where;
				$sql_select.=" LIMIT ".$ind.",1";	
				Database::getInstance()->setQuery($sql_select);
				$result=Database::getInstance()->loadObject($goods[0]);
			}
		}
		if (count($goods)){
			foreach($goods as $g) {
				$g->g_thumb_url=$this->getThumbImage($g->g_thumb);
				$g->g_goods_url=Router::_("index.php?module=catalog&view=goods&layout=info&psid=".$g->g_id."&amp;alias=".$g->g_alias);
			}
		}
		return $goods;
	}
	public function getThumbImage($img, $url="") {
		if (!$url) {
			$imgpath=ALTADOC_UF_PATH."catalog".DS."i".DS.'thumbs'.DS.Files::splitAppendix($img,true);
			if((file_exists($imgpath))&&(is_file($imgpath))) {
				$imgurl=ALTADOC_UF."/catalog/i/thumbs/".Files::splitAppendix($img);
			} else $imgurl="";
		} else {
			$imgurl=$url."/catalog/i/thumbs/".Files::splitAppendix($img);
		}
		return $imgurl;
	}
	
} 
?>
