<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogModelorders extends SpravModel {
	/*
	 public function getDeliveryClass($dt_id) {
	$delivery=$this->getDeliveryType($dt_id);
	if ($delivery){
	$dt_file=PATH_MODULES."catalog".DS."deliveries".DS.$delivery->dt_file.DS."default.php";
	$dt_class=$delivery->dt_file."DeliveryClass";
	if (is_file($dt_file)){
	require_once $dt_file;
	if (class_exists($dt_class)) return new $dt_class($delivery);
	}
	return new catalogDelivery($delivery);
	}
	return false;
	}
	*/
	public function getDeliveryType($dt_id) {
		//  	if (!$dt_id) return false;
		$db=Database::getInstance();
		$sql="SELECT * FROM #__goods_dts WHERE dt_enabled=1 AND dt_deleted=0 AND dt_id=".$dt_id;
		$db->setQuery($sql);
		$db->loadObject($res);
		return $res;
	}
	public function getDeliveryTypes($pt_id=0,$order_weight=0) {
		$db=Database::getInstance();
		if($pt_id){
			$sql="SELECT d.* FROM #__goods_dts as d, #__goods_dts_links as l
					WHERE l.dt_id=d.dt_id AND d.dt_enabled=1 AND d.dt_deleted=0 AND l.parent_id=".(int)$pt_id;
			if ($order_weight) $sql.=" AND d.dt_weight_limit<".$order_weight;
			$sql.=" ORDER BY d.dt_name";
		} else {
			$sql="SELECT * FROM #__goods_dts WHERE dt_enabled=1 AND dt_deleted=0 ORDER BY dt_name";
		}
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	/*
	 public function getPaymentClass($pt_id) {
	$payment=$this->getPaymentType($pt_id);
	if ($payment){
	$pt_file=PATH_MODULES."catalog".DS."payments".DS.$payment->pt_file.DS."default.php";
	$pt_class=$payment->pt_file."PaymentClass";
	if (is_file($pt_file)){
	require_once $pt_file;
	if (class_exists($pt_class)) return new $pt_class($payment);
	}
	return new catalogPayment($payment);
	}
	return false;
	}
	*/
	public function getPaymentType($pt_id) {
		$db=Database::getInstance();
		$sql="SELECT * FROM #__goods_pts WHERE pt_enabled=1 AND pt_deleted=0 AND pt_id=".$pt_id;
		$db->setQuery($sql);
		$db->loadObject($res);
		return $res;
	}
	public function getPaymentTypes() {
		$db=Database::getInstance();
		$sql="SELECT * FROM #__goods_pts WHERE pt_enabled=1 AND pt_deleted=0 ORDER BY pt_name";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	public function getStatuses(){
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders_status ORDER BY os_id ASC";
		$db->setQuery($sql);
		$res=$db->loadObjectList('os_id');
		return $res;
	}
	public function getOrders(){
		$user = User::getInstance();
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders WHERE o_uid=".$user->getId()." ORDER BY o_date DESC,o_id DESC";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	public function getAbstractOrder($order_id){
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders WHERE o_id=".$order_id;
		$db->setQuery($sql);
		$db->loadObject($res);
		return $res;
	}
	public function getOrder($order_id,$user_id=0){
		if (!$user_id) $user_id=User::getInstance()->getID();
		if ($user_id) {
			$db=Database::getInstance();
			$sql="SELECT * FROM #__orders WHERE o_uid=".$user_id." AND o_id=".$order_id;
			$db->setQuery($sql);
			$db->loadObject($res);
			return $res;
		} else return null;
	}
	public function getOrderItems($order_id){
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders_items WHERE i_order_id=".$order_id;
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		return $res;
	}
	public function renderDeliveryForm($dt){
		$dt_class=catalogDelivery::getDeliveryClass($dt);
		if ($dt_class &&is_callable(array($dt_class,"renderForm"))) return $dt_class->renderForm();
	}
	public function saveOrder($pt, $dt) {
		$user = User::getInstance();
		$basket=Basket::getInstance();
		$_goods = $basket->calculateOrder($pt, $dt);
		$order_comments=Request::getSafe("order_comments","");
		$currency = DEFAULT_CURRENCY;
		$measure=catalogConfig::$default_measure;
		$w_measure=catalogConfig::$default_wmeasure;
		if (($_goods)&&(count($_goods)>0)) {
			$db=Database::getInstance();
			$ip_address = User::getInstance()->getIP();
			if (catalogConfig::$multy_vendor) {
				$vendor=$_SESSION["basket_vendor"];
			} else {
				$vendor=catalogConfig::$default_vendor;
			}
			$order_sql = "INSERT INTO #__orders
					(o_id, o_date, o_uid, o_vendor,	o_pt_id, o_pt_name, o_pt_data, o_pt_sum,
					o_dt_id, o_dt_name, o_dt_data, o_dt_sum,o_discount_sum, o_taxes_sum,
					o_total_sum, o_points, o_currency, o_quantity, o_measure, o_weight, o_wmeasure,
					o_status, o_paid, o_ip_address,o_comments)
					VALUES
					(NULL,
					'".Date::todaySQL()."',
					'".$user->getId()."',
					'".$vendor."',
					'".$pt->getId()."',
					'".$pt->getTitle()."',
					'".$pt->getEncodedData()."',
					'".$basket->paymentSum."',
					'".$dt->getId()."',
					'".$dt->getTitle()."',
					'".$dt->getEncodedData()."',
					'".$basket->deliverySum."',
					'".$basket->discountSum."',
					'".$basket->taxesSum."',
					'".$basket->total."',
					'".$basket->points."',
					'".$currency."',
					'".$basket->quantity."',
					'".$measure."',
					'".$basket->weight."',
					'".$w_measure."',
					'".catalogConfig::$default_order_status."',
					'0',
					'".$ip_address."',
					'".$order_comments."'
					)";
			$db->setQuery($order_sql);
			if ($db->query()) {
				$order_id=$db->insertid();
				foreach ($_goods as $key=>$val) {
					$items_sql="INSERT INTO #__orders_items
							(i_order_id,
							i_g_id,
							i_g_sku,
							i_g_name,
							i_g_quantity,
							i_g_measure,
							i_g_price,
							i_g_weight,
							i_g_wmeasure,
							i_g_tax,
							i_g_tax_name,
							i_g_sum
							)
							VALUES
							('".$order_id."',
							'".$val['g_id']."',
							'".$val['g_sku']."',
							'".$val['g_name']."',
							'".$val['g_quantity']."',
							'".$val['g_sell_measure']."',
							'".$val['g_price']."',
							'".$val['g_weight']."',
							'".$val['g_wmeasure']."',
							'".$val['g_tax']."',
							'".$val['g_tax_name']."',
							'".$val['g_sum']."'
							)";
					$db->setQuery($items_sql);
					if (!$db->query()) {
						$basket->order_message=Text::_("Order items add failed"); return false;
					}
				}
			} else {$basket->order_message=Text::_("Order add failed"); return false;
			}
			$basket->order_complete = 1;
			$basket->order_id=$order_id;
			$basket->order_vendor=$vendor;
			$basket->order_message=Text::_("Your order accepted");
			return $order_id;
		} else { $basket->order_message=Text::_("Basket is empty"); return false;
		}
	}
}
?>