<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$basket = Basket::getInstance();
if (($basket->goods)&&(count($basket->goods)>0)) {
	if (is_object($this->delivery)) {
		if (is_object($this->payment)) {
			echo "<h1 class=\"order_title\">".Text::_("Order registration")."</h1>";
			echo "<form method=\"post\" id=\"dt_selector\" name=\"dt_selector\" action=\"".Router::_("index.php")."\">";
			$delivery=$this->delivery;
			echo "<div class=\"submit_selector\">";
			echo "<b>".Text::_("Delivery type")." : </b>".$delivery->getTitle();
			echo $delivery->renderInfo();
			echo "</div>";
			$payment=$this->payment;
			echo "<div class=\"submit_selector\">";
			echo "<b>".Text::_("Payment type")." : </b>".$payment->getTitle();
			echo $payment->renderInfo();
			echo "</div>";
			echo "<div class=\"submit_selector\">";
			echo $basket->renderFullOrder($payment, $delivery);
			echo "</div>";
			echo "<div class=\"agree_selector\">";
			$href=Router::_("index.php?module=article&view=read&psid=".catalogConfig::$catalog_rules_article."&notmpl=1");
			echo HTMLControls::renderCheckbox("i_agree","",1,"","required");
			echo "&nbsp;&nbsp;&nbsp;";
			echo HTMLControls::renderLabelField("i_agree",Text::_("To confirm this order you must agree with")."&nbsp;<a class=\"rules relpopup\" href=\"".$href."\">".Text::_("our shop rules")."</a>");
			echo "</div>";
			echo "<div class=\"submit_selector\">";
			echo HTMLControls::renderLabelField(false,Text::_("Order comments"));
			echo HTMLControls::renderBBCodeEditor("order_comments","order_comments","",50,3);
			echo "</div>";
			echo "<div class=\"submit_buttons\">";
			echo HTMLControls::renderHiddenField("payment_type",$payment->getId());
			echo HTMLControls::renderHiddenField("delivery_type",$delivery->getId());
			echo HTMLControls::renderHiddenField("module","catalog");
			echo HTMLControls::renderHiddenField("view","orders");
			echo HTMLControls::renderHiddenField("layout","new");
			echo HTMLControls::renderHiddenField("step","0","step");
			echo "<input type=\"submit\" value=\"".Text::_("Back")."\" class=\"shortcutButton\" />";
			echo "<input type=\"button\" onclick=\"javascript:changeOrderStep(4); checkDeliveryForm('dt_selector',true,false);\" value=\"".Text::_("Confirm")."\" class=\"shortcutButton\" />";
			echo "</div>";
			echo "</form>";
		} else Util::redirect(Router::_("index.php?module=catalog&view=orders&layout=new"),Text::_("Undefined payment").".".Text::_("Please contact administrator").".");
	} else Util::redirect(Router::_("index.php?module=catalog&view=orders&layout=new"),Text::_("Undefined delivery").".".Text::_("Please contact administrator").".");
} else { echo $basket->show(); }

?>