<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<div class=\"forumPost\">";
echo "<h1 class=\"title\">".$this->theme->t_theme."</h1>";
Event::raise("bbcode.parse",array(),$this->theme->t_text);
echo "<p class=\"postMessage\">".$this->theme->t_text."</p>";
if($this->premoderated) echo "<p class=\"red_warning\">".Text::_("The message will be published after consideration by moderator")."</p>";
echo "</div>";
if ($this->errMessage) {	echo "<h4 class=\"invalid\">".$this->errMessage."</h4>"; }
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" id="PostForm">
	<input type="hidden" name="module" value="forum" />
	<input type="hidden" name="task" value="savePost" />
	<input type="hidden" name="psid" value="<?php echo $this->theme->t_id; ?>" />
	<input type="hidden" name="pid" value="<?php echo $this->post->p_id; ?>" />
	<input type="hidden" name="page" value="<?php echo $this->page; ?>" />
	<div id="forumTheme">
		<p class="label"><?php echo Text::_('Theme'); ?>:</p>
		<p class="themeTitle"><input size="100" type="text" class="commonEdit required" id="postTitle" name="postTitle" value="<?php echo $this->post->p_theme; ?>" /></p>
		<p class="label"><?php echo Text::_('Text'); ?>:</p>
		<p class="themeText"><?php 
			Event::raise("bbcode.editor",array("element_id"=>"postText"));
			echo HTMLControls::renderBBCodeEditor("postText","postText",$this->post->p_text,80,15,"editorArea required"); 
		?></p>
	</div>
	<div id="forumCaptcha">
		<?php if(!$this->disableCaptcha) echo Event::raise("captcha.renderForm",array("module"=>"forum"))?>
	</div>
	<div id="themeFooter">
		<input type="submit" class="commonButton" value="<?php echo Text::_('Send'); ?>" />
	</div>
</form>