<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class galleryModule extends Module {

	public function prepare() {
		$this->setDefaultView('groups');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getSitemapHTML($links=true) {
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
/*
		$sql='SELECT gr.gr_id, gr.gr_title, gr.gr_alias,g.g_id,g.g_title,g.g_alias 
				FROM #__galleries as g				 
				LEFT JOIN #__gallery_groups as gr ON gr.gr_id = g.g_group_id AND gr.gr_deleted=0 AND gr.gr_published=1  
				WHERE g.g_deleted=0 AND g.g_published=1';
*/
		$sql = "SELECT gr.gr_id, gr.gr_title, gr.gr_alias,g.g_id,g.g_title,g.g_alias 
				FROM #__galleries as g, #__gallery_groups as gr 
				WHERE gr.gr_id = g.g_group_id 
				AND gr.gr_deleted=0 AND gr.gr_published=1 AND gr.gr_show_in_list=1 
				AND g.g_deleted=0 AND g.g_published=1 AND g.g_show_in_list=1";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		$html='';
		$current_category=NULL;
		$html='';
		$ul_started=0;
		if(count($res)) {
			$html.="<ul>";
			foreach($res as $gal) {
				if($current_category!=$gal->gr_id&&!is_null($gal->gr_id)) {
					if($ul_started) $html.="</ul></li>";
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=items&psid=".$gal->gr_id)."\">".$gal->gr_title."</a>";
					$html.="<ul>";
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=images&psid=".$gal->g_id)."\">".$gal->g_title."</a></li>";
					$ul_started++;
					$current_category=$gal->gr_id;
				} else {
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=images&psid=".$gal->g_id)."\">".$gal->g_title."</a></li>";
				}
			}
			if($ul_started) $html.="</ul></li>";
			$html.="</ul>";
		}
		
		$result['html']=$html;
		return $result;
	}	
}

?>