<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewcontents extends View {

	private $_contentsHTML	= "";
	public $inbox = true;

	public function prepare() {
		$this->assign('contentsHTML',$this->_contentsHTML);
	}

	public function addLetter($letter) {
		$lDiv = "<div class=\"letterBlock\" id=\"letterBlock_".$letter->l_id."\">";
		$ltrLink = Router::_("index.php?module=mail&amp;view=read&amp;ltrid=".$letter->l_id);
		$lDiv .= "<div class=\"letterTheme\"><a class=\"letterTheme\" href=\"".$ltrLink."\">".$letter->l_theme."</a></div>";

		$lDiv .= "<div class=\"letterData\">";

		if ($this->inbox == true) {
			$userLink = "<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$letter->l_sender_id)."\">".$letter->sender."</a>";
			$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Sender').":&nbsp;&nbsp;</b>".$userLink."</div>";
		}
		else {
			$userLink = "<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$letter->l_reciever_id)."\">".$letter->reciever."</a>";
			$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Reciever').":&nbsp;&nbsp;</b>".$userLink."</div>";
		}

		$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Date').":&nbsp;&nbsp;</b>".$letter->l_date."</div>";
		$status = "<span class=\"error\">".Text::_('Status unread')."</span>";
		if ($letter->l_read == '1') $status = Text::_('Status read');
		$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Status').":&nbsp;&nbsp;</b>".$status."</div>";
		$lDiv .= "</div>";

		$lDiv .= "<div class=\"letterFooterLinks\" style=\"text-align:right;\">";
		$lDiv .= "<a class=\"linkButton\" href=\"".Router::_("index.php?module=mail&amp;task=delete&amp;inbox=".intval($this->inbox)."&amp;letterid=".$letter->l_id)."\">".Text::_('Delete')."</a>";
		$lDiv .= "</div>";

		$lDiv .= "</div>";

		$this->_contentsHTML .= $lDiv;
	}

	public function setNoLetters() {
		$this->_contentsHTML = "<div class=\"letterBlock\" style=\"height:20px;\"><b>".Text::_('Letters are absent')."</b></div>";
	}

}

?>