<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewinbox extends View {

	private $_inboxHTML	= "";

	public function prepare() {
		$this->assign('inboxHTML',$this->_inboxHTML);
	}

	public function addLetter($letter) {
		$lDiv = "<div class=\"letterBlock\" id=\"letterBlock_".$letter->l_id."\">";
		$ltrLink = "index.php?module=mail&amp;view=read&amp;ltrid=".$letter->l_id;
		$lDiv .= "<div class=\"letterTheme\"><a class=\"letterTheme\" href=\"".$ltrLink."\">".$letter->l_theme."</a></div>";

		$lDiv .= "<div class=\"letterData\">";

		$authorLink = "<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$letter->l_sender_id)."\">".$letter->sender."</a>";
		$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Sender').":&nbsp;&nbsp;</b>".$authorLink."</div>";
		$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Date').":&nbsp;&nbsp;</b>".$letter->l_date."</div>";
		$status = "<<span class=\"error\">".Text::_('Status unread')."</span>";
		if ($letter->l_read == '1') {
			$status = Text::_('Status read');
		}
		$lDiv .= "<div class=\"letterProp\"><b>".Text::_('Status').":&nbsp;&nbsp;</b>".$status."</div>";

		$lDiv .= "</div>";

		$lDiv .= "</div>";

		$this->_inboxHTML .= $lDiv;
	}

	public function setNoLetters() {
		$this->_inboxHTML = "<div class=\"letterBlock\" style=\"height:20px;\"><b>".Text::_('Letters are absent')."</b></div>";
	}

}

?>