<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$k=$this->kvit;
$style='
div#kvitancia {
	width:800px !important;
	margin:0 auto;
	border:1px dotted #CCCCCC;
}
div#kvitancia p.poluch{
	width:250px;
}
div#kvitancia p.rekv{
	font-size:9px;
}
div#kvitancia p.rekv2{
	font-size:9px;
}
div#kvitancia p.plat{
	font-size:9px;
}
div#kvitancia p{
	margin: 0;
	padding: 0;
}
div#kvitancia .bordered{
	border:1px solid;
}
div#kvitancia p.ahtung{
	width:230px;
	border:1px solid;
	text-align:center;
	font-weight:bold;
}
div#kvitancia .kvit_title{
	font-weight:bold;
}
div#kvitancia table{
	border-collapse:collapse;
	padding:0;
}
div#kvitancia table,
div#kvitancia div.kvithead {
	width:100%;
}
div#kvitancia .lt,
div#kvitancia .lb{
	width:200px;
	border-right:1px solid;
}
div#kvitancia .lb,
div#kvitancia .rb{
	border-top:1px solid;
}
div#kvitancia table.new_meter{
	font-size:9px;
}
div#kvitancia table.new_meter td{
	text-align:center;
	border:1px solid #DEDEDE;
}
div#kvitancia table.uslugi{
	font-size:9px;
	font-weight:normal;
}
div#kvitancia table.uslugi th,
div#kvitancia table.uslugi td{
	border:1px solid #DEDEDE;
}
div#kvitancia table.uslugi td.numeric{
	text-align:right;
}
'; 
Portal::getInstance()->addStyle($style);
?>
<div id="kvitancia">
	<table>
		<tr>
			<td class="lt"><div class="forstamp"></div></td>
			<td  class="rt">
			  <div class="kvithead">
			    <table>
			      <tr>
			        <td><p class="poluch"><?php echo $k->kh_poluchat;?></p></td>
			        <td rowspan="2">
			          <p class="ahtung">Для оплаты через сберкассу</p>
			          <p class="rekv"><?php echo $k->kh_bank; ?></p>
			        </td>
			      </tr>
			      <tr>
			       <td class="kvit_title">Извещение за  <?php echo Date::_monthToString($k->kh_month) ." ".$k->kh_year." г.";?></td>
			      </tr>
			      <tr><td colspan="2">
			      	<p class="plat"> Плательщик: <?php echo $k->kh_plat; ?>, Адрес: <?php echo $k->kh_addr; ?>,к.<?php echo $k->kh_flat; ?></p>
			      </td></tr>
			      </table>
			      <table>
			      <tr>
			      	<td width="40%"><small><?php echo  $k->kh_message_1;?></small></td>
			       	<td rowspan="2">
			       		<table class="new_meter">
			       			<tr><td colspan="3">Холодная вода</td><td colspan="3">Горячая вода</td></tr>
			       			<tr><td width="16%">№ счетч.</td><td width="16%">Предыд.</td><td width="16%">Текущие</td><td width="16%">№ счетч.</td><td width="16%">Предыд.</td><td width="16%">Текущие</td></tr>
			       			<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
			       			<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
			       			<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
			       		</table>
							</td>
			      </tr>
			      <tr>
			       <td><strong>Сумма: <?php echo  RusText::SumAsCurrency($k->kh_itog);?></strong></td>
			      </tr>
			      <tr><td colspan="2">Подпись плательщика ____________________________________________</td></tr>
			      
			      </table>
			  </div>
			</td>
		</tr>
		<tr>
			<td class="lb">
				<div class="forstamp2"><br /><br /><br /><br /></div>
			</td>
			<td class="rb">
			  <div class="kvithead">
			    <table>
			      <tr>
			        <td><p class="poluch"><?php echo $k->kh_poluchat;?></p></td>
			        <td>
			          <p class="rekv2"><?php echo $k->kh_bank; ?></p>
			        </td>
			      </tr>
			      <tr>
			       <td colspan="2" class="kvit_title">Квитанция за  <?php echo Date::_monthToString($k->kh_month) ." ".$k->kh_year." г.";?></td>
			      </tr>
			      <tr><td colspan="2">
			      	<p class="plat"> Плательщик: <?php echo $k->kh_plat; ?>, Адрес: <?php echo $k->kh_addr; ?>,к.<?php echo $k->kh_flat; ?></p>
			      </td></tr>
			      </table>
			      <table class="uslugi">
				      <tr>
				      	<th rowspan="2">Наименование услуги</th><th rowspan="2">Тариф</th><th colspan="2">Показания счетчиков</th>
					      <th rowspan="2">Объем услуг</th><th rowspan="2">Начислено</th><th rowspan="2">Льгота</th><th rowspan="2">Перерасчет</th><th rowspan="2">Итого</th>
							</tr>
				      <tr>
				      	<th>Предыд.</th><th>Текущие</th>
							</tr>
							<?php if (count($k->rows)){
								foreach($k->rows as $kt){
									echo "<tr>";
									echo "	<td>".$kt->kt_name."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_tarif."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_meter_1."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_meter_2."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_quantity."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_sum."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_lgota."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_recalc."</td>";
									echo "	<td class=\"numeric\">".$kt->kt_itogo."</td>";
									echo "</tr>";
								}
							} ?>
							<tr>
								<td colspan="5" class="kvit_title">Начислено за  <?php echo Date::_monthToString($k->kh_month) ." ".$k->kh_year." г.";?></td>
								<td></td>
								<td></td>
								<td></td>
								<td class="numeric">kh_cursum</td>
							</tr>
							<tr>
								<td colspan="6" rowspan="6"><?php echo  $k->kh_message_1;?></td>
								<td colspan="2">Задолженность<br />за прош.период</td>
								<td class="numeric"><?php echo $k->kh_debet; ?></td>
							</tr>
							<tr><td colspan="2">За тек.месяц</td><td class="numeric"><?php echo $k->kh_cursum; ?></td></tr>
							<tr><td colspan="2">Оплата</td><td class="numeric"><?php echo  $k->kh_pay; ?></td></tr>
							<tr><td colspan="2">Возврат по льготам</td><td class="numeric"><?php echo  $k->kh_lgot; ?></td></tr>
							<tr><td colspan="2">Пени</td><td class="numeric"><?php echo  $k->kh_peny; ?></td></tr>
							<tr><td colspan="2">ВСЕГО К ОПЛАТЕ</td><td class="numeric"><?php echo  $k->kh_itog; ?></td></tr>
			      </table>
			  </div>
			</td>
		</tr>
	</table>
</div>
