<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$now=time();
if ($this->psid) {
	if ($this->poll) {
		$start_time=Date::GetTimestamp($this->poll->p_time_start);
		$end_time=Date::GetTimestamp($this->poll->p_time_end);
		$contra_href="index.php?module=tsj&view=polls&psid=".$this->poll->p_id."&opinion=-1";
		$pro_href="index.php?module=tsj&view=polls&psid=".$this->poll->p_id."&opinion=1";
		echo "<h3 class=\"title\">".$this->poll->p_name."</h3>";
		echo "<table class=\"tsj_poll\">";
		echo "<tr><td colspan=\"2\">".$this->poll->p_text."</td></tr>";
		echo "<tr><th>".Text::_("Period")." : </th><td>";
		echo Date::GetdateRus($this->poll->p_time_start)." - ".Date::GetdateRus($this->poll->p_time_end);
		echo "</td></tr>";
		echo "<tr><th>".Text::_("Status")." : </th><td>";
		if ($start_time>$now) { echo Text::_("Not started"); }
		elseif ($end_time<$now) {	echo Text::_("Finished");	}
		else { echo Text::_("Continuing");	}
		echo "</td></tr>";
		if (($this->poll->pp_res==1)||($this->poll->pp_res==-1)) {
			echo "<tr><th>".Text::_("Your result")." : </th><td>";
			$res_href="index.php?module=tsj&task=getPollResults&psid=".$this->poll->p_id;
			if ($this->poll->pp_res==1){echo Text::_("Vote pro");	} else {	echo Text::_("Vote contra");}
			echo "</td></tr>";
			echo "<tr><th colspan=\"2\"><br /><a class=\"commonButton relpopuptext\" href=\"".$res_href."\">".Text::_("View results")."</a></th></tr>";
		}	else {
			echo "<tr><td width=\"50%\">";
			echo "<a class=\"commonButton\" href=\"".$pro_href."\">".Text::_("Pro")."</a>";
			echo "</td><td>";
			echo "<a class=\"commonButton\" href=\"".$contra_href."\">".Text::_("Contra")."</a>";
			echo "</td></tr>";
		}
		echo "</table>";
	} else {
		echo "<h3 class=\"title\">".Text::_("Data absent")."</h3>";
	}
} else {
	if (count($this->polls)){
		echo "<table class=\"tsj_polls\">";
		echo "<tr>";
		echo "<th>".Text::_("Theme")."</th>";
		echo "<th>".Text::_("Status")."</th>";
		echo "<th>".Text::_("Your voice")."</th>";
		echo "</tr>";
		foreach ($this->polls as $poll){
			$start_time=Date::GetTimestamp($poll->p_time_start);
			$end_time=Date::GetTimestamp($poll->p_time_end);
			$poll_href=Router::_("index.php?module=tsj&view=polls&psid=".$poll->p_id);
			echo "<tr>";
			echo "<td>";
			echo "<a href=\"".$poll_href."\">".$poll->p_name."</a>";
			echo "</td>";
			echo "<td align=\"center\">";
			if ($start_time>$now) { echo Text::_("Not started"); }
			elseif ($end_time<$now) {	echo Text::_("Finished");	}
			else { echo Text::_("Continuing");	}
			echo "</td>";
			echo "<td align=\"center\">";
			if ($poll->pp_res==1) { echo Text::_("Pro"); }
			elseif ($poll->pp_res==-1) { echo Text::_("Contra"); }
			else { 
				echo "<a class=\"commonButton\" href=\"".$poll_href."\">".Text::_("Not voted")."</a>";
			}
			echo "</td>";
			echo "</tr>";
		}
		echo "</table>";
	}
}
?>
