<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if (backofficeConfig::$allowSNLogin) {
	$html_sn=Event::raise("user.login_form",array("module"=>"user"));
	if ($html_sn) $suffix="_sn"; else $suffix="";
} else {
	$html_sn="";
	$suffix="";
}
$html ="<div class=\"authorizeBlock".$suffix." clearfix\">
	<div id=\"loginForm\" class=\"commonPopup\">
		<form action=\"".Router::_("index.php")."\" method=\"post\">
			<input type=\"hidden\" name=\"option\" value=\"login\" />
			<input type=\"hidden\" name=\"return_url\" value=\"".((isset($this->return_url) && $this->return_url) ? base64_encode($this->return_url) : Util::getRefererUrl())."\" /><p class=\"login_label\">"
			.(backofficeConfig::$allowEmailLogin ? HTMLControls::renderLabelField(false,'Email',true) : HTMLControls::renderLabelField(false,'Login name',true))
			.":</p><p class=\"login_input\"><input type=\"text\" required=\"required\" class=\"commonEdit loginEdit\" name=\"username\" value=\"\" /></p><p class=\"pwd_label\">"
			.HTMLControls::renderLabelField(false,'Password',true)
			.":</p><p class=\"pwd_input\"><input type=\"password\" required=\"required\" class=\"commonEdit loginEdit\" name=\"userpass\" value=\"\" />
			</p><p class=\"remember_label\"><input type=\"checkbox\" id=\"remember_me\" name=\"remember\" />&nbsp;".HTMLControls::renderLabelField('remember_me','Remember me',true)."</p>
			<div id=\"loginButtons\">".HTMLControls::renderButton("login",Text::_('Log in'),"submit");
$html.="</div></form>
	</div>";
if ($html_sn) {
	$html.="<div id=\"snBlock\"><p class=\"title\">".Text::_("You may login as").":</p>";
	$html.="<div id=\"snButtons\">";
	$html.=$html_sn;
	$html.="</div>";
	$html.="</div>";
}
$html.="</div>";
echo $html;
?>