<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$params=array(); $data=array();
Event::raise("user.renderpanelpan",$params,$data);
$usr=User::getInstance();
$at=Request::getSafe('at','');
if ($at) {
	$_script="$(document).ready(function() {switchTabByID('".$at."')});";
	$doc=Portal::getInstance()->addScriptDeclaration($_script);
}
$profile = $this->profile;
if(!empty($profile["pf_img"]["val"])) {
	$img_path=ALTADOC_UF_PATH."user".DS."i".DS."avatars".DS.Files::getAppendix($profile["pf_img"]["val"]).DS.$profile["pf_img"]["val"];
	if (is_file($img_path))	$img='<img width="100" src="'.ALTADOC_UF.'/user/i/avatars/'.Files::getAppendix($profile["pf_img"]["val"])."/".$profile["pf_img"]["val"].'" alt="" />'; 	
	else $img='<img class="avatar" alt="" src="/templates/'.Portal::getInstance()->getTemplate().'/images/nofoto.png" />';
} else $img='<img class="avatar" alt="" src="/templates/'.Portal::getInstance()->getTemplate().'/images/nofoto.png" />';

$about = str_replace("\n", "<br />",$profile["pf_text"]["val"]);
?>
<div class="userpanel">
	<!-- Start switcher -->
	<div id="tab_switcher">
		<ul class="switcher" id="tabs">
			<li id="sw_tab_1" class="switcher current" onclick="switchTab(this,1);">
				<div class="switcher"><span class="pseudo-href"><?php echo Text::_("Service panel"); ?></span></div>
			</li>
			<li id="sw_tab_2" class="switcher" onclick="switchTab(this,2);">
				<div class="switcher"><span class="pseudo-href"><?php echo Text::_("Profile"); ?></span></div>
			</li>
			<li id="sw_tab_3" class="switcher" onclick="switchTab(this,3);">
				<div class="switcher"><span class="pseudo-href"><?php echo Text::_("Private info"); ?></span></div>
			</li>
			<?php if ($this->vendors&&count($this->vendors)) {?>
			<li id="sw_tab_4" class="switcher" onclick="switchTab(this,4);">
				<div class="switcher"><span class="pseudo-href"><?php echo Text::_("Vendor panel"); ?></span></div>
			</li>
			<?php } ?>
			<?php if(count($data)){			
        $npp=100;   			
			  foreach($data as $row){
			  	$npp++;
			   	echo "<li id=\"sw_tab_".$npp."\" class=\"switcher\" onclick=\"switchTab(this,".$npp.");\">
				  <div class=\"switcher\"><span class=\"pseudo-href\">".$row['title']."</span></div></li>"; 
			  }
			} 			  				  
			?>
		</ul>
	</div>
	<!-- End switcher -->
	<!-- Кнопки сервисов  -->
	<div class="tab_body" id="tab_1" style="display: block;">
		<?php if (!catalogConfig::$ordersDisabled) {?>
		<div class="panel_icon"><b> 
			<a href="<?php echo Router::_("index.php?module=catalog&amp;view=orders"); ?>">
				<img src="/images/package.png" height="48" width="48" alt="" /> <?php echo Text::_("Orders Info");?> 
			</a>
		</b></div>
		<div class="panel_icon"><b> 
			<a href="<?php echo Router::_("index.php?module=catalog&task=ShowBasket&option=ajax"); ?>" class="relpopupwt"> 
				<img src="/images/basket.png" height="48" width="48" alt="" /> <?php echo Text::_("Basket Info");?>
			</a> 
		</b></div>
		<?php } ?>
		<?php if (siteConfig::$use_referral_system) {?>
		<div class="panel_icon"><b> 
			<a href="<?php echo Router::_("index.php?module=user&amp;view=structure"); ?>">
				<img src="/images/money.jpg" height="48" width="48" alt="" /> 
				<?php echo Text::_("My structure");?> 
			</a> </b>
		</div>
		<?php }?>
		<div class="panel_icon"><b> 
			<a href="<?php echo Router::_("index.php?module=feedback&view=messages"); ?>">
				<img src="/images/letter.png" height="48" width="48" alt="" /> <?php echo Text::_("My feedbacks");?> 
			</a> 
		</b></div>
		<?php if(User::getInstance()->isAdmin()){ ?>
		<div class="panel_icon"><b> 
			<a href="<?php echo Router::_("administrator/index.php"); ?>">
				<img src="/images/admin.png" height="48" width="48" alt="" /> <?php echo Text::_("Administration");?> 
			</a> 
		</b></div>
		<?php } ?>
	</div> <!-- End tab -->
	<!-- Start tab -->
	<div class="tab_body" id="tab_2">
		<div class="add_info_text"> 
			<fieldset><legend><?php echo Text::_("Base info")?></legend>
				<p class="info50"><b><?php echo Text::_('Login'); ?> : </b> <?php echo $usr->u_source=="system" ? $usr->u_login : strtoupper($usr->u_source); ?> </p>
<?php if($usr->u_source=="system") {?>
				<p class="info50"><b><a href="<?php echo Router::_("index.php?module=user&view=reset"); ?>"><?php echo Text::_('Change password'); ?>&nbsp;<?php echo HTMLControls::renderIcon('minikeys'); ?></a></b></p>
<?php }?>
				<p class="info50"><b><?php echo Text::_('Nickname'); ?> : </b> <?php echo $usr->u_nickname; ?> </p>
				<p class="info50"><b><?php echo Text::_('Category'); ?> : </b> <?php echo $usr->getRoleName(); ?></p>
				<p class="info50"><b><?php echo Text::_('Rating'); ?> : </b> <?php echo $usr->u_rating; ?> </p>
				<p class="info50"><b><?php echo Text::_('Discount'); ?> : </b> <?php echo $usr->u_discount ?> %</p>
				<?php if (siteConfig::$use_points_system) {?><p class="info50"><b><?php echo Text::_('Points'); ?> : </b> <?php echo $usr->u_points; ?> </p><?php }	?>
								
				<?php if (siteConfig::$use_referral_system) {?>
					<p class="info"><b><?php echo Text::_('Invite Link'); ?> : </b> <?php echo Portal::getURI(); ?>ref_<?php echo $usr->u_affiliate_code;?>.html </p>
				  <p class="info50"><b><?php echo Text::_('Account'); ?> : </b> <?php echo $usr->u_account; ?></p>
				<?php }	?>
		 		<p class="info50"><b><a href="<?php echo Router::_("index.php?module=user&view=reset&layout=email"); ?>"><?php echo Text::_('Change e-mail'); ?></a></b></p>
			</fieldset>
		</div>
		<div class="add_info_text"> 
			<fieldset><legend><?php echo Text::_("Public info")?></legend>
			<p class="warning" style="color: #FF0000;"><?php echo Text::_("Popular information") ?>.</p>
			<p class="warning" style="color: #FF0000;"><?php echo Text::_("It is that information which you would like to share with ALL users of a network") ?>.</p>
				<div id="usercontacts">
				<?php	foreach($profile as $key=>$val) {
						if ($key=="pf_img" || $key=="pf_text") continue;
						echo "<p class=\"info50\">";
						echo "<b>".$val["title"]." : </b>";
						echo $val["val"];
						echo "</p>";
				} ?>
			</div>
			<div id="userabout">
				<table>
					<tr><td><?php echo $img ?></td>
					<td><?php echo $about; ?></td></tr>
				</table>
			</div>
			<div class="buttons"><a class="relpopupwt linkButton" href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;task=modifyProfile");?>"><?php echo Text::_("EDIT INFO");?></a></div>
			</fieldset>
		</div>
	</div> <!-- End tab -->
		
	<!-- Start tab -->
	<!--  Компания, адреса счета -->
	<div class="tab_body" id="tab_3">
		<div class="add_info_text">
			<div class="private_warning">
				<p class="warning" style="color: #FF0000;"><?php echo Text::_("It is private information"); ?>.</p>
				<p class="warning" style="color: #FF0000;"><?php echo Text::_("It is stored in the ciphered kind and is accessible ONLY to you and the site personnel having necessary access"); ?>.</p>
				<p class="warning" style="color: #FF0000;"><?php echo Text::_("It is used ONLY when you fulfill those operations on site for which your identification required"); ?>.</p>
			</div>
			<div class="data">
				<fieldset><legend><?php echo Text::_("Business info")?></legend>
					<table class="addresses"><tr>
						<th class="editButton"><a class="relpopupdate editButton"	href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;task=modifyCompany"); ?>"></a></th>
						<td><?php 
						$org_type=Userdata::getOrgType($this->company["org_type"]);
						if ($org_type) echo Text::_($org_type)." : ";
						else echo Text::_("Data absent");
						if ($this->company["fullname"])	echo $this->company["fullname"];
						else echo $this->company["surname"]." ".$this->company["firstname"]." ".$this->company["patronymic"];
						?></td>
					</tr></table>
				</fieldset>
			</div>
			<div class="data">
				<fieldset><legend><?php echo Text::_("Banks info")?></legend>
				<?php if (is_array($this->banks)){ ?>
					<table class="addresses" width="100%">
					<?php 	foreach($this->banks as $key=>$bank){ ?>
						<tr>
							<th class="editButton"><a class="relpopup editButton"	href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;psid=".$key."&amp;task=modifyBank"); ?>"></a></th>
							<td class="add_info_label"><?php if($bank["use_as_default"]) echo Text::_("By default");?></td>
							<td><?php echo $bank["bank"].", ".$bank["rs"];?></td>
							<th class="editButton"><a class="deleteButton" onclick="if (confirm('<?php echo Text::_("Do you want to delete"); ?> ?')) return true; else return false;" href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;psid=".$key."&amp;task=deleteBank"); ?>"></a></th>
						</tr>
					<?php } ?>
					</table>
				<?php } ?>
				<div class="buttons">
					<a class="relpopup linkButton"	href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;task=modifyBank");?>"><?php echo Text::_("Add bank");?></a>
				</div>
				</fieldset>
			</div>
			<div class="data">
				<fieldset><legend><?php echo Text::_("Address info")?></legend>
				<?php if (is_array($this->addresses)){ ?>
					<table class="addresses" width="100%">
					<?php 	foreach($this->addresses as $key=>$addr){ ?>
						<tr>
							<th class="editButton"><a class="relpopup editButton"	href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;psid=".$key."&amp;task=modifyAddress"); ?>"></a></th>
							<td class="add_info_label"><?php if($addr["use_as_default"]) echo Text::_("By default");?></td>
							<td class="add_info_label"><?php echo Address::getTypeTitle($addr["type_id"]);?></td>
							<td><?php echo $addr["fullinfo"];?></td>
							<th class="editButton"><a class="deleteButton" onclick="if (confirm('<?php echo Text::_("Do you want to delete"); ?> ?')) return true; else return false;" href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;psid=".$key."&amp;task=deleteAddress"); ?>"></a></th>
						</tr>
					<?php } ?>
					</table>
				<?php } ?>
				<div class="buttons">
					<a class="relpopup linkButton"	href="<?php echo Router::_("index.php?module=user&amp;view=panel&amp;task=modifyAddress");?>"><?php echo Text::_("Add address");?></a>
				</div>
				</fieldset>
			</div>
		</div>
	</div> <!-- End tab -->
		
	<?php if ($this->vendors&&count($this->vendors)) {?>
	<!-- Start tab -->
	<!--  кнопки вендоров -->
	<div class="tab_body" id="tab_4">
		<div class="panel_icon">
			<a href="<?php echo Router::_("index.php?module=catalog&view=sales"); ?>"> 
				<img src="/images/basket.png" align="middle"	height="48" width="48" border="0" alt="" /> <?php echo Text::_("My sales");?>
			</a> 
		</div>
	</div> <!-- End tab -->
	<?php }?>

	<!-- Start tab -->
	<?php reset($data);
	if(count($data)){		
		$npp=100;
	  foreach($data as $row){
	  	$npp++;	echo "<div class=\"tab_body\" id=\"tab_".$npp."\">".$row['text']."</div>";
	  }
	} 			  				  
	?>
</div>		
