<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$js="$(document).ready(function() {
	$('#regForm').validate({
		messages: {
			rEmail: { required: '!!!', email: '!!!' },
			rCaptchaText: { required: '!!!' }
		}
	});
	$('#email').bind('blur', function() {checkFieldUnique('user',this,".User::getInstance()->getID().");});
});
";
Portal::getInstance()->addScriptDeclaration($js); 
?>
<div id="resetForm">
	<form id="regForm" action="<?php echo Router::_("index.php"); ?>" method="post">
		<input type="hidden" name="module" value="user" />
		<input type="hidden" name="return_url" value="<?php echo $this->return_url;?>" />
		<input type="hidden" name="task" value="resetEmail" />
		<?php if ($this->email) $button_text="Change e-mail"; else $button_text="Save e-mail"; ?>
		<?php if (!$this->email) {?><h2><?php echo Text::_('Finishing registration')?>.</h2><?php }?>
		<h4><?php echo Text::_('For usage all possibilities of our site enter e-mail')?>.</h4>
		<?php if ($this->email) { ?><div class="registrationFormLabel"><?php echo Text::_('Old e-mail')?>: <?php echo User::getInstance()->getEmail(); ?></div><?php }?>
		<div class="registrationFormLabel"><?php echo Text::_('New e-mail')?>:</div>
		<div class="registrationFormField"><input class="commonEdit required email" style="width:280px;" type="text" name="rEmail" id="email" value="" /></div>
		<div class="registrationFormField"><?php echo Event::raise("captcha.renderForm",array("module"=>"user"))?></div>
		<div id="mySettingsFooter" class="buttons"><input type="submit" class="commonButton" value="<?php echo Text::_($button_text); ?>" /></div>
	</form>
</div>
