<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class videosetHelperPlayer{
	public function __construct() {
		/* при замене не забыть убрать лицензию и медиафайлы */
		Portal::getInstance()->addScript("/redistribution/projekktor/projekktor.min.js");
		Portal::getInstance()->addStyleSheet("/redistribution/projekktor/theme/style.css");
		// parent::__construct();
	}
	public function render($id, $title="", $width="320", $height="190", $poster="", $ogg="", $mp4="", $webm=""){
		$script="
$(document).ready(function() {
	projekktor(
		'#player_".$id."', // destination-container-selector-fuzz a la jQuery
		{
			plugins: [\"Display\",\"Controlbar\"]
		}, // an empty Projekktor-ccofig-object
		function(player) { // onready callback -
			$('#projekktorver').html( player.getPlayerVer() );
		}
	);
});";
		Portal::getInstance()->addScriptDeclaration($script);
		$html="<div class=\"videocontainer\">";
		
		$html.="<video id=\"player_".$id."\" class=\"projekktor\"";
		if($poster) $html.=" poster=\"".$poster."\"";
		$html.=" title=\"".$title."\" width=\"".$width."\" height=\"".$height."\" controls>";
		if ($ogg) $html.="<source src=\"".$ogg."\" type=\"video/ogg\" />";
        if ($mp4) $html.="<source src=\"".$mp4."\" type=\"video/mp4\" />";
        if ($webm) $html.="<source src=\"".$webm."\" type=\"video/webm\" />";
    	$html.="</video>";
		$html.="</div>";
		return $html;
	}
}

?>