<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$href="index.php?module=videoset";
echo "<h1 class=\"title\"><a class=\"gallery-groups\" href=\"".Router::_($href)."\">".Text::_("Video galleries")."</a> - ".$this->group->vgr_title."</h1>";
if (galleryConfig::$showParentDescr) {
	echo "<div class=\"video-group-comments\">";
	echo $this->group->vgr_comment;
	echo "</div>";
}
echo "<div class=\"contlist\">";
if (count($this->items)) {
	$autowidth=" style=\"width:".galleryConfig::$thumbWidth."px;\"";
	foreach($this->items as $item) {
		$href="index.php?module=videoset&amp;view=videos&amp;psid=".$item->vg_id;
		if ($item->vg_alias) $href.="&amp;alias=".$item->vg_alias;
		echo "<div class=\"videogallerygroup\">";
		echo "<table><tr><td colspan=\"2\">";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $item->vg_title."</a>";
		echo "</td></tr>";

		echo "<tr><td class=\"thumb\">";
		if ($item->vg_thumb) $img=ALTADOC_UF_PATH.'videoset'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->vg_thumb).DS.$item->vg_thumb;
		else $img="";
		if($img && is_file($img)) 	{
			$img_link=ALTADOC_UF.'/videoset/items/thumbs/'.Files::getAppendix($item->vg_thumb)."/".$item->vg_thumb;
			echo "<a class=\"video-group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." alt=\"".$item->vg_title."\" class=\"video-group-image\" src=\"".$img_link."\" /></a>";
		} else {
			echo "<a class=\"video-group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/images/blank.gif\" /></a>";
		}
		echo "</td>";
		echo "<td class=\"comment\">".$item->vg_comment."</td></tr>";
		echo "</table>";
		echo "</div>";
	}
}
echo "</div>";
?>