<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$video=$this->video;
if ($video) {
	$title=addslashes($video->v_title);
	echo "<h1 class=\"video-title\">".$title."</h1>";
	echo "<div class=\"single-video\">";
	echo $this->renderPlayer($video,$this->big_width,$this->big_height);
	echo "</div>";
	if(count($this->videos)) {
		echo "<div class=\"single-video-list\">";
		echo "<h2 class=\"title\">Список видео :</h2>";
		foreach($this->videos as $row) {
			if($row->v_id!=$video->v_id)  {
				if (is_file($poster = ALTADOC_UF_PATH."videoset".DS."i".DS.Files::getAppendix($row->v_image).DS.$row->v_image))
					$poster = ALTADOC_UF.'/videoset/i/'.Files::getAppendix($row->v_image)."/".$row->v_image;
				else $poster="/templates/zion/images/no_video.png";
				echo "<div class=\"video_elem\">";
				$href="index.php?module=videoset&view=video&psid=".$row->v_id;
				if(isset($row->v_alias)&&$row->v_alias) $href.="&alias=".$row->v_alias;
				$href=Router::_($href);
				echo "<a class=\"videos\" href=\"".$href."\"><img src=\"".$poster."\" alt=\"".$row->v_alt_img."\" tltle=\"".$row->v_title_img."\"/></a>";
				echo "<h3><a href=\"".$href."\">".$row->v_title."</a></h3>";
				echo "</div>";
			}
		}
		echo "</div>";
	}
}
?>