<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class BaseXML{
	
	private $pattern='';
	private $filename='';
	
	private function createPattern()
	{
		$string='<?xml version="1.0" encoding="utf-8" standalone="yes"?>
			<datapacket version="2.0">
				<metadata>
					<fields>					 
					</fields>
				</metadata>
				<rowdata>
				</rowdata>
			</datapacket>';
		$this->pattern=$string;
	}
	
	public function __construct()
	{	
		$this->createPattern();		
	}
	
	public function createPatternFile($filename,$path='')
	{
		if(!$filename) $filename='export_'.date("Ymd_his").".xml";
		if(!$path) $path=PATH_TMP;
		 $this->filename=$path.$filename;	
		 $handler=fopen($this->filename, "w");
	   if (fwrite($handler, $this->pattern) === FALSE) {fclose($handler); return false;}
	   else {return true;}		
	} 
	
	public function getPattern()
	{
	 return $this->pattern;
	}
	
	public function getFilename()
	{
	 return $this->filename;
	}
	/**
	 *  
	 * @param arr_data - массив данных который выгружаем
	 * @param list_field - список полей которые выгружаем
	 * @param filename - имя файла в который выгружаем
	 */
	public function createXMLFile($arr_data,$list_field,$filename='',$path="")
	{
		// создаем паттерн нужной структуры
		if(!$path) $path=PATH_TMP;
		if(!$filename) $filename='export_'.date("Ymd_his").".xml";
		$this->filename=$path.$filename;
		$xml= new SimpleXMLElement($this->pattern);
    // записываем формат таблицы
    
		// список полей
    $fields=$xml->metadata->fields;
    foreach($list_field as $fld=>$tagname)
    {		    
    $field=$fields->addChild('field',$fld);
    $field->addAttribute('tagname', $tagname);
    //$field->addAttribute('fieldtype','string');
    }
    
		$data=$xml->rowdata;
    foreach($arr_data as $keydata=>$valdata)
    {      	
    	$row=$data->addChild('row');
      foreach($valdata as $fld_name=>$fld_val)
      {
      	if(array_key_exists($fld_name, $list_field)!==false)
      	{
      		$field_data=$row->addChild($list_field[$fld_name],$fld_val);
      		
      		//$field_data=$row->addChild('field');    			
    			//$field_data->addAttribute('name', $list_field[$fld_name]);
    			//$field_data->addAttribute('value', $fld_val); 		
      	}
      }     	
    }		
    $handler=fopen($this->filename, "w");
		fwrite($handler, $xml->asXML());
		fclose($handler); 
	}
	
}