<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class FieldSet {
	private $_defs	= array();
	public function get($key,$defaultValue='') {
		if (array_key_exists($key,$this->_defs)) {
			return $this->_defs[$key];
		}	else {
			return $defaultValue;
		}
	}
	public function set($key, $value='') {
		if (array_key_exists($key,$this->_defs)) {
			$oldValue = $this->_defs[$key];
		} else $oldValue = null;
		$this->_defs[$key] = $value;
		return $oldValue;
	}
	public function toArray() {
		return $this->_defs;
	}
}
?>