<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

final class Translit{

	public static function _($string,$coder='utf-8') {
//echo "=1= ".$string." <br />";
		$string=htmlentities(html_entity_decode($string,ENT_QUOTES,"UTF-8"),ENT_QUOTES,"UTF-8");
		$_html_entities_arr_source=array_keys(array_flip(get_html_translation_table(HTML_ENTITIES)));
		$_html_entities_arr_dest=array_fill(0,count($_html_entities_arr_source),"_");
		$string = mb_strtolower($string, $coder);
		$string = str_replace($_html_entities_arr_source,$_html_entities_arr_dest,$string);
//echo "=2= ".$string." <br />";
		$string = str_replace(array(
				'&','?','!','.',',',':',';','*','(',')',
				'{','}','%','#','№','@','$','^','-','+',
				'/','\\','=','|','"','\'','\"',' ',
				'а','б','в','г','д','е','ё','з','и','й',
				'к','л','м','н','о','п','р','с','т','у',
				'ф','х','ъ','ы','э','ж','ц','ч','ш','щ',
				'ь','ю','я'
		), array(
				'_','_','_','_','_','_','_','_','_','_',
				'_','_','_','_','_','_','_','_','_','_',
				'_','_','_','_','_','_','_','_',
				'a','b','v','g','d','e','e','z','i','y',
				'k','l','m','n','o','p','r','s','t','u',
				'f','h','j','i','e','zh','ts','ch','sh','shch',
				'','yu','ya'
		), $string);
//echo "=3= ".$string." <br />";
		$string = preg_replace("/^a-z0-9_/", "", $string);
//echo "=4= ".$string." <br />";
		$string = trim($string, '_');
//echo "=5= ".$string." <br />";
		$string = preg_replace("/_{2,}/", "_", $string);
//echo "=6= ".$string." <br />";
		return $string;
	}

}
