<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

final class aNotifier {

	public static function addToSMSQueue($phone, $text){
		if (!$phone || !$text) return false;
		$result=true;
		Event::raise("sms.add2queue", array("phone_to"=>$phone,"sms_text"=>$text), $result);
		return $result;
	}
		
	public static function addToQueue($to, $title, $text, $format="plain", $phone="", $fromname="", $from=""){
		self::addToMailQueue($to, $title, $text, $format, $fromname, $from);
		self::addToSMSQueue($phone, $text);
	}
	public static function addToMailQueue($to, $title, $text, $format="plain", $fromname="", $from=""){
		if (mailerConfig::$robotNotifier) {
			if (!$from) $from=mailerConfig::$robotEmail; 
			if (!$fromname) $fromname=soConfig::$firmName;
			if (!$fromname) $fromname=$from;
			$now=time();
			$sql = "INSERT INTO #__notifications (n_id,n_from,n_fromname,n_to,n_time,n_title, n_text, n_format)
					VALUES (NULL,	'".$from."','".$fromname."', '".$to."', '".$now."', '".$title."', '".$text."', '".$format."')";
			Database::getInstance()->setQuery($sql);
			Database::getInstance()->query();
		} else {
			$_mailer= new Mailer();
			$_mailer->send($to, $title, $text, $format);
		}
	}
	public static function sendQueue($limit){
		if (!$limit) return;
		$result=false; 
		$queue=self::getQueue($limit);
		$queue_sent=array();
		if (count($queue)){
			$_mailer= new Mailer();
			foreach ($queue as $row){
				if ($row->n_from) {
					$n_from=$row->n_from; 
					if ($row->n_fromname) $n_fromname=$row->n_fromname; else $n_fromname=$n_from;
				} else {
					$n_from=false;
					$n_fromname=false;
				}
				if ($_mailer->send($row->n_to,$row->n_title, $row->n_text,$row->n_format,$n_from,$n_fromname)) $queue_sent[]=$row->n_id;
				Event::raise("sms.send_queue",array(), $result);
			}
			self::cleanQueue($queue_sent);
		} else DBUtil::resetCounter("notifications");
	}
	
	private static function getQueue($limit){
		$sql="SELECT * FROM #__notifications ORDER BY n_time ASC LIMIT 0,".$limit;
		Database::getInstance()->setQuery($sql);
		return 	Database::getInstance()->loadObjectList();
	}
	
	private static function cleanQueue($idents){
		if (count($idents)){
			$ids=implode("','",$idents);
			$sql="DELETE FROM #__notifications WHERE n_id IN('".$ids."')";
			Database::getInstance()->setQuery($sql);
			return Database::getInstance()->query();
		} else return false;
	}
	public static function proceedMail(){
		ini_set('display_errors',0);	error_reporting(0);
		$limit=mailerConfig::$robotNotifierMessages;
		self::sendQueue($limit);
	}
}
?>