<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class DBUtil {
	private static $_nameQuote		= null;
/*
* Only quote if the name is not using dot-notation
* Зачем это надо ??????????????
*/
	public static function getEscaped($text) {
		if (version_compare(phpversion(), "4.3.0", "<")) {
			$string = mysql_escape_string($text);
		} else 	{
			$string = mysql_real_escape_string($text);
		}
		return $string;
	}
	public static function quote($text) {
		return '\''.self::getEscaped($text).'\'';
	}
	public static function nameQuote( $s ) {
		if (strpos( $s, '.' ) === false) {
			$q = self::$_nameQuote;
			if (strlen( $q ) == 1) return $q . $s . $q;
			else return $q{0} . $s . $q{1};
		}	else return $s;
	}
	public static function checkMySQL() {
		if (!function_exists('mysql_connect')) return false;
		if (!function_exists('mysql_select_db')) return false;
		if (!function_exists('mysql_query')) return false;
		if (!function_exists('mysql_close')) return false;
		return true;
	}
	public static function truncate($table=false) {
  	if(!$table) return false;
 		Database::getInstance()->setQuery("truncate table #__$table");
 		return Database::getInstance()->query();
  }
	public static function now() {
		$query = "SELECT NOW()";
		Database::getInstance()->setQuery($query);
		return Database::getInstance()->loadResult();
	}
	public static function resetCounter($tablename=""){
		if (!$tablename) return;
		$sql="ALTER TABLE #__".$tablename." AUTO_INCREMENT=1";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->query();
	}
  public static function sql_table_exist($table = "") {
    $tbl_exist=false;
    $row = mysql_query("SHOW TABLES");
    while ($line = mysql_fetch_array($row)) {
      if($line[0]==$table) $tbl_exist=true;
    }
    mysql_free_result($row);
    return $tbl_exist;
  }
	public static function explain() {
		$db=Database::getInstance();
		$temp = $db->getQuery(false);
		$db->setQuery("EXPLAIN ".$temp);
		if (!$db->query()) return null;
		$first = true;
		$buf = "<table cellspacing=\"1\" cellpadding=\"2\" border=\"0\" bgcolor=\"#000000\" align=\"center\">";
		$buf .= '<pre>'.htmlspecialchars($temp).'</pre>';
		$rows=$db->loadAssocList();
		foreach ($rows as $row) {
			if ($first) {
				$buf .= "<tr>";
				foreach ($row as $k=>$v) $buf .= "<th bgcolor=\"#ffffff\">$k</th>";
				$buf .= "</tr>";
				$first = false;
			}
			$buf .= "<tr>";
			foreach ($row as $k=>$v) $buf .= "<td bgcolor=\"#ffffff\">$v</td>";
			$buf .= "</tr>";
		}
		$buf .= "</table><br />&nbsp;";
		$db->setQuery($temp);
		return "<div style=\"background-color:#FFFFCC\" align=\"left\">$buf</div>";
	}
	
}
?>