<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class Model extends Object {

	protected	$_db			= null;
	protected	$_module		= null;
	private		$_paginator		= null;

	public function __construct($module) {
		$this->initObj();

		$this->_module = $module;
		$this->_db = Database::getInstance();
	}

	protected function getAppendix() {
		return $this->_paginator->getAppendix();
	}

	protected function getModule() {
		return $this->_module;
	}
	public function createPaginator($view,$itemCount) {
		$pageSize = defined("_ADMIN_MODE") ? $this->_module->getConfigValue("Admin_page_size",adminConfig::$adminRecordsPerPage,true) : $pageSize = $this->_module->getConfigValue("Page_size",siteConfig::$recordsPerPage,true);
		$this->_paginator = new Paginator($view, $itemCount, $pageSize);
		return $this->_paginator;
	}
}

?>