<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class SpravView extends View {
	protected $buttons_source="";

	public function renderSpravPanels(&$meta, &$rows, &$tree)	{
		echo "<div id=\"sprav-panel\">";
		$this->renderTree($meta, $tree);
		$this->renderSprav($meta, $rows);
		echo "</div>";
	}
	public function renderTree(&$meta, &$tree)	{
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$multy_code=$reestr->get('multy_code');
		if(!$this->buttons_source) $this->buttons_source = Portal::getURI().LINK_TEMPLATES."/".Portal::getInstance()->getTemplate()."/images/buttons/";

		Portal::getInstance()->addScript("/redistribution/jquery.plugins/jquery.treeview.js");
		Portal::getInstance()->AddScriptDeclaration('$(document).ready(function(){
			$("#sprav-tree").treeview({
				animated: 100,
				unique: false,
				persist: "cookie",
				cookieId: "spravnavigator"
			});
			$("#multycode_'.$multy_code.'").addClass("active");
		});');
		echo "<div id=\"tree-panel\">";
		echo "<div class=\"nmb\">";
		echo "<table class=\"sprav_tree_title\"><tbody><tr><td class=\"root_btn\">";
		echo "<div class=\"picto_left\"><a onclick=\"".sprintf($tree->element_js,'')."\">";
		echo "<img title=\"".Text::_("Show root")."\" alt=\"Top\"  class=\"sprav-button-home\" src=\"/images/blank.gif\" />";
		echo "</a></div>";
		echo "</td><td>";
		echo Text::_("Navigator");
		echo "</td><td class=\"collapse_tree_button\">";
//		$spr_collapse_dir="left"; echo "<div id=\"collapse_button\" class=\"tree_collapse_".$spr_collapse_dir."\"><a onclick=\"toggleSpravTree()\">";
		echo "<div id=\"collapse_button\" class=\"picto_right\"><a onclick=\"toggleSpravTree()\">";
//		echo "<img title=\"".Text::_("Toggle tree")."\" alt=\"\" src=\"/images/blank.gif\" width=\"1\" height=\"1\" />";
		echo "<img class=\"sprav-button\" title=\"".Text::_("Toggle tree")."\" alt=\"\" src=\"/images/blank.gif\" width=\"1\" height=\"1\" />";
		echo "</a></div>";
		echo "</td></tr></tbody></table></div>";
		echo "<div class=\"sprav_tree_data\">".$tree->getTreeHTML(0,"ul","sprav-tree", "treeview",0,"multycode")."</div>";
		echo "</div>";
	}
	public function renderSprav(&$meta, &$rows)	{
		Portal::getInstance()->addStyleSheet("sprav.css",true);
		$this->buttons_source = Portal::getURI().LINK_TEMPLATES."/".Portal::getInstance()->getTemplate()."/images/buttons/";
		$_form ="";
		/* кнопки слева, заголовок, кнопки справа */
		$_html_pan="";
		$_html_left_pan="";
		$_html_center_pan="";
		$_html_right_pan="";
		/* заголовок и тело таблицы */
		$_table = "";	$_table_header_arr=""; $_table_body_arr=""; $_table_keys_arr="";
		/* листалка */
		$_html_footer="";
		/*********получаем необходимые переменные*********/
		$user = User::getInstance();
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$_lol=$reestr->get('lol'); if ((!$_lol)&&($meta->selector)) Util::halt();
		$is_admin=$user->isAdmin();
		$needpan=$reestr->get('needpan',true);
		$is_ajax=$reestr->get('is_ajax',false);
		$this->milestone('Spravochnick: Start "render"');
		$consider_parents=$reestr->get('consider_parents',true);
		if($meta->classTable) $_table_class=$meta->classTable; else $_table_class='sprav';
		if($meta->nofilter) $use_filter=false; else $use_filter=$reestr->get('use_filter',true);
		$start = $reestr->get('start',0);
		$sort = $reestr->get('sort');
		$module = Request::getSafe('module',$mdl->getName());
		$view =Request::getSafe('view',$mdl->getDefaultView());
		$alias = Request::getSafe("alias");
		$option=Request::get('option','module');
		$layout = $this->get('layout');
		$psid=$reestr->get('psid');
		//$psid=$mdl->get('psid');
		$multy_code=$reestr->get('multy_code');
		/*if (defined("_ADMIN_MODE")) $canModify=true;
		 else*/
		$canModify=$reestr->get('canModify',false);
		$orderby = $reestr->get('orderby');
		$orderby_link = "&amp;orderby=".$orderby;
		$dop_head=$reestr->get('dop_head','');
		$sel_filt=$reestr->get('sel_filt');
		$str_sql_wf=$reestr->get('str_sql_wf');
		$records_count_wf=$reestr->get('records_count_wf',0);
		$ref = "index.php?module=".$module."&amp;view=".$view;
		if ($multy_code) $ref .= "&amp;multy_code=".$multy_code;
		$filtered = $reestr->get('filtered');
		$KeyStringTabl=$meta->keystring;
		$fldcurrency=$meta->keycurrency;
		// проверка необходимости проставлять чеки строк
		$col_count = count($meta->field);                   //количество полей таблицы
		$colrows=count($rows);
		if(defined("_ADMIN_MODE")) $side=1; else $side=0;
		if (isset($_SESSION['filter_np'][$module][User::getInstance()->getID()][$view.".".$layout.".".$side])&&($_SESSION['filter_np'][$module][User::getInstance()->getID()][$view.".".$layout.".".$side]==1)) $no_pages=1;
		else {
			if(Request::get('reset_filter',false)) $no_pages=0;
			else $no_pages=Request::getInt('no_pages',0);
		}
		$trash= $reestr->get('trash',0);
		if($trash==1) {
			$trash_text="<br /><span class=\"small\">".Text::_("Trash records")."</span>";
		} else $trash_text='';
		// заголовки
		$_form .= "<form name=\"frmList\"  action=\"".(defined("_ADMIN_MODE") ? "index.php" : Router::_("index.php"))."\" method=\"post\">\n";
		$_form .= "<input type=\"hidden\" id=\"view\" name=\"view\" value=\"".$view."\" />\n";
		$_form .= "<input type=\"hidden\" id=\"option\" name=\"option\" value=\"".$option."\" />\n";
		$_form .= "<input type=\"hidden\" id=\"task\" name=\"task\" value=\"\" />\n";
		$_form .= "<input type=\"hidden\" id=\"return\" name=\"return\" value=\"0\" />\n";
		$_form .= "<input type=\"hidden\" id=\"module\" name=\"module\" value=\"".$module."\" />\n";
		$_form .= "<input type=\"hidden\" id=\"layout\" name=\"layout\" value=\"".$layout."\" />\n";
		$_form .= "<input type=\"hidden\" id=\"sort\" name=\"sort\" value=\"$sort\" />\n";
		$_form .= "<input type=\"hidden\" id=\"orderby\" name=\"orderby\" value=\"$orderby\" />\n";
		$_form .= "<input type=\"hidden\" id=\"start\" name=\"start\" value=\"$start\" />\n";
		$_form .= "<input type=\"hidden\" id=\"multy_code\" name=\"multy_code\" value=\"$multy_code\" />\n";
		$_form .= "<input type=\"hidden\" id=\"psid\" name=\"psid\" value=\"\" />\n";
		$_form .= "<input type=\"hidden\" id=\"trash\" name=\"trash\" value=\"".$trash."\" />\n";
		if ($is_admin && $needpan) {
			// Панели только админам, и только в админке, остальным кнопки прямо в шаблонах
			$_html_left_pan .= "<div id=\"sprav_mnu_left\">";
			if ($meta->tree_index && !$trash && !$meta->selector){
				$_html_left_pan.= "<div id=\"toggle_sprav_tree\" class=\"picto_left\"><a href=\"#\" onclick=\"javascript:toggleSpravTree(); return false;\">";
				$_html_left_pan.= "	<img class=\"sprav-button\" src=\"/images/blank.gif\" alt=\"\" title=\"".Text::_("Toggle tree")."\" />";
				$_html_left_pan.= "</a></div> \n";
			}
			if(defined("_ADMIN_MODE")) {
				if ($trash) {
					$_html_left_pan .= $this->renderButton($meta,'list','Back to list', '',  false, 'left', false);
					$_html_left_pan .= $this->renderButton($meta,'filter', 'Filter', '', false, 'left', true);
				} else {
					$_html_left_pan .= $this->renderButton($meta,'go_up', 'Go up level', '',  false, 'left', false);
					if ($canModify) $_html_left_pan .= $this->renderButton($meta,'new', 'Add element', '', false, 'left', false);
					if ($canModify) $_html_left_pan .= $this->renderButton($meta,'clone', 'Clone element', 'Please select element from list', false, 'left', true);
					if ($canModify) $_html_left_pan .= $this->renderButton($meta,'modify', 'Modify element', 'Please select element from list', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'info', 'Info', 'Please select element from list', false, 'left', true);
					if ($canModify) $_html_left_pan .= $this->renderButton($meta,'new_string', 'Add element', 'Please select element from list', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'datagramm', 'Datagramm', 'Please select element from list', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'refresh', 'Refresh', 'Please select element from list', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'print', 'Print', 'Please select element from list', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'filter', 'Filter', '', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'filter_no', 'No filter', '', false, 'left', true);
					$_html_left_pan .= $this->renderButton($meta,'separator','','',false,"left",false);
					if ($canModify && $meta->linktable) $_html_left_pan .= $this->renderButton($meta,'modify_links', 'Modify links', 'Please select element from list', false, 'left', true);
					if ($canModify &&	((!$meta->linktable)||($meta->linktable && $multy_code)))
						$_html_left_pan .= $this->renderButton($meta,'reorder', 'Reorder items', '', 'Do you want to reorder all elements', 'left', true, false);
					$_html_left_pan .= $this->renderUniButtons($meta,'left');
				}
			} else $_html_left_pan .= $this->renderButton($meta,'go_up', 'Go up level', '',  false, 'left', false);
			$_html_left_pan .= "</div>";
		}
		if($needpan) {
			$head_text = Text::_($meta->title); if ($dop_head && $consider_parents) $head_text .= ": ".$dop_head;
			$_html_center_pan .= "<div id=\"sprav_mnu_center\"><table class='sprav_title_text'><tr><td><span class=\"spravtitle\">".$head_text.$trash_text."</span></td></tr></table></div>\n";
		}
		if(($is_admin)&&($needpan)) {
			$_html_right_pan .= "<div id=\"sprav_mnu_right\">";
			//if($meta->selector&&!$meta->tree_index) {
			if($meta->selector) {
				$_html_right_pan.= "<div class=\"picto_right\">";
				$_html_right_pan.= "	<a href=\"\" onclick=\"alterAjaxFilter('".$meta->namestring."','".$module."','".$view."','".$layout."','".$psid."','".$trash."','".$sort."','".$orderby."','0','".request::getSafe('lol','linkEditor')."'); return false;\">";
				$_html_right_pan.= "		<img class=\"sprav-button-filter\" src=\"/images/blank.gif\" alt=\"F\" title=\"".Text::_("Apply")."\" />";
				$_html_right_pan.= "	</a>";
				$_html_right_pan.= "</div>\n";
				$_html_right_pan.="<div class=\"filter_selector\">".HTMLControls::renderLabelField($meta->namestring,Text::_("Filter"))." ".HTMLControls::renderInputText("filter_".$meta->namestring,'',20);
				$_html_right_pan.="</div>";
			}	else {
				if (defined("_ADMIN_MODE") && $canModify) {
					if($trash) {
						$_html_right_pan .= $this->renderButton($meta,'undelete', 'Undelete element', 'Please select element from list','Do you want to restore selected elements', 'left', true);
						$_html_right_pan .= $this->renderButton($meta,'clean_trash','Clean trash', "", 'This will completely remove all trashed and related elements. Continue','right', true, false);
					}	else {
						$_html_right_pan .= $this->renderButton($meta,'trash','Trash', '',  false, 'right', false);
						$_html_right_pan .= $this->renderButton($meta,'delete', 'Delete element', 'Please select element from list', 'Do you want to delete selected elements', 'right', true);
						$_html_right_pan .= $this->renderUniButtons($meta,'right');
					}
				}
			}
			$_html_right_pan .= "</div>\n";
		}

		if ($is_admin)	$_html_pan="<div id=\"nmb\" class=\"nmb\">".$_html_left_pan.$_html_center_pan.$_html_right_pan."</div>";
		else $_html_pan=$_html_center_pan;
		/* получили заголовок справочника с кнопками */
		$t_col_count = $col_count;
		if(($meta->selector)&&($is_ajax)) {
			$_table_header_arr["selector"]['html']="";
			$_table_header_arr["selector"]['value']="";
			$_table_header_arr["selector"]['class']="";
			$_table_header_arr["selector"]['orderby_class']="";
			$_table_header_arr["selector"]['onclick']="";
			$_table_header_arr["selector"]['width']="no";
			//		} else if(($meta->checkbox)&&(!$is_ajax))	{
		} elseif($meta->checkbox)	{
			$t_col_count = $t_col_count + 1;
			$_th_onclick="";
			$_table_header_arr["checkbox"]['html']="<input onclick=\"checkAll(this);\" id=\"toggle_all\" type=\"checkbox\" name=\"toggle\" value=\"\" />";
			$_table_header_arr["checkbox"]['value']="";
			$_table_header_arr["checkbox"]['class']="checkbox";
			$_table_header_arr["checkbox"]['orderby_class']="";
			$_table_header_arr["checkbox"]['onclick']=$_th_onclick;
			$_table_header_arr["checkbox"]['width']="no";
		} else { }
		if (defined("_ADMIN_MODE")&&($meta->linktable)&&($multy_code)&&(!$trash)&&($consider_parents)) { // заголовок линковочного поле сортировки
			if ($reestr->get('sort')=="ordering") {
				$orderby_class = ($orderby=="ASC" ? " order-down" : " order-up");
				$next_orderby = $reestr->get('next_orderby');
				$next_orderby_link = "&amp;orderby=".$next_orderby;
			} else { $next_orderby_link=''; $next_orderby=""; $orderby_class=" order-not-set";
			}
			if ($is_ajax) $_th_onclick="onclick=\"javascript:switchSortLink('".$module."','".$view."','".$layout."','0','ordering','".$next_orderby."','".$start."','".$_lol."','".$multy_code."');\"";
//			else $_th_onclick="onclick=\"javascript:setSortLink('".Router::_($ref)."','".$trash."','ordering','".$next_orderby."','".$start."','".$layout."','".$multy_code."');\"";
			else {
				$sort_ref=$ref;
				if ($alias) $sort_ref.="&alias=".$alias;
				if ($layout) $sort_ref.="&layout=".$layout;
				if ($multy_code) $sort_ref.="&psid=".$multy_code;
				if ($start) $sort_ref.="&start=".$start;
				$sort_ref.="&sort=ordering";
				if($next_orderby) $sort_ref.="&orderby=".$next_orderby;
				if ($trash) $sort_ref.="&trash=".$trash;
				$_th_onclick="onclick=\"document.location.href='".Router::_($sort_ref)."';\"";
			}
			$_table_header_arr["ordering"]['html']=Text::_("Ordering");
			$_table_header_arr["ordering"]['value']="";
			$_table_header_arr["ordering"]['class']="grid";
			$_table_header_arr["ordering"]['orderby_class']=$orderby_class;
			$_table_header_arr["ordering"]['onclick']=$_th_onclick;
			$_table_header_arr["ordering"]['width']="";
		}

		$quantity_visible_fields=1;
		for ($i = 1; $i <= $col_count; $i++)	{
			//echo $meta->view[$i].$meta->field[$i]."<br />";
			if($meta->view[$i]==1)	{
				$quantity_visible_fields=$quantity_visible_fields+1;
				if ($meta->field[$i]==$reestr->get('sort')) {
					$orderby_class = ($orderby=="ASC" ? " order-down" : " order-up");
					$next_orderby = $reestr->get('next_orderby');
					$next_orderby_link = "&amp;orderby=".$next_orderby;
				} else { $next_orderby_link=''; $next_orderby=""; $orderby_class=" order-not-set";
				}
				if ($meta->field_orderby[$i]=="NONE"||$meta->ck_reestr[$i]) {
					$_th_onclick="";  $orderby_class=' no-sort';
				}
				else {
					if ($is_ajax) $_th_onclick="onclick=\"javascript:switchSortLink('".$module."','".$view."','".$layout."','0','".$meta->field[$i]."','".$next_orderby."','".$start."','".$_lol."','".$multy_code."');\"";
//					else $_th_onclick="onclick=\"javascript:setSortLink('".$ref."','".$trash."','".$meta->field[$i]."','".$next_orderby."','".$start."','".$layout."','".$multy_code."');\"";
					else {
						if (!in_array($meta->input_type[$i],array("image","texteditor"))){
							$sort_ref=$ref;
							if ($alias) $sort_ref.="&alias=".$alias;
							if ($layout) $sort_ref.="&layout=".$layout;
							if ($multy_code) $sort_ref.="&psid=".$multy_code;
							if ($start) $sort_ref.="&start=".$start;
							if ($meta->field[$i]) $sort_ref.="&sort=".$meta->field[$i];
							if($next_orderby) $sort_ref.="&orderby=".$next_orderby;
							if ($trash) $sort_ref.="&trash=".$trash;
							$_th_onclick="onclick=\"document.location.href='".Router::_($sort_ref)."';\"";
						} else {
							$_th_onclick="";
						}
					}
				}
				if ($meta->val_type[$i]=='currency') $addTitle='('.Currency::getCode(DEFAULT_CURRENCY).')'; else $addTitle='';
				$_table_header_arr[$meta->field[$i]]['html']=Text::_($meta->field_title[$i]).$addTitle;
				$_table_header_arr[$meta->field[$i]]['value']=$meta->field_title[$i].$addTitle;
				$_table_header_arr[$meta->field[$i]]['class']="grid";
				$_table_header_arr[$meta->field[$i]]['orderby_class']=$orderby_class;
				$_table_header_arr[$meta->field[$i]]['onclick']=$_th_onclick;
				$_table_header_arr[$meta->field[$i]]['width']=trim($meta->size[$i]);
			}
		}
		// конец заголовоков
		if ($colrows>0) {
			$rowNum=0;
			foreach ($rows as $row)	{
				$rowNum++;
				$id=urlencode($row->$KeyStringTabl);//забираем в переменную $id значение идешника реальной строки
				$namestring=$meta->namestring;
				$title=htmlspecialchars($row->$namestring);
				$_table_keys_arr[$rowNum]=$row->$KeyStringTabl;
				if(($meta->selector)&&($is_ajax)) {
					$_cell_onclick="onclick=\"addFromSelector('".$_lol."','".$id."','".$title."');\""; $_current_name = "selector";
					$_table_body_arr[$rowNum][$_current_name]['hidden']=false;
					$_table_body_arr[$rowNum][$_current_name]['html']="<img width=\"1\" height=\"1\" src=\"/images/blank.gif\" alt=\"\" title=\"".Text::_("Add")."\"/>";
					$_table_body_arr[$rowNum][$_current_name]['value']="";
					$_table_body_arr[$rowNum][$_current_name]['class']="selector";
					$_table_body_arr[$rowNum][$_current_name]['onclick']=$_cell_onclick;
					$_table_body_arr[$rowNum][$_current_name]['width']="no";
					//				}	elseif($meta->checkbox&&(!$is_ajax))	{
				}	elseif($meta->checkbox)	{
					$_cell_onclick="";
					$_current_name = "checkbox-cb";
					$_table_body_arr[$rowNum][$_current_name]['hidden']=false;
					$_table_body_arr[$rowNum][$_current_name]['html']="<input type=\"checkbox\" name=\"cps_id[]\" value=\"".$id."\" id=\"cb".$rowNum."\" />\n";
					$_table_body_arr[$rowNum][$_current_name]['value']=$id;
					$_table_body_arr[$rowNum][$_current_name]['class']="checkbox";
					$_table_body_arr[$rowNum][$_current_name]['onclick']=$_cell_onclick;
					$_table_body_arr[$rowNum][$_current_name]['width']="no";
				} else { }

				if (defined("_ADMIN_MODE")&&($meta->linktable)&&($multy_code)&&(!$trash)&&($consider_parents)) { // линковочное поле сортировки
					if ($canModify) $_cell_onclick="onclick=\"modifyLinkOrdering(this,'".$module."','".$view."','".$layout."','".$id."','".$multy_code."');\"";	else  $_cell_onclick="";
					$_current_name = "ordering";
					if ($canModify) $_cell_class="ordering"; else $_cell_class="";
					$_table_body_arr[$rowNum][$_current_name]['hidden']=false;
					$_table_body_arr[$rowNum][$_current_name]['html']=$row->$_current_name;
					$_table_body_arr[$rowNum][$_current_name]['value']=$row->$_current_name;
					$_table_body_arr[$rowNum][$_current_name]['class']=$_cell_class;
					$_table_body_arr[$rowNum][$_current_name]['onclick']=$_cell_onclick;
					$_table_body_arr[$rowNum][$_current_name]['width']="no";
				}

				for ($i = 1; $i <= $col_count; $i++) {
					if($meta->view[$i]==1)  { //если поле видимое то выводим на экран
						$field=$meta->field[$i];	$code=$row->$field; $str_table=""; //$str_table_code="";
						$field_tbl=$meta->field[$i];
						if($meta->ck_reestr[$i]) {
							//							$str_table_code=$code;
							if (is_array($meta->ck_reestr[$i])) $key_arr=$meta->ck_reestr[$i];
							else $key_arr=SpravStatic::getCKArray($meta->ck_reestr[$i]);
							if((is_array($key_arr))&&(array_key_exists($code, $key_arr))) $str_table=$key_arr[$code];
							else $str_table="";
						} elseif ($meta->ch_table[$i]) {
							//							$str_table_code=$meta->field[$i];
							//							$str_table_code=$code;
							if ($meta->ch_table[$i]) {
								$field_tbl=$meta->field[$i]."_sql_replace";
							}
							else { $field_tbl=$meta->field[$i];
							}
						}

						if ($meta->val_type[$i]=='date') {
							$str_table=Date::fromSQL($row->$field_tbl,true);
						}
						elseif ($meta->val_type[$i]=='datetime') 	{
							if($row->$field_tbl!='0000-00-00 00:00:00') $str_table=date("d.m.y H:i",Date::GetTimestamp($row->$field_tbl,1));else $str_table = '';
						}
						elseif ($meta->val_type[$i]=='timestamp') {
							$str_table=Date::fromSQL($row->$field_tbl,false,false);
						}
						elseif ($meta->val_type[$i]=='text') 			{
							$str_table=html_entity_decode($row->$field_tbl,ENT_COMPAT,DEF_CP);
						}
						elseif ($meta->val_type[$i]=='string') {
							switch($meta->input_type[$i])	{
								case 'file': // это прямой аплоад файлов
									if(empty($row->$field_tbl)) {
										$str_table="";
									} else {
										if (defined("_ADMIN_MODE")) $file_link=ALTADOC_UF."/".$meta->module."/".$meta->upload_path[$i]."/".Files::splitAppendix($row->$field_tbl);
										else $file_link=Router::_("index.php?module=".$meta->module."&task=downloadFile&psid=".$psid);
										$str_table="<a href=\"".$file_link."\" target=\"_blank\"><img src=\"/images/download.gif\" width=\"16\" height=\"16\" alt=\"\" border=\"0\" /></a>";
									}
							  break;
								case 'file_select': // это выбор из списка файлов в категории
									if(empty($row->$field_tbl)) {
										$str_table="";
									} else {
										if (defined("_ADMIN_MODE")) $file_link=ALTADOC_UF."/".$meta->module."/".$meta->upload_path[$i]."/".Files::splitAppendix($row->$field_tbl);
										else $file_link=Router::_("index.php?module=".$meta->module."&task=downloadFile&psid=".$psid);
										$str_table="<a href=\"".$file_link."\" target=\"_blank\"><img src=\"/images/download.gif\" width=\"16\" height=\"16\" alt=\"\" border=\"0\" /></a>";
									}
							  break;
								case 'image':
									if(empty($row->$field_tbl)) {
										$tmpl_img="/images/nophoto.png";
										$str_table = "<img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" />";
									} else 	{
										$tmpl_img=ALTADOC_UF."/".$meta->module."/".$meta->upload_path[$i]."/".Files::splitAppendix($row->$field_tbl);
										$tmpl_img_path=ALTADOC_UF_PATH.$meta->module.DS.str_replace("/",DS,$meta->upload_path[$i]).DS.Files::splitAppendix($row->$field_tbl, true);
										//if ((file_exists(PATH_FRONT.$tmpl_img))&&(is_file(PATH_FRONT.$tmpl_img))) {
										if ((file_exists($tmpl_img_path))&&(is_file($tmpl_img_path))) {
											if (Files::mime_content_type($tmpl_img_path)=="application/x-shockwave-flash") {
												$str_table = "<a class=\"relpopup\" href=\"".Router::_($tmpl_img)."\"><img src=\"/images/swf.png\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" /></a>";
												$meta->link[$i]="";
											} else {
												$str_table = "<img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" />";
												if(!$meta->link[$i])	{
													$str_table = "<a class=\"relpopup\" href=\"".Router::_($tmpl_img)."\">".$str_table."</a>";													
												}
											}
										} else  {
											$tmpl_img="/images/nophoto.png";
											$str_table = "<img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" />";
										}
									}
									break;
								case 'address': // это выбор из списка категории
									if(empty($row->$field_tbl)) {
										$str_table="";
									} else {
										$str_table = Address::decode($row->$field_tbl, true);
									}
									break;
								default:
									//$str_table=html_entity_decode($row->$field_tbl,ENT_COMPAT,DEF_CP);
									if (!$str_table) $str_table=$row->$field_tbl;
							  break;
							}
						}
						elseif ($meta->val_type[$i]=='constanta') 	$str_table=Text::_($row->$field_tbl);
						elseif ($meta->val_type[$i]=='boolean') {
							if ($row->$field_tbl) $switcherClass="on"; else $switcherClass="off";
							if (($meta->field[$i]==$meta->enabled)&&($canModify)){
								$str_table="<div onclick=\"toggleEnabled(this,'".$module."','".$view."','".$id."');\" class=\"switcher_".$switcherClass."\">&nbsp;</div>";
							} else {
								$str_table="<div class=\"boolean_".$switcherClass."\">&nbsp;</div>";
							}
						}
						elseif ($meta->val_type[$i]=='currency'){
							if($meta->keycurrency) $currency_val=$row->$fldcurrency; else $currency_val="";
							$str_table=number_format(Currency::getInstance()->convert($row->$field_tbl,$currency_val), 2);
						}
						// раз тут только попытка подставить перевод то пока заремил
						//						elseif(strstr($field_tbl,'_sql_replace')) $str_table=Text::_($row->$field_tbl);
						//						elseif($meta->input_type[$i]=='checkbox') $str_table=Text::_($row->$field_tbl);
						else if (!$str_table) $str_table=$row->$field_tbl;

						if($meta->translate_value[$i]) $str_table=Text::_($str_table);

						// подстановка линков на эелементы строки
						$link='';	$zn_js=0; $_cell_onclick ="";
						if($meta->link[$i])	{
							if($meta->link[$i]=='field') {
								//когда у нас в качестве ссылки работает содержимое поля достаем картинку
								if(!empty($str_table)) {
									if($meta->link_picture[$i]) {
										$img_link=$meta->link_picture[$i];
									} else {
										$img_link="/images/download3.gif";
									}
									// определяем направление ссылки (оно у нас в ключах живет в этом варианте)
									if($meta->link_vars[$i]) {
										$target_link=$meta->link_vars[$i];
									} else {
										$target_link="_blank";
									}
									// ну и формируем самы ссылку из содержания поля
									$str_table="<a href=\"".Router::_($str_table)."\" target=\"".$target_link."\"><img border=\"0\" src=\"".$img_link."\" alt=\"\" title=\"\" /></a>";
								}
							} else {// другие случаи
								// парсинг ключей линков ()
								$link=htmlspecialchars($meta->link[$i]);
								//echo $meta->link[$i]." ".$meta->link_vars[$i];
								if($meta->link_vars[$i]) {
									$arr_link_vars=explode(",",$meta->link_vars[$i]);
									if(count($arr_link_vars)>0)	{
										foreach($arr_link_vars as $lv_key=>$lv_var)	{
											if(isset($row->$lv_var)){
												$lv_var=$row->$lv_var;
											}
											$link=str_replace("[$lv_key]",$lv_var,$link);
										}
									}	else	{
										$link=str_replace("[0]",$arr_link_vars[0],$link);
									}
								}
								//echo $link;
								eval("\$link=\"$link\";");
								if ($meta->link_types[$i]=='popup') {
									$linktype = " class=\"relpopup\"";
								} elseif (preg_match('/(popupwt)/',$meta->link_types[$i])) {
									$_linka=preg_split('/(:)/',$meta->link_types[$i]);
									if (isset($_linka[1])&&($_linka[1])) $link_ttl="title=\"".Text::_($_linka[1])."\""; else $link_ttl="";
									$linktype = $link_ttl." class=\"relpopupwt\"";
								} elseif ($meta->link_types[$i]=='_blank') {
									$linktype = "target=\"_blank\"";
								} else $linktype="";
								if (strpos($link,'javascript')===0)	{
									$zn_js=1;		$_cell_onclick = " onclick=\"".$link."\"";
								} else	{
									if($meta->link_picture[$i]) {
										$img_link=$meta->link_picture[$i];
										$str_table="<img border=\"0\" src=\"".$img_link."\" alt=\"\" title=\"\" />";
									}
									$str_table="<a ".$linktype." href=\"".Router::_($link)."\">".$str_table."</a>";
								}
								//echo $_cell_onclick;
							}
						}

						if($zn_js==0)	{
							$_cell_class="choice_aa grid"; $_cell_onclick="";
						} else	$_cell_class="choice_ss grid";

						if ($meta->ordering_field==$meta->field[$i]){ // это сортировочное поле
							if ($canModify) {
								$_cell_onclick="onclick=\"modifySpravOrdering(this,'".$module."','".$view."','".$layout."','".$id."','".$multy_code."');\"";
								$_cell_class="ordering";
							}
						}
						$_table_body_arr[$rowNum][$meta->field[$i]]['hidden']=false;
						$_table_body_arr[$rowNum][$meta->field[$i]]['html']=$str_table;
						if($meta->ch_table[$i]||$meta->ck_reestr[$i])	$_table_body_arr[$rowNum][$meta->field[$i]]['value']=$code;
						else $_table_body_arr[$rowNum][$meta->field[$i]]['value']=$row->$field_tbl;
						$_table_body_arr[$rowNum][$meta->field[$i]]['class']=$_cell_class;
						$_table_body_arr[$rowNum][$meta->field[$i]]['onclick']=$_cell_onclick;
						$_table_body_arr[$rowNum][$meta->field[$i]]['width']=trim($meta->size[$i]);
					} else { // это поле скрыто
						$field_tbl=$meta->field[$i];
						$_table_body_arr[$rowNum][$meta->field[$i]]['hidden']=true;
						$_table_body_arr[$rowNum][$meta->field[$i]]['html']="";
						$_table_body_arr[$rowNum][$meta->field[$i]]['value']=$row->$field_tbl;
						$_table_body_arr[$rowNum][$meta->field[$i]]['class']='';
						$_table_body_arr[$rowNum][$meta->field[$i]]['onclick']='';
						$_table_body_arr[$rowNum][$meta->field[$i]]['width']='';
					}
				}
			}
		}
		if($no_pages==0) {
			if ($alias) $ref.="&amp;alias=".$alias;
			if ($psid) $ref.="&amp;psid=".$psid;
			$ref.="&amp;layout=".$layout."&amp;sort=".$sort.$orderby_link;
			if ($trash) $ref.="&amp;trash=".$trash;
			$_SESSION[$module][$view][$layout]['rf']=$ref;
			$_html_footer = $this->appendLimitStringWF($is_ajax, $start, $ref, $records_count_wf, $str_sql_wf, $reestr);
		}
		$templatePath = Portal::getInstance()->getTemplatePath().'html'.DS.'modules'.DS.$this->get('module').DS.$this->getName().DS.$layout.'.php';
		$this->message(Text::_("Looking for template").": ".$templatePath);
		echo $this->renderHeader();
		echo "<div id=\"spravlist\" class=\"moduleBody ".$this->get("module")."Module\"><div class=\"content\">";
		if ((file_exists($templatePath)) && (is_file($templatePath))) require_once $templatePath;
		else {
			$templatePath = PATH_SITE.'modules'.DS.$this->get('module').DS."views".DS."template".DS.$this->getName().DS.$layout.'.php';
			$this->message(Text::_("Looking for template").": ".$templatePath);
			if ((file_exists($templatePath)) && (is_file($templatePath))) require_once $templatePath;
			if (!isset($spr_tmpl_overrided))
				if($meta->selector)	SpravStatic::renderBaseTemplate("", $_html_pan, $_table_class, $filtered, $_table_header_arr, $_table_body_arr, $_html_footer);
			else SpravStatic::renderBaseTemplate($_form, $_html_pan, $_table_class, $filtered, $_table_header_arr, $_table_body_arr, $_html_footer);
			$this->_rendered=true;
			// $this->renderBaseTemplate($_form, $_html_pan, $_table_class, $filtered, $_table_header_arr, $_table_body_arr, $_html_footer);
		}
		echo "</div></div>";
		$this->milestone('Spravochnick: End "render"');
	}

	public function renderInfo(&$meta, &$row)	{
		Portal::getInstance()->addStyleSheet("sprav.css",true);
		/* кнопки слева, заголовок, кнопки справа */
		$_info_arr="";
		/*********получаем необходимые переменные*********/
		$user = User::getInstance();
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$is_admin=$user->isAdmin();
		$this->milestone('Spravochnick: Start "renderInfo"');
		$module = Request::get('module');
		$view =Request::get('view');
		$option=Request::get('option','module');
		$layout = $this->get('layout');
		$psid=$reestr->get('psid');
		$canModify=$reestr->get("canModify");
		$KeyStringTabl=$meta->keystring;
		$fldcurrency=$meta->keycurrency;
		// проверка необходимости проставлять чеки строк
		$col_count = count($meta->field);                   //количество полей таблицы
		$id=urlencode($row->$KeyStringTabl);//забираем в переменную $id значение идешника реальной строки
		$namestring=$meta->namestring;
		$title=htmlspecialchars($row->$namestring);

		for ($i = 1; $i <= $col_count; $i++) {
			if($meta->input_view[$i]==1)  { //если поле видимое то выводим на экран
				$field=$meta->field[$i];	$code=$row->$field;
				$field_tbl=$meta->field[$i];
				if($meta->ck_reestr[$i]) {
					if (is_array($meta->ck_reestr[$i])) $key_arr=$meta->ck_reestr[$i];
					else $key_arr=SpravStatic::getCKArray($meta->ck_reestr[$i]);
					if((is_array($key_arr))&&(array_key_exists($code, $key_arr))) $row->$field=$key_arr[$code];
					else $row->$field="";
				} elseif ($meta->ch_table[$i]) {
					if ($meta->ch_table[$i]) {
						$field_tbl=$meta->field[$i]."_sql_replace";
					}
					else { $field_tbl=$meta->field[$i];
					}
				}
				if ($meta->val_type[$i]=='date') {
					$str_table=Date::fromSQL($row->$field_tbl,true);
				}
				elseif ($meta->val_type[$i]=='datetime') 	{
					if($row->$field_tbl!='0000-00-00 00:00:00')$str_table=date("d.m.y H:i",Date::GetTimestamp($row->$field_tbl,1));else $str_table = '';
				}
				elseif ($meta->val_type[$i]=='timestamp') {
					$str_table=Date::fromSQL($row->$field_tbl,false,false);
				}
				elseif ($meta->val_type[$i]=='text') 			{
					$str_table=html_entity_decode($row->$field_tbl,ENT_COMPAT,DEF_CP);
				}
				elseif ($meta->val_type[$i]=='string') {
					switch($meta->input_type[$i])	{
						case 'file':
							if(empty($row->$field_tbl)) {
								$str_table="";
							} else {
								$pathfile=ALTADOC_UF."/".$module."/f/".$row->$field_tbl;
								$str_table="<a href=\"".$pathfile."\" target=\"_blank\"><img src=\"/images/download3.gif\" width=\"16\" height=\"16\" alt=\"\" border=\"0\" /></a>";
							}
					  break;
						case 'image':
							if(empty($row->$field_tbl)) {
								$tmpl_img="/images/nophoto.png";
								$str_table = "<img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" />";
							} else 	{
								$tmpl_img=ALTADOC_UF."/".$meta->module."/".$meta->upload_path[$i]."/".Files::splitAppendix($row->$field_tbl);
								$tmpl_img_path=ALTADOC_UF_PATH.$meta->module.DS.str_replace("/",DS,$meta->upload_path[$i]).DS.Files::splitAppendix($row->$field_tbl, true);
								//if ((file_exists(PATH_FRONT.$tmpl_img))&&(is_file(PATH_FRONT.$tmpl_img))) {
								if ((file_exists($tmpl_img_path))&&(is_file($tmpl_img_path))) {
									if (Files::mime_content_type($tmpl_img_path)=="application/x-shockwave-flash") {
										$str_table = "<a class=\"relpopup\" href=\"".Router::_($tmpl_img)."\"><img src=\"/images/swf.png\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" /></a>";
									} else {
										$str_table = "<a class=\"relpopup\" href=\"".Router::_($tmpl_img)."\"><img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" /></a>";
									}
								} else  {
									$tmpl_img="/images/nophoto.png";
									$str_table = "<img src=\"".$tmpl_img."\" width=\"".Module::getInstance()->getConfigValue("thumb_width",catalogConfig::$thumb_width)."\" alt=\"\" />";
								}
							}
							break;
						case 'address': // это выбор из списка категории
							if(empty($row->$field_tbl)) {
								$str_table="";
							} else {
								$str_table = Address::decode($row->$field_tbl, true);
							}
							break;
						default:
							//$str_table=html_entity_decode($row->$field_tbl,ENT_COMPAT,DEF_CP);
							$str_table=$row->$field_tbl;
					  break;
					}

				}
				elseif ($meta->val_type[$i]=='constanta') 	$str_table=Text::_($row->$field_tbl);
				elseif ($meta->val_type[$i]=='boolean') {
					if ($row->$field_tbl) $switcherClass="on"; else $switcherClass="off";
					if (($meta->field[$i]==$meta->enabled)&&($canModify)){
						$str_table="<div onclick=\"toggleEnabled(this,'".$module."','".$view."','".$id."');\" class=\"switcher_".$switcherClass."\">&nbsp;</div>";
					} else {
						$str_table="<div class=\"boolean_".$switcherClass."\">&nbsp;</div>";
					}
				}
				elseif ($meta->val_type[$i]=='currency'){
					$str_table=number_format(Currency::getInstance()->convert($row->$field_tbl,$row->$fldcurrency), 2);
				}
				// раз тут только попытка подставить перевод то пока заремил
				//						elseif(strstr($field_tbl,'_sql_replace')) $str_table=Text::_($row->$field_tbl);
				//						elseif($meta->input_type[$i]=='checkbox') $str_table=Text::_($row->$field_tbl);
				else $str_table=$row->$field_tbl;

				if($meta->translate_value[$i]) $str_table=Text::_($str_table);

				// подстановка линков на эелементы строки
				$link='';	$zn_js=0; $_cell_onclick ="";
				if($meta->link[$i])	{
					if($meta->link[$i]=='field') {
						//когда у нас в качестве ссылки работает содержимое поля достаем картинку
						if(!empty($str_table)) {
							if($meta->link_picture[$i]) {
								$img_link=$meta->link_picture[$i];
							}
							else { $img_link="/images/download3.gif";
							}
							// определяем направление ссылки (оно у нас в ключах живет в этом варианте)
							if($meta->link_vars[$i]) {
								$target_link=$meta->link_vars[$i];
							}
							else { $target_link="_blank";
							}
							// ну и формируем самы ссылку из содержания поля
							$str_table="<a href=\"".Router::_($str_table)."\" target=\"".$target_link."\"><img border=\"0\" src=\"".$img_link."\" alt=\"\" title=\"\" /></a>";
						}
					} else {// другие случаи
						// парсинг ключей линков ()
						$link=htmlspecialchars($meta->link[$i]);
						//echo $meta->link[$i]." ".$meta->link_vars[$i];
						if($meta->link_vars[$i]) {
							$arr_link_vars=explode(",",$meta->link_vars[$i]);
							if(count($arr_link_vars)>0)	{
								foreach($arr_link_vars as $lv_key=>$lv_var)	{
									if(isset($row->$lv_var)) $lv_var=$row->$lv_var;
									$link=str_replace("[$lv_key]",$lv_var,$link);
								}
							}	else	{	$link=str_replace("[0]",$arr_link_vars[0],$link);
							}
						}
						//echo $link;
						eval("\$link=\"$link\";");
						if ($meta->link_types[$i]=='popup') {
							$linktype = " class=\"relpopup\"";
						}
						elseif (preg_match('/(popupwt)/',$meta->link_types[$i])) {
							$_linka=preg_split('/(:)/',$meta->link_types[$i]);
							if (isset($_linka[1])&&($_linka[1])) $link_ttl="title=\"".Text::_($_linka[1])."\""; else $link_ttl="";
							$linktype = $link_ttl." class=\"relpopupwt\"";
						} else $linktype="";
						if (strpos($link,'javascript')===0)	{
							$zn_js=1;		$_cell_onclick = " onclick=\"".$link."\"";
						} else	{ $str_table="<a ".$linktype." href=\"".Router::_($link)."\">".$str_table."</a>";
						}
					}
				}

				if($zn_js==0)	$_cell_class="choice_aa grid";  else	$_cell_class="choice_ss grid";
				$_cell_onclick="";
				if ($meta->ordering_field==$meta->field[$i]){ // это сортировочное поле
					if ($canModify) {
						$_cell_onclick="onclick=\"modifySpravOrdering(this,'".$module."','".$view."','".$layout."','".$id."','".$multy_code."');\"";
						$_cell_class="ordering";
					}
				}
				$_info_arr[$meta->field[$i]]['hidden']=false;
				$_info_arr[$meta->field[$i]]['html']=$str_table;
				if($meta->ch_table[$i]||$meta->ck_reestr[$i])	$_info_arr[$meta->field[$i]]['value']=$code;
				else $_info_arr[$meta->field[$i]]['value']=$row->$field_tbl;
				$_info_arr[$meta->field[$i]]['class']=$_cell_class;
				$_info_arr[$meta->field[$i]]['onclick']=$_cell_onclick;
				$_info_arr[$meta->field[$i]]['width']=trim($meta->size[$i]);
				if ($meta->val_type[$i]=='currency') $addTitle='('.Currency::getCode(DEFAULT_CURRENCY).')'; else $addTitle='';
				$_info_arr[$meta->field[$i]]['title']=Text::_($meta->field_title[$i]).$addTitle;
			} else { // это поле скрыто
				$field_tbl=$meta->field[$i];
				$_info_arr[$meta->field[$i]]['hidden']=true;
				$_info_arr[$meta->field[$i]]['html']="";
				$_info_arr[$meta->field[$i]]['value']=$row->$field_tbl;
				$_info_arr[$meta->field[$i]]['class']='';
				$_info_arr[$meta->field[$i]]['onclick']='';
				$_info_arr[$meta->field[$i]]['width']='';
				$_info_arr[$meta->field[$i]]['title']='';

			}
		}

		$templatePath = Portal::getInstance()->getTemplatePath().'html'.DS.'modules'.DS.$this->get('module').DS.$this->getName().DS.$layout.'.php';
		$this->message(Text::_("Looking for template").": ".$templatePath);
		echo $this->renderHeader();
		echo "<div class=\"moduleBody ".$this->get("module")."Module\"><div class=\"content\">";
		if ((file_exists($templatePath)) && (is_file($templatePath))) require_once $templatePath;
		else {
			$templatePath = PATH_SITE.'modules'.DS.$this->get('module').DS."views".DS."template".DS.$this->getName().DS.$layout.'.php';
			$this->message(Text::_("Looking for template").": ".$templatePath);
			if ((file_exists($templatePath)) && (is_file($templatePath))) require_once $templatePath;
			if (!isset($spr_tmpl_overrided)){
				if (is_array($_info_arr)) {
					foreach($_info_arr as $_cell) {
						if ($_cell['hidden']) continue;
						$_width=$_cell['width'];
						if(trim($_width))	{
							if (trim($_width)=="no") $_style="";
							elseif (trim($_width)=="auto") $_style="style=\"width: auto;\"";
							elseif (substr($_width,strlen($_width)-1,1)=="%") $_style=" style=\"width:".$_width."; white-space:nowrap;\"";
							else $_style=" style=\"width:".$_width."px; white-space:nowrap;\"";
						}	else $_style="style=\"width: auto;\"";
						echo "<div class=\"spravInfo clearfix\">\n";
						echo "<div class=\"sprav_info_label\">".$_cell['title'].": </div>";
						echo "<div class=\"".$_cell['class']."\"".$_style."><div class=\"inner-grid ".$_cell['class']."\"".$_style." ".$_cell['onclick'].">".$_cell['html']."</div></div>";
						echo "</div>\n";
					}
				} else { echo "<div class=\"spravInfo\">".Text::_("Does not contain the data")."</div>";
				}
			}
		}
		echo "</div></div>";
		$this->milestone('Spravochnick: End "renderInfo"');
	}

	/*
	 start - начало выборки записей
	ref - ссылка для подстановки в пагинатор
	records_count - количиство записей полученное в запросе с фильтром
	sql_str - строка запроса без ограничений
	mode - режим отображения 1- (1-3 4-6 7-9) или 2 ( 1 2 3 4 и внизу записей ПОКАЗАНО из ВСЕГО)
	limit_ss - количество показываемых старниц в пагинаторе
	*/
	function appendLimitStringWF( $is_ajax=false, $start, $ref, $records_count_wf=0, $str_sql_wf, $reestr, $mode=2, $limit_ss=0)	{
		$_html = "";
		if (!$limit_ss)	$limit_ss = defined("_ADMIN_MODE") ? adminConfig::$adminPagesPerPanel : siteConfig::$pagesPerPanel;

		$list_limit = defined("_ADMIN_MODE") ? adminConfig::$adminRecordsPerPage : siteConfig::$recordsPerPage;
		$list_limit = defined("_ADMIN_MODE") ? Module::getInstance()->getConfigValue("Admin_page_size",adminConfig::$adminRecordsPerPage,true) : $pageSize = Module::getInstance()->getConfigValue("Page_size",siteConfig::$recordsPerPage,true);

		if(empty($str_sql_wf)) return; // ошибка когда идет попытка отображения без предварительной подготовки данных (в классе spravochnik)
		$limit_str="";
		if ($records_count_wf) {
			$total=$records_count_wf;
		} else {
			$db = Database::getInstance();
			$db->setQuery($str_sql_wf);
			$res_query=$db->query();
			$total= $res_query ? $db->getNumRows(): false;  // макимальное число строк
		}
		if(!$total) return;
		if ($start>$total) {
			$start=$total-$list_limit;
		}
		if ($start<1) {
			$start=1;
		}
		$total_pages = ceil($total/$list_limit); // всего старниц
		$full_pages = floor($total/$list_limit); // полных страниц
		$last_appendix = $total - $full_pages * $list_limit; // остаток на последней странице
		$current_page = ceil($start/$list_limit); // текущая страница
		if ($current_page < ceil($limit_ss/2)) {
			$sdvig_min=ceil($limit_ss/2)-$current_page;
		}
		else { $sdvig_min = 0;
		}
		if ($current_page > $total_pages - ceil($limit_ss/2)) {
			$sdvig_max= ceil($limit_ss/2) + $current_page - $total_pages;
		}
		else { $sdvig_max = 0;
		}
		$first_page = $current_page - ceil($limit_ss/2) + $sdvig_min; // первая отображаемая страница
		$last_page = $current_page + ceil($limit_ss/2) + $sdvig_min; // последняя отображаемая страница
		if ($sdvig_max > 0) {
			$first_page = $first_page - $sdvig_max; $last_page = $total_pages;
		}
		$page_range="";
		$js_onclick_prev="";
		$js_onclick_next="";
		$link_prev = "";
		$link_next = "";
		$link_prev_str = "";
		$link_next_str = "";

		$first_page = max(1, $first_page);
		$last_page = min($total_pages, $last_page);
		$last_start = ($total_pages-1) * $list_limit + 1 ;
		if ($is_ajax) {
			$_module = Request::getSafe('module');
			$_view = Request::getSafe('view');
			$_layout = Request::getSafe('layout');
			$_multy_code=$reestr->get('multy_code');
			$_trash=$reestr->get('trash');
			$_sort=$reestr->get('sort');
			$_orderby=$reestr->get('orderby');
			$_lol=$reestr->get('lol');
			$js_onclick_first="switchPageOnContList('".$_module."','".$_view."','".$_layout."','".$_multy_code."','".$_trash."','".$_sort."','".$_orderby."','1','".$_lol."')";
			$link_first="";
			$link_first_str = "<span class=\"pageLink firstPageLink navigator\" title=\"".Text::_("Go first record")."\" onclick=\"".$js_onclick_first."\">&lt;&lt;</span>";
			$js_onclick_last="switchPageOnContList('".$_module."','".$_view."','".$_layout."','".$_multy_code."','".$_trash."','".$_sort."','".$_orderby."','".$last_start."','".$_lol."')";
			$link_last="";
			$link_last_str = "<span class=\"pageLink lastPageLink navigator\" title=\"".Text::_("Go last record")."\" onclick=\"".$js_onclick_last."\">&gt;&gt;</span>";
		} else {
			$js_onclick_first="";
			$js_onclick_last="";
			$link_first = Router::_($ref."&amp;start=1");
			$link_last = Router::_($ref."&amp;start=".$last_start);
			$link_first_str = "<a class=\"pageLink firstPageLink navigator\" title=\"".Text::_("Go first record")."\" href=\"".Router::_($ref."&amp;start=1")."\">&lt;&lt;</a>";
			$link_last_str = "<a class=\"pageLink lastPageLink navigator\" title=\"".Text::_("Go last record")."\" href=\"".Router::_($ref."&amp;start=".$last_start)."\">&gt;&gt;</a>";
		}

		/*
		if ($first_page > 1) 	{
			$limit_str .= "&nbsp;&nbsp;&nbsp;...&nbsp;&nbsp;&nbsp;";
		}
		*/
		for ($i = ($first_page) ; $i < $last_page + 1; $i++) {
			// формируем текущий рэндж
			$cur_start = ($i-1) * $list_limit + 1; 	// начало
			$cur_end= min( $total, (($i-1) * $list_limit) + $list_limit);   // конец
			if ($cur_start!=$cur_end) {
				$cur_range=$cur_start."-".$cur_end;
			}	else {
				$cur_range = $cur_start;
			}
			if ($i==($current_page)) {	// попали в диапазон
				if ($mode==2) {
					$limit_str.="<span class=\"active-navigator\">".$i."</span>";
					$page_range=$cur_range;
				} else {
					$limit_str.="<span class=\"active-navigator\">".$cur_range."</span>";
				}
				if ($i>1){
					$prev_start = ($i-2) * $list_limit + 1;
					if ($is_ajax) {
						$js_onclick_prev="switchPageOnContList('".$_module."','".$_view."','".$_layout."','".$_multy_code."','".$_trash."','".$_sort."','".$_orderby."','".$prev_start."','".$_lol."')";
						$link_prev_str="<span class=\"prevPageLink pageLink\" onclick=\"".$js_onclick_prev."\">&lt;</span>";
					} else {
						$link_prev=Router::_($ref."&amp;start=".$prev_start);
						$link_prev_str="<a class=\"prevPageLink pageLink\" href=\"".$link_prev."\">&lt;</a>";
					}
				} else {
					$link_prev="";
					$link_prev_str="<span class=\"prevPageLink pageLink\">&lt;</span>";
					$link_first="";
					$link_first_str="<span class=\"firstPageLink pageLink\">&lt;&lt;</span>";
				}
				if($i<$last_page){
					$next_start = ($i) * $list_limit + 1;
					if ($is_ajax) {
						$js_onclick_next="switchPageOnContList('".$_module."','".$_view."','".$_layout."','".$_multy_code."','".$_trash."','".$_sort."','".$_orderby."','".$next_start."','".$_lol."')";
						$link_next_str="<span class=\"nextPageLink pageLink\" onclick=\"".$js_onclick_next."\">&lt;</span>";
					} else {
						$link_next=Router::_($ref."&amp;start=".$next_start);
						$link_next_str="<a class=\"nextPageLink pageLink\" href=\"".$link_next."\">&gt;</a>";
					}
				} else {
					$link_next="";
					$link_next_str="<span class=\"nextPageLink pageLink\">&gt;</span>";
					$link_last="";
					$link_last_str="<span class=\"lastPageLink pageLink\">&gt;&gt;</span>";
				}
			}	else { // а здесь ссылочка
				if ($is_ajax) {
					$js_onclick="switchPageOnContList('".$_module."','".$_view."','".$_layout."','".$_multy_code."','".$_trash."','".$_sort."','".$_orderby."','".$cur_start."','".$_lol."')";
					if ($mode==2) {
						$limit_str.="<span class=\"pageLink\" onclick=\"".$js_onclick."\">".$i."</span>";
					} else	{
						$limit_str.="<span class=\"pageLink\" onclick=\"".$js_onclick."\">".$cur_range."</span>";
					}
				} else {
					if ($mode==2) {
						$limit_str.="<a class=\"pageLink\" href=\"".Router::_($ref."&amp;start=".$cur_start)."\">".$i."</a>";
					} else	{
						$limit_str.="<a class=\"pageLink\" href=\"".Router::_($ref."&amp;start=".$cur_start)."\">".$cur_range."</a>";
					}
				}
			}
		}
		/*
		if ($last_page < $total_pages) 	{
			$limit_str .= "&nbsp;&nbsp;&nbsp;...";
		}
		*/

		if (defined('_ADMIN_MODE')) $lPath = PATH_TEMPLATES.adminConfig::$adminTemplate.DS.'html'.DS.'modules'.DS.'paginator.php';
		else $lPath = PATH_TEMPLATES.siteConfig::$siteTemplate.DS.'html'.DS.'modules'.DS.'paginator.php';
		if (is_file($lPath)) {
			$this->assign("firstPageLink",$link_first);
			$this->assign("firstPageJS",$js_onclick_first);
			$this->assign("prevPageLink",$link_prev);
			$this->assign("prevPageJS",$js_onclick_prev);
			$this->assign("nextPageLink",$link_next);
			$this->assign("nextPageJS",$js_onclick_next);
			$this->assign("lastPageLink",$link_last);
			$this->assign("lastPageJS",$js_onclick_last);
			$this->assign("pageLinks",$limit_str);
			$this->assign("recordsTotal",$total);
			$this->assign("pageRange",$page_range);
			ob_start();
			include $lPath;
			$_html = ob_get_contents();
			ob_end_clean();
		} else {
			$limit_str = $link_first_str. $link_prev_str .  $limit_str . $link_next_str . $link_last_str;
			// выводим список страниц
			$_html .= "<div class=\"navigator\">";
			if ($total_pages>1) {
				if ($mode==2) {
					$_html .= "".Text::_("Pages")." : &nbsp;&nbsp;&nbsp;&nbsp;".$limit_str;
				} else {
					$_html .= $limit_str;
				}
			}
			$_html .= "</div>";
			if ($mode==2) {
				$_html .= "<div class=\"navigator_records\">".Text::_("Records")." " . $page_range . " ".Text::_("of")." " . $total."</div>";
			}
		}
		return $_html;
	}
	public function renderUniButtons($meta,$position){
		$_html = "";
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$multy_code=$reestr->get('multy_code');
		if (count($meta->uni_buttons)){
			foreach ($meta->uni_buttons as $key_name=>$key_arr)	{
				if(isset($key_arr['position']) && ($key_arr['position']==$position)) {
					$_link='#';
					$_on_click = "";
//					$_pict=$key_arr['pict'];
					$_title=$key_arr['title'];
					$_alt=$key_arr['alt'];
					if (isset($key_arr['class'])) $subclass=" ".$key_arr['class']; else $subclass="";
					if(isset($key_arr['link']))	{
						$_link=sprintf($key_arr['link'],$multy_code);
						if (substr($_link,0,10)=='javascript') {
							$_on_click="onclick=\"".$_link."\""; $_link='#';
						}
					}	else {
						if (isset($key_arr['module'])) $_mod=$key_arr['module']; else $_mod="";
						if (isset($key_arr['view'])) $_view=$key_arr['view']; else $_view="";
						if (isset($key_arr['layout'])) $_layout=$key_arr['layout']; else $_layout="";
						if (isset($key_arr['task'])) $_task=$key_arr['task']; else $_task="";
						if (isset($key_arr['reset_multy'])) $reset_multy=$key_arr['reset_multy']; else $reset_multy='false';
						if (isset($key_arr['alert'])) {
							$_alert=Text::_($key_arr['alert']);
							$_on_click="onclick=\"javascript:if (isChecked()!=1) { alert('".$_alert."'); return false;} else {submitbutton('".$_mod."','".$_view."','".$_layout."','".$_task."',false,false,false,".$reset_multy.");return false;}\"";
						}	elseif (isset($key_arr['confirm'])) {
							$confirm=Text::_($key_arr['confirm']);
							$_on_click="onclick=\"javascript: if (confirm('".$confirm." ?')) {submitbutton('".$_mod."','".$_view."','".$_layout."','".$_task."',false,false,false,".$reset_multy."); return false; } else return false; \"";
						} else {
							$_on_click="onclick=\"javascript:submitbutton('".$_mod."','".$_view."','".$_layout."','".$_task."',false,false,false,".$reset_multy.");return false; \"";
						}
					}
//					$_html.= "<div class=\"picto_".$position.$subclass."\"><a href=\"".Router::_($_link)."\" ".$_on_click."><img src=\"".$this->buttons_source.$_pict."\" alt=\"".$_alt."\" title=\"".$_title."\" />";
					$_html.= "<div class=\"picto_".$position.$subclass."\"><a href=\"".Router::_($_link)."\" ".$_on_click."><img class=\"sprav-button sprav-button-".$key_name."\" src=\"/images/blank.gif\" alt=\"\" title=\"".Text::_($_title)."\" /></a></div>\n";
				}
			}
		}
		if ($_html) {
			$_separator=$this->renderButton($meta,'separator','','',false,$position,false);
			$_html=$_separator.$_html;
		}
		return $_html."\n";
	}

	public function renderButton($meta,$name,$title, $alert="", $confirm, $position, $is_js, $need_selection=true){
		if ($name=="separator")	return "<div class=\"separator_".$position."\"></div>\n";
		$_html = "";
		$mdl=Module::getInstance();
		$reestr = $mdl->get('reestr');
		$trash= $reestr->get('trash',0);
		$multy_code=$reestr->get('multy_code',0);
		$module=$meta->module;
		$viewName=$meta->viewName;
		$layoutName=$meta->layoutName;
		$sort = $reestr->get('sort');
		$start = $reestr->get('start');
		$orderby_link = "&amp;orderby=".$reestr->get('orderby');
		$onclick="return true;";
		if (isset($meta->buttons[$name])&&($meta->buttons[$name]['show'])) { // при указанной видимости сервиса подключаем его
			if ($meta->buttons[$name]['task']) $_task='&amp;task='.$meta->buttons[$name]['task']; else $_task="";
			if ($meta->buttons[$name]['module']) $_mod=$meta->buttons[$name]['module']; else $_mod="";
			if ($meta->buttons[$name]['view']) $_view='&amp;view='.$meta->buttons[$name]['view']; else $_view="";
			if ($meta->buttons[$name]['layout']) $_layout='&amp;layout='.$meta->buttons[$name]['layout']; else $_layout="";
			if ($meta->buttons[$name]['link'])	{
				$href=$meta->buttons[$name]['link'];
			}
			else	{
				if ($is_js) {
					$href="#";
					if ($need_selection) {
						$onclick="javascript:if(isChecked()!=1)";
						if ($alert) $onclick.="{alert('".Text::_($alert)."');  return false; }";
						if ($confirm) $onclick.="else{if(confirm('".Text::_($confirm)." ?'))"; else $onclick.="else{";
					} else {
						$onclick="javascript:";
						if ($confirm) $onclick.="if(!confirm('".Text::_($confirm)." ?')) { return false;} else {"; else $onclick.="{";
					}
					switch ($name) {
						case "filter":
							$onclick="javascript:showFilter('".$module."','".$meta->buttons[$name]['view']."','".$meta->buttons[$name]['layout']."','".$multy_code."','',".$trash."); return false;"; 	break;
						case "print":
							$onclick.="submitbutton('".$meta->buttons[$name]['module']."','".$meta->buttons[$name]['view']."','".$meta->buttons[$name]['layout']."','".$meta->buttons[$name]['task']."','','_blank'); return false;}";	break;
						case "clean_trash":
							$onclick.="cleanTrash('start','".$module."','".$viewName."','".$layoutName."','".$multy_code."',0); return false;}"; 	break;
							break;
						default:
							$onclick.="submitbutton('".$meta->buttons[$name]['module']."','".$meta->buttons[$name]['view']."','".$meta->buttons[$name]['layout']."','".$meta->buttons[$name]['task']."');return false;}";	break;
					}
				} else {
					if ($confirm) $onclick="javascript:if(confirm('".Text::_($confirm)." ?')) { return true;} else {return false; }"; else $onclick="";
					switch ($name) {
						case "go_up":
							if ($meta->parent_view) $parent_view = $meta->parent_view; else $parent_view='';
							if ($meta->parent_layout) $parent_layout = $meta->parent_layout; else $parent_layout='';
							$href="index.php?module=".$module."&amp;view=".$parent_view."&amp;layout=".$parent_layout."&amp;return=1"; // определить родительский справочник
							break;
						case "list":
							$href="index.php?module=".$module."&amp;view=".$viewName."&amp;layout=".$layoutName."&amp;sort=$sort".$orderby_link."&amp;multy_code=".$multy_code."&amp;start=".$start;
							break;
						case "trash":
							$href="index.php?module=".$module."&amp;view=".$viewName."&amp;layout=".$layoutName."&amp;sort=$sort".$orderby_link."&amp;multy_code=".$multy_code."&amp;start=".$start."&amp;trash=1";
							break;
						case "clean_trash":
							$href="index.php?module=".$module."&amp;view=".$viewName."&amp;layout=".$layoutName."&amp;sort=$sort".$orderby_link."&amp;multy_code=".$multy_code."&amp;start=".$start."&amp;trash=1&amp;task=cleanTrash";
							break;
						default:
							$href="index.php?module=".$_mod.$_view.$_layout.$_task."&amp;sort=".$sort.$orderby_link."&amp;multy_code=".$multy_code."&amp;start=".$start;
							break;
					}
				}
			}
			$_html.= "<div class=\"picto_".$position."\">";
			$_html.= "	<a href=\"".Router::_($href)."\" onclick=\"".$onclick."\">";
			$_html.= "		<img class=\"sprav-button-".$name."\" src=\"/images/blank.gif\" alt=\"\" title=\"".Text::_($title)."\" />";
			$_html.= "	</a>";
			$_html.= "</div> \n";
		}
		return $_html;
	}


	public function modify($row)	{
		Portal::getInstance()->addStyleSheet("sprav.css",true);
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$model=$reestr->get('model');
		$meta=$model->meta;
		if($meta==null) {
			$layout= $reestr->get('layout','');
			$view= $reestr->get('view','');
			$module= $mdl->getName();
			$meta = new SpravMetadata($module,$view,$layout);
			$this->meta=$meta;
		}
		$ajaxModify=$reestr->get('ajaxModify');
		$linkModify=false;
		$module=$meta->module;
		$layout=$reestr->get('layout');
		$view=$reestr->get('view','');
		$task=$reestr->get('task','save');
		$onCancelURL=$reestr->get('onCancelURL',false);
		$sort=$reestr->get('sort');
		$start=$reestr->get('start');
		$orderby=$reestr->get('orderby');
		$psid=$reestr->get('psid');
		$multy_code=$reestr->get('multy_code');
		$fldcurrency=$meta->keycurrency;
		$parent_view=$meta->parent_view;
		if ($meta->multy_field==$meta->keystring) { // добрались до линковки
			if (($meta->parent_table)&&($meta->linktable)&&($meta->parent_code)) {
				$linkArray=$model->getLinkArray($psid);
				$isNewLink=false;

				if(count($linkArray)==0) {
					$prow=$model->getParentElement($multy_code);
					$parent_field_name=$meta->parent_name;
					if(isset($prow->$parent_field_name)) {
						$isNewLink=true;
						$title=$prow->$parent_field_name;
						$linkArray=array($multy_code=>array('id'=>$multy_code,'title'=>$title));
					}
				}

				$linkModify=true;
			}
		}
		// проверяем дополнительные поля товара

		if($meta->classTable) $_table_class=$meta->classTable; else $_table_class='rounded-tbl';
		$classTable=$reestr->get('classTable', $_table_class);

		$dop_head=$reestr->get('dop_head');
		$col_count=count($meta->field);
		$input_type=$meta->input_type;
		$input_size=$meta->input_size;
		$this->milestone("Start collecting Select List");
		//вытаскиваем списки селектов и передаем их в $select_row
		//из $select_row уже в темплейте поодиночке их вытащим обратно
		for ($i = 1; $i <=$col_count; $i++) {
			// добавляем только для select
			if (($meta->input_type[$i]=='select')||($meta->input_type[$i]=='label_sel')) {
				if (($meta->ch_table[$i])&&($meta->ch_field[$i])&&($meta->ch_id[$i]))	{
					if($meta->tablename==$meta->ch_table[$i]) $selfselect=true;
					//else if($meta->ch_parent_field[$i]) $selfselect=true;
					else $selfselect=false;
					$temp_row=$model->getValsForSelect($i);
					$select_row[$i]=array	(
							"row"=>$temp_row,
							"field"=>$meta->ch_field[$i],
							"id"=>$meta->ch_id[$i],
							"is_table"=>true,
							"selfselect"=>$selfselect );
					$temp_row=null; //чистим мусор
				} elseif($meta->ck_reestr[$i]) {
					if (is_array($meta->ck_reestr[$i])) $key_arr=$meta->ck_reestr[$i];
					else $key_arr=SpravStatic::getCKArray($meta->ck_reestr[$i]);
					$select_row[$i]=array(
							"row"=>$key_arr,
							"field"=>$meta->field[$i],
							"id"=>'cr'.$i,
							"is_table"=>false,
							"selfselect"=>false );
					$key_arr=null; //чистим мусор
				}
			}
		}
		$this->milestone("End collecting Select List");
		if (isset($select_row)&&count($select_row)) {
			foreach ($select_row as $index=>$values)	{
				$select_temp=array();
				if($values["is_table"]) { // элемент является выбором из таблицы
					if ($values["selfselect"]||$meta->ch_parent_field[$index]) {
						$select[$index][0]="--- ".Text::_("Has not parent")." ---";
//						if (!isset($select[$index][0])) $select[$index][0]="--- ".Text::_("Not selected")." ---";
						if($meta->ch_parent_field[$index]) $parent_ch_field=$meta->ch_parent_field[$index];
						else $parent_ch_field=$meta->field[$index];
						$ordered_values = $model->reorderTree($values["row"],$select_row[$index]["id"],$parent_ch_field,$select_row[$index]["field"]);
						if (count($ordered_values)) {
							foreach($ordered_values as $value)	{
								$field_val=$value->$select_row[$index]["field"];
								$id_val=$value->$select_row[$index]["id"];
								if($meta->translate_value[$index]) $field_val=Text::_($field_val);
								$select[$index][$id_val]=$field_val;
							}
						}
					} else {
//						if (!isset($select[$index][0])) $select[$index][0]="--".Text::_("Not selected")."--";
						
						foreach($values["row"] as $value)	{
							$field_val=$value->$select_row[$index]["field"];
							$id_val=$value->$select_row[$index]["id"];
							if($meta->translate_value[$index]) $field_val=Text::_($field_val);
							$select[$index][$id_val]=html_entity_decode($field_val,ENT_COMPAT,DEF_CP);
						}
/*
						if (!$meta->check_value[$index] && !isset($select[$index][0])) {
							$select[$index][0]="--".Text::_("Not selected")."--";
							ksort($select[$index],SORT_STRING);
						}
*/
						if (!$meta->check_value[$index]){
							if($meta->val_type[$index]=="string" && !isset($select[$index][""])) {
								$select[$index][""]="--".Text::_("Not selected")."--";
							} elseif(!isset($select[$index][0])) {
								$select[$index][0]="--".Text::_("Not selected")."--";
							}
							asort($select[$index],SORT_STRING);
						}
					}
				}	else {	
					if (!$meta->check_value[$index] && !isset($select_row[$index]["row"][""])) {
						$select_row[$index]["row"][""]="--".Text::_("Not selected")."--";
						asort($select_row[$index]["row"],SORT_STRING);
					}
					$select[$index]=$select_row[$index]["row"];
				} // элемент является выбором из реестра
//if ($index==18) Util::showArray($select[$index]);
			}
		}
		$select_row=null; //чистим мусор
		Debugger::getInstance()->milestone('Before form class creation');

		$frm=new aForm('frmEdit','post','index.php',$ajaxModify,'frmEdit');

		$frm->addInput(array(	'NAME'=>'psid',					'TYPE'=>"hidden",	'VAL'=>$psid,				'ID'=>'psid'					));
		$frm->addInput(array(	'NAME'=>'layout',				'TYPE'=>"hidden",	'VAL'=>$layout,			'ID'=>'layout'				));
		$frm->addInput(array(	'NAME'=>'module',				'TYPE'=>"hidden",	'VAL'=>$module,			'ID'=>'module'				));
		$frm->addInput(array(	'NAME'=>'multy_code',		'TYPE'=>"hidden",	'VAL'=>$multy_code,	'ID'=>'multy_code'		));
		$frm->addInput(array(	'NAME'=>'sort',  				'TYPE'=>"hidden",	'VAL'=>$sort,				'ID'=>'sort'					));
		$frm->addInput(array(	'NAME'=>'start',				'TYPE'=>"hidden",	'VAL'=>$start,			'ID'=>'start'					));
		$frm->addInput(array(	'NAME'=>'task',					'TYPE'=>"hidden",	'VAL'=>$task,				'ID'=>'task'					));
		$frm->addInput(array(	'NAME'=>'view',					'TYPE'=>"hidden",	'VAL'=>$view,				'ID'=>'view'					));
		$frm->addInput(array(	'NAME'=>'orderby',			'TYPE'=>"hidden",	'VAL'=>$orderby,		'ID'=>'orderby'				));
		$frm->addInput(array(	'NAME'=>'parent_module','TYPE'=>"hidden",	'VAL'=>$module,			'ID'=>'parent_module'	));
		foreach ($input_type as $index=>$value)	{
			$on_change_js=$meta->field_on_change[$index];
			$fld=$meta->field;
			if ($meta->field_descr[$index]) $field_description=Text::_($meta->field_descr[$index]); else $field_description="";
			switch ($value)	{
				case "hidden":
					//				case "sel_search": // строка с выбором из js-формы (выбор из найденного)
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$arr_field=array('NAME'=>$meta->field[$index],	'TYPE'=>"hidden", 'VAL'=>$row_val, 'ID'=>$meta->field[$index] );
					//					$frm->addInput($arr_field);
					break;
				case "textarea":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$txtarea_size=(int)$input_size[$index];
					if (!$txtarea_size) $txtarea_size=60;
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>$value,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'COLS'=>$txtarea_size,
							'ROWS'=>6,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>html_entity_decode($row_val,ENT_COMPAT,DEF_CP)
					  //'VAL'=>$row_val
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "texteditor":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$txtarea_size=(int)$input_size[$index];
					if (!$txtarea_size) $txtarea_size=60;
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>$value,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'COLS'=>$txtarea_size,
							'ROWS'=>6,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					  //'VAL'=>$row_val
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "formated":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$txtarea_size=(int)$input_size[$index];
					if (!$txtarea_size) $txtarea_size=60;
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>"textarea",
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'COLS'=>$txtarea_size,
							'ROWS'=>8,
							'CLASS'=>"label_in_sprav",
							'READONLY'=>true,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>html_entity_decode($row_val,ENT_COMPAT,DEF_CP)
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "select":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							} else { 
								$row_val=$param_default;
							}
						} else $row_val=0;
					}
					if (!$row_val && $meta->multy_field==$fld[$index]) $row_val = $reestr->get('multy_code');
					if (!array_key_exists($row_val, $select[$index])) $row_val=0;
					if (($psid) && ($meta->field_no_update[$index]) && (($row_val && $meta->check_value[$index]) || !$meta->check_value[$index]) ) {
						$arr_field=array(
								'TYPE'=>"hidden",
								'ID'=>'p_'.$meta->field[$index].'_select',
								'NAME'=>'p_'.$meta->field[$index].'_select',
								'SIZE'=>$input_size[$index],
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>$row_val
						);
						$frm->addInput($arr_field);
						$arr_field=array(
								'ONCHANGE'=>$on_change_js,
								'TYPE'=>"text",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'SIZE'=>$input_size[$index],
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'CLASS'=>"label_in_sprav",
								'READONLY'=>true,
								'VAL'=>$select[$index][$row_val]
						);
					} else {
						$arr_field=array(
								'ONCHANGE'=>$on_change_js,
								'TYPE'=>"select",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'SIZE'=>1,
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>$row_val,
								'OPTIONS'=>$select[$index]
						);
					}
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "checkbox":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val=0;
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"checkbox",
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'CHECKED'=>(int)$row_val,
							'VAL'=>"1"
					);
					//					$frm->addInput($arr_field);
					break;
				case "folder_select":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$dir_path=PATH_FRONT.str_replace("/", DS, $meta->upload_path[$index]).DS;
					$dir_list=Files::getFolders($dir_path,array(".svn",".",".."));
					$arr_keys=array(""=>"-- ".Text::_("Not selected")." --");
					if ($dir_list){
						if (!array_key_exists($row_val, $dir_list)) $row_val="";
						foreach($dir_list as $key=>$val) $arr_keys[$key]=$key;
					} else $row_val="";
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>"select",
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'SIZE'=>1,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val,
							'OPTIONS'=>$arr_keys
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "file_select":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$dir_path=ALTADOC_UF_PATH.$meta->module.DS.str_replace("/", DS, $meta->upload_path[$index]).DS;
					$dir_list=Files::getFiles($dir_path);
					$arr_keys=array(""=>"-- ".Text::_("Not selected")." --");
					if ($dir_list){
						if (!array_key_exists($row_val, $dir_list)) $row_val="";
						foreach($dir_list as $key=>$val) $arr_keys[$key]=$key;
					} else $row_val="";
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>"select",
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'SIZE'=>1,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val,
							'OPTIONS'=>$arr_keys
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value").$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "file":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"fileselector",
							'SIZE'=>$input_size[$index],
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					);
					//					$frm->addInput($arr_field);
					break;
				case "image":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					if ($row_val) {
						$tmpl_img=ALTADOC_UF."/".$meta->module."/".$meta->upload_path[$index]."/".Files::splitAppendix($row_val);
						$tmpl_img_path=ALTADOC_UF_PATH.$meta->module.DS.str_replace("/",DS,$meta->upload_path[$index]).DS.Files::splitAppendix($row_val, true);
					} else {
						$tmpl_img=""; $tmpl_img_path="";
					}

					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"imageselector",
							'SIZE'=>$input_size[$index],
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val,
							'URL'=>$tmpl_img,
							'PATH'=>$tmpl_img_path
					);
					//					$frm->addInput($arr_field);
					break;
				case "date_ajax":
					if (isset($row->$fld[$index])) {
						$row_val=Date::fromSQL($row->$fld[$index],".",true);
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"dateselector",
							'SIZE'=>10,
							'CLASS'=>"dateselector",
							'MAXLENGTH'=>10,
							'READONLY'=>true,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value")." ".$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
					//				case "datetime":
				case "datetime_ajax":
					if (isset($row->$fld[$index])) {
						$row_val=Date::fromSQL($row->$fld[$index],false,true);
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"datetimeselector",
							'CLASS'=>"datetimeselector",
							'SIZE'=>16,
							'MAXLENGTH'=>16,
							'READONLY'=>true,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					);
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Undefined value")." ".$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
				case "address":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						$row_val="";
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'TYPE'=>"addressselector",
							'CLASS'=>"addressselector",
							'SIZE'=>100,
							'MAXLENGTH'=>255,
							'READONLY'=>true,
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					);
					//					$frm->addInput($arr_field);
					break;
				case "label":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
						if ($meta->val_type[$index]=="date") $row_val=Date::fromSQL($row_val,true);
						elseif ($meta->val_type[$index]=="datetime") $row_val=Date::fromSQL($row_val,false);
						elseif ($meta->val_type[$index]=="boolean") {
							if ($row_val) $row_val=Text::_('Y'); else $row_val=Text::_('N');
						}
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>"text",
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'SIZE'=>$input_size[$index],
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'CLASS'=>"label_in_sprav",
							'READONLY'=>true,
							'VAL'=>$row_val
					);
					//					$frm->addInput($arr_field);
					break;
				case "label_sel":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val=0;
					}
					if ($meta->multy_field==$fld[$index]) $row_val = $reestr->get('multy_code');
					if (!array_key_exists($row_val, $select[$index])) $row_val=0;
					if (!$input_size[$index]) $input_size[$index]=strlen($select[$index][$row_val]);
					// Скрытое поле со значением
					$arr_field=array(
							'TYPE'=>"hidden",
							'ID'=>'p_'.$meta->field[$index].'_select',
							'NAME'=>'p_'.$meta->field[$index].'_select',
							'SIZE'=>$input_size[$index],
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'VAL'=>$row_val
					);
					$frm->addInput($arr_field);
					$arr_field=array(
							'ONCHANGE'=>$on_change_js,
							'TYPE'=>"text",
							'ID'=>$meta->field[$index],
							'NAME'=>$meta->field[$index],
							'SIZE'=>$input_size[$index],
							'LABEL'=>Text::_($meta->field_title[$index]),
							'DESCRIPTION'=>$field_description,
							'CLASS'=>"label_in_sprav",
							'READONLY'=>true,
							'VAL'=>$select[$index][$row_val]
					);
					//					$frm->addInput($arr_field);
					break;
				case "filepath":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					if (($psid)&&($meta->field_no_update[$index])) {
						$arr_field=array(
								'TYPE'=>"filepath",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'SIZE'=>$input_size[$index],
								'CLASS'=>"label_in_sprav",
								'READONLY'=>true,
								'MAXLENGTH'=>$meta->val_size[$index],
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>htmlspecialchars_decode($row_val)
						);
					} else {
						$arr_field=array(
								'ONCHANGE'=>$on_change_js,
								'TYPE'=>"filepath",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'MAXLENGTH'=>$meta->val_size[$index],
								'SIZE'=>$input_size[$index],
								'CLASS'=>'filepath',
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>htmlspecialchars_decode($row_val)
						);
					}
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Please fill")." ".$meta->field_title[$index];
					}
					break;
				default:
				case "text":
				case "password":
				case "timestamp":
					if (isset($row->$fld[$index])) {
						$row_val=$row->$fld[$index];
					} else {
						if ($meta->default_value[$index]) {
							$param_default=$meta->default_value[$index];
							if(isset($meta->constants[$param_default])) {
								$row_val=$meta->constants[$param_default];
							}
							else {$row_val=$param_default;
							}
						} else $row_val="";
					}
					if ($value=="password") {
						$row_val="";
					}
					if (($psid)&&($meta->field_no_update[$index])) {
						//echo $meta->field_no_update[$index]."$value, $index <br />";
						//Util::ddump($value, $index);
						$arr_field=array(
								'TYPE'=>"text",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'SIZE'=>$input_size[$index],
								'CLASS'=>"label_in_sprav",
								'READONLY'=>true,
								'MAXLENGTH'=>$meta->val_size[$index],
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>htmlspecialchars_decode($row_val)
						);
					} else {
						if($meta->val_type[$index]=="int"||$meta->val_type[$index]=="float"||$meta->val_type[$index]=="currency") $field_class="numeric"; else $field_class="";
						$arr_field=array(
								'ONCHANGE'=>$on_change_js,
								'TYPE'=>"text",
								'ID'=>$meta->field[$index],
								'NAME'=>$meta->field[$index],
								'MAXLENGTH'=>$meta->val_size[$index],
								'SIZE'=>$input_size[$index],
								'CLASS'=>$field_class,
								'LABEL'=>Text::_($meta->field_title[$index]),
								'DESCRIPTION'=>$field_description,
								'VAL'=>htmlspecialchars_decode($row_val)
						);
					}
					if($meta->check_value[$index]) {
						$arr_field['REQUIRED']["FLAG"]=1;
						$arr_field['REQUIRED']["MESSAGE"]=Text::_("Please fill")." ".$meta->field_title[$index];
					}
					//					$frm->addInput($arr_field);
					break;
			}
			if ($meta->input_view[$index]==0){
				$arr_field['TYPE']="hidden";
				if($value=='checkbox')	$arr_field['VAL']=$row_val;
			}
			$frm->addInput($arr_field);
		}
		$frm->addInput(array( "TYPE"=>"submit","CLASS"=>"commonButton", "VAL"=>Text::_("Save"),		"NAME"=>"save", "ID"=>"save"));
		$frm->addInput(array( "TYPE"=>"submit","CLASS"=>"commonButton", "VAL"=>Text::_("Apply"),	"NAME"=>"apply", "ID"=>"apply"));
		if($meta->buttons['clone']['view'])
		{	
		$frm->addInput(array( "TYPE"=>"submit","CLASS"=>"commonButton", "VAL"=>Text::_("Save and add clone"),	"NAME"=>"add_clone", "ID"=>"add_clone"));
		}
		$frm->addInput(array( "TYPE"=>"submit","CLASS"=>"commonButton", "VAL"=>Text::_("Save and add new"),	"NAME"=>"add_new", "ID"=>"add_new"));
		if ($ajaxModify) {
			$frm->addInput(array( "TYPE"=>"button","CLASS"=>"commonButton", "VAL"=>Text::_("Close"),	"NAME"=>"cancel",	"ONCLICK"=>"hidePopup()"));
		} else {
			// здесь & не заменялся
			// if ($onCancelURL)	$frm->addInput(array( "TYPE"=>"button","CLASS"=>"commonButton", "VAL"=>Text::_("Close"),	"NAME"=>"cancel",	"ONCLICK"=>"document.location.href='".Router::_($onCancelURL,false,false)."'"));
			if ($onCancelURL)	$frm->addInput(array( "TYPE"=>"button","CLASS"=>"commonButton", "VAL"=>Text::_("Close"),	"NAME"=>"cancel",	"ONCLICK"=>"document.location.href='".Router::_($onCancelURL,false)."'"));
			else $frm->addInput(array( "TYPE"=>"button","CLASS"=>"commonButton", "VAL"=>Text::_("Close"),	"NAME"=>"cancel",	"ONCLICK"=>"history.back()"));
		}
		//$frm->dump();
		//		Debugger::getInstance()->milestone('Before form StartLayoutCapture');
		//		$frm->startLayoutCapture();

		if (!$psid)	{
			$head=Text::_("Adding data");
		}	else {$head=Text::_("Changing data");
		}
		$module_path=PATH_MODULES;

		if(!$psid){
			if (isset($meta->templates['new'])) $template = $meta->templates['new']; else $template="modify";
		}	else	{
			if (isset($meta->templates['modify'])) $template = $meta->templates['modify']; else $template="modify";
		}
		$info="updateLabel(this,'".$module."','".$parent_view."','BuildPathTree',%s,1)";


		$templatePath = Portal::getInstance()->getTemplatePath().'html'.DS.'modules'.DS.$this->get('module').DS.$this->getName().DS.$template.'.php';
		$filename =  $module_path . $module . DS . "views" . DS . "template" . DS . $view. DS. $template. ".php";
		$this->message(Text::_("Looking for template").": ".$templatePath);
		if ((file_exists($templatePath)) && (is_file($templatePath))) {
			require_once $templatePath;
		} elseif ((file_exists($filename))&&(!is_dir($filename))) {
			$this->message('Spravochnick: template:'.$filename);
			include_once $filename;
		} else {
			Debugger::getInstance()->milestone('Before form StartLayout');
			$frm->startLayout();

			if ($meta->title) $title=Text::_($meta->title); else $title="";
			echo "<div class=\"tablHeader\">".$dop_head." ".$head." : ".$title."</div>";
			echo "<div class=\"clear\"></div>";
			echo "<div class=\"tablBody\">";
			echo "<table class=\"$classTable\">";
			if ($linkModify) {
				echo"<tr><td colspan=\"2\"><fieldset>";
				echo "<legend>".Text::_("Subordination").":</legend>";
				echo HTMLControls::renderPopupMultySelect("linkEditor",$linkArray,"","","index.php?module=".$module."&amp;view=".$parent_view."&amp;layout=selector&amp;task=getContList&amp;lol=linkEditor&amp;option=ajax","",$info,$isNewLink);
				echo"</fieldset></td></tr>";
			}
			foreach ($input_type as $index=>$value)	{
				if ($meta->input_view[$index]==0 && $value!="hidden") continue;
				switch ($value)	{
					case "hidden": continue;
					break;
					case "texteditor":
						echo "<tr id=\"row_for_".$meta->field[$index]."\"><td class=\"tablLabel\" colspan=\"2\">";
						$frm->renderLabelFor($meta->field[$index]);
						echo ":&nbsp;";
						$frm->renderBalloonFor($meta->field[$index],false);
						echo "</td></tr><tr><td colspan=\"2\">";
						$frm->renderInputPart($meta->field[$index]);
						echo "</td></tr>";
						break;
					default:
						echo "<tr id=\"row_for_".$meta->field[$index]."\"><td class=\"tablLabel\">";
						$frm->renderLabelFor($meta->field[$index]);
						echo ":&nbsp;";
						$frm->renderBalloonFor($meta->field[$index],false);
						echo "</td><td>";
						$frm->renderInputPart($meta->field[$index]);
						echo "</td></tr>";
						break;
				}
			}
			echo"<tr><th style=\"text-align:center;\" colspan=\"2\">";
			$frm->renderInputPart("save");
			if (!$ajaxModify) $frm->renderInputPart("apply");
			if (!$ajaxModify&&$meta->buttons['clone']['view']) $frm->renderInputPart("add_clone");
			if (!$ajaxModify) $frm->renderInputPart("add_new");
			$frm->renderInputPart("cancel");
			echo"</th></tr>";
			echo "</table>";
			echo "</div>";
			Debugger::getInstance()->milestone('After form DisplayOutput');
			$frm->endLayout();

		}
	}
	public static function getCKArray($ck_label="") {
		return SpravStatic::getCKArray($ck_label);
	}
	public function modifyLinks(){
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$model=$reestr->get('model');
		$meta=$model->meta;
		$module=$meta->module;
		$layout=$reestr->get('layout');
		$view=$reestr->get('view','');
		$task=$reestr->get('task','save');
		$arr_psid=$reestr->get('arr_psid',false);
		$onCancelURL=$reestr->get('onCancelURL',false);
		$sort=$reestr->get('sort');
		$start=$reestr->get('start');
		$orderby=$reestr->get('orderby');
		$multy_code=$reestr->get('multy_code');
		$parent_view=$meta->parent_view;
		echo "<div class=\"rounded-pan\">";
		echo "<form action=\"".(defined("_ADMIN_MODE") ? "index.php" : Router::_("index.php"))."\" method=\"post\">";
		echo HTMLControls::renderHiddenField("module",$module);
		echo HTMLControls::renderHiddenField("view",$view);
		echo HTMLControls::renderHiddenField("layout",$layout);
		echo HTMLControls::renderHiddenField("sort",$sort);
		echo HTMLControls::renderHiddenField("start",$start);
		echo HTMLControls::renderHiddenField("orderby",$orderby);
		echo HTMLControls::renderHiddenField("multy_code",$multy_code);
		echo HTMLControls::renderHiddenField("current_parent",$multy_code);
		echo HTMLControls::renderHiddenField("task",'saveLinks');
		echo "<fieldset>";
		echo "<legend>".Text::_("Subordination").":</legend>";
		$info="updateLabel(this,'".$module."','".$parent_view."','BuildPathTree',%s,1)";
		echo HTMLControls::renderPopupMultySelect("linkEditor",$this->linkArray,"","","index.php?module=".$module."&amp;view=".$parent_view."&amp;layout=selector&amp;task=getContList&amp;lol=linkEditor&amp;option=ajax","",$info);
		echo "</fieldset>";
		echo "<fieldset>";
		echo "<legend>".Text::_("Elements list").":</legend>";
		if(count($this->items)>0) {
			$counter=0;
			foreach($this->items as $value) {
				echo "<div class=\"element\">";
				echo "<div class=\"elementid\">".$value->id."</div>";
				echo "<div class=\"elementtitle\">".$value->title."</div>";
				echo HTMLControls::renderHiddenField("cps_id[]",$value->id,false);
				echo "</div>";
			}
		}
		echo "</fieldset>";

		echo "<div class=\"modify-buttons\">";
		echo "<input class=\"commonButton\" type=\"submit\" value=\"".Text::_("Save")."\" />";
		if ($onCancelURL) $onCancelClick="javascript:document.location.href='".Router::_($onCancelURL,false,false)."';";
		else $onCancelClick="javscript:history.go(-1);";
		echo "<input class=\"commonButton\" type=\"button\" onclick=\"".$onCancelClick."\" value=\"".Text::_("Cancel")."\" />";
		echo "</div>";

		//		echo "</div>";
		echo "</form>";
		echo "</div>";
	}

	public static function getValueFromCKArray($ck_label='',$val='')	{
		$array=SpravStatic::getCKArray($ck_label);
		if((is_array($array))&&(isset($array[$val]))) return $array[$val];
		else return '';
	}
}
?>