<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class contentPluginnewobject extends Plugin {

	protected $_events=array("rating.new");	
	
	public function getParamsMask(){
	  $params['article_cost']["vtype"]="integer"; 	$params['article_cost']["vdefault"]=1;
	  $params['blog_cost']["vtype"]="integer"; 		$params['blog_cost']["vdefault"]=1;
	  $params['comment_cost']["vtype"]="integer"; 	$params['comment_cost']["vdefault"]=1;
	  $params['user_cost']["vtype"]="integer"; 		$params['user_cost']["vdefault"]=0;
	  return $params;
	}
	
  protected function onRaise($event, &$data) {
  	$result="";
  	$module=$this->get("module");
  	if (!$module) return $result;
  	$view=$this->get("view","");
  	$element=$this->get("element","object");
  	switch($event){
  		case "rating.new":
  			if(!User::getInstance()->isLoggedIn()) $result=false;
  			else {
  				$uid=User::getInstance()->getID();
  				$result=$this->updateUserRating($module, $view, $element, $uid, "+");
  			}
  		break;
  		case "rating.delete":
  			if(!User::getInstance()->isLoggedIn()) $result=false;
  			else {
  				$uid=User::getInstance()->getID();
  				$result=$this->updateUserRating($module, $view, $element, $uid, "-");
  			}
  		break;
  		default:
  			break;
  	}	
  	return $result;
  }
  // Эта функция меняет рейтинг пользователя (автора или самого пользователя, смотря как вызвать)
  private function updateUserRating($module, $view, $element,$uid, $znak){ 
  	if (!$uid) return false;
  	if ($element=="object"){ // это объект
  		$delta=$this->get($module."_cost",0);
  	} elseif ($element=="comment"){ // это обычный комментарий
  		$delta=$this->get("comment_cost",0);
  	} else return false;
		if (!$delta) return false;
		$sql="UPDATE #__users SET u_rating=u_rating".$znak.$delta." WHERE u_id=".$uid;
  	Database::getInstance()->setQuery($sql); 
  	return Database::getInstance()->query();
  }
}
?>