<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class contentPluginyashare extends Plugin {
	protected $_events=array("share.article","share.blog","share.blogpost","share.goods","share.page");
	private $share_services=array("yaru","vkontakte","facebook","twitter","odnoklassniki","moimir","lj");
	private $enabled_services=array();

	public function getParamsMask(){
		$this->enabled_services=$this->share_services;
		$params['share_page']["vtype"]="boolean"; 			$params['share_page']["vdefault"]=1;
		$params['share_article']["vtype"]="boolean"; 			$params['share_article']["vdefault"]=1;
		$params['share_blogpost']["vtype"]="boolean"; 		$params['share_blogpost']["vdefault"]=1;
		$params['share_blog']["vtype"]="boolean"; 				$params['share_blog']["vdefault"]=1;
		$params['share_goods']["vtype"]="boolean"; 				$params['share_goods']["vdefault"]=1;
		$params['srvs_yaru']["vtype"]="boolean"; 					$params['srvs_yaru']["vdefault"]=1;
		$params['srvs_vkontakte']["vtype"]="boolean"; 		$params['srvs_vkontakte']["vdefault"]=1;
		$params['srvs_facebook']["vtype"]="boolean"; 			$params['srvs_facebook']["vdefault"]=1;
		$params['srvs_twitter']["vtype"]="boolean"; 			$params['srvs_twitter']["vdefault"]=1;
		$params['srvs_odnoklassniki']["vtype"]="boolean"; $params['srvs_odnoklassniki']["vdefault"]=1;
		$params['srvs_moimir']["vtype"]="boolean"; 				$params['srvs_moimir']["vdefault"]=1;
		$params['srvs_lj']["vtype"]="boolean"; 						$params['srvs_lj']["vdefault"]=1;
		return $params;
	}

	protected function onRaise($event, &$data) {
		$html="";
		$srvs=$this->getEnabledShareServices();
		if (!$this->get("share_article")&&$event=="share.article") return $html;
		if (!$this->get("share_blogpost")&&$event=="share.blogpost") return $html;
		if (!$this->get("share_blog")&&$event=="share.blog") return $html;
		if (!$this->get("share_goods")&&$event=="share.goods") return $html;
		if (!$this->get("share_page")&&$event=="share.page") return $html;
		switch($event){
			case "share.article":
			case "share.blog":
			case "share.blogpost":
			case "share.page":
				if (count($this->enabled_services)) {
					Portal::getInstance()->addScript("//yandex.st/share/share.js");
					$html='<div class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="none" data-yashareQuickServices="'.$srvs.'"></div>';
				}
				break;
			default: break;
		}
		return $html;
	}
	private function getEnabledShareServices(){
		$this->enabled_services=array();
		foreach ($this->share_services as $srvs){
			if ($this->get("srvs_".$srvs)) $this->enabled_services[]=$srvs;
		}
		return implode(",", $this->enabled_services);
	}
}
?>