<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class systemPluginrecaptcha extends Plugin {
	protected $_events=array("captcha.renderPicture","captcha.renderForm","captcha.checkResult");	
	public function getParamsMask(){
	  $params['privatekey']["vtype"]="string"; 	$params['privatekey']["vdefault"]="6LcyM8MSAAAAAB-KdKyg__BMnusAfCm2z8QjzD2-";
	  $params['publickey']["vtype"]="string"; 	$params['publickey']["vdefault"]="6LcyM8MSAAAAAC_YR63lRdol_enDVjWXzQVs_f4K";
	  return $params;
	}
  protected function onRaise($event, &$data) {
  	switch($event){
  		case "captcha.renderForm":
  			require_once PATH_INCLUDES.'recaptcha'.DS.'recaptchalib.php';
				$publickey=$this->get("publickey");
  			$html = "<div class=\"captcha\">";
			  $html.= recaptcha_get_html($publickey);
				$html.= "</div>";
//				echo $html;
				return $html;
  			break;
  		case "captcha.checkResult":
  			require_once PATH_INCLUDES.'recaptcha'.DS.'recaptchalib.php';
				if($this->get("privatekey")) $privatekey=$this->get("privatekey");
			  $resp = recaptcha_check_answer ($privatekey,
                                User::getInstance()->getIP(),
                                Request::getSafe("recaptcha_challenge_field"),
                                Request::getSafe("recaptcha_response_field"));
	  	  if (!$resp->is_valid) { $msg =Text::_("Wrong captcha"); } else { $msg="OK";  }
  			$_SESSION['captcha_string']=$msg;
  			break;
  		default: break;
  	}
		
  }
}

?>