<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class userPlugintsj extends Plugin {
	protected $_events=array("user.renderpanelpan");
	public function getParamsMask(){
		$params['qwerty']["vtype"]="integer"; 			$params['qwerty']["vdefault"]=1;
		return $params;
	}

	protected function onRaise($event, &$data) {
		$uid=User::getInstance()->getId();
		$db=Database::getInstance();
		$db->setQuery('select * from #__atsj_lic where l_enabled=1 and l_deleted=0 AND l_uid='.$uid);
		$res=$db->loadObjectList();
		if(!count($res)) return false;
		switch($event){
			case "user.renderpanelpan":
				$data[]=array("title"=>Text::_("Our tsj"),"text"=>$this->render_pan($res));
				Portal::getInstance()->addScript("modules/tsj.js");
				break;
			default:
				break;
		}
	}

	private function render_pan($res) {
		$html='<div class="tsj_panel_block">';
		foreach($res as $val)
		{
			$html.='<fieldset><legend>Информация о лицевом счете № '.$val->l_lic.'</legend>
					<table>
						<tr><td class="tsj_label">Лицевой счет</td><td>'.$val->l_lic.'</td>
						<td class="tsj_label">Плательщик</td><td>'.$val->l_fio.'</td></tr>
						<tr><td class="tsj_label">Адрес</td><td colspan="3">'.$val->l_addr.'</td></tr>
						<tr><td class="tsj_label">Квартира</td><td>'.$val->l_flat.'</td>
						<td class="tsj_label">Текущая задолженность</td><td>'.$val->l_debet.'</td></tr>
					</table>';
			$html.='<div class="buttons">';
			$html.='<a class="linkButton"  href="#" onclick="getKvitList(\''.$val->l_id.'\',5);">Список квитанций</a>';
			$html.='<a class="relpopup linkButton" href="'.Router::_("index.php?module=tsj&task=setMeterVals&lic=".$val->l_id).'">Показания счетчиков</a>';
			$html.='</div>';
			$html.='<div class="kvitlist" id="kvit_'.$val->l_id.'"></div>';

			$html.='</fieldset>';
		}
		$html.='</div>';
		return $html;
	}
}
?>