<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo $this->renderSystemMessage(); 
?>
<a name="up" id="up"></a>
<div id="outer_wrapper">
	<div id="header">
		<div id="sitetitle"><?php echo siteConfig::$metaTitle; ?></div>
		<div id="sitedata"><?php 
		echo Text::_("Address")." : ".soConfig::$Address."<br />"; 
		echo Text::_("Phone")." : ".soConfig::$Phone."<br />"; 
		echo Text::_("Inn")." : ".soConfig::$INN."<br />";
		
		?></div>
	</div><!-- header -->
	<div id="header_1">
		<div id="header_2">
			<div id="topmenu"><?php $this->placeZone("top-menu");?></div><!-- topmenu -->
		</div><!-- header_2 -->
	</div><!-- header_1 -->
  <div id="inner_wrapper">
  	<div id="left_column">
			<div class="wzone"><?php $this->placeZone("left-top","rounded_4");?></div>
   		<div class="wzone"><?php $this->placeZone("left","rounded_4");?></div>
			<div class="wzone"><?php $this->placeZone("left-bottom","rounded_4");?></div>
		</div><!-- left_column -->
    <div class="center_block">
    	<?php if ($this->countZone("center-top")) { ?><div class="wzone"><?php $this->placeZone("center-top");?></div><?php } ?>
			<div class="nopad"><?php echo $this->moduleHTML; ?></div><!-- nopad -->
    	<?php if ($this->countZone("center-bottom")) { ?><div class="wzone"><?php $this->placeZone("center-bottom");?></div><?php } ?>
    </div><!-- main body counted-->
    <div id="right_column">
			<div class="wzone"><?php $this->placeZone("right-top","rounded_4");?></div>
   		<div class="wzone"><?php $this->placeZone("right","rounded_4");?></div>
			<div class="wzone"><?php $this->placeZone("right-bottom","rounded_4");?></div>
		</div><!-- right_column -->
  </div><!-- inner_wrapper -->
	<div id="itms_bottom"><?php $this->placeZone("bottom");?></div><!-- itms_bottom -->
	<div id="footer">
		<div id="footer_2">
			<div class="footer_l">
    		<?php $this->placeZone("user-6");?>
			</div><!-- footer_l -->
			<div class="counters">
    		<?php $this->placeZone("user-8");?>
			</div><!-- counters -->
			<div class="copyright"><?php echo $this->getCopyright(); ?></div>
			<?php $this->placeZone("user-7");?>
		</div><!-- footer -->
	</div><!-- footer -->
</div><!-- outer_wrapper -->
