<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class basketWidget extends Widget {
	public function getParamsMask(){
	  $params["Widget_ID"]["vtype"]="string"; 		$params["Widget_ID"]["vdefault"]="";
	  $params["Basket_ID"]["vtype"]="string"; 		$params["Basket_ID"]["vdefault"]="ajax_basket";
	  return $params;
	}
	public function prepare() {
		$Basket_ID = $this->get('Basket_ID','ajax_basket');
		Portal::getInstance()->addScriptDeclaration("var basketWidgetID='".$Basket_ID."'");
	}
	public function render() {
		if (catalogConfig::$ordersDisabled) {
			$this->set('show_title',0);
			return "";
		}
		$name = $this->get('name','');
		$html = $this->get('content','');
		if ($html) $html=$html; else $html="";
		$Basket_ID = $this->get('Basket_ID','ajax_basket');
		$html.="<div id=\"".$Basket_ID."\">".Basket::getInstance()->showMini()."</div>";
		return $html;
	}
}
?>