<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class breadcrumbWidget extends Widget {

	public function getParamsMask(){
		$params["Show_first_separator"]["vtype"]="boolean"; 		$params["Show_first_separator"]["vdefault"]=0;
		return $params;
	}
	
	public function render() {
		if (!Module::getInstance()->showBreadcrumb()) return "";
		$_breadCrumb = Module::getInstance()->getBreadCrumbArray();
		$show_first_separator = intval($this->get('Show_first_separator',0));
		$first_shown=false;
		$html = "";
		foreach ($_breadCrumb as $bc) {
			if (!$first_shown){
				if($show_first_separator){
					$html .= "<span><img class=\"breadcrumb\" src=\"/images/blank.gif\" width=\"1\" height=\"1\" alt=\"\" /></span>";
				}
				$first_shown=true;
			} else {
				$html .= "<span><img class=\"breadcrumb\" src=\"/images/blank.gif\" width=\"1\" height=\"1\" alt=\"\" /></span>";
			}
			if ($bc->link=="#")	$html .= "<a class=\"breadcrumb\">".$bc->text."</a>";
			else $html .= "<a class=\"breadcrumb\" href=\"".$bc->link."\">".$bc->text."</a>";
		}
		return $html;
	}
}

?>