<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class langswitcherWidget extends Widget {
	public function render() {
		$widgetHTML="";
		$active_language=Text::getLanguage();
		foreach(Text::getAllLanguages() as $lng => $val) {
			if ($lng==$active_language)	$widgetHTML.= "<span class=\"active_language\">";
			else	$widgetHTML.= "<span class=\"language\">";
			$href=Util::getReturnUrl(false); $href=str_replace("&amp;","&",$href); $href=str_replace("&","&amp;",$href);
			if (preg_match('/(\?)/', $href)) $href.="&amp;lang=".$lng; else $href.="?lang=".$lng;
			$widgetHTML.= "	<a href=\"".$href."\"><img title=\"".$lng."\" alt=\"".$lng."\" src=\"/images/flags/".$lng.".gif\" /></a>";
			$widgetHTML.= "</span>";
		}
		return $widgetHTML;
	}
}

?>