<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class lastcommentWidget extends Widget {

	public function getParamsMask(){
	  $params["com_type"]["vtype"]="string";			$params["com_type"]["vdefault"]="";
	  $params["com_type_ex"]["vtype"]="string";	$params["com_type_ex"]["vdefault"]="";
	  $params["com_cat"]["vtype"]="integer";			$params["com_cat"]["vdefault"]=0;
	  $params["com_group"]["vtype"]="select";			$params["com_group"]["vdefault"]=0; 
	  $params["com_group"]["source"]=array(array("id"=>"5","name"=>"Объекты ЖКХ"),array("id"=>"1","name"=>"Контрагенты ЖКХ"));	  
	  $params["post_count"]["vtype"]="integer"; $params["post_count"]["vdefault"]=5;
	  $params["menu_id"]["vtype"]="integer"; 		$params["menu_id"]["vdefault"]=0;
	  return $params;
	}

	public function render() {
		$post_count	= $this->get('post_count',5);
		$arrtype		= explode(",",$this->get('com_type',""));
		$arrextype	= explode(",",$this->get('com_type_ex',""));
//		$class = $this->get('class','');
		$com_group=$this->get('com_group','');
		$com_cat=$this->get('com_cat','');
		if ($this->get('menu_id',0)) $mid="&amp;mid=".$this->get('menu_id'); else $mid="";
//		if ($class) $class_txt=" class=\"".$class."\""; else  $class_txt="";
		if(count($arrtype)==1 && empty($arrtype[0]) ) $arrtype=array();
		if(count($arrextype)==1 && empty($arrextype[0]) ) $arrextype=array(); 
//		$title = $this->get('title','');
//		$show_title = $this->get('show_title',0);
//		if ($title&&$show_title)	$comHTML = "<h3>".$title."</h3>"; else $comHTML ="";
		$comHTML="";
		$availableGroups=array_keys(BaseComments::getInstance()->getGIDsForUser("read"));
		if(!in_array($com_group,$availableGroups)) return "";
		$list = $this->getListComment($arrtype,$arrextype,$com_group,$post_count); 
		if (count($list)) {
			$sql="SELECT * FROM #__comms_grp WHERE cg_id='".$com_group."'";
			Database::getInstance()->setQuery($sql);
			$group=false;
			Database::getInstance()->LoadObject($group);
			if(!$group) return "";
			foreach($list as $val) {
				$link=Router::_("index.php?module=".$group->cg_module."&view=".$group->cg_view."&task=getComment&psid=".$val->cm_obj_id."&comm_id=".$val->cm_id);
				if ($val->cm_title) $comm_title=$val->cm_title; 
				else $comm_title=Text::_("Comment by").": ".$val->cm_nickname;
				$comHTML.='<div class="wblog"><div class="wbTheme"><small>'.Date::fromSQL($val->cm_date,false,true).'</small>&nbsp;<a href="'.$link.'">'.$comm_title.'</a></div>';
				$comHTML.='</div>';
			}
		} else return '';
//		$comHTML = "<div ".$class_txt.">".$comHTML."</div>";
		return $comHTML;
	}
	
  private function getListComment($arrtype,$arrextype,$com_group,$post_count=5) {
  	$db = Database::getInstance();
  	switch($com_group)
  	{
  		case "1": // контрагенты
  		 $add_table=' ,#__tsj_contra as cnt';
  		 $add_where=" AND cnt.u_enabled=1 AND cnt.u_deleted=0 AND cnt.u_id=cm_obj_id";
  		break;
  		case "5": // объекты
  		 $add_table=' ,#__tsj_obj as cnt';
  		 $add_where=" AND cnt.o_enabled=1 AND cnt.o_deleted=0 AND cnt.o_id=cm_obj_id";  			
  		break;
  		
  	}
  	//@TODO - у комментов может быть своя таблица
  	$query ="SELECT cm_id,cm_grp_id,cm_obj_id,cm_parent_id, 
					cm_uid,cm_nickname,cm_email,cm_date,cm_ip,cm_title,cm_text, 
					cm_rating,cm_cat,cm_type,cm_published,cm_deleted
	 				FROM	#__comms as c".$add_table;	
  	$query .= " WHERE  cm_published=1 AND cm_deleted=0".$add_where;
  	$query .= " AND cm_grp_id=".$com_group;
  	if (count($arrtype)) { $query .= " AND (cm_type IN (".implode(",",$arrtype)."))"; }
  	if (count($arrextype)) { $query .= " AND (cm_type NOT IN (".implode(",",$arrextype)."))"; }  
		$query .= " ORDER BY cm_date DESC";	 				
		$query .= "	LIMIT ".(int)$post_count;
		$db->setQuery($query);
		$comms = $db->loadObjectList();
		if (is_array($comms) && count($comms) > 0) {
			return $comms;
  	}	else 	{
  		return array();
  	}
  }
	
}
?>