<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class randgoodsWidget extends Widget {

	public function getParamsMask(){
		$params["ShowDopTitle"]["vtype"]="boolean"; 	$params["ShowDopTitle"]["vdefault"]=1;
		$params["DopTitle"]["vtype"]="string"; 			$params["DopTitle"]["vdefault"]="";
		$params["LinkDopTitle"]["vtype"]="string"; 		$params["LinkDopTitle"]["vdefault"]="";
		$params["goodsGroupid"]["vtype"]="integer"; 	$params["goodsGroupid"]["vdefault"]=0;
		$params["goodsid"]["vtype"]="integer"; 			$params["goodsid"]["vdefault"]=0;
		$params["onlyNew"]["vtype"]="boolean"; 			$params["onlyNew"]["vdefault"]=0;
		$params["onlyHit"]["vtype"]="boolean"; 			$params["onlyHit"]["vdefault"]=0;
		$params["shortTextLength"]["vtype"]="integer"; 	$params["shortTextLength"]["vdefault"]=200;
		return $params;
	}

	public function render() {
		$grpsid		= $this->get('goodsGroupid',0);
		$gid		= $this->get('goodsid',0);
		$new =  $this->get('onlyNew',0);
		$hit =  $this->get('onlyHit',0);

		$Doptitle = $this->get('DopTitle','');
		$LinkDoptitle = $this->get('LinkDopTitle','');
		$show_Doptitle = $this->get('ShowDopTitle',0);
		$shortTextLength=$this->get('shortTextLength',200);
		$widgetHTML="";
		// получаем случайный товар
		// если указан псид, то ищем в дочерних, иначе по всей базе
		// исключая удаленные и выключенные
		$helper=Module::getHelper("goods","catalog");
		$goods = $helper->getRandomGoods($grpsid,$gid,$new,$hit);
		if (count($goods)) {
			$widgetHTML .= "<div class=\"wgoods clearfix\">";
			if($show_Doptitle&&$Doptitle)	{
				if ($LinkDoptitle) $widgetHTML.="<div class=\"toplabel\"><a href=\"".Router::_($LinkDoptitle)."\">".$Doptitle."</a></div>";
				else $widgetHTML.="<div class=\"toplabel\"><a href=\"".$dop_href."\">".$Doptitle."</a></div>";
			}
			foreach($goods as $gds){
				if($gds->g_thumb_url){
					$widgetHTML.= "<div class=\"g_thumb\"><img width=\"".catalogConfig::$thumb_width."\" src=\"".$gds->g_thumb_url."\" alt='".$gds->g_name."' /></div>";
				}
				$widgetHTML.="<div class=\"g_title\"><a href=\"".$gds->g_goods_url."\">".$gds->g_name."</a>";
				$first_hr=mb_strpos($gds->g_comments,'<hr id="system-readmore"',0);
				if ($first_hr) $widgetHTML.=mb_substr($gds->g_comments,0,$first_hr);
				elseif(strip_tags($gds->g_comments)) $widgetHTML.=mb_substr(strip_tags($gds->g_comments), 0,$shortTextLength)."...";
				$widgetHTML.="<div class=\"readMore\"><a href=\"".$gds->g_goods_url."\">".Text::_('Read more')."</a></div>";
				$widgetHTML.="</div>";
			}
			$widgetHTML.="</div>";
		}	else  $widgetHTML = "";
		return $widgetHTML;
	}
}
?>