<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class remotegoodsWidget extends Widget {

	public function getParamsMask(){
		$params["ShowDopTitle"]["vtype"]="boolean"; 	$params["ShowDopTitle"]["vdefault"]=1;
		$params["DopTitle"]["vtype"]="string"; 			$params["DopTitle"]["vdefault"]="";
		$params["LinkDopTitle"]["vtype"]="string"; 		$params["LinkDopTitle"]["vdefault"]="";
		$params["RemoteURL"]["vtype"]="string"; 		$params["RemoteURL"]["vdefault"]="";
		$params["RemoteQuery"]["vtype"]="string"; 		$params["RemoteQuery"]["vdefault"]="module=catalog&option=ajax&task=getRandomGoods";
		$params["BannerID"]["vtype"]="integer"; 		$params["BannerID"]["vdefault"]=0;
		$params["shortTextLength"]["vtype"]="integer"; 		$params["shortTextLength"]["vdefault"]=200;
		return $params;
	}

	public function render() {
		$Doptitle = $this->get('DopTitle','');
		$LinkDoptitle = $this->get('LinkDopTitle','');
		$show_Doptitle = $this->get('ShowDopTitle',0);
		$RemoteURL = $this->get('RemoteURL','');
		$RemoteQuery = $this->get('RemoteQuery','');
		$banner_id = $this->get('BannerID',0);
		$shortTextLength=$this->get('shortTextLength',200);
		$widgetHTML="";
		if ($RemoteURL && $RemoteQuery) {
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,$RemoteURL); // set url to post to
			curl_setopt($ch, CURLOPT_FAILONERROR, 1);
			//			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);// allow redirects
			curl_setopt($ch, CURLOPT_RETURNTRANSFER,1); // return into a variable
			curl_setopt($ch, CURLOPT_TIMEOUT, 3); // times out after 4s
			curl_setopt($ch, CURLOPT_POST, 1); // set POST method
			curl_setopt($ch, CURLOPT_POSTFIELDS, $RemoteQuery); // add POST fields
			$result = curl_exec($ch); // run the whole process
			curl_close($ch);
			$goods[0]=json_decode($result);
			if (count($goods)) {
				$widgetHTML .= "<div class=\"wgoods clearfix\">";
				if($show_Doptitle&&$Doptitle)	{
					if ($LinkDoptitle) $widgetHTML.="<div class=\"toplabel\"><a href=\"".Router::_($LinkDoptitle)."\">".$Doptitle."</a></div>";
				}
				if ($banner_id) {
					$js="$(document).ready(function() {	rgDisplayed(".$banner_id.") });";
					Portal::getInstance()->addScriptDeclaration($js);
					$onclick=" onclick=\"javascript:clickACRM(".$banner_id.")\"";
				} else {
					$onclick="";
				}
				foreach($goods as $gds){
					if (is_object($gds)&&isset($gds->g_id)){
						if($gds->g_thumb_url){ $widgetHTML.= "<div class=\"g_thumb\"><img width=\"".catalogConfig::$thumb_width."\" src=\"".$gds->g_thumb_url."\" alt='".$gds->g_name."' /></div>";	}
						$widgetHTML.="<div class=\"g_title\"><a".$onclick." target=\"_blank\" href=\"".$gds->g_goods_url."\">".$gds->g_name."</a>";
						$first_hr=mb_strpos($gds->g_comments,'<hr id="system-readmore"',0);
						if ($first_hr) $widgetHTML.=mb_substr($gds->g_comments,0,$first_hr);
						elseif(strip_tags($gds->g_comments)) $widgetHTML.=mb_substr(strip_tags($gds->g_comments), 0, $shortTextLength)."...";
						$widgetHTML.="<div class=\"readMore\"><a".$onclick." target=\"_blank\" href=\"".$gds->g_goods_url."\">".Text::_('Read more')."</a></div>";
						$widgetHTML.="</div>";
					}
				}
				$widgetHTML.="</div>";
			}	else  $widgetHTML = "";
		}
		return $widgetHTML;
	}
}
?>