<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class aclmgrControllerdefault extends SpravController {
	// работа с правами
	public function showRules() {
		$view = $this->getView();
//		$modules=array();
		$roleModel = $this->getModel('roles');
		$ruleModel = $this->getModel('rules');

		$roleId = Request::getInt('roleid',1);
		$tabId = Request::get('tabid','frontend');

		$objectsFE = $ruleModel->getObjects(0);
		$objectsBE = $ruleModel->getObjects(1);
		$rulesFE = $ruleModel->getRules($roleId,$objectsFE);
		$rulesBE = $ruleModel->getRules($roleId,$objectsBE);

		foreach ($rulesFE as $rf) { $objectsFE[$rf->acl_object_id]->canAccess = $rf->acl_access; }
		foreach ($rulesBE as $rb) { $objectsBE[$rb->acl_object_id]->canAccess = $rb->acl_access; }
//		foreach ($objectsFE as $ob) { $modules[$ob->ao_module_name]=true;	}
//		foreach ($objectsBE as $ob) { $modules[$ob->ao_module_name]=true;	}

		$view->assign('roleName',$roleModel->getRoleName($roleId));
		$view->assign('roleId',$roleId);
		$view->assign('tabId',$tabId);
		$view->assign('objectsFE',$objectsFE);
		$view->assign('objectsBE',$objectsBE);
	}
	
	public function update() {
		$roleId = Request::getInt('roleId',0);
		$access = Request::get('access',array());
		$oldAccess = Request::get('oldAccess',array());
		$tabId = Request::get('tabId','');

		$model = $this->getModel('rules');
		foreach ($access as $objectId=>$state) {
			if ($state=="on")
				$model->setRule($objectId,$roleId,1);
		}
		foreach ($oldAccess as $objectId=>$state) {
			if (!array_key_exists($objectId,$access) && $state=="1")
				$model->setRule($objectId,$roleId,0);
		}

		$this->setRedirect("index.php?module=aclmgr&view=rules&roleid=".$roleId."&tabid=".$tabId,Text::_('ACL updated'));
	}
	// работа с ролями (override справочника)
	public function showRoles() {
		$this->showData();
	}
	
	public function delete() {
		$mdl = Module::getInstance();
		$model = $this->getModel();
		$sr = $model->getSystemRoles();
		$dr = User::getDefaultRole();
		$arr_psid     = request::get('cps_id', false);				// массив отмеченных галочкой элементов
		$psid         = request::get('psid', false); 					// ид строки
		if (!$psid) if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		if ($psid) {
			if($dr==$psid) $this->setRedirect("index.php?module=aclmgr",Text::_('It is default role'));
			elseif(array_key_exists($psid, $sr)) $this->setRedirect("index.php?module=aclmgr",Text::_('It is system role'));
			else parent::delete();
		} else {
			$this->setRedirect("index.php?module=aclmgr",Text::_('Absent role'));
		}
	}

}
?>