<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class blogModellist extends SpravModel {
	public function save(){
		$psid=parent::save();
		if ($psid) {
			$this->updateAlias($psid, Request::getSafe('b_alias',""), Request::getSafe('b_name',""));
		} else return 0;
		return $psid;
	}
	public function getBlog($blogId) {
		$blog=false;
		$query = "SELECT * FROM `#__blogs` WHERE `b_id`=".intval($blogId);
		$this->_db->setQuery($query);
		$this->_db->loadObject($blog);
		return $blog;
	}
	public function getBlogs() {
		$query = "SELECT * FROM #__blogs ORDER BY b_name";
		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}
	public function cleanBlogsLinks(){
		// удаленные посты
		$query = "DELETE FROM #__blogs_posts WHERE p_deleted=1";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		// посты к удаленным блогам
		$query = "DELETE FROM #__blogs_posts WHERE p_blog_id NOT IN (SELECT b_id FROM #__blogs)";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		// права на блоги
		$query = "DELETE FROM #__blogs_rights WHERE b_id NOT IN (SELECT b_id FROM #__blogs)";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		// линки на блоги
		$query = "DELETE FROM #__blogs_links WHERE b_id NOT IN (SELECT b_id FROM #__blogs)";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		// тэги 
		$query = "DELETE FROM #__blogs_tag_counts WHERE b_id NOT IN (SELECT b_id FROM #__blogs)";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		// комментарии к постам удаленных блогов
		if(BaseComments::getInstance()->init("blog","post")){
			$query="SELECT p_id FROM #__blogs_posts";
			$this->_db->setQuery($query);
			$post_arr=$this->_db->loadResultArray();
			if(count($post_arr)){
				return BaseComments::getInstance()->cleanComments($post_arr);
			} else return true;
		} else return false;
//		$comms_table=""; $grp_id=0;
//		$query = "DELETE FROM #__".$comms_table." WHERE cm_grp_id=".$grp_id." AND cm_obj_id NOT IN (SELECT p_id FROM #__blogs_posts)";
//		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		
		return true;
	}
	public function cleanRecords()	{
		if(parent::cleanRecords()) return $this->cleanBlogsLinks();	else return false;
	}
}