<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$tablname='goods_dts';
$keystring='dt_id';
$deleted='dt_deleted';
$enabled="dt_enabled";
$parent_view="paymenttypes";
$parent_table="goods_pts";
$parent_code='pt_id';
$parent_name='pt_name';
$multy_field="dt_id";

$nametabl="Delivery types";
$keycurrency='dt_currency';
$buttons=array(
		"new"=>array("show"=>1,"view"=>"deliverytypes","task"=>"newDTS"),
		"filter"=>array("show"=>1,"view"=>"deliverytypes"),
		"modify"=>array("show"=>1,"view"=>"deliverytypes","task"=>"modifyDTS"),
		"delete"=>array("show"=>1,"view"=>"deliverytypes","task"=>"delete"),
		"undelete"=>array("show"=>1,"view"=>"deliverytypes","task"=>"delete"),
		"trash"=>array("show"=>1,"link"=>false)
);
$cur_table_arr=array(
		"field"=>array(1=>"dt_id", "dt_name", "dt_price","dt_currency","dt_weight_limit", "dt_file", "dt_params","dt_comments", "dt_enabled", "dt_deleted"),
		"descr"=>array(3=>"Fixed price",5=>"Delivery max weight"),
		"name"=>array(1=>"Id", "Name", "Price","Currency","Max weight", "Template",	"Params","Comments", "Enabled", "Deleted"),
		"input_type"=>array(1=>"hidden","text","text","select","text","label","text","textarea","checkbox","hidden"),
		"val_type"=>array(1=>"int","string","currency","int","float","string","string","text","boolean","boolean"),
		"default_value"=>array(4=>DEFAULT_CURRENCY),
		"ch_table" => array(4=>"currency"),
		"ch_field" => array(4=>"c_name"),
		"ch_id"    => array(4=>"c_id")
);
?>