<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$tablname='goods_group';
$keystring='ggr_id';
$namestring='ggr_name';
$enabled="ggr_enabled";
$deleted='ggr_deleted';
$nametabl="Goods groups list";
$multy_field='ggr_id_parent';
$ordering_field	= "ggr_ordering";		// Поле порядка отображения
$ordering_parent = "ggr_id_parent";		// Поле внутри которого существует порядок отображения
$buttons=array(
		"new"=>array("show"=>1,"view"=>"goodsgroup","task"=>"modify"),
		"filter"=>array("show"=>1,"view"=>"goodsgroup"),
		"clone"=>array("show"=>1,"view"=>"goods","task"=>"make_clone"),
		"modify"=>array("show"=>1,"view"=>"goodsgroup","task"=>"modify"),
		"delete"=>array("show"=>1,"view"=>"goodsgroup","task"=>"delete"),
		"reorder"	=> array("show"=>1,"view"=>"goodsgroup","task"=>"reorder"),
		"undelete"=>array("show"=>1,"view"=>"goodsgroup","task"=>"delete"),
		"clean_trash"=>array("show"=>1,"link"=>false),
		"trash"=>array("show"=>1,"link"=>false)
);
$uni_buttons=array(	// массив уникальных кнопок
		"list_goods"=>array(
				"title"=>"List goods in opened category",
				"alt"=>'',
				"link"=>'index.php?module=catalog&view=goods&psid=%s',
				"position"=>"right"
		),
		"filter_goods"=>array(
				"title"=>"Filter goods",
				"alt"=>'Filter goods',
				"view"=>'goods',
				"task"=>'',
				"layout"=>"",
				"module"=>'catalog',
				"position"=>"left",
				"link"=>"javascript:showFilter('catalog','goods','',''); return false;"
		)
);
$cur_table_arr=array(
		"field"=>array(1=>'ggr_id', 'ggr_id_parent', 'ggr_name', 'ggr_alias', 'ggr_thumb','ggr_title_thm','ggr_alt_thm', 
				'ggr_comment', 'ggr_meta_title', 'ggr_meta_description', 'ggr_meta_keywords', 'ggr_list_tmpl', 'ggr_ordering', 'ggr_enabled','ggr_deleted'),
		"name"=>array(1=>"Group ID", "Group parent","Group name","Alias","Thumb",'Title thumb','Alt thumb',
				"Description",'Meta title', 'Meta description', 'Meta keywords','List template',"Ordering","Enabled","Delete mark"),
		"input_type"=>array(1=>'hidden','select','text','text','image','string','string',
				"texteditor",'text','textarea','textarea','select','text',"checkbox",'hidden'),
		"val_type"=>array(1=>'int','int','string','string','string','string','string',
				"text",'string',"text","text",'string','int','boolean','boolean'),
		"upload_path"=>array(5=>'ggr'),
		"link"=>array(1=>'index.php?module=catalog&view=goodsgroup&task=modify&psid=[0]&multy_code=[1]',
				3=>'index.php?module=catalog&view=goods&psid=[0]',''),
		"link_key"=>array(1=>'$id,ggr_id_parent',3=>'$id',''),
		"link_type"=>array(1=>'',3=>''),
		"ck_reestr"=>array(12=>'goods_list_tmpl'),
		"ch_table" => array(1=>"", 2=>"goods_group"),
		"ch_field" => array(1=>"", 2=>"ggr_name"),
		"ch_id"    => array(1=>"", 2=>"ggr_id")
);
?>