<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$tablname	= 'goods_img';
$keystring	= 'i_id';
$enabled	= 'i_enabled';
$deleted	= 'i_deleted';
$nametabl	= "Goods images";
$multy_field='i_gid';
$parent_view="goods";
$parent_name='g_name';
$parent_code='g_id';
$ordering_field	= "i_ordering";	// Поле порядка отображения
$ordering_parent = "i_gid";			// Поле внутри которого существует порядок отображения
$buttons = array(
		"go_up"=> array("show"=>1,"link"=>false),
		"new"		=> array("show"=>1,"view"=>"images","task"=>"modify"),
		"filter"	=> array("show"=>1,"view"=>"images"),
		"modify"	=> array("show"=>1,"view"=>"images","task"=>"modify"),
		"delete"	=> array("show"=>1,"view"=>"images","task"=>"delete"),
		"undelete"	=> array("show"=>1,"view"=>"images","task"=>"delete"),
		"reorder"	=> array("show"=>1,"view"=>"images","task"=>"reorder"),
		"trash"		=> array("show"=>1,"link"=>false),
		"clean_trash"		=> array("show"=>1,"link"=>false)
);
$cur_table_arr = array(
		"field"		=> array(1=>'i_id', 'i_gid', 'i_type', 'i_title', 'i_link' ,
				'i_image','i_title_img','i_alt_img', 
				'i_thumb','i_title_thm','i_alt_thm', 
				'i_ordering', 'i_enabled', 'i_deleted'),
		"name"		=> array(1=>'ID','Goods','File source', 'Title', 'Link',
				'Image','Title image','Alt image',
				'Thumb','Title thumb','Alt thumb',
				'Ordering','Published','Delete mark'),
		"val_type"	=> array(1=>'int','int','int','string','string',
				'string','string','string',
				'string','string','string',
				'int','boolean','boolean'),
		"input_type"	=> array(1=>'hidden','label_sel','hidden','text','hidden',
				'image','text','text',
				'image','text','text',
				'text','checkbox','hidden'),
		"link"=>array(1=>'index.php?module=catalog&view=images&task=modify&psid=[0]&multy_code=[1]'),
		"link_key"=>array(1=>'$id,i_gid'),
		"link_type"=>array(1=>''),		
		"upload_path"=>array(6=>'i/fullsize', 9=>'i/thumbs'),
		"ch_table" => array(2=>"goods"),
		"ch_field" => array(2=>"g_name"),
		"ch_id"    => array(2=>"g_id"),
		"ck_reestr"=>array(3=>'file_source')

);
?>