<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogModelorders extends SpravModel {

	public function decodeOrdersData($orders){
		if (count($orders)) {
			foreach($orders as $order){
				if($order->o_uid){
					$order->o_dt_data=Userdata::getInstance($order->o_uid)->decode($order->o_dt_data);
					$order->o_pt_data=Userdata::getInstance($order->o_uid)->decode($order->o_pt_data);
				}
			}
		}
		return $orders;
	}
	public function getStatuses(){
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders_status ORDER BY os_id ASC";
		$db->setQuery($sql);
		$res=$db->loadObjectList('os_id');
		return $res;
	}
	public function getOrders(){
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$psids=$reestr->get('arr_psid');
		if (is_array($psids)) $arr_psid="(".implode(",",$psids).")"; else $arr_psid="(".$psids.")";
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders WHERE o_id IN ".$arr_psid." ORDER BY o_date DESC";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	public function getOrdersItems(){
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$arr_psid=$reestr->get('arr_psid');
		if (is_array($arr_psid)) $psids="(".implode(",",$arr_psid).")"; else $psids="(".$arr_psid.")";
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders_items WHERE i_order_id IN ".$psids." ORDER BY i_order_id DESC";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	public function getOrderItems($psid){
		$db=Database::getInstance();
		$sql="SELECT * FROM #__orders_items WHERE i_order_id =".$psid;
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		return $res;
	}
	/**
	 *
	 * список картинок для набора товаров
	 * @param unknown_type $id
	 */
	public function getImageForItems($id_array)
	{
		$sql="select g_id,g_thumb,g_image,g_name from #__goods WHERE g_id IN ('".implode("','",$id_array)."')";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList('g_id');
	}

}
?>