<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");
Event::raise('goods.new',array(),$frm);
$html=$frm->startLayout(false);
$_activeTab=$this->activeTab;

$name_ggr=$frm->getInputValue('ggr_name');
if(!$name_ggr) $name_ggr=Text::_('New position');

$html.="<div id=\"modify-wrapper\" class=\"rounded-pan clearfix\">";
$html.="<div id=\"tab_switcher\">";
$html.="<ul class=\"switcher\" id=\"tabs\">";
if ($_activeTab==1) $_class=' current'; else $_class="";
$html.="<li class=\"switcher".$_class."\" onclick=\"switchTab(this,1)\">";
$html.="<div class=\"switcher\"><span class=\"pseudo-href\">".Text::_("Main data")."</span></div>";
$html.="</li>";
if($psid && count($this->group_fields)){
	if ($_activeTab==2) $_class=' current'; else $_class="";
	$html.="<li class=\"switcher".$_class."\" onclick=\"switchTab(this,2)\">";
	$html.="<div class=\"switcher\"><span class=\"pseudo-href\">".Text::_("Group fields")."</span></div>";
	$html.="</li>";
}
$html.="</div>";

if ($_activeTab==1) $_style=" style=\"display: block;\""; else $_style="";
$html.="<div class=\"tab_body\" id=\"tab_1\"".$_style.">";
$html.="<h3 class=\"title\">".$name_ggr."</h3>";
$html.="<table class=\"rounded-tbl non-rounded-tbl\">";
foreach ($input_type as $index=>$value)	{
	if ($meta->input_view[$index]==0 && $value!="hidden") continue;
	switch ($value)	{
		case "hidden": continue;
			break;
		case "textarea":
		case "texteditor":
			$html.="<tr id=\"row_for_".$meta->field[$index]."\">";
			$html.="<td class=\"tablLabel\" colspan=\"2\">";
			$html.=$frm->renderLabelFor($meta->field[$index]);
			$html.="</td></tr><tr><td colspan=\"2>\">";
			$html.=$frm->renderInputPart($meta->field[$index]);
			$html.="</td>";
			$html.="</tr>";
		break;
		default:
			$html.="<tr id=\"row_for_".$meta->field[$index]."\">";
			$html.="<td class=\"tablLabel\">";
			$html.=$frm->renderLabelFor($meta->field[$index]);
			$html.="</td><td>";
			$html.=$frm->renderInputPart($meta->field[$index]);
			$html.="</td>";
			$html.="</tr>";
		break;
	}
}
$html.="</table>";
$html.="</div>";
if($psid && count($this->group_fields)){
	if ($_activeTab==2) $_style=" style=\"display: block;\""; else $_style="";
	$html.="<div class=\"tab_body\" id=\"tab_2\"".$_style.">";
	$html.="<h3 class=\"title\">".$name_ggr."</h3>";
	$html.="<table class=\"rounded-tbl non-rounded-tbl\">";
	foreach($this->group_fields as $fkey=>$fval){
		$html.="<tr id=\"row_for_".$meta->field[$index]."\">";
		$html.="<td class=\"tablLabel\">";
		$html.=HTMLControls::renderLabelField("group_field_".$fval->f_id,$fval->f_descr);
		$html.="</td><td>";
		$html.=HTMLControls::renderCheckbox("group_field[".$fval->f_id."]",($fval->parent_id ? $fval->f_id :0),$fval->f_id,"group_field_".$fval->f_id);
		$html.="</td>";
		$html.="</tr>";
	}
	$html.="</table>";
	$html.="</div>";
}
$html.="<div class=\"modify-buttons\">";
$html.=HTMLControls::renderHiddenField("activeTab",$_activeTab);
$html.=$frm->renderInputPart("save");
$html.=$frm->renderInputPart("apply");
$html.=$frm->renderInputPart("add_clone");
$html.=$frm->renderInputPart("add_new");
$html.=$frm->renderInputPart("cancel");
$html.="</div>";
$html.="</div>";
$html.=$frm->endLayout();
echo $html;
?>