<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$form=new aForm("file_form", "post", "index.php?module=catalog&view=import",false);
$form->addInput(array(
		"ID"=>"filecsv",
		"TYPE"=>"file",
		"NAME"=>"filecsv",
		"REQUIRED"=>array("FLAG"=>1,"MESSAGE"=>Text::_("It was not specified a valid file to upload"))));

$form->addInput(array(
		"ID"=>"step",
		"TYPE"=>"hidden",
		"NAME"=>"step",
		"VAL"=>1));

$form->addInput(array(
		"ID"=>"codepage",
		"TYPE"=>"select",
		"NAME"=>"codepage",
		"VAL"=>"windows-1251",
		"OPTIONS"=>array("windows-1251"=>"windows-1251","UTF-8"=>"UTF-8")));

$form->addInput(array("CLASS"=>"commonButton","TYPE"=>"submit",	"VAL"=>Text::_("Start"),	"ID"=>"doit", "NAME"=>"doit"));
$form->StartLayout();
?>
<h4 class="title"><?php echo Text::_("Import catalog data");?></h4>
<div class="center">
<table class="file-selector">
	<tr>
		<th class="error" align="center" colspan="2"><?php echo Text::_("Make backup first");?> !!!</th>
	</tr>
	<tr>
		<th align="right"><?php echo Text::_("Select source file").". Type: *.csv,*.zip";?> : </th>
		<th align="left"><div class="fileselector"><?php $form->renderInputPart("filecsv");	?></div></th>
	</tr>
	<tr>
		<th align="right"><?php echo Text::_("Codepage");?> : </th>
		<th align="left"><?php $form->renderInputPart("codepage");	?></th>
	</tr>
	<tr>
		<td colspan="2" align="center">
		<hr />
		</td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<?php $form->renderInputPart("step"); ?>
			<?php $form->renderInputPart("doit"); ?>
		</td>
	</tr>
</table>
</div>
<?php $form->endLayout(); ?>