<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$headers=Session::getVar("CATIMPHDR");
$fields=$this->fields;
$fields_data=$this->fields_data;
$af_wlists=$this->af_wlists;
$form=new aForm("import_form", "post", "index.php?module=catalog&view=import",false);
$form->addInput(array(
		"ID"=>"step",
		"TYPE"=>"hidden",
		"NAME"=>"step",
		"VAL"=>2));
$form->addInput(array(
		"ID"=>"portions",
		"TYPE"=>"select",
		"NAME"=>"portions",
		"VAL"=>"500",
		"OPTIONS"=>array("100"=>"100","500"=>"500","1000"=>"1000","5000"=>"5000")));

$form->addInput(array("CLASS"=>"commonButton","TYPE"=>"submit",	"VAL"=>Text::_("Continue"),	"ID"=>"doit", "NAME"=>"doit","ONCLICK"=>"return csv_import_check_fields();"));
$form->StartLayout();
?>
<div class="center">
<table class="rounded-pan import-pan">
	<tr><th align="center" colspan="4"><?php echo Text::_("Total records in temporary table");?> : <?php echo $this->count_records?></th></tr>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr><th align="center" colspan="4"><?php echo Text::_("Import settings");?> : </th></tr>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Clean tables before import");?></th>
		<th colspan="2" align="center"><?php echo HTMLControls::renderCheckbox("clean_tables",0,1); ?></th>
	</tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Overwrite data");?></th>
		<th colspan="2" align="center"><?php echo HTMLControls::renderCheckbox("overwrite_data",1,1); ?></th>
	</tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Insert new data");?></th>
		<th colspan="2" align="center"><?php echo HTMLControls::renderCheckbox("insert_new_data",1,1); ?></th>
	</tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Import portions");?></th>
		<th colspan="2"><?php $form->renderInputPart("portions"); ?></th>
	</tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Use parent group");?> : </th>
		<th colspan="2"><?php echo $this->groupsTree->getTreeHTML(0, "select", "parent_group_id", "parent_group_id", 0, "", "singleSelect"); ?></th>
	</tr>
	<tr>
		<th colspan="2" align="right"><?php echo Text::_("Disable all goods first");?></th>
		<th colspan="2" align="center"><?php echo HTMLControls::renderCheckbox("disable_all_goods",0,1); ?></th>
	</tr>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr><th align="center" colspan="4"><?php echo Text::_("Make fields compliance");?> : </th></tr>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr>
		<th width="40%" align="center"><?php echo Text::_("Field in CSV");?> : </th>
		<th width="20%" align="center"><?php echo Text::_("Field in base");?> : </th>
		<th width="20%" align="center"><?php echo Text::_("Update field");?> : </th>
		<th width="20%" align="center"><?php echo Text::_("Update field source list");?> : </th>
	</tr>
	<?php 
	foreach($headers as $key=>$val){
		echo "<tr>";	
		echo "	<td align=\"right\">".$val." : </td>";
		if(array_key_exists($val, $fields)) $sel_val=$val; else $sel_val=0;
		echo "	<td class=\"fcell\">".HTMLControls::renderSelect($key, $key, false, false, $fields,$sel_val)."</td>";
		echo "	<td class=\"fcell\">";
		echo HTMLControls::renderCheckbox("update_field_".$key,1,1);
		echo "	</td>";
		echo "	<td class=\"fcell\">";
		if(array_key_exists($val, $af_wlists) && $af_wlists[$val]) echo HTMLControls::renderCheckbox("update_list_".$key,1,1); else echo "&nbsp;";
		echo "	</td>";
		echo "</tr>";	
	}
	?>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr><th align="center" colspan="4"><?php echo Text::_("Make fields defs values");?> : </th></tr>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr>
		<th align="center"><?php echo Text::_("Field in base");?> : </th>
		<th align="center"><?php echo Text::_("Value");?> : </th>
		<th align="center"><?php echo Text::_("Update field");?> : </th>
		<th>&nbsp;</th>
	</tr>
	<?php 
	foreach($fields_data as $key=>$val){
		echo "<tr>";	
		echo "	<td align=\"right\">".$val["title"]." : </td>";
		switch ($val["type"]){
			case "ck_select":
				echo "	<td class=\"tcell\" align=\"left\">".HTMLControls::renderSelect($key, $key, false, false, $val["data"], $val["val"])."</td>";
			break;
			case "ch_select":
				echo "	<td class=\"gcell\" align=\"left\">".HTMLControls::renderSelect($key, $key, "id", "name", $val["data"], $val["val"])."</td>";
			break;
			case "text":
			default:
				echo "	<td class=\"gcell\" align=\"left\">".HTMLControls::renderInputText($key, $val["val"],40,200, $key)."</td>";
			break;
		}
		echo "	<td class=\"fcell\">";
		echo HTMLControls::renderCheckbox("update_field_".$key,1,1);
		echo "	</td>";
		echo "	<td class=\"fcell\">&nbsp;</td>";
		echo "</tr>";	
	}
	?>
	<tr><td colspan="4" align="center"><hr /></td></tr>
	<tr>
		<td colspan="4" align="center">
			<?php $form->renderInputPart("step"); ?>
			<?php $form->renderInputPart("doit"); ?>
		</td>
	</tr>
</table>
</div>
<?php $form->endLayout(); ?>