<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$tablname	= 'widgets_active';
$keystring	= 'aw_id';
$deleted	= 'aw_deleted';
$enabled	= 'aw_enabled';
$nametabl	= "Widgets";
$ordering_field	= "aw_ordering";		// Поле порядка отображения
$ordering_parent = "aw_zone";		// Поле внутри которого существует порядок отображения
$buttons = array(
		"new"		=> array("show"=>1,"view"=>"widgets","task"=>"newWidget"),
		"filter"	=> array("show"=>1,"view"=>"widgets"),
		"modify"	=> array("show"=>1,"view"=>"widgets","task"=>"modifyWidget"),
		"delete"	=> array("show"=>1,"view"=>"widgets","task"=>"delete"),
		"reorder"	=> array("show"=>1,"view"=>"widgets","task"=>"reorder"),
		"undelete"=> array("show"=>1,"view"=>"widgets","task"=>"delete"),
		"trash"		=> array("show"=>1,"link"=>false)
);
$cur_table_arr = array(
		"field"				=> array(1=>'aw_id', 'aw_name', 'aw_title', 'aw_show_title', 'aw_title_link', 'aw_zone', 'aw_class', 'aw_config','aw_access','aw_content','aw_ordering','aw_visible_in','aw_enabled','aw_cache','aw_deleted'),
		"name"				=> array(1=>'ID','Widget type','Title','Show title', 'Title link', 'Zone','Class','Params','Roles that can access','Content','Ordering','Visibility upon selected menu item','Enabled',"Cache time",'Deleted'),
		"input_type"		=> array(1=>'hidden', 'label_sel', 'text', 'checkbox', 'text', 'select', 'text', 'text', 'text', 'texteditor', 'text', 'text', 'checkbox', 'select','hidden'),
		"val_type"			=> array(1=>'int','string','string','boolean','string','string','string','string','string','text','string','string','boolean','int','boolean'),
		"view"					=> array(1=>0,1,1,1,1,1,1,1,1,1,1,1,1,1,0),
		"ch_table" 			=> array(1=>"", 2=>"widgets"),
		"ch_field" 			=> array(1=>"", 2=>"w_name"),
		"ch_id"    			=> array(1=>"", 2=>"w_name"),
		"ck_reestr" 		=> array(6=>"template_zones",14=>"time_interval")
);
?>