<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

Text::parseWidget($row->aw_name);
$frm->startLayout();
echo "<div class='tablHeader'>".$dop_head." ".$head." : ".Text::_($meta->title)."</div>";
echo "<div class='clear'></div>";
echo "<div class=\"tablBody\">";
echo "<table class=\"$classTable\">";
foreach ($input_type as $index=>$value)	{
	if ($meta->input_view[$index]==0 && $value!="hidden") continue;
	if ($meta->field[$index]=="aw_config") {
		if (count($this->w_params)) {
			echo"<tr><td colspan=\"2\">";
			echo HTMLControls::renderParamsPanel("aw_config", $meta->field_title[$index], $this->w_params, $this->wp);
			echo"</td></tr>";
		}
		continue;
	}	else if ($meta->field[$index]=="aw_access") {
		echo"<tr><td colspan=\"2\">";
		echo "<fieldset><legend class=\"bold\">".Text::_($meta->field_title[$index]);
		echo "</legend>";
		$roles = ACLObject::getRoles();
		if ($this->w_access == "all") {
			$fsStyle=" style=\"display:none;\""; $ewShowChecked = " checked=\"checked\"";
		}	else {
			$fsStyle = ""; $ewShowChecked = "";
		}
		$ewaShowJS = "$('#widgetAccess').toggle();";
		echo "<p class=\"visible_all\"><input type=\"checkbox\" id=\"aw_access_all\" onclick=\"".$ewaShowJS."\" name=\"aw_access_all\"".$ewShowChecked." />";
		echo "<label for=\"aw_access_all\"><b>&nbsp;".Text::_('Show everybody')."</b></label></p>";
		echo "<table id=\"widgetAccess\"".$fsStyle.">";
		foreach ($roles as $role) {
			$checked = "";
			if (is_array($this->w_access) && in_array($role->ar_id,$this->w_access)) {
				$checked = "checked=\"checked\"";
			}
			echo "<tr><td><input id=\"aw_access_".$role->ar_id."\" type=\"checkbox\" name=\"aw_access[".$role->ar_id."]\" $checked/></td>";
			echo "<td><label for=\"aw_access_".$role->ar_id."\">".$role->ar_title."</label></td></tr>";
		}
		echo "</table>";

		echo "</fieldset>";
		echo"</td></tr>";
	}	else if ($meta->field[$index]=="aw_visible_in") {
		if ($this->w_visible == "all") {
			$fsStyle=" style=\"display:none;\""; $ewShowChecked = " checked=\"checked\"";
		}	else {
			$fsStyle = ""; $ewShowChecked = "";
		}
		$ewShowJS = "$('#widgetVisibility').toggle();$('#visible_except_p').toggle();";
		echo"<tr><td colspan=\"2\">";
		echo "<fieldset><legend class=\"bold\">".Text::_($meta->field_title[$index]);
		echo "</legend>";
		echo "<p class=\"visible_all\"><input type=\"checkbox\" id=\"aw_visible_all\" onclick=\"".$ewShowJS."\" name=\"aw_visible_all\"".$ewShowChecked." />";
		echo "<label for=\"aw_visible_all\"><b>&nbsp;".Text::_('Show everywhere')."</b></label></p>";
		if ((is_array($this->w_visible))&&(count($this->w_visible))&&$this->w_visible[0]=='except')	$excShowChecked = " checked=\"checked\"";
		else $excShowChecked="";
		echo "<p id=\"visible_except_p\"".$fsStyle."><input id=\"visible_except\" type=\"checkbox\" value=\"1\" name=\"visible_except\"".$excShowChecked." />";
		echo "<label for=\"aw_visible_all\"><b>&nbsp;".Text::_('Except')."</b></label></p>";
		echo "<select id=\"widgetVisibility\"".$fsStyle." name=\"aw_visible_in[]\" multiple=\"multiple\" size=\"15\">";
		$first_drawn=0;
		foreach ($this->m_items as $m_item) {
			if ($m_item->mi_level==1) {
				if ($first_drawn) echo "</optgroup>";
				echo "<optgroup label=\"".$m_item->mi_name."\">";
				$first_drawn=1;
				$current_menu=$m_item->mi_name;
			} else {
				if ((is_array($this->w_visible))&&(in_array($m_item->mi_id,$this->w_visible)))	$selected = " selected=\"selected\"";
				else $selected = "";
				echo "<option value=\"".$m_item->mi_id."\" $selected>".str_repeat("-&nbsp;",$m_item->mi_level-1).$m_item->mi_name."</option>";
			}
		}
		if ($first_drawn) echo "</optgroup>";
		echo "</select>";
		echo "</fieldset>";
		echo"</td></tr>";
	}	else {
		switch ($value)	{
			case "hidden":
				continue;
				break;
			case "texteditor": 
				echo "<tr id=\"row_for_".$meta->field[$index]."\"><td class=\"tablLabel\" colspan=\"2\">";
				$frm->renderLabelFor($meta->field[$index]);
				echo ":</th></tr><tr><td colspan=\"2\">";
				$params["mode"]='source';
				echo HTMLControls::renderEditor($meta->field[$index],$meta->field[$index],$frm->GetInputValue($meta->field[$index]),'Basic',200,500,$params);
				echo"</td></tr>";
				break;
			default:
				echo "<tr id=\"row_for_".$meta->field[$index]."\"><td class=\"tablLabel\">";
				$frm->renderLabelFor($meta->field[$index]);
				echo ":</th><td>";
				$frm->renderInputPart($meta->field[$index]);
				echo"</td></tr>";
				break;
		}
	}
}
echo"<tr><th style=\"text-align:center;\" colspan=\"2\">";
$frm->renderInputPart("save");
if (!$ajaxModify) $frm->renderInputPart("apply");
$frm->renderInputPart("cancel");
echo"</th></tr>";
echo "</table>";
echo "</div>";
$frm->endLayout();
?>