<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class feedbackModule extends Module {
	public function getParamsMask(){
		$params=parent::getParamsMask();
		$params['forewordArticle']["vtype"]="table_select";	$params['forewordArticle']["vdefault"]=""; $params['forewordArticle']["source"]="SELECT a_id AS fld_id, a_title AS fld_name FROM #__articles ORDER BY fld_name";
		$params['Feedback_theme']["vtype"]="string";		$params['Feedback_theme']["vdefault"]="";
		$params['Feedback_copyAdresses']["vtype"]="string";	$params['Feedback_copyAdresses']["vdefault"]="";
		return $params;
	}
	public function prepare() {
		$this->setDefaultView('messages');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getACLTemplate($is_admin=true){
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='feedbackModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewFeedbackMessages'; $acl[$i]['ao_description']='View feedback messages';
			$i++;$acl[$i]['ao_name']='modifyFeedbackMessages'; $acl[$i]['ao_description']='Modify feeback messages';
			$i++;$acl[$i]['ao_name']='viewFeedbackCategories'; $acl[$i]['ao_description']='View categories';
			$i++;$acl[$i]['ao_name']='deleteFeedbackMessages'; $acl[$i]['ao_description']='Finally delete feedbacks';
		} else {
			$i++;$acl[$i]['ao_name']='feedbackModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='feedbackDisableFloodControl'; $acl[$i]['ao_description']='Disable flood control';
			$i++;$acl[$i]['ao_name']='feedbackDisableCaptcha'; $acl[$i]['ao_description']='Disable captcha';
		}
		return 	$acl;
	}
}
?>