<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>

<div class="minihelp">
<p>КРАТКОЕ РУКОВОДСТВО АДМИНИСТРАТОРА ПО РАБОТЕ С СИСТЕМОЙ.</p>

<h4 class="help_title">Вступление</h4>

<p>Данное руководство является кратким справочником по работе с системой.</p>
<p>Более подробную информацию можно получить <a class="helplink" target="_blank" href="http://altadoc.ru/article/read/alias/help.html">на сайте системы AltaDoc-CMS</a></p>
<p><span style="color: red;">ВНИМАНИЕ !!! НЕ ИЗМЕНЯЙТЕ НАСТРОЙКИ, ЕСЛИ ВЫ НЕ ЗНАЕТЕ ИХ НАЗНАЧЕНИЯ!</span></p>

<h4 class="help_title">1. Начало работы с системой</h4>
<p>Для доступа к функциям системы администрирования может использоваться меню или панель управления CPanel.</p>

<h4 class="help_title">2. Перед началом работы необходимо проверить Настройки системы и заполнение справочников</h4>
<p>Переход в дочерний справочник производится из справочника родителя путем нажатия на ссылку-название элемента родительского справочника</p>

<h4 class="help_title">3. Настройка системы</h4>
<p>производится  в разделе Конфигурация => Настройки системы<p>
<p>Сайт – настройки сайта (фронтенда),</p>
<p>Безопасность – настройки безопасности системы</p>
<p>Админ.панель – настройки панели администрирования,</p>
<p>Каталог – настройки модуля каталога,</p>
<p>Фотогалерея – настройки модуля галереи изображений,</p>
<p>Почтовые ящики – настройки электронных почтовых ящиков, используемых системой для автообмена данными.</p>
<p>Владелец сайта – данные о владельце сайта и его реквизитах,</p>

<h4 class="help_title">4. Управление модулями системы</h4>
<p>производится в разделе Конфигурация => Модули</p>

<h4 class="help_title">5. Работа с картой сайта</h4>
<p>Пересоздать карту сайта - позволяет пересоздать в корневой директории Вашего сайта статическую карту статей и продукции в форматах HTML и sitemap XML.</p>
<p>Показать карту сайта – показывает текущую карту сайта в формате HTML.</p>
 
<h4 class="help_title">6. Редактирование пользователей</h4>
<p>производится  в разделе Пользователи</p>
<p>базовые настройки  (ник, адрес электронной почты, роль в системе, пароль и т.д.),</p>
<p>расширенные настройки  (информация по адресам, дополнительная информация, информация о компании, информация о расчетном счете).</p>

<h4 class="help_title">7. Редактирование прав доступа</h4>
<p>производится в разделе ACL.</p>
<p>Данный раздел позволяет назначать права доступа пользователей с определенными ролями (заголовки столбцов таблицы) к объектам системы (заголовки строк таблицы). Включение/выключение доступа производится установкой либо снятием флажка на пересечении нужной строки с нужным столбцом.</p>

<h4 class="help_title">8. Обратная связь</h4>
<p>в данном разделе находятся отзывы, оставленные посетителями Вашего сайта.</p>

<h4 class="help_title">9. Обслуживание БД</h4>
<p>Позволяет делать резервные копии БД</p>

<h4 class="help_title">10. Управление размером и видимостью полей в справочниках</h4>
<p>производится в разделе Конфигурация => Размер и видимость полей и позволяет настроить справочники согласно Вашим потребностям</p>

</div>



