<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_("Cache manager"); ?></h4>
<div class="tablBody">
<table id="backups" class="rounded-tbl">
<?php 
if ($this->folders) {
	foreach($this->folders as $folder){
		echo "<tr class=\"rows\">";
		echo "<th colspan=\"3\">".Text::_(ucfirst($folder["filename"]))."</th>";
		echo "<td align=\"center\"><a href=\"index.php?module=service&amp;task=deleteCacheFolder&amp;folder=".$folder["filename"]."\" onclick=\"javascript:if(confirm('".Text::_("Do you want to delete all files")." ".Text::_(ucfirst($folder["filename"]))." ?'))return true; else return false;\" title=\"".Text::_("Delete all")."\">
		<img width=\"1\" height=\"1\" src=\"/images/blank.gif\" class=\"delete\" alt=\"".Text::_("Delete")."\" /></a></td>";
		echo "</tr>";
		$filelist=$folder."_files";
		if ($this->$filelist){
			echo "<tr class=\"rows\">";
			echo "<th>".Text::_("Name")."</th>";
			echo "<th>".Text::_("File size")."</th>";
			echo "<th>".Text::_("Date")."</th>";
			echo "<th>&nbsp;</th>";
			echo "</tr>";
			foreach ($this->$filelist as $file){
				echo "<tr class=\"rows\">";
				echo "<td>".$file["filename"]."</td>";
				echo "<td>".$file["filesize"]."</td>";
				echo "<td>".$file["filedate"]."</td>";
				echo "<td align=\"center\"><a href=\"index.php?module=service&amp;task=deleteCacheFile&amp;file=".$file["filename"]."&amp;folder=".$folder["filename"]."\" onclick=\"javascript:if(confirm('".Text::_("Do you want to delete")." ".$file["filename"]." ?'))return true; else return false;\" title=\"".Text::_("Delete")."\">
						<img width=\"1\" height=\"1\" src=\"/images/blank.gif\" class=\"delete\" alt=\"".Text::_("Delete")."\" /></a></td>";
				echo "</tr>";
			}
		}
	}
} else {
	echo "<tr class=\"rows\"><th class=\"cache_message\" colspan=\"3\">".Text::_("Cache absent")."</th></tr>";
}
?>
</table>
</div>