<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if ($this->current_version > $this->version) { 
	$class=" class=\"red\"";
} else 	{
	$class=" class=\"blue\"";
}
?>
<h4 class="title"><?php echo Text::_("Version control") ?></h4>
<div class="tablBody">
<table class="rounded-tbl">
	<tbody>
		<tr>
			<th><label><?php echo Text::_("Current version"); ?></label>:</th>
			<td><?php echo Portal::getVersionMajor().".".Portal::getVersionMinor().".".$this->current_version; ?></td>
		</tr>
		<tr>
			<th><label><?php echo Text::_("Your version"); ?></label>:</th>
			<td<?php echo $class; ?>><?php echo Portal::getVersion(); ?></td>
		</tr>
		<tr>
		<?php if (!$this->current_version) { ?>
				<th colspan="2"<?php echo $class; ?>><?php echo Text::_("Updates unavailable"); ?></th>
		<?php } elseif ($this->current_version > $this->version) { ?>
				<th colspan="2"<?php echo $class; ?>><?php echo Text::_("Your version is out-of-date"); ?></th>
		<?php }	else { ?>
				<th colspan="2"<?php echo $class; ?>><?php echo Text::_("Your version is up-to-date"); ?></th>
		<?php }	?>
		</tr>
		<tr>
			<td class="buttons" colspan="2" style="text-align: center;"><p>
				<?php  if ($this->current_version && ($this->current_version > $this->version)) { ?>
					<a target="_blank" class="linkButton" href="http://altadoc.ru/updates/<?php echo Portal::getVersionMajor()."/".Portal::getVersionMinor(); ?>/download.php"><?php echo Text::_("Download new version"); ?></a>
				<?php 	}	?>
				<a class="linkButton" href="index.php"><?php echo Text::_("Close"); ?></a>
			</p></td>
		</tr>
		<?php  if ($this->current_version && ($this->current_version > $this->version)) { ?>
		<tr><td colspan="2"><p>
			<a class="linkButton" href="index.php?module=service&amp;view=updater&amp;layout=autoupdate"><?php echo Text::_("Automatic update"); ?></a>
		</p></td></tr>
		<?php 	}	?>
	</tbody>
</table>
</div>