<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class tsjModelexchange extends Model {
	public function getData($month,$year,$notnull=true) 	{
		$sql="select mv.*,m.*,l.* FROM #__atsj_meter_val as mv,";
		$sql.=" #__atsj_meter as m,";
		$sql.=" #__atsj_lic as l ";
		$sql.=" WHERE mv.cp_month='".$month."' AND mv.cp_year='".$year."'";
		$sql.=" AND mv.cp_deleted=0";
		$sql.=" AND mv.cp_meterid=m.cl_id AND m.cl_deleted=0";
		if($notnull) $sql.=" AND mv.cp_val>0";
		$sql.=" AND m.cl_lic=l.l_id AND l.l_deleted=0";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();
	}
	public function updateChecked($month,$year)	{
		// добиваем недостающие сведения
		$sql="insert into #__atsj_meter_val	(cp_meterid,cp_month,cp_year,cp_date,cp_checked)
    SELECT m.cl_id as cp_meterid, 7 as cp_month, 2011 as cp_year, NOW() as cp_date, 1 as cp_checked
    FROM  #__atsj_meter AS m
		LEFT JOIN #__atsj_meter_val as mv 
		ON m.cl_id=mv.cp_meterid  AND mv.cp_month='".$month."' AND mv.cp_year='".$year."'
		WHERE mv.cp_val IS NULL";
		$this->_db->setQuery($sql);
		$this->_db->query();
		$sql_checked="update #__atsj_meter_val set cp_checked=1 WHERE cp_month='".$month."' AND cp_year='".$year."'";
		$this->_db->setQuery($sql_checked);
		return $this->_db->query();
		// проставляем флаг экспорта
	}
	public function getFields() {
		return array('cp_meterid'=>'meter_id','cp_month'=>'month','cp_year'=>'year','cp_date'=>'date',
		'cp_val'=>'indication','cl_type'=>'type_meter','cl_name'=>'meter_name',
		'l_lic'=>'lic_name','l_fio'=>'fio','l_addr'=>'address','l_flat'=>'flat');
	}
	public function updateData($addnew){

		// update лицевых счетов
		
		
		// добавляем новые лицевые счета и счетчики
		
		
		
		// добавляем квитанции
		
		
		
		
		
		//$upd="update "
		
		if($addnew)
		{
			$ins_lic="INSERT INTO #__atsj_lic 
					(l_id,l_uid,l_lic,l_fio,l_addr,l_flat, 
			 		l_debet,l_enabled,l_deleted)
					SELECT NULL,l_uid,l_lic,l_fio,l_addr,l_flat, 
					l_debet,l_enabled,0
					FROM #__atsj_lic_tmp WHERE l_id is NULL AND l_uid IS NOT NULL";
			$this->_db->setQuery($ins_lic);
			if($this->_db->query()) $this->updateLinks();
			else return false;
						
			$ins_meter="INSERT INTO #__atsj_meter 
						(cl_id,cl_type,cl_lic,cl_name,cl_nextcheck,cl_enabled,cl_deleted)
						SELECT 	NULL,cl_type,cl_lic,cl_name,cl_nextcheck,cl_enabled,cl_deleted
						FROM #__atsj_meter_tmp WHERE cl_id IS NULL AND cl_lic IS NOT NULL";  
			$this->_db->setQuery($ins_meter);
			if(!$this->_db->query()) return false;
		}
		
		// очистка квитанций
		$clear ="DROP table tmpkvt IF EXISTS".$this->_db->getDelimiter();
		$clear.="CREATE table tmpkvt
				SELECT h.kh_id as id from #__atsj_hkvit as h, #__atsj_hkvit_tmp as t
				WHERE h.kh_month=t.kh_month
				AND  h.kh_year=t.kh_year
				AND h.kh_lic_id=t.kh_lic_id
				AND h.kh_number=t.kh_number".$this->_db->getDelimiter();
		$clear.="DELETE from #__atsj_hkvit  where kh_id in (select id from tmpkvt)".$this->_db->getDelimiter(); 
		$clear.="DELETE from #__atsj_tkvit  where kt_kh_id in (select id from tmpkvt)".$this->_db->getDelimiter();
		$clear.="DROP table tmpkvt IF EXISTS".$this->_db->getDelimiter();
		 
		$this->_db->setQuery($clear);
		$res=$this->_db->query_batch(true,true);
		
		// апдейтим лицевые счета
		$upd_lic="UPDATE #__atsj_lic as l, #__atsj_lic_tmp as t
					SET l.l_addr=t.l_addr,
					l.l_fio=t.l_fio,
					l.l_flat=t.l_flat,
					l.l_debet=t.l_debet
					WHERE l.l_id=t.l_id";
		$this->_db->setQuery($upd_lic);
		if(!$this->_db->query()) return false;
		// апдейтим счетчики
		$upd_meter="UPDATE #__atsj_meter as m, #__atsj_meter_tmp as t
					SET m.cl_enabled=t.cl_enabled,
						m.cl_name=t.cl_name,
						m.cl_nextcheck=t.cl_nextcheck,
						m.cl_type=t.cl_type,
						m.cl_lic=t.cl_lic
					WHERE m.cl_id =t.cl_id";		
		$this->_db->setQuery($upd_meter);
		if(!$this->_db->query()) return false;
		
		// вставляем сведения по квитанциям
		$ins_kvit="INSERT INTO #__atsj_hkvit 
					(kh_id,kh_lic_id,kh_month,kh_year,kh_number,kh_poluchat, 
					 kh_bank,kh_plat,kh_inn,kh_kpp,kh_addr,kh_flat, 
					 kh_square_1,kh_square_2,kh_people_1,kh_people_2, 
					 kh_message_1,kh_message_2,kh_debet,kh_debet_date, 
					 kh_cursum,kh_pay,kh_lgot,kh_peny,kh_itog)
					SELECT 	kh_id,kh_lic_id,kh_month,kh_year,kh_number,kh_poluchat, 
					kh_bank,kh_plat,kh_inn,kh_kpp,kh_addr,kh_flat, 
					kh_square_1,kh_square_2,kh_people_1,kh_people_2, 
					kh_message_1,kh_message_2,kh_debet,kh_debet_date, 
					kh_cursum,kh_pay,kh_lgot,kh_peny,kh_itog	 
					FROM #__atsj_hkvit_tmp 
					WHERE kh_lic_id  IS NOT NULL";
		
		$this->_db->setQuery($ins_kvit);
		if(!$this->_db->query()) return false;
		// вставляем сведения по табличным частям квитанций
		$ins_bodykvit="INSERT INTO #__atsj_tkvit 
						(kt_id,kt_kh_id,kt_name,kt_tarif,
						kt_meter_1,kt_meter_2,kt_quantity,
						kt_sum,kt_lgota,kt_lgota_k,kt_recalc,kt_itogo)
						SELECT 	kt_id,kt_kh_id,kt_name,kt_tarif,
						kt_meter_1,kt_meter_2,kt_quantity, 
						kt_sum,kt_lgota,kt_lgota_k,kt_recalc,kt_itogo
					 	FROM #__atsj_tkvit_tmp
	 					WHERE kt_kh_id in (select kh_id from #__atsj_hkvit_tmp	where kh_lic_id  IS NOT NULL)";
		$this->_db->setQuery($ins_bodykvit);
		if(!$this->_db->query()) return false;
	}

	public function getXMLPrepare($link) {
		$xml = simplexml_load_file($link);
		// чистим временные таблицы
		$sql_del ="delete from #__atsj_lic_tmp".$this->_db->getDelimiter();
		$sql_del.="delete from #__atsj_meter_tmp".$this->_db->getDelimiter();
		$sql_del.="delete from #__atsj_plat_tmp".$this->_db->getDelimiter();
		$sql_del.="delete from #__atsj_hkvit_tmp".$this->_db->getDelimiter();
		$sql_del.="delete from #__atsj_tkvit_tmp".$this->_db->getDelimiter();
		$this->_db->setQuery($sql_del);
		$res=$this->_db->query_batch(true,true);
		if($res){
			//сохраняем лицевые счета во временную таблицу
			$counter=0;
			$limit_str=100;
			$sql='';
			//echo "Лицевых счетов в файле -  ".count($xml->licdata->children())."<br />";
			if (count($xml->licdata)) {
				foreach($xml->licdata[0]->children() as $child) {
					if(isset($child->l_link)) $l_link=(string)$child->l_link; else continue;
					if(isset($child->l_mail)) $l_mail=(string)$child->l_mail; else continue;
					if(isset($child->l_lic)) $l_lic=(string)$child->l_lic; else continue;
					if(isset($child->l_fio)) $l_fio=(string)$child->l_fio; else $l_fio='';
					if(isset($child->l_addr)) $l_addr=(string)$child->l_addr; else $l_addr='';
					if(isset($child->l_flat)) $l_flat=(string)$child->l_flat; else $l_flat=0;
					if(isset($child->l_debet)) $l_debet=(string)$child->l_debet; else $l_debet=0;
					if(isset($child->l_enabled)) $l_enabled=(string)$child->l_enabled; else $l_enabled=1;
					if($counter>$limit_str) {
						$this->_db->setQuery($sql);
						$this->_db->query_batch(true,true);
						$counter=0;
						$sql='';
					}
					$counter++;
					$sql.="INSERT INTO #__atsj_lic_tmp
		    				(l_id,l_link,l_uid,l_mail,l_lic,l_fio,l_addr,l_flat,l_debet,l_enabled)
							VALUES
							(0,'".$l_link."',0,'".$l_mail."','".$l_lic."','".$l_fio."','".$l_addr."','".$l_flat."','".$l_debet."','".$l_enabled."')".$this->_db->getDelimiter();
				}
				if ($sql){
					$this->_db->setQuery($sql);
					$this->_db->query_batch(true,true);
				}
			}
			// счетчики
			if($counter>0) {
				if (count($xml->counters)) {
					$counter=0;
					$sql='';
					foreach($xml->counters[0]->children() as $child) {
						$counter++;
						if(isset($child->l_link)) $l_link=(string)$child->l_link; else continue;
						if(isset($child->cl_type)) $cl_type=(string)$child->cl_type; else continue;
						if(isset($child->cl_name)) $cl_name=(string)$child->cl_name; else $cl_name='';
						if(isset($child->cl_nextcheck)) $cl_nextcheck=(string)$child->cl_nextcheck; else $cl_nextcheck='';
						if(isset($child->cl_enabled)) $cl_enabled=(string)$child->cl_enabled; else $cl_enabled=1;
						if($counter>$limit_str)
						{
							$this->_db->setQuery($sql);
							$this->_db->query_batch(true,true);
							$counter=0;
							$sql='';
						}
						$sql.="INSERT INTO #__atsj_meter_tmp (cl_id,l_link,cl_type,cl_lic,cl_name,cl_nextcheck,cl_enabled)
								VALUES (0,'".$l_link."','".$cl_type."',0,'".$cl_name."','".$cl_nextcheck."','".$cl_enabled."')".$this->_db->getDelimiter();
					}
					if ($sql){
						$this->_db->setQuery($sql);
						$this->_db->query_batch(true,true);
					}
				}
				// платежи
				if (count($xml->payments[0])) {
					$counter=0;
					$sql='';
					foreach($xml->payments[0]->children() as $child) {
						$counter++;
						if(isset($child->l_link)) $l_link=(int)$child->l_link; else continue;
						if(isset($child->p_month)) $p_month=(int)$child->p_month; else continue;
						if(isset($child->p_year)) $p_year=(int)$child->p_year; else continue;
						if(isset($child->l_link)) $l_link=(string)$child->l_link; else continue;
						if(isset($child->p_date)) $p_data=Date::toSQL((string)$child->p_date,".",true,true); else continue;
						if(isset($child->p_sum)) $p_sum=(string)$child->p_sum; else continue;
						if(isset($child->p_comment)) $p_comment=(string)$child->p_comment; else $p_comment='';
						$p_comment=$this->_db->doubleBaks($p_comment);
						if($counter>$limit_str)	{
							$this->_db->setQuery($sql);
							$this->_db->query_batch(true,true);
							$counter=0;
							$sql='';
						}
						$sql.="INSERT INTO #__atsj_plat_tmp	(p_id,l_link,p_licid,p_month,p_year,p_sum,p_data,p_comment)
								VALUES (0,'".$l_link."',0,'".$p_month."','".$p_year."','".$p_sum."','".$p_data."','".htmlspecialchars($p_comment,ENT_QUOTES,"utf-8")."')".$this->_db->getDelimiter();
					}
					if ($sql){
						$this->_db->setQuery($sql);
						$this->_db->query_batch(true,true);
					}
				}
				// квитанции
				if (count($xml->kvit[0])) {
					foreach($xml->kvit[0]->children() as $child) {
						if(isset($child->row_header)) {
							// формируем заголовок квитанции
							if(isset($child->row_header->kh_id)) $kh_id=(int)$child->row_header->kh_id; else continue;
							if(isset($child->row_header->l_link)) $l_link=(int)$child->row_header->l_link; else continue;
							if(isset($child->row_header->kh_month)) $kh_month=(int)$child->row_header->kh_month; else continue;
							if(isset($child->row_header->kh_year)) $kh_year=(int)$child->row_header->kh_year; else continue;
							if(isset($child->row_header->kh_number)) $kh_number=(string)$child->row_header->kh_number; else $kh_number='';
							if(isset($child->row_header->kh_poluchat)) $kh_poluchat=(string)$child->row_header->kh_poluchat; else $kh_poluchat='';
							if(isset($child->row_header->kh_bank)) $kh_bank=(string)$child->row_header->kh_bank; else $kh_bank='';
							if(isset($child->row_header->kh_plat)) $kh_plat=(string)$child->row_header->kh_plat; else $kh_plat='';
							if(isset($child->row_header->kh_inn)) $kh_inn=(string)$child->row_header->kh_inn; else $kh_inn='';
							if(isset($child->row_header->kh_kpp)) $kh_kpp=(string)$child->row_header->kh_kpp; else $kh_kpp='';
							if(isset($child->row_header->kh_addr)) $kh_addr=(string)$child->row_header->kh_addr; else $kh_addr='';
							if(isset($child->row_header->kh_flat)) $kh_flat=(string)$child->row_header->kh_flat; else $kh_flat='';
							if(isset($child->row_header->kh_square_1)) $kh_square_1=(float)$child->row_header->kh_square_1; else $kh_square_1=0;
							if(isset($child->row_header->kh_square_2)) $kh_square_2=(float)$child->row_header->kh_square_2; else $kh_square_2=0;
							if(isset($child->row_header->kh_people_1)) $kh_people_1=(int)$child->row_header->kh_people_1; else $kh_people_1=0;
							if(isset($child->row_header->kh_people_2)) $kh_people_2=(int)$child->row_header->kh_people_2; else $kh_people_2=0;
							if(isset($child->row_header->kh_message_1)) $kh_message_1=(string)$child->row_header->kh_message_1; else $kh_message_1='';
							if(isset($child->row_header->kh_message_2)) $kh_message_2=(string)$child->row_header->kh_message_2; else $kh_message_2='';
							if(isset($child->row_header->kh_debet)) $kh_debet=(float)$child->row_header->kh_debet; else $kh_debet=0;
							if(isset($child->row_header->kh_debet_date)) $kh_debet_date=Date::toSQL((string)$child->row_header->kh_debet_date,".",true,true); else $kh_debet_date='';
							if(isset($child->row_header->kh_cursum)) $kh_cursum=(float)$child->row_header->kh_cursum; else $kh_cursum=0;
							if(isset($child->row_header->kh_pay)) $kh_pay=(float)$child->row_header->kh_pay; else $kh_pay=0;
							if(isset($child->row_header->kh_lgot)) $kh_lgot=(float)$child->row_header->kh_lgot; else $kh_lgot=0;
							if(isset($child->row_header->kh_peny)) $kh_peny=(float)$child->row_header->kh_peny; else $kh_peny=0;
							if(isset($child->row_header->kh_itog)) $kh_itog=(float)$child->row_header->kh_itog; else $kh_itog=0;
							$sql="INSERT INTO #__atsj_hkvit_tmp
									(kh_id,l_link,kh_lic_id,kh_month,kh_year,kh_number, 
									 kh_poluchat,kh_bank,kh_plat,kh_inn,kh_kpp,
									 kh_addr,kh_flat, kh_square_1,kh_square_2,
									 kh_people_1,kh_people_2, 
									 kh_message_1,kh_message_2,kh_debet,kh_debet_date, 
									 kh_cursum,kh_pay,kh_lgot,kh_peny,kh_itog)
									VALUES
									('".$kh_id."','".$l_link."',0,'".$kh_month."','".$kh_year."'
									,'".htmlspecialchars($kh_number,ENT_QUOTES,"utf-8")."', 
									'".htmlspecialchars($kh_poluchat,ENT_QUOTES,"utf-8")."','".htmlspecialchars($kh_bank,ENT_QUOTES,"utf-8")."'
									,'".htmlspecialchars($kh_plat,ENT_QUOTES,"utf-8")."'
									,'".htmlspecialchars($kh_inn,ENT_QUOTES,"utf-8")."','".htmlspecialchars($kh_kpp,ENT_QUOTES,"utf-8")."',
									'".htmlspecialchars($kh_addr,ENT_QUOTES,"utf-8")."','".$kh_flat."','".$kh_square_1."','".$kh_square_2."', 
									'".$kh_people_1."','".$kh_people_2."'
									,'".htmlspecialchars($kh_message_1,ENT_QUOTES,"utf-8")."','".htmlspecialchars($kh_message_2,ENT_QUOTES,"utf-8")."', 
									'".$kh_debet."','".$kh_debet_date."','".$kh_cursum."','".$kh_pay."', 
									'".$kh_lgot."','".$kh_peny."','".$kh_itog."')".$this->_db->getDelimiter();
							if(isset($child->row_body))	{
								// формируем строчки квитанции
								foreach($child->row_body[0]->children() as $bodychild) {
									if(isset($bodychild->kt_kh_id)) $kt_kh_id=(int)$bodychild->kt_kh_id; else continue;
									if(isset($bodychild->kt_name)) $kt_name=(string)$bodychild->kt_name; else $kt_name="";
									if(isset($bodychild->kt_tarif)) $kt_tarif=(float)$bodychild->kt_tarif; else $kt_tarif=0;
									if(isset($bodychild->kt_meter_1)) $kt_meter_1=(float)$bodychild->kt_meter_1; else $kt_meter_1=0;
									if(isset($bodychild->kt_meter_2)) $kt_meter_2=(float)$bodychild->kt_meter_2; else $kt_meter_2=0;
									if(isset($bodychild->kt_quantity)) $kt_quantity=(float)$bodychild->kt_quantity; else $kt_quantity=0;
									if(isset($bodychild->kt_sum)) $kt_sum=(float)$bodychild->kt_sum; else $kt_sum=0;
									if(isset($bodychild->kt_lgota)) $kt_lgota=(float)$bodychild->kt_lgota; else $kt_lgota=0;
									if(isset($bodychild->kt_lgota_k)) $kt_lgota_k=(float)$bodychild->kt_lgota_k; else $kt_lgota_k=0;
									if(isset($bodychild->kt_recalc)) $kt_recalc=(float)$bodychild->kt_recalc; else $kt_recalc=0;
									if(isset($bodychild->kt_itogo)) $kt_itogo=(float)$bodychild->kt_itogo; else $kt_itogo=0;
									
									$sql.="INSERT INTO #__atsj_tkvit_tmp 
											(kt_id,kt_kh_id,kt_name,kt_tarif,kt_meter_1,kt_meter_2, 
											 kt_quantity,kt_sum,kt_lgota,kt_lgota_k,kt_recalc,kt_itogo)
											VALUES
											(0,'".$kt_kh_id."','".$this->_db->doubleBaks(htmlspecialchars($kt_name,ENT_QUOTES,"utf-8"))."', 
											'".$kt_tarif."','".$kt_meter_1."','".$kt_meter_2."','".$kt_quantity."', 
											'".$kt_sum."','".$kt_lgota."','".$kt_lgota_k."','".$kt_recalc."','".$kt_itogo."')".$this->_db->getDelimiter();
								}
							}
							$this->_db->setQuery($sql);
							$this->_db->query_batch(true,true);								
						}
					}

						
				}
				
      return $this->updateLinks();				
			
			}// количество лицевых счетов > 0
    return true;
		}// очистка временых таблиц
		return false;

	}

	public function updateLinks()
	{ 
			$upd="UPDATE #__atsj_lic_tmp AS t SET t.l_uid=(SELECT u.u_id FROM #__users AS u WHERE u.u_email=t.l_mail)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;
												
			$upd="UPDATE #__atsj_lic_tmp AS t SET t.l_id=(SELECT l.l_id FROM #__atsj_lic AS l WHERE l.l_lic=t.l_lic AND l.l_uid=t.l_uid)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;
			
			$upd="UPDATE #__atsj_meter_tmp AS t SET t.cl_lic=(SELECT l.l_id FROM #__atsj_lic_tmp AS l WHERE l.l_link=t.l_link)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;
			
			$upd="UPDATE #__atsj_meter_tmp AS t SET t.cl_id=(SELECT l.cl_id FROM #__atsj_meter AS l WHERE l.cl_lic=t.cl_lic AND l.cl_name=t.cl_name)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;
			
			$upd="UPDATE #__atsj_plat_tmp AS t SET t.p_licid=(SELECT l.l_id FROM #__atsj_lic_tmp AS l WHERE l.l_link=t.l_link)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;

			$upd="UPDATE #__atsj_hkvit_tmp AS t SET t.kh_lic_id=(SELECT l.l_id FROM #__atsj_lic_tmp AS l WHERE l.l_link=t.l_link)";
			$this->_db->setQuery($upd);
			if(!$this->_db->query()) return false;
			
			return true;
				
	}
	
  public function getNewusers()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT * FROM #__atsj_lic_tmp WHERE l_uid IS NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();  	
  }
  public function getNewLic()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT * FROM #__atsj_lic_tmp WHERE l_id IS NULL AND l_uid IS NOT NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();  	
  }
  public function getNewMeters()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT m.*,l.l_lic as cl_lic_name FROM #__atsj_meter_tmp as m,
		#__atsj_lic_tmp as l		
		WHERE cl_id IS NULL and m.l_link=l.l_link
		AND l.l_uid IS NOT NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();  	
  }
  
  public function getFoundUsers()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT count(l_uid) FROM #__atsj_lic_tmp WHERE l_uid IS NOT NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();  	
  }
  public function getFoundLic()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT COUNT(l_id) FROM #__atsj_lic_tmp WHERE l_id IS NOT NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();  	  	
  }
  public function getFoundMeters()
  {
		// лицевые счета пользователей - которых нет в системе
		$sql="SELECT COUNT(cl_id) FROM #__atsj_meter_tmp WHERE cl_id IS NOT NULL";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();  	  	
  }
  public function getCountNewKvit()
  {
		// квитанции которые пришли с известными пользователями, без учета лицевых счетов 
		$sql="SELECT COUNT(k.kh_id) FROM #__atsj_hkvit_tmp as k,
		#__atsj_lic_tmp as l		
		WHERE k.l_link=l.l_link
		AND l.l_uid IS NOT NULL";
  	
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();  	  	
  }
  public function getCountNewPlat()
  {
		// квитанции которые пришли с известными пользователями, без учета лицевых счетов 
		$sql="SELECT COUNT(p.p_id) FROM #__atsj_plat_tmp as p,
		#__atsj_lic_tmp as l		
		WHERE p.l_link=l.l_link
		AND l.l_uid IS NOT NULL";
  	
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();  	  	
  }  
}

?>