<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title">
	<?php echo Text::_("Import results"); ?>
</h4>
<div id="tsj_exchange" class="rounded-pan">
	<form method="post" action="index.php">
		<?php 
		echo HTMLControls::renderHiddenField("module","tsj","module1");
		echo HTMLControls::renderHiddenField("task","importData","task1");
		?>
		<table width="100%">
			<tr>
				<th>Найдено пользователей</th>
				<td><?php echo $this->foundUsers;?></td>
			</tr>
			<?php if(count($this->newUsers)){?>
			<tr>
				<th class="red">Отсутствуют в базе</th>
				<td><?php echo count($this->newUsers); if(count($this->newUsers)>0) echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"index.php?module=tsj&view=createUser\">Создать пользователей</a>"; ?>
				</td>
			</tr>
			<tr>
				<td colspan="2"><table class="tsj_import">
						<tr>
							<th>E-mail</th>
							<th>Лиц.счет</th>
							<th>ФИО</th>
							<th>Адрес</th>
						</tr>
						<?php foreach($this->newUsers as $user){
							echo "<tr><td>".$user->l_mail."</td><td>".$user->l_lic."</td><td>".$user->l_fio."</td><td>".$user->l_addr.",".$user->l_flat."</td></tr>";
						}?>
					</table></td>
			</tr>
			<?php }?>
			<tr>
				<th>Найдено лицевых счетов</th>
				<td><?php echo $this->foundLic;?></td>
			</tr>
			<?php if(count($this->newLic)){?>
			<tr>
				<th class="green">Новых лицевых счетов</th>
				<td><?php echo count($this->newLic);?></td>
			</tr>
			<tr>
				<td colspan="2"><table class="tsj_import">
						<tr>
							<th>E-mail</th>
							<th>Лиц.счет</th>
							<th>ФИО</th>
							<th>Адрес</th>
						</tr>
						<?php foreach($this->newLic as $user){
							echo "<tr><td>".$user->l_mail."</td><td>".$user->l_lic."</td><td>".$user->l_fio."</td><td>".$user->l_addr.",".$user->l_flat."</td></tr>";
						}?>
					</table></td>
			</tr>
			<?php }?>
			<tr>
				<th>Найдено счетчиков</th>
				<td><?php echo $this->foundMeters;?></td>
			</tr>
			<?php if(count($this->newMeters)){?>
			<tr>
				<th class="green">Новых счетчиков</th>
				<td><?php echo count($this->newMeters);?></td>
			</tr>
			<tr>
				<td colspan="2"><table class="tsj_import">
						<tr>
							<th>Наименование</th>
							<th>Тип</th>
							<th>Лиц.счет</th>
						</tr>
						<?php foreach($this->newMeters as $meter){
							echo "<tr><td>".$meter->cl_name."</td><td>".SpravView::getValueFromCKArray("type_meters",$meter->cl_type)."</td><td>".$meter->cl_lic_name."</td></tr>";
						}?>
					</table></td>
			</tr>
			<?php }?>
			<tr>
				<th>Новых квитанций</th>
				<td><?php echo $this->newKvit;?></td>
			</tr>
			<tr>
				<th>Новых платежей</th>
				<td><?php echo $this->newPlat;?></td>
			</tr>
			<?php if(count($this->newLic)||count($this->newMeters)){?>
			<tr>
				<th colspan="2">&nbsp;</th>
			</tr>
			<tr>
				<th>Добавлять новые лицевые счета и счетчики</th>
				<td><input type="checkbox" value="1" checked="checked" name="addnew" />
				</td>
			</tr>
			<?php }?>
		</table>
		<div class="buttons_pan">
			<?php echo HTMLControls::renderButton("import",Text::_("Proceed"),"submit");?>
		</div>
		<?php ?>
	</form>
</div>


