<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h4 class="title"><?php echo Text::_("Export results"); ?></h4>
<div class="rounded-pan width50" style="text-alogn:center; padding:15px">
	<?php echo "<a href=\"/tmp/".$this->file."\">".HTMLControls::renderLabelField(false,Text::_("File link"))."</a>"; ?>
</div>
<table border="1" class="rounded-tbl width50">
	<tr>
		<?php foreach($this->fields as $fld=>$tag) echo "<th>".Text::_(ucfirst($tag))."</th>"; ?>
	</tr>
<?php if (count($this->data)){ 
	foreach($this->data as $row){
		echo "<tr>";		
		foreach($this->fields as $fld=>$tag) {
			echo "<td>";
			if (isset($row->$fld)) echo $row->$fld;
			echo "</td>"; 
		} 
		echo "</tr>";		
	} 
} ?>
</table>
