<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class videosetModelitems extends SpravModel {
	
	public function checkTrashChilds(){
		// картинки принадлежащие удаляемым галлереям, в том числе и помеченные на удаление
		$sql="SELECT COUNT(v_id) FROM #__videoset_videos WHERE AND v_gallery_id IN (SELECT vg_id FROM #__video_galleries WHERE vg_deleted=1))";
		$this->_db->setQuery($sql);
		$images=$this->_db->loadResult();
		if ($images) return true;
		return false;
	}
	
	public function save(){
		$psid=parent::save(); 
		if ($psid) { 
			if ((galleryConfig::$thumbAutoCreate)&&($_FILES["vg_thumb"]["name"])) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$filename=Files::splitAppendix($res->vg_thumb, true);
				if ($filename) {
					$_src=ALTADOC_UF_PATH."videoset".DS."items".DS."thumbs".DS.$res->vg_thumb;
					$_dest=$_src;
					if(Files::isImage($_src)){
						$res=Files::resizeImage($_src, $_dest,galleryConfig::$thumbWidth,galleryConfig::$thumbHeight);
						if (!$res) return 0;
					}
				}
			}
		} else return 0;
		$this->updateAlias($psid, Request::getSafe('vg_alias',""), Request::getSafe('vg_title',""));
		return $psid;
	}
}
?>