<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

/**
 В этот файл складывать классы возвращающие ассоциативные массивы, которые
 планируется использовать в основном справочнике системы  в качестве
 статичных списков, которые могут быть override в файле пользователя metadata_u.php
 metadata_u.php - не выгружается в базовой поставке.
 его надо создавать самому.
 
 
 Идет проверка по имени файла, если он есть
 то он приоритетен
 и вызывается эта функция.
 Имя функции не менять,  
 Имя файла не менять.
 Начинку не трогать
 
 Reserved keys are "sex", "side", "rating", "link_target", "extendable_tables","template_zones"
*/

final class customCKArray	{
	public static function getArray($ck_label="") {
		$userMDConfig=PATH_CONFIG.'metadata_u.php';
		if(file_exists($userMDConfig)) {
			require_once($userMDConfig);
			if (class_exists("userCKArray",false)){
				$userCKArray=userCKArray::getArray($ck_label);
				if(is_array($userCKArray)) return $userCKArray;
			}
		}
		switch($ck_label){
			case "goods_list_tmpl":
				return array('defl'=>'default','special'=>'special');
			case "fcats_list_tmpl":
				return array('defl'=>'default');
			case "goods_flypage_tmpl":
				return array('info'=>'info');
			case "goods_order_tmpl":
				return array('new'=>'new','new_order'=>'new_order');
			case "bp_sort":
				return array('p_theme'=>Text::_('Theme'), 'p_date'=>Text::_('Post date'), 'p_comments'=>Text::_('Comments quantity'), 'p_rating'=>Text::_('Rating'));
			case "a_childs_sort":
				return array('a_ordering'=>Text::_('Ordering'), 'a_date'=>Text::_('Date'), 'a_title'=>Text::_('Title'), 'a_rating'=>Text::_('Rating'));
			case "template_zones":
				return array("breadcrumb"=>"breadcrumb","top-left"=>"top-left","top"=>"top","top-right"=>"top-right","top-menu"=>"top-menu",
							"left-top"=>"left-top","left"=>"left","left-bottom"=>"left-bottom",
							"center-top"=>"center-top","center"=>"center","center-bottom"=>"center-bottom",
							"right-top"=>"right-top","right"=>"right","right-bottom"=>"right-bottom",
							"bottom-left"=>"bottom-left","bottom"=>"bottom","bottom-right"=>"bottom-right","bottom-menu"=>"bottom-menu",
							"user-1"=>"user-1","user-2"=>"user-2","user-3"=>"user-3","user-4"=>"user-4","user-5"=>"user-5",
							"user-6"=>"user-6","user-7"=>"user-7","user-8"=>"user-8"
				);
				break;
			case "ym_markers":
				return array("workshop.png"=>"Мастерская", "keyMaster.png"=>"Ключ", "camping.png"=>"Вигвам", "theater.png"=>"Театр", "buildings.png"=>"Здание",
							"house.png"=>"Дом", "mushroom.png"=>"Гриб", "truck.png"=>"Грузовик", "storehouse.png"=>"Хранилище", "factory.png"=>"Фабрика",
							"attention.png"=>"Внимание");
				break;
			case "extendable_tables":
				return array("feedback"=>"feedback","goods"=>"goods","goods_group"=>"goods_group","profiles"=>"profiles");
				break;
			default:
				return false;
				break;
		}
	}
}
?>