<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$server_uri = "http://".$_SERVER['SERVER_NAME'];
$server_port=$_SERVER['SERVER_PORT'];
$this->initDB();
$_templates=Files::getFolders(PATH_TEMPLATES.DS,array(".svn",".",".."));
$sqlPath = PATH_INSTALL.'sql'.DS;
?>
<h3 class="title"><?php echo Text::_('Site custom settings'); ?> : </h3>
<form name="frm_install" id="inst_frm" action="install.php" method="post">
	<input type="hidden" name="dbHost" value="<?php echo DatabaseConfig::$dbHost; ?>" />
	<input type="hidden" name="dbPort" value="<?php echo DatabaseConfig::$dbPort; ?>" />
	<input type="hidden" name="dbUser" value="<?php echo DatabaseConfig::$dbUser; ?>" />
	<input type="hidden" name="dbPassword" value="<?php echo DatabaseConfig::$dbPassword; ?>" />
	<input type="hidden" name="dbName" value="<?php echo DatabaseConfig::$dbName; ?>" />
	<input type="hidden" name="dbPrefix" value="<?php echo DatabaseConfig::$dbPrefix; ?>" />
	<input type="hidden" name="step" value="4" />
	<table class="site_settings">
		<tr>
			<td class="site_parameter"><?php echo Text::_('Site URL'); ?>:</td>
			<td class="site_input"><input type="text" name="siteUrl" value="<?php echo $server_uri; ?>" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Site port'); ?>:</td>
			<td class="site_input"><input type="text" name="sitePort" value="<?php echo $server_port; ?>" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Site SSL port'); ?>:</td>
			<td class="site_input"><input type="text" name="siteSSLPort" value="443" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Site title'); ?>:</td>
			<td class="site_input"><input type="text" name="siteTitle" value="TSJ Demo site" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Site template'); ?>:</td>
			<td class="site_input">
			<?php echo HTMLControls::renderSelect("siteTemplate","siteTemplate", 0, 'filename', $_templates, 'tsj', 0); ?>
			</td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Administrator e-mail'); ?>:</td>
			<td class="site_input"><input type="text" name="adminEmail" value="email@email.ru" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Administrator password')." (".Text::_('minimum length 6 characters').")"; ?>:</td>
			<td class="site_input"><input type="password" name="adminPass" value="" /></td>
		</tr>
		<tr>
			<td class="site_parameter"><?php echo Text::_('Repeat administrator password'); ?>:</td>
			<td class="site_input"><input type="password" name="adminPass2" value="" /></td>
		</tr>
		<tr>
			<td class="site_parameter" colspan="2"><p class="final_message"><?php echo Text::_('Install process may take a several minutes'); ?></p></td>
		</tr>
<?php $sqlFilesDemo = Files::getFiles($sqlPath."demo".DS,array(),false);
		if (count($sqlFilesDemo)) {	?>
		<!-- 
		<tr>
			<td class="site_parameter"><?php echo Text::_('Install demo data'); ?>:</td>
			<td class="site_checkbox"><input type="checkbox" value="1" name="installDemo" /></td>
		</tr>
		-->
		<input type="hidden" value="1" name="installDemo" />
<?php } else { ?>
		<input type="hidden" value="0" name="installDemo" />
<?php } ?>
	</table>
	<div class="buttons">
		<input type="submit" value="<?php echo Text::_('Install'); ?>" />
	</div>
</form>
