//ALTADOC_COPYRIGHT_TEMPLATE

function addToBasket(gid) {
	if (checkCookies()==0) return false;
	// check for integer
	var v=VtoFloat($('#quant_'+gid).val());
	$('#quant_'+gid).val(v);
	if ($.cookie(siteConfig['basket_cookie'])==null) { $.cookie(siteConfig['basket_cookie'],"", {expires: 30, path: '/'}); }
	var coo = parseBasket($.cookie(siteConfig['basket_cookie']));
	if (v>0) {
		var newcoo=encryptBasket(coo,gid,v);
		$.cookie(siteConfig['basket_cookie'],newcoo, {expires: 30, path: '/'});
		updateMiniBasket();
		alert('Товар добавлен в корзину.');
	}
}
function parseBasket(coo){
	if (coo==null) return 0;
	if (coo.length==0) return 0;
	var rows=coo.split('#');
	var art=new Array();
	for(i=0;i<rows.length;i++) {
		var tmp=rows[i].split('|');
		art.push(tmp);
	}
	return art;
}
function encryptBasket(coo,gid,quantity){
	var res="";
	var found=0;
	var total_quantity=0;
	for(i=0;i<coo.length;i++){
		if (coo[i][0]===gid) { total_quantity=1*VtoFloat(coo[i][1])+1*quantity; found=1; }
		else { total_quantity=coo[i][1]; }
		res=res+coo[i][0]+'|'+VtoFloat(total_quantity);
		if (i<(coo.length-1)) res=res+'#';
	}
	if (found==0) {
		if (coo.length>0) {
			res=res+'#';
		}
		res=res+gid+'|'+quantity;
	}
	return  res;
}
function deleteBasketPosition(gid, basketdiv) {
	$.ajax({
		  url: 'index.php',
			  data:({type:'module',
				   option:'ajax',
				   module:'catalog',
				   psid:gid,
				   task:'deleteBasketPosition',
				   view:'goods'
				   }),
		  success: function(data) {
			  basket_parent=$('#'+basketdiv).parent();
			  $('#'+basketdiv).remove();
			  basket_parent.append(data);
			  updateMiniBasket();
			  $.fancybox.resize();
		  }
	});

}
function updateBasketPosition(gid, quantity_el, basketdiv) {
	var g_quantity=$('#'+basketdiv+' #'+quantity_el).val();
	$.ajax({
		  url: 'index.php',
			  data:({type:'module',
				  option:'ajax',
				  module:'catalog',
				  psid:gid,
				  task:'updateBasketPosition',
				  view:'goods',
				  quantity: g_quantity
			   }),
		  success: function(data) {
			  basket_parent=$('#'+basketdiv).parent();
			  $('#'+basketdiv).remove();
			  basket_parent.append(data);
			  updateMiniBasket();
		  }
	});
}
function changeOrderStep(step) {
	$('#step').val(step);
}
function updateMiniBasket(){
	if(typeof(basketWidgetID)==="undefined") return;
		$.ajax({
			url: 'index.php',
				data:({type:'module',
					option:'ajax',
					module:'catalog',
					task:'getMiniBasket',
					view:'goods'
			   }),
			   success: function(data) {
				   $('#'+basketWidgetID).html(data);
			   }
		});
}
