//ALTADOC_COPYRIGHT_TEMPLATE

$(document).ready(function() { 
	$('.inner-grid-array').each(function(){
		$(this).bind('click',function(){
			 $(this).toggleClass('expanded');
		});
	});	
});
function updateLabel(elem, module, view, task, psid, single_event) {
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl'] + "index.php",
		data : ({
			type : 'module',
			option : 'ajax',
			psid : psid,
			module : module,
			view : view,
			layout : 'selector',
			task : task
		}),
		dataType : 'html',
		success : function(data, textStatus) {
			elem.innerHTML = data;
			if (single_event === 1) {
				$(elem).css('cursor', 'default');
				$(elem).removeAttr('title');
				$(elem).removeAttr('onclick');
			}
			ajaxHideActivity();
		},
		error : function() {
			alert('Error occured');
			ajaxHideActivity();
			return false;
		}
	});
}
function modifyLinkOrdering(elem, module, view, layout, psid, multy_code) {
	ordering=prompt('',elem.innerHTML);
	if (ordering===null) return;
	if (ordering===elem.innerHTML) return;
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl'] + "index.php",
		data : ({
			type : 'module',
			option : 'ajax',
			module : module,
			view : view,
			layout : layout,
			psid : psid,
			multy_code: multy_code,
			ordering: ordering,
			task : 'UpdateLinkOrdering'
		}),
		dataType : 'html',
		success : function(data, textStatus) {
			if (data==="OK") elem.innerHTML = ordering;
			ajaxHideActivity();
		},
		error : function() {
			alert('Error occured');
			ajaxHideActivity();
			return false;
		}
	});
}
function modifySpravOrdering(elem, module, view, layout, psid, multy_code) {
	ordering=prompt('',elem.innerHTML);
	if (ordering===null) return;
	if (ordering===elem.innerHTML) return;
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl'] + "index.php",
		data : ({
			type : 'module',
			option : 'ajax',
			module : module,
			view : view,
			layout : layout,
			psid : psid,
			multy_code: multy_code,
			ordering: ordering,
			task : 'UpdateOrdering'
		}),
		dataType : 'html',
		success : function(data, textStatus) {
			if (data==="OK") elem.innerHTML = ordering;
			ajaxHideActivity();
		},
		error : function() {
			alert('Error occured');
			ajaxHideActivity();
			return false;
		}
	});
}
function toggleCheckboxes(name,mess){
	if (confirm(mess+' ?')) {
		$('input[name^='+name+']').each(function(){ 
			if ($(this).is(':checked')==false) { $(this).attr('checked','checked');	} 
			else { $(this).removeAttr('checked'); }
			$(this).trigger('change');
		});
	}
}
function csv_import_proceed(start){
	if (start===0) ajaxShowActivity();
	var url = siteConfig['siteUrl'] + 'index.php?module=catalog&view=import&step=4&start='+start;
	if (ajaxQueryFinished===false) {
		$.getJSON(url, {}, function(json) {
			if (json.log_message!='') $('#import_log').append(json.log_message);
			if (json.status_message!='') ajaxUpdateActivity(json.status_message);
			if (json.status==='processing') {
				setTimeout('csv_import_proceed(\''+json.start+'\')',1000);
			} else {
				ajaxHideActivity();
			}
		});
	} else {
		ajaxHideActivity();
	}
}
