<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<form action="<?php echo Router::_("index.php"); ?>" method="post">
	<input type="hidden" name="module" value="blog" />
	<input type="hidden" name="task" value="save" />
	<input type="hidden" name="postId" value="<?php echo $this->postId; ?>" />
	<input type="hidden" name="psid" value="<?php echo $this->psid; ?>" />
	<input type="hidden" name="authorId" value="<?php echo $this->authorId; ?>" />
	<input type="hidden" name="preEditTags" value="<?php echo $this->tagData; ?>" />
	<?php if($this->blogs&&count($this->blogs)>1) { ?>
		<div id="postBlog" class="postBlogEditor">
		<label for="postTheme"><?php echo Text::_("Move to");?>:</label>
		<?php echo HTMLControls::renderSelect("blog_id","blog_id", "b_id", "b_name", $this->blogs, $this->psid, false); ?>
		</div>
	<?php } ?>
	<div id="postTheme" class="postThemeEditor">
	<label for="postTheme"><?php echo Text::_("Theme");?>:</label><input type="text" class="postThemeEdit" id="postTheme" name="postTheme" size="120" value="<?php echo $this->postTheme; ?>" />
	</div>
  <div class="postTextEditor" >
  <label><?php echo Text::_("Text of record");?></label>
	<?php
		if($this->guiEditor) echo HTMLControls::renderEditor('postText','',$this->postText); 
		else {
			Event::raise("bbcode.editor",array("element_id"=>"postText"));
			echo HTMLControls::renderBBCodeEditor('postText','',$this->postText,50,15); 
		}
	?>
  </div>
	<div class="postTagsEditor" id="postTagsBlock">
	<b><?php echo Text::_('Tags')." (".Text::_('comma separated').")"; ?>:</b>
	<input type="text" name="tagData" id="postTags" size="80" class="postThemeEdit" value="<?php echo $this->tagData; ?>" />
	</div>

	<div id="postEditorFooter">
	<input type="submit" class="commonButton" value="<?php echo Text::_('Save'); ?>" />
	</div>
</form>