<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class catalogModule extends Module {

	public function prepare() {
		if (catalogConfig::$catalogDisabled) { $this->_disable(catalogConfig::$catalogDisabledMsg);	}
		$this->setDefaultView('goods');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getSitemapHTML($links=true) { 
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		
		$tree=new simpleTreeTable();
		$tree->table="goods_group";
		$tree->fld_id="ggr_id";
		$tree->fld_parent_id="ggr_id_parent";
		$tree->fld_title="ggr_name";
		$tree->fld_deleted="ggr_deleted";
		$tree->fld_enabled="ggr_enabled";
		$tree->fld_alias="ggr_alias";
		$tree->fld_orderby="ggr_ordering";
		$tree->element_link="index.php?module=catalog&amp;view=goods&amp;psid=";
		$tree->buildTreeArrays("",0,1,1);
		$result["html"] = $tree->getTreeHTML(0,'ul','catalog_tree');
		return $result;
	}	
}

?>