<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class simplePaymentClass extends catalogPayment {
	private function initConstants(){
		$vendor = Vendor::getInstance()->getVendor($this->order->o_vendor);
		$vendor_addr=Vendor::getInstance()->getPostAddress($this->order->o_vendor);
		$stamp_path=ALTADOC_UF_PATH.DS.'catalog'.DS.'vendors'.DS;
		$stamp_path.='stamp'.DS.Files::splitAppendix($vendor->v_pechat,true);
		if((file_exists($stamp_path))&&(is_file($stamp_path))) {
			$vendor_pechat=ALTADOC_UF.'/catalog/vendors/';
			$vendor_pechat.='stamp/'.Files::splitAppendix($vendor->v_pechat);
		}	else 	$vendor_pechat="/images/blank.gif";
		$address=Userdata::getInstance(User::getInstance()->getID())->getDefaultAddress(2);
		define ('PAYMENT_DEFAULT_FIRM_NAME', $vendor->v_name);
		define ('PAYMENT_DEFAULT_FIRM_ADDRESS', $vendor_addr);
		define ('PAYMENT_DEFAULT_FIRM_PHONE', $vendor->v_phone.(($vendor->v_phone && $vendor->v_fax)?"/":"").$vendor->v_fax);
		define ('PAYMENT_DEFAULT_OGRN', $vendor->v_ogrn);
		define ('PAYMENT_DEFAULT_INN', $vendor->v_inn);
		define ('PAYMENT_DEFAULT_KPP', $vendor->v_kpp);
		define ('PAYMENT_DEFAULT_DIRECTOR', $vendor->v_boss);
		define ('PAYMENT_DEFAULT_GLAVBUH', $vendor->v_ca_name);
		define ('PAYMENT_DEFAULT_BANK_NAME', $vendor->v_bank);
		define ('PAYMENT_DEFAULT_ACCOUNT_NUMBER', $vendor->v_sett_acc);
		define ('PAYMENT_DEFAULT_BIK', $vendor->v_bik);
		define ('PAYMENT_DEFAULT_BANK_NUMBER', $vendor->v_bank_acc);
		define ('PAYMENT_PECHAT_IMAGE', $vendor_pechat);
		define ('PAYMENT_USER_ADDRESS', $address['fullinfo']);
	}
	/* Собственные функции*/
	private function showPanel() {
		echo "<h3 class=\"title\">".Text::_("Order payment")." № ".$this->order->o_id." ".Text::_("from")." ".Date::GetdateRus($this->order->o_date)."</h3>";
		echo "<h4>".Text::_("Your payment type")." : ".$this->payment->pt_name."</h4>";
		echo "<div style=\"float:left; display:block;\" class=\"form_selector\">";
		echo "<a id=\"schet\" target=\"_blank\" class=\"linkButton\" href=\"".Router::_("index.php?option=print&module=catalog&view=orders&layout=payment&docname=account&order_id=".$this->order->o_id)."\">".Text::_('Account')."</a> \n";
		echo "<a id=\"kvit\" target=\"_blank\" class=\"linkButton\" href=\"".Router::_("index.php?option=print&module=catalog&view=orders&layout=payment&docname=receipt&order_id=".$this->order->o_id)."\">".Text::_('Receipt')."</a> \n";
		echo "</div>";
	}
	public function show() {
		$docname=Request::getSafe('docname','');
		if ($docname) {
			$form_path=PATH_MODULES."catalog".DS."payments".DS.$this->payment->pt_file.DS;
			$form_name=$form_path.$docname.".php";
			if (file_exists($form_name)) {
				$this->initConstants();
				require_once($form_name);
			} else { $this->showPanel();
			}
		} else { $this->showPanel();
		}
	}
}
?>