<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewgoods extends SpravView {

	/**
	 * Enter description here ...
	 * @param unknown_type $img
	 * @param unknown_type $thumb
	 */
	public function getEmptyImage() {
		$imgurl="";
		$imgpath_c=PATH_IMAGES.DS."nophoto.png";
		$imgpath_t=PATH_TEMPLATES.DS.siteConfig::$siteTemplate.DS.'images'.DS."nophoto.png";
		if((file_exists($imgpath_t))&&(is_file($imgpath_t))) {
			$imgurl=Portal::getURI()."/templates/".siteConfig::$siteTemplate."/images/nophoto.png";
		} elseif((file_exists($imgpath_c))&&(is_file($imgpath_c))) {
			$imgurl=Portal::getURI()."images/nophoto.png";
		} else $imgurl="";
		return  $imgurl;
	}
	public function getImage($img,$image_state=0) {
		$imgpath=ALTADOC_UF_PATH.'catalog'.DS.'i'.DS;
		$imgurl="";
		if($image_state==1) $imgpath.='thumbs'.DS.Files::splitAppendix($img,true);
		elseif($image_state==2) $imgpath.='medium'.DS.Files::splitAppendix($img,true);
		else $imgpath.='fullsize'.DS.Files::splitAppendix($img,true);
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=ALTADOC_UF.'/catalog/i/';
			if($image_state==1) { $imgurl.='thumbs/'.Files::splitAppendix($img); }
			elseif($image_state==2) { $imgurl.='medium/'.Files::splitAppendix($img); }
			else { $imgurl.='fullsize/'.Files::splitAppendix($img); }
		} 
		return $imgurl;
	}
	public function renderPlayer($video,$width=320, $height=190){
		// здесь генерируем видеоплеер
		$html="";
		if ($video && $video->v_id){
			$id = $video->v_id;
			$title = $video->v_title;
			if (is_file($poster = ALTADOC_UF_PATH."videoset".DS."i".DS.Files::getAppendix($video->v_image).DS.$video->v_image))
				$poster = ALTADOC_UF.'/videoset/i/'.Files::getAppendix($video->v_image)."/".$video->v_image;
			else $poster="";
			if (preg_match("/http:\/\//",$video->v_video_ogg)) $ogg = $video->v_video_ogg; else $ogg = ALTADOC_UF.$video->v_video_ogg;
			if (preg_match("/http:\/\//",$video->v_video_mp4)) $mp4 = $video->v_video_mp4; else $mp4 = ALTADOC_UF.$video->v_video_mp4;
			if (preg_match("/http:\/\//",$video->v_video_webm)) $webm = $video->v_video_webm; else $webm = ALTADOC_UF.$video->v_video_webm;
			$html=Module::getHelper("Player","videoset")->render($id, $title, $width, $height, $poster, $ogg, $mp4, $webm);
		}	
		return $html;
	}
}
?>