<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");
$spr_tmpl_overrided=1;
echo "<div class=\"content\">";
echo "<h1 class=\"title\">";
if ($meta->title) echo Text::_($meta->title);
else echo Text::_("Catalog");
echo "</h1>";
if (isset($this->filter_vendor)&&$this->filter_vendor)	echo "<h1 class=\"goods-title\">".Text::_("Vendor").": <a class=\"customFilterLink\" onclick=\"resetCustomGoodsFilter('vendor')\">".$this->filter_vendor."</a></h1>";
if (isset($this->filter_manufacturer)&&$this->filter_manufacturer)	echo "<h1 class=\"goods-title\">".Text::_("Manufacturer").": <a class=\"customFilterLink\" onclick=\"resetCustomGoodsFilter('manufacturer')\">".$this->filter_manufacturer."</a></h1>";
if ($consider_parents&&$this->grp){
	echo "<h1 class=\"goods-title\">".$this->grp->ggr_name."</h1>";
	echo "<div class=\"group-short clearfix\">";
	if ($this->grp->ggr_thumb) {
		$filename=ALTADOC_UF_PATH."catalog".DS."ggr".DS.Files::splitAppendix($this->grp->ggr_thumb,true);
		if (Files::isImage($filename))	{
			$filelink=ALTADOC_UF."/catalog/ggr/".Files::splitAppendix($this->grp->ggr_thumb);
			echo "<img class=\"group-img\" alt=\"".$this->grp->ggr_name."\" src=\"".$filelink."\" />";
		}
	}
	echo $this->grp->ggr_comment."</div>";
}
if ($consider_parents&&count($this->childs)) {
	echo "<div class=\"contlist\">";
	foreach($this->childs as $group) {
		$href="index.php?module=catalog&amp;view=goods&amp;psid=".$group->ggr_id;
		echo "<a class=\"group-list-title\" href=\"".Router::_($href)."\">";
		echo $group->ggr_name."</a>";
	}
	echo "</div>";
}
echo "<div id=\"sortBlock\">";
echo "<div id=\"filterBlock\" class=\"clearfix\">";
echo "<div class=\"filter_button\"><a onclick=\"javascript:showFilter('catalog','goods','','".$this->multy_code."','".Text::_("Search")."'); return false;\" class=\"linkButton\" rel=\"nofollow\">".Text::_("Search")."</a></div>";
if ($filtered) {
	echo "<div class=\"filtered\"><b>".Text::_("Is filtered").":</b>&nbsp;".$filtered."</div>";
}
echo "</div>";
if(is_array($_table_body_arr)&&count($_table_body_arr)>0) {
	echo "<ul><li>".Text::_("Sorting")."</li>";
	foreach ($_table_header_arr as $sorting){
		if ($sorting["onclick"])	echo "<li class=\"".$sorting["orderby_class"]."\"><a  ".$sorting["onclick"].">".$sorting["html"]."</a></li>";
	}
	echo "</ul>";
}
echo "</div>";

// данные которые известны, и сверстаны на основании метадаты
//$_form, $_html_pan, $_table_class, $filtered, $_table_header_arr, $_table_body_arr, $_html_footer
$tp=User::getInstance()->u_pricetype;
$field_price="g_price_".$tp;
$arr_setfields=array('g_id',"g_wmeasure",'g_currency','g_thumb','g_image','g_name','g_comments',$field_price);
if(is_array($_table_body_arr)&&count($_table_body_arr)>0) {
	foreach($_table_body_arr as $row) { ?>
		<div class="blockdata">
			<div class="leftblock">
				<div class="l_element"><?php
				$thumb=$this->getImage($row['g_thumb']['html'],1);
				if (!$thumb) $thumb = $this->getEmptyImage();
				$fullimg=$this->getImage($row['g_image']['html']); 				
				if($row['g_thumb']['hidden']!=1){
					$thumb=HTMLControls::renderImage($thumb,false,catalogConfig::$thumb_width); 
					echo "<div class=\"g_thumb\">";
					switch(catalogConfig::$listImageLink) {
						case "1":
							if($fullimg) echo "<a class=\"relpopup\" href=\"".$fullimg."\">".$thumb."</a>"; 	
							else echo $thumb;
							break;
						case "2":
							if($fullimg) echo "<a href=\"".Router::_("index.php?module=catalog&view=goods&layout=info&psid=".$row['g_id']['html'])."\">".$thumb."</a>"; 	
							else echo $thumb;
							break;	
						case "0":
						default:	
					  	echo $thumb;
					  break;
					}
					echo "</div>";
				}
				?>
				</div>
			</div> <!-- конец левого блока -->
	    <div class="rightblock">
			<?php
			if(!catalogConfig::$hide_prices&&$row[$field_price]['hidden']!=1&&floatval($row[$field_price]['html'])>0
			&&intval($row['g_vendor']['html'])>0){
//echo $row[$field_price]['html']." - ".$row['g_currency']['html']."<br />"; 
/*				
				if($row['g_isweight']['html']) {// товар весовой
					echo "<div class=\"r_element\">";
					echo "<div class=\"g_price\">";
    			$_val=floatval($row[$field_price]['html']);
					echo Text::_("Price for")." (".Measure::getInstance()->getShortName($row['g_wmeasure']['html']).") ".number_format($_val,2)." ".Currency::getShortName(DEFAULT_CURRENCY);
					echo "</div>";
					echo "</div>";
					if ($row['g_measure']['html']!=$row['g_wmeasure']['html']) {
						echo "<div class=\"r_element\">";
						echo "<div class=\"g_price\">";
						echo Text::_("Price")." (".Measure::getInstance()->getShortName($row['g_measure']['html']).") ".number_format($_val*$row['g_weight']['html'],2)." ".Currency::getShortName(DEFAULT_CURRENCY);
						echo "</div>";
						echo "</div>";
					}									
				}	else	{
					echo "<div class=\"r_element\">";
					echo "<div class=\"g_price\">";
    			$_val=$row[$field_price]['html'];
					echo Text::_("Price")." ".$_val." ".Currency::getShortName(DEFAULT_CURRENCY);
					echo "</div>";					
					echo "</div>";
				}
*/				
				$sell_measure=$row['g_measure']['value'];
				$_val=$row[$field_price]['html'];
				switch($row['g_selltype']['value']){
					case 1:
						$sell_measure=$row['g_pack_measure']['value'];
						break;
					case 2:
						$sell_measure=$row['g_wmeasure']['value'];
						break;
					case 3:
						$sell_measure=$row['g_vmeasure']['value'];
						break;
					case 4:
//						$sell_measure="(".Measure::getInstance()->getShortName($row['g_lmeasure']['value']).")";
//						break;
					case 5:
//						$sell_measure="(".Measure::getInstance()->getShortName($row['g_smeasure']['value']).")";
//						break;
					case 0:
					default:
						break;
				}
				echo "<div class=\"r_element\">";
				echo "<div class=\"g_price\">";
				echo Text::_("Price for")." ".Measure::getInstance()->getShortName($sell_measure)." ".$_val." ".Currency::getShortName(DEFAULT_CURRENCY);
				echo "</div>";
				echo "</div>";
				
				if (!catalogConfig::$ordersDisabled){
					echo "<div class=\"r_element\">";
					echo HTMLControls::renderLabelField("quant_".$row['g_id']['value'],Text::_("quantity")."(".Measure::getInstance()->getShortName($sell_measure).")");
					echo HTMLControls::renderInputText("quant_".$row['g_id']['value'],"1","5"); 
					echo "</div>";					
					echo "<div class=\"r_element r_basket\">";
					echo "<a onclick=\"javascript:addToBasket('".$row['g_id']['value']."');\" class=\"linkButton\" >".Text::_('Add to basket')."</a>";
					echo "</div>";
				}
			}
			if ($row['g_hit']['value']) $hit_class=" ishit"; else $hit_class="";
			if ($row['g_new']['value']) $new_class=" isnew"; else $new_class="";
			?>			
			</div><!-- конец правого блока -->
			<div class="centerblock">		
				<div class="l_title"><div class="g_title<?php echo $hit_class; ?>"><h4 class="title<?php echo $new_class; ?>"><?php echo $row['g_name']['html'];?></h4></div></div>			
				<?php 
				if($row['g_comments']['hidden']!=1 && $row['g_comments']['html']){ 
					$text=$row['g_comments']['html'];	
					echo "<div class=\"g_comment\">";
					$first_hr=mb_strpos($text,'<hr id="system-readmore"',0);
					if ($first_hr) echo mb_substr($text,0,min($first_hr,300));
					else echo $text;
					echo "</div>";
				}
				// выводим остальные поля в центральное окно
				foreach($row as $key=>$val)	{
					if(!in_array($key,$arr_setfields)&&isset($_table_header_arr[$key])&&$val['hidden']!=1&&$val["html"])	{
						echo"<div class=\"c_element\">";
						echo"<div class=\"center_label\">".$_table_header_arr[$key]["html"]."</div>";
						echo"<div class=\"center_value\">".$val["html"]."</div>";
						echo "</div>";
		  		}											
				}  		
				?>
			</div><!-- конец центрального блока -->
		</div><!-- конец блока данных-->
<?php
	}
} else { 
	if ($filtered) echo "<div>".Text::_("Data absent")."</div>";
}
echo "</div>";
echo $_html_footer;
?>