<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if ($this->override_css) { ?>
<style type=text/css>
	h1 { font-family:arial;font-size:14px; }
	div.full_order table.goods { width:100%; font-family:arial;font-size:13px;border-collapse:collapse; }
	div.full_order table.goods td { border:1px solid; }
	div.full_order table.goods th { color:darkred;background:none repeat scroll 0 0 #FFFFCC;border:1px solid; }
	div.full_order table.goods td.subtotal, 
	div.full_order table.goods td.total { background:none repeat scroll 0 0 #FFFFCC;color:#CF052B; }
	div.full_order table.goods td.deliveries,
	div.full_order table.goods td.payments, 
	div.full_order table.goods td.taxes,
	div.full_order table.goods td.discounts,
	div.full_order table.goods td.subtotal,
	div.full_order table.goods td.total{ padding: 2px 10px;	text-align:right;font-weight:bold; }
	div.full_order table.goods td.cur_price,
	div.full_order table.goods td.cur_points,
	div.full_order table.goods td.cur_quantity,
	div.full_order table.goods td.cur_sum { width:76px;white-space:nowrap;text-align:right; }
</style>
<?php }
$taxesInOrder=array();
$payment=$this->pt_class;
$delivery=$this->dt_class;
$order=$this->order;
$items=$this->order_items;
$summa=0; $total=0;
$currency_text=Currency::getShortName($order->o_currency);
if (($items)&&(count($items)>0))	{
	echo "<div class=\"one_order\">";
	echo "<h1 class=\"title\">".Text::_("Order")." № ".$order->o_id." ".Text::_("from")." ".Date::GetdateRus($order->o_date)."</h1>";
	echo "<div class=\"order_row\">";
	echo "<b>".Text::_("Delivery type")." : </b>".$order->o_dt_name;
	$delivery_data=Userdata::getInstance(User::getInstance()->u_id)->decode($order->o_dt_data);
	if ($delivery) echo $delivery->renderInfo($delivery_data);
	echo "</div>";
	echo "<div class=\"order_row\">";
	echo "<b>".Text::_("Payment type")." : </b>".$order->o_pt_name;
	$payment_data=Userdata::getInstance(User::getInstance()->u_id)->decode($order->o_pt_data);
	if ($payment) echo $payment->renderInfo($payment_data);
	echo "</div>";
	echo "<div class=\"order_row\">";
	echo "<b>".Text::_("Comments")." : </b>".htmlspecialchars($order->o_comments);
	echo "</div>";
	echo "<div class=\"clr\"></div>";
	echo "<div class=\"full_order\"><table class=\"goods\"> \n\n";
	echo "<thead> \n";
	echo "<tr> \n";
	echo "<th class=\"npp\">".Text::_('NPP')."</th> \n";
	echo "<th>".Text::_('Articul')."</th> \n";
	echo "<th>".Text::_('Title')."</th>";
	echo "<th class=\"cur_price\">".Text::_('Price')."(".$currency_text.")</th>";
	echo "<th class=\"cur_quantity\">".Text::_('Quantity')."</th>";
	echo "<th class=\"cur_sum\">".Text::_('Sum')."(".$currency_text.")</th>";
	echo "</tr>";
	echo "</thead><tbody>";
	$counter=0;
	foreach($items as $g) {
		$counter++;
		echo "<tr>";
		echo "<td>".$counter."</td>";
		echo "<td>".$g->i_g_sku."</td>";
		echo "<td>".$g->i_g_name."</td>";
		$current_price=$g->i_g_price;
		$current_quantity=$g->i_g_quantity;
		$current_sum=$g->i_g_sum;
		echo "<td class=\"cur_price\">".number_format($current_price,2)."</td>";
		$summa=$summa+$current_sum;
		echo "<td class=\"cur_quantity\">".number_format($current_quantity, catalogConfig::$quantity_digits)." ".Measure::getInstance()->getShortName($g->i_g_measure)."</td>";
		echo "<td class=\"cur_sum\" id=\"sum_".$g->i_g_id."\">".number_format($current_sum,2)."</td>";
		echo "</tr> \n";
		if ($g->i_g_tax>0){
			$tax_name=base64_encode($g->i_g_tax_name);
			if (!isset($taxesInOrder[$tax_name]))$taxesInOrder[$tax_name]=0;
			$taxesInOrder[$tax_name]+=$g->i_g_tax;
		}
	}
	echo "<tr><td class=\"subtotal\" colspan=\"4\">".Text::_("Sum by order")." : </td>";
	echo "<td class=\"subtotal\" colspan=\"2\">".number_format($summa,2)."</td></tr> \n";
	$total=$summa+$order->o_dt_sum;
	
	if ($order->o_dt_sum>0) {
		echo "<tr><td class=\"deliveries\" colspan=\"4\">".Text::_("Delivery sum")." : </td>";
		echo "<td class=\"deliveries\" colspan=\"2\">".number_format($order->o_dt_sum,2)."</td></tr> \n";
	}

	$total=$total+$order->o_pt_sum; 
	if ($order->o_pt_sum>0) {
		echo "<tr><td class=\"payments\" colspan=\"4\">".Text::_("Payment commission")." : </td>";
		echo "<td class=\"payments\" colspan=\"2\">".number_format($order->o_pt_sum,2)."</td></tr> \n"; 
	}

	$total=$total-$order->o_discount_sum;
	if ($order->o_discount_sum>0) {
	  if ($order->o_discount_sum>0) {
	    echo "<tr><td class=\"discounts\" colspan=\"4\">".Text::_("Discount")." : "."</td>";
			echo "<td class=\"discounts\" colspan=\"2\">".number_format($order->o_discount_sum,2)."</td></tr> \n";
	  } else {
	    echo "<tr><td class=\"discounts\" colspan=\"4\">".Text::_("Fee")." : </td>";
			echo "<td class=\"discounts\" colspan=\"2\">".number_format(abs($order->o_discount_sum),2)."</td></tr> \n";
	  }
	}
	if ($total!=$summa){
		echo "<tr><td class=\"subtotal\" colspan=\"4\">".Text::_("Sum")." : </td>";
		echo "<td class=\"subtotal\" colspan=\"2\">".number_format($total,2)."</td></tr> \n";
	}	
	if ($order->o_taxes_sum) {
		echo "<tr><td class=\"taxes\" colspan=\"4\">".Text::_("Taxes in order")." : </td>";
		echo "<td class=\"taxes\" colspan=\"2\">".number_format($order->o_taxes_sum,2)."</td></tr> \n";
		if (count($taxesInOrder)) {
			foreach($taxesInOrder as $kt=>$vt){
				echo "<tr><td class=\"taxes\" colspan=\"4\">".base64_decode($kt)." : </td>";
				echo "<td class=\"taxes\" colspan=\"2\">".number_format($vt,2)."</td></tr> \n";
			}
		}
	}
	echo "<tr><td class=\"total\" colspan=\"4\">".Text::_("Total")." : </td>";
	echo "<td class=\"total\" colspan=\"2\">".number_format($order->o_total_sum,2)."</td></tr> \n";
	echo "</tbody>";
	echo "</table></div>";
	if ($this->controls) {
		echo "<div class=\"submit_buttons\">";
		echo "<a id=\"print_but\" target=\"_blank\" class=\"linkButton\" href=\"".Router::_("index.php?option=print&module=catalog&view=orders&layout=print&order_id=".$order->o_id)."\">".Text::_('Print')."</a> \n";
  	if ($order->o_paid==0) echo "<a id=\"pay_but\" class=\"linkButton\" href=\"".Router::_("index.php?module=catalog&view=orders&layout=payment&order_id=".$order->o_id)."\">".Text::_('Pay')."</a> \n";
  	echo "</div>";
	}
	echo "</div>";
} else { echo "<h1>".Text::_("Order not found")."</h1>";	}
?>
