<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$spr_tmpl_overrided=1;
?>
<div class="moduleBody feedbackModule">
<div class="content">
<?php if (is_object($this->article)) { ?>
<h1 class="title"><?php echo $this->article->a_title; ?></h1>
<div class="contactsArticleText"><?php 
	Event::raise('content.prepare', array(), $this->article->a_text);
	echo $this->article->a_text; 
?></div>
<?php } ?>
<?php if (soConfig::$showOnFeedbackPage) { ?>
<div class="contact_info">
	<h2 class="contact_info"><?php echo Text::_("Contact information"); ?></h2>
	<table class="contact_info">
		<?php 
		if (soConfig::$fullFirmName) echo "<tr><th>".Text::_("Firm name").":</th><td>".soConfig::$fullFirmName."</td></tr>";
		if (soConfig::$Address) echo "<tr><th>".Text::_("Address").":</th><td>".soConfig::$Address."</td></tr>";
		if (soConfig::$Phone) echo "<tr><th>".Text::_("Phone").":</th><td>".soConfig::$Phone."</td></tr>";
		if (soConfig::$Fax) echo "<tr><th>".Text::_("Fax").":</th><td>".soConfig::$Fax."</td></tr>";
		if (soConfig::$siteEmail) echo "<tr><th>".Text::_("Contact e-mail").":</th><td>".HTMLControls::hideEmail(soConfig::$siteEmail,"mymylo")."</td></tr>";
		if (soConfig::$contactName) echo "<tr><th>".Text::_("Contact name").":</th><td>".soConfig::$contactName."</td></tr>";
		if (soConfig::$ICQ) echo "<tr><th class=\"icq-label\">".Text::_("ICQ").":</th><td>".soConfig::$ICQ."</td></tr>";
		if (soConfig::$Jabber) echo "<tr><th class=\"jabber-label\">".Text::_("Jabber").":</th><td>".HTMLControls::hideEmail(soConfig::$Jabber,"",false)."</td></tr>";
		if (soConfig::$Skype) echo "<tr><th class=\"skype-label\">".Text::_("Skype").":</th><td>".soConfig::$Skype."</td></tr>";
		?>
	</table>
</div>
<?php } 
Debugger::getInstance()->milestone('Before form StartLayout');
$frm->startLayout();
echo "<div id=feedbackSender>";
echo "<h2 class=\"contact_info contact_form\">".Text::_("You may write us from here")."</h2>";
echo "<table class=\"feedbackSender\">";
foreach ($input_type as $index=>$value)	{
	if ($meta->input_view[$index]==0 && $value!="hidden") continue;
	if (($meta->field[$index]=="f_sender" || $meta->field[$index]=="f_mail") && $this->authorized)  continue;
	switch ($value)	{
		case "hidden": 
			continue; 
		break;
		default:
			echo "<tr id=\"row_for_".$meta->field[$index]."\"><th colspan=\"2\">";
			$frm->renderLabelFor($meta->field[$index]);
			echo ":&nbsp;";
			$frm->renderBalloonFor($meta->field[$index],false);
			echo "</th></tr><tr><td colspan=\"2\">";
			$frm->renderInputPart($meta->field[$index]);
			echo "</td></tr>";
		break;
	}
}
if(!$this->disableCaptcha) {
	echo"<tr id=\"row_for_captcha\"><th colspan=\"2\">";
	echo Event::raise("captcha.renderForm",array("module"=>"feedback"));
	echo"</th></tr>";
}
echo"<tr><th style=\"text-align:center;\" colspan=\"2\">";
echo"<input type=\"submit\" class=\"commonButton\" name=\"apply\" value=\"".Text::_("Send")."\" id=\"apply\">";
echo"</th></tr>";
echo "</table>";
echo "</div>";
Debugger::getInstance()->milestone('After form DisplayOutput');
$frm->endLayout();
?>
</div>
</div>