<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$js="$(document).ready(function() {
	$('#feedbackForm').validate({
		messages: {
			feedbackSenderName: { required: '!!!' },
			feedbackSenderEmail: { required: '!!!' },
			feedbackTheme: { required: '!!!' },
			feedbackText: { required: '!!!' },
			rCaptchaText: { required: '!!!' }
		}
	});
});
";
Portal::getInstance()->addScriptDeclaration($js); 
?>
<?php if (soConfig::$showOnFeedbackPage) { ?>
<div class="contact_info">
	<h2 class="contact_info"><?php echo Text::_("Contact information"); ?></h2>
	<table class="contact_info">
		<?php 
		if (soConfig::$fullFirmName) echo "<tr><th>".Text::_("Firm name").":</th><td>".soConfig::$fullFirmName."</td></tr>";
		if (soConfig::$Address) echo "<tr><th>".Text::_("Address").":</th><td>".soConfig::$Address."</td></tr>";
		if (soConfig::$Phone) echo "<tr><th>".Text::_("Phone").":</th><td>".soConfig::$Phone."</td></tr>";
		if (soConfig::$Fax) echo "<tr><th>".Text::_("Fax").":</th><td>".soConfig::$Fax."</td></tr>";
		if (soConfig::$siteEmail) echo "<tr><th>".Text::_("Contact e-mail").":</th><td>".HTMLControls::hideEmail(soConfig::$siteEmail,"mymylo")."</td></tr>";
		if (soConfig::$contactName) echo "<tr><th>".Text::_("Contact name").":</th><td>".soConfig::$contactName."</td></tr>";
		if (soConfig::$ICQ) echo "<tr><th class=\"icq-label\">".Text::_("ICQ").":</th><td>".soConfig::$ICQ."</td></tr>";
		if (soConfig::$Jabber) echo "<tr><th class=\"jabber-label\">".Text::_("Jabber").":</th><td>".HTMLControls::hideEmail(soConfig::$Jabber,"",false)."</td></tr>";
		if (soConfig::$Skype) echo "<tr><th class=\"skype-label\">".Text::_("Skype").":</th><td>".soConfig::$Skype."</td></tr>";
		?>
	</table>
	<h2 class="contact_info contact_form"><?php echo Text::_("You may write us from here"); ?></h2>
</div>
<?php } ?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" id="feedbackForm">
	<input type="hidden" name="module" value="feedback" />
	<input type="hidden" name="task" value="send" />

	<div id="feedbackSender">
  <?php if(!User::getInstance()->isLoggedIn()){?>
		<p class="label"><?php echo Text::_('Your nick name'); ?>:</p>
		<p class="feedbackSenderName"><input type="text" class="commonEdit required" id="feedbackSenderName" name="feedbackSenderName" value="<?php echo $this->senderName; ?>" /></p>

		<p class="label"><?php echo Text::_('Your e-mail'); ?>:</p>
		<p class="feedbackSenderEmail"><input type="text" class="commonEdit required" id="feedbackSenderEmail" name="feedbackSenderEmail" value="<?php echo $this->senderEMail; ?>" /></p>
	<?php }?>	
		<p class="label"><?php echo Text::_('Feedback theme'); ?>:</p>
		<p class="feedbackTheme"><input size="100" type="text" class="commonEdit required" id="feedbackTheme" name="feedbackTheme" value="<?php echo $this->feedbackTheme; ?>" /></p>
		<p class="label"><?php echo Text::_('Feedback text'); ?>:</p>
		<p class="feedbackText"><textarea id="feedbackText" cols="80" rows="10" class="editorArea required" name="feedbackText"><?php echo $this->feedbackText; ?></textarea></p>
  		

	</div>
	<div id="feedbackCaptcha">
		<?php if(!$this->disableCaptcha) echo Event::raise("captcha.renderForm",array("module"=>"feedback"))?>
	</div>
	<div id="feedbackFooter">
		<input type="submit" class="commonButton" value="<?php echo Text::_('Send'); ?>" />
	</div>

</form>