<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class forumCustomRouter extends Router {
	public function parseRoute($request) {
		Debugger::getInstance()->message("Router (forum) parsed URI ".$request);
		$_result=preg_split('/[\/]/',$request);
		$module=""; $view=""; $layout=""; $psid="";
		$last_element = preg_split('/(.html)/',$_result[count($_result)-1]);
		if (preg_match('/(index.php)/',$last_element[0])) $last_element[0]="";
		if (preg_match('/(default)/',$last_element[0])) $last_element[0]="";
		$_result[count($_result)-1] = $last_element[0];
		switch (count($_result)) {
			case 2:
				$module = $_result[1];
				break;
			case 3:
				$module = $_result[1]; $view   = $_result[2];
				break;
			case 4:
				$module = $_result[1]; $view   = $_result[2];
				$psid = $_result[3];
				break;
			case 5:
				$module = $_result[1]; $view   = $_result[2];
				$layout = $_result[3]; $psid   = $_result[4];
				break;
		}
		$_vars = array();
		if ($module) $_vars['module']=$module;
		if ($view) $_vars['view']=$view;
		if ($layout) $_vars['layout']=$layout;
		if ($psid) $_vars['psid']=$psid;
		return $_vars;
	}

	public function buildRoute($options, $mode="sitelink",$force_fronte=0) {
		$url = $options['module']; unset($options['module']);
		if (array_key_exists('view', $options)) {
			$url.= "/".$options['view']; unset($options['view']);
			if (array_key_exists('layout', $options)) {
				$url.= "/".$options['layout']; unset($options['layout']);
			}
			if (array_key_exists('psid', $options)) {
				$url.= "/".$options['psid']; unset($options['psid']);
			}
		}
		$url.=".html"; $appendix="";
		if (count($options)>0) {
			foreach($options as $key=>$val) {
				$appendix.="&".$key."=".$val;
			}
		}
		$url=Portal::getURI($force_fronte).$url;
		if ($appendix) $url=$url."?".substr($appendix,1);
		return $url;
	}
}
?>