<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<div class=\"main_forum_panel\">";
if (User::getInstance()->isLoggedIn()) echo "<a href=\"".Router::_("index.php?module=forum&view=new")."\">".Text::_("New messages")." : ".$this->newposts."</a>"; 
echo"</div>";
if ($this->section) { // выводим информацию о родительском форуме
	echo "<h1 class=\"title\">".$this->section->f_name."</h1>";
	echo "<div class=\"main_forum_body\">".$this->section->f_description."</div>";
}
if(!User::getInstance()->isLoggedIn())	echo "<p class=\"warning\">".Text::_("For posting log in or register")."</p>";

if (count($this->sections)) { // выводим информацию о форумах
	echo "<table class=\"forums\">";
	if ($this->section)	echo "<tr><th colspan=\"4\" class=\"sub_forum_title\">".Text::_("Subforums")."</th></tr>";
	echo "<tr><th colspan=\"2\" class=\"forum_title\">".Text::_("Name")."/".Text::_("Description")."</th>";
	echo "<th width=\"15%\" class=\"forum_title\">".Text::_("Subforums")."</th>";
	echo "<th width=\"15%\" class=\"forum_title\">".Text::_("Themes")."</th>";
	echo "</tr>";
	foreach($this->sections as $forum){
		if (in_array($forum->f_id,$this->allowed_ids)) {
			echo "<tr><td colspan=\"2\"><a class=\"forum_title\" href=\"".Router::_("index.php?module=forum&view=section&psid=".$forum->f_id)."\">".$forum->f_name."</a><br />";
			echo $forum->f_description."</td>";
			echo "<td align=\"center\">".$forum->f_forums."</td>";
			echo "<td align=\"center\">".$forum->f_themes."</td>";
			echo "</tr>";
		}
	}
	echo "</table>";
}
if ($this->section) {
	echo "<div class=\"forum_panel\">";
	if ($this->canWrite) {
		echo "<a rel=\"nofollow\" class=\"linkButton\" href=\"".Router::_("index.php?module=forum&task=modifyTheme&psid=".$this->section->f_id."&page=".$this->page)."\">".Text::_("Create theme")."</a>";
	}
	echo "<a class=\"linkButton\" href=\"".Router::_("index.php?module=forum")."\">".Text::_("All forums")."</a>";
	echo "</div>";
}

if ($this->section) {
	echo "<table class=\"forums\">";
	echo "<tr><th colspan=\"4\" class=\"sub_forum_title\">".Text::_("Themes")."</th></tr>";
	echo "<tr><th class=\"forum_title\">".Text::_("Theme")."</th>";
	echo "<th width=\"20%\" class=\"forum_title\">".Text::_("Last post")."</th>";
	echo "<th class=\"forum_title\">".Text::_("Answers")."</th>";
	echo "<th class=\"forum_title\">".Text::_("Views")."</th>";
	echo "</tr>";
	if (count($this->themes)) {// выводим информацию о темах
		foreach($this->themes as $theme){
			if ($theme->t_deleted) $dclass=" deletedTheme"; 
			elseif (!$theme->t_enabled) $dclass=" disabledTheme";
			else $dclass="";
			echo "<tr class=\"rowTheme".$dclass."\"><td><a class=\"theme_title\" href=\"".Router::_("index.php?module=forum&view=theme&psid=".$theme->t_id)."\">".$theme->t_theme."</a></td>";
//			echo "<td align=\"center\">".Date::fromSQL($theme->t_date)."<br />".Text::_("from")." ".$theme->u_nickname."</td>";
			echo "<td align=\"center\">";
			echo "<a  title=\"".Text::_("View theme")."\" href=\"".Router::_("index.php?module=forum&view=theme&psid=".$theme->t_id).($theme->t_posts ? "&lastPage=1" : "")."\">".Date::fromSQL($theme->post_date)."</a>";
			echo "<br />".Text::_("from")." "
			."<a title=\"".Text::_("Profile")."\" href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$theme->post_author_id)."\">".$theme->post_author."</a>"
			."</td>";
			echo "<td align=\"center\">".$theme->t_posts."</td>";
			echo "<td align=\"center\">".$theme->t_views."</td></tr>";
		}
	}
	echo "</table>";
}
?>