<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if ($this->errMessage) { echo "<h4 class=\"invalid\">".$this->errMessage."</h4>"; }
if ($this->section) { // выводим информацию о родительском форуме
	echo "<h1 class=\"title\">".$this->section->f_name."</h1>";
	//echo "<div class=\"main_forum_body\">".$this->section->f_description."</div>";
}
if($this->premoderated) echo "<p class=\"red_warning\">".Text::_("The message will be published after consideration by moderator")."</p>";
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" id="ThemeForm">
	<input type="hidden" name="module" value="forum" />
	<input type="hidden" name="task" value="saveTheme" />
	<input type="hidden" name="psid" value="<?php echo $this->section->f_id; ?>" />
	<input type="hidden" name="tid" value="<?php echo $this->theme->t_id; ?>" />
	<input type="hidden" name="page" value="<?php echo $this->page; ?>" />
	<div id="forumTheme">
		<p class="label"><?php echo Text::_('Theme'); ?>:</p>
		<p class="themeTitle"><input size="100" type="text" class="commonEdit required" id="themeTitle" name="themeTitle" value="<?php echo $this->theme->t_theme; ?>" /></p>
		<p class="label"><?php echo Text::_('Text'); ?>:</p>
		<p class="themeText"><?php 
			Event::raise("bbcode.editor",array("element_id"=>"themeText"));
			echo HTMLControls::renderBBCodeEditor("themeText","themeText",$this->theme->t_text,80,15,"editorArea required"); 
		?></p>
		<p class="themeRow"><?php 
			echo Text::_('Fixed theme')." : ".HTMLControls::renderCheckbox("t_fixed",$this->theme->t_fixed,1);
			echo "&nbsp;&nbsp;";
			echo Text::_('Closed theme')." : ".HTMLControls::renderCheckbox("t_closed",$this->theme->t_closed,1);
		?></p>
	</div>
	<div class="postTagsEditor" id="postTagsBlock">
		<b><?php echo Text::_('Tags')." (".Text::_('comma separated').")"; ?>:</b>
		<input type="text" name="themeTags" id="themeTags" size="80" class="commonEdit" value="<?php echo $this->theme->t_tags; ?>" />
	</div>
	<div id="forumCaptcha">
		<?php if(!$this->disableCaptcha) echo Event::raise("captcha.renderForm",array("module"=>"forum"))?>
	</div>
	<div id="themeFooter">
		<input type="submit" class="commonButton" value="<?php echo Text::_('Send'); ?>" />
	</div>
	
</form>