<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class galleryControllerdefault extends SpravController {
	public function showGroups() {
		$view=$this->getView();
		$viewname = $view->getName();
		$mdl=Module::getInstance();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		$model = $this->getModel();
		$psid         = request::getSafe('psid', false); 					// ид строки
		$groups=$model->getGroups();
		//Portal::getInstance()->setTitle($groups->gr_title);		
		$view->assign('groups',$groups);
		$view->addBreadcrumb(Text::_("Groups"),Router::_("index.php"));
	}
	public function showItems() {
		$view=$this->getView();
		$viewname = $view->getName();
		$mdl=Module::getInstance("gallery");
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		$model = $this->getModel();
		$psid         = request::getSafe('psid', false); 					// ид строки
		$group=$model->getGroup($psid);
		if (is_object($group)) {
			if($group->gr_meta_keywords<>'')Portal::getInstance()->setMeta("keywords",$group->gr_meta_keywords);
			if($group->gr_meta_description<>'') Portal::getInstance()->setMeta("description",$group->gr_meta_description);
			if($group->gr_meta_title<>'') Portal::getInstance()->setTitle($group->gr_meta_title);
			else Portal::getInstance()->setTitle($group->gr_title);
				
			$items=$model->getItems($psid);
			$view->assign('group',$group);
			$view->assign('items',$items);

		} else {			
			$this->setRedirect("index.php?module=gallery");

		}
		$view->addBreadcrumb(Text::_("Main page"),Router::_("index.php"));		
		$href="index.php?module=gallery&view=items&psid=".$group->gr_id;
		if($group->gr_alias) $href.="&alias=".$group->gr_alias;
		$view->addBreadcrumb(Text::_($group->gr_title),Router::_($href));
	}
	public function showImages() {
		$view=$this->getView();
		$viewname = $view->getName();
		$mdl=Module::getInstance();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		$model = $this->getModel();
		////////////////////////////
		$reestr = $mdl->get('reestr');
		$model = $this->getModel();
		$model->loadMeta();
		// мультикод может проставляться при вызове в контроллерах модулей.
		$multy_code   = Request::getSafe('multy_code', $reestr->get("multy_code",false)); 		// ид верхней группы
		$psid         = Request::getSafe('psid', false); 					// ид строки
		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		if(!$multy_code)	$multy_code=$psid;
		elseif(!$psid) $psid=$multy_code;
		$reestr->set('psid',$psid);
		$reestr->set('start',Request::getInt("start",0));
		$reestr->set('sort',Request::getSafe("sort"));
		$reestr->set('orderby',Request::getSafe("orderby"));
		$reestr->set("multy_code",$multy_code);
		////////////////////////////////////////
//		$psid         = request::getSafe('psid', false); 					// ид строки
		$item=$model->getItem($psid);
		$images=$model->getData($psid);
		if (is_object($item)) 
		{	$group=$model->getGroup($item->g_group_id);
			if($item->g_meta_keywords<>'')Portal::getInstance()->setMeta("keywords",$item->g_meta_keywords);
			if($item->g_meta_description<>'') Portal::getInstance()->setMeta("description",$item->g_meta_description);		
		    if($item->g_meta_title)
			   Portal::getInstance()->setTitle($item->g_meta_title);
		    else
		       Portal::getInstance()->setTitle($item->g_title);
		}
		 else $group="";
		
		$view->assign('group',$group);
		$view->assign('item',$item);
		$view->assign('images',$images);

		$view->addBreadcrumb(Text::_("Main page"),Router::_("index.php"));
		$href="index.php?module=gallery&view=items&psid=".$group->gr_id;
		if($group->gr_alias) $href.="&alias=".$group->gr_alias;
		$view->addBreadcrumb(Text::_($group->gr_title),Router::_($href));
		$href="index.php?module=gallery&view=images&psid=".$item->g_id;
		if($item->g_alias) $href.="&alias=".$item->g_alias;
		$view->addBreadcrumb(Text::_($item->g_title),Router::_($href));
		

	}
}

?>