<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<h1 class=\"title\">".Text::_("Gallery groups")."</h1>";
echo "<div class=\"contlist\">";
if (count($this->groups)) {
	if(galleryConfig::$ggr_thumbWidth) $autowidth=" style=\"width:".galleryConfig::$ggr_thumbWidth."px;\""; else $autowidth="";
	foreach($this->groups as $group) {
		$href="index.php?module=gallery&amp;view=items&amp;psid=".$group->gr_id;
		if ($group->gr_alias) $href.="&amp;alias=".$group->gr_alias;
		echo "<div class=\"gallerygroup\">";
		echo "<table><tr><td colspan=\"2\">";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $group->gr_title."</a>";
		echo "</td></tr>";

		echo "<tr><td class=\"thumb\">";
		if ($group->gr_thumb) $img=ALTADOC_UF_PATH.'gallery'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($group->gr_thumb).DS.$group->gr_thumb;
		else $img="";
		if($img && is_file($img)) {
			$img_link=ALTADOC_UF.'/gallery/groups/thumbs/'.Files::getAppendix($group->gr_thumb)."/".$group->gr_thumb;
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." title=\"".$group->gr_title_thm."\" alt=\"".$group->gr_alt_thm."\" class=\"group-image\" src=\"".$img_link."\" /></a>";
		}	else {
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/images/blank.gif\" /></a>";
		}
		echo "</td>";
		echo "<td class=\"comment\">".$group->gr_comment."</td></tr>";
		echo "</table>";
		echo "</div>";
	}
}
echo "</div>";
?>