<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");
Portal::getInstance()->addStyleSheet("sprav.css",true);
if (is_object($this->item)){
	echo "<h1 class=\"title\">".Text::_("Gallery")." - ".$this->item->g_title."</h1>";
	$href="index.php?module=gallery&amp;view=items&amp;psid=".$this->item->g_group_id;
	if (is_object($this->group)) $href.="&amp;alias=".$this->group->gr_alias;
	echo "<div class=\"gallery-toolbar\">";
	echo "<div class=\"gallery-link\"><a href=\"".Router::_($href)."\">".Text::_("Back to galleries")."</a></div>";
	echo "<div class=\"toolbar-links\"><a onclick=\"slideshow();\">".Text::_("Start slideshow")."</a></div>";
	echo "</div>";
	
	if (galleryConfig::$showParentDescr && $this->item->g_comment) {
		echo "<div class=\"group-comments\">";
		echo $this->item->g_comment;
		echo "</div>";
	}
	echo "<div class=\"contlist\">";
	if (count($this->images)) {
		$first_image_id=" id=\"first_image\"";
		$img_autosize=" style=\"width:".galleryConfig::$thumbWidth."px; height:".galleryConfig::$thumbHeight."px;\"";
		$automax=" style=\"max-width:".galleryConfig::$thumbWidth."px; max-height:".galleryConfig::$thumbHeight."px;\"";
		$autowidth=" style=\"width:".galleryConfig::$thumbWidth."px;\"";
		$autosize=" style=\"width:".galleryConfig::$thumbWidth."px; height:".((int)galleryConfig::$thumbHeight+($this->item->g_hide_image_titles ? 0 : (int)galleryConfig::$thumbTitleDelta))."px;	\"";
		foreach($this->images as $image) {
			$thumb_file=ALTADOC_UF_PATH.'gallery'.DS.'i/thumbs'.DS.Files::getAppendix($image->gi_thumb).DS.$image->gi_thumb;
			$thumb=file_exists($thumb_file);
			$img_file=ALTADOC_UF_PATH.'gallery'.DS.'i'.DS.Files::getAppendix($image->gi_image).DS.$image->gi_image;
			$img=file_exists($img_file);
			$title=addslashes($image->gi_title);
			if ((!$thumb)&&(!$img)) {
				$thumb_link="";
				$image_link="";
			} elseif(!$thumb) { 
				$image_link=ALTADOC_UF.'/gallery/i/'.Files::getAppendix($image->gi_image)."/".$image->gi_image;
				$thumb_link=ALTADOC_UF.'/gallery/i/'.Files::getAppendix($image->gi_image)."/".$image->gi_image;
			} elseif(!$img) { 
				$image_link="";
				$thumb_link=ALTADOC_UF.'/gallery/i/thumbs/'.Files::getAppendix($image->gi_thumb)."/".$image->gi_thumb;
			} else {
				$image_link=ALTADOC_UF.'/gallery/i/'.Files::getAppendix($image->gi_image)."/".$image->gi_image;
				$thumb_link=ALTADOC_UF.'/gallery/i/thumbs/'.Files::getAppendix($image->gi_thumb)."/".$image->gi_thumb;
			}
			echo "<div".$autosize." class=\"gallery-image\">";
			if ($image_link) {
				echo "<a".$first_image_id.$autowidth." title=\"".$title."\" rel=\"gallery\" class=\"gallery group-image\" href=\"".$image_link."\">";
				if ($first_image_id) $first_image_id="";
			}	else echo "<div".$autowidth." class=\"group-image\">";
			if ($thumb_link) echo "<img".$automax." title=\"".$image->gi_title_img."\" alt=\"".$image->gi_alt_img."\" class=\"single-image\" src=\"".$thumb_link."\" /><br />";
			else echo "<img width=\"1\" height=\"1\"".$img_autosize." alt=\"\" class=\"empty-img\" src=\"/images/blank.gif\" /><br />";
			if((int)galleryConfig::$thumbTitleDelta && !$this->item->g_hide_image_titles) echo $title;
			if ($image_link) echo "</a>";
			else echo "</div>";
			echo "</div>";
		}
	}
	echo "</div>";
	$mdl = Module::getInstance();
	$reestr = $mdl->get('reestr');
	$start = $reestr->get('start',0);
	$sort = $reestr->get('sort');
	$str_sql_wf=$reestr->get('str_sql_wf');
	$records_count_wf=$reestr->get('records_count_wf',0);
	$psid=$reestr->get('psid');
	$multy_code=$reestr->get('multy_code');

	$ref="index.php?module=gallery&view=images&multy_code=".$multy_code."&psid=".$psid;
	if (is_object($this->item)) $ref.="&alias=".$this->item->g_alias;
	echo $this->appendLimitStringWF(false, $start, $ref, $records_count_wf, $str_sql_wf, $reestr);
}
?>