<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$href="index.php?module=gallery";
echo "<h1 class=\"title\"><a class=\"gallery-groups\" href=\"".Router::_($href)."\">".Text::_("Galleries")."</a> - ".$this->group->gr_title."</h1>";
//echo "<a class=\"gallery group-title\" href=\"".Router::_($href)."\">";
//echo $this->group->gr_title."</a>";
if (galleryConfig::$showParentDescr && $this->group->gr_comment) {
	echo "<div class=\"group-comments\">";
	echo $this->group->gr_comment;
	echo "</div>";
}
echo "<div class=\"contlist\">";
if (count($this->items)) {
	if(galleryConfig::$gal_thumbWidth) $autowidth=" style=\"width:".galleryConfig::$gal_thumbWidth."px;\""; else $autowidth="";
	foreach($this->items as $item) {
		$href="index.php?module=gallery&amp;view=images&amp;psid=".$item->g_id;
		if ($item->g_alias) $href.="&amp;alias=".$item->g_alias;
		echo "<div class=\"gallerygroup\">";
		echo "<table><tr><td colspan=\"2\">";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $item->g_title."</a>";
		echo "</td></tr>";

		echo "<tr><td class=\"thumb\">";
		if ($item->g_thumb) $img=ALTADOC_UF_PATH.'gallery'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->g_thumb).DS.$item->g_thumb;
		else $img="";
		if($img && is_file($img)) {
			$img_link=ALTADOC_UF.'/gallery/items/thumbs/'.Files::getAppendix($item->g_thumb)."/".$item->g_thumb;
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." title=\"".$item->g_title_thm."\" alt=\"".$item->g_alt_thm."\" class=\"group-image\" src=\"".$img_link."\" /></a>";
		} else {
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/images/blank.gif\" /></a>";
		}
		echo "</td>";
		echo "<td class=\"comment\">".$item->g_comment."</td></tr>";
		echo "</table>";
		echo "</div>";
	}
}
echo "</div>";
?>