<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class pollsControllerdefault extends SpravController {

	public function showPolls() {
		$psid	= Request::getSafe('psid',0);
		$layout = $this->get('layout');
		$model = $this->getModel();
		$view = $this->getView();
		$view->addBreadcrumb(Text::_('Polls'),"index.php?module=polls");
		$this->checkACL("viewPollsAllResults");

		$pollsCount = $model->getPollsCount();
		$paginator = $model->createPaginator($view, $pollsCount);
		$polls = $model->getPolls();
		$items = $model->getItems($polls);
		$view->assign("setVoteButton",false);
		$view->assign("polls",$polls);
		$view->assign("items",$items);
		$pg_link="index.php?module=polls&amp;psid=".$psid;
		$paginator->buildPagePanel($pg_link,"");
	}
	public function ajaxgetVotePanel()
	{
		$psid=Request::getSafe('psid',0);
		$model = new Polls();
		$poll = $model->getPollByItem($psid);	
		
	}
	
	public function ajaxPollVote() {
		$psid=Request::getSafe('psid',0);
		$model = new Polls();
		$poll = $model->getPollByItem($psid);	
		
		if ($poll) {
			if ($model->allreadyVoted($poll)) {
				$html = "<p class=\"poll_error\">".Text::_("You have already voted in this poll")."</p>";
			} else {
				if ($this->checkACL("pollsVote",0)) {
					if ($model->votePoll($psid)) {
						$model->setCookieLag($poll);
						$html = "<p class=\"poll_message\">".Text::_("Thank you for your vote")."</p>";
					} else $html = "<p class=\"poll_error\">".Text::_("Error while polling")."</p>";
				} else $html = "<p class=\"poll_error\">".Text::_("You cannot vote in polls")."</p>";
			}
			$items= $model->getItems($poll->p_id);	
			$html.=Widget::getInstance("polls")->renderPoll($poll,$items);
		} else $html = "<p class=\"poll_error\">".Text::_("Server Request error")."</p>";
		echo $html;
	}
}

?>