<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

if (count($this->polls)) {
	foreach($this->polls as $poll) { 
		$total=(int)$poll->p_total_voted;	?>
		<div class="poll_list">
			<p class="poll_title"><?php echo $poll->p_title; ?></p>
			<p class="poll_date">
				<?php echo Text::_("Vote time")."&nbsp;".Date::fromSQL($poll->p_startdate); ?>
				<?php echo "&nbsp;-&nbsp;".Date::fromSQL($poll->p_enddate); ?>
			</p>
			
			<div class="poll_items">
<?php if (count($this->items)) {
				foreach($this->items as $item) { 
					if($item->pi_poll_id==$poll->p_id) {
						$percentage=0;	if ($total) $percentage=round(100*($item->pi_hits)/$total, 2); ?>
						<p class="vote_label"> <?php echo htmlspecialchars($item->pi_text); ?></p>
						<div class="pollbar">
						<div class="percentage" style="width:<?php echo round((0.8*$percentage),0); ?>%"></div>&nbsp;<?php echo $percentage; ?>%
						</div>
<?php } } }?>
			</div>
			<p class="poll_total">
				<?php echo Text::_("Total voted")."&nbsp;".(int)$poll->p_total_voted; ?>
			</p>
		</div> 
<?php }
}
?>