<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

?>
<h1 class="title"><?php echo Text::_("Site map"); ?></h1>
<?php 
if (count($this->links)>0) {
	foreach($this->links as $module=>$data) {
		if ($data["html"]) {
			echo '<div class="map_block map_'.$module.'"><h2 class="title">'.Text::_($module).'</h2>';
			echo $data["html"];
			echo '</div>';
		} elseif(count($data["links"])){
			echo '<div class="map_block map_'.$module.'">';
			foreach($data["links"] as $rec){
				echo '<p class="link_'.$module.'"><a href="'.$rec['link'].'" title="'.htmlspecialchars($rec['fullname'],ENT_COMPAT,"UTF-8",false).'">'.htmlspecialchars($rec['name'],ENT_COMPAT,"UTF-8",false).'</a></p>'.$this->crlf;
			}
			echo '</div>';
		}
	}
}	
//	$filemap=PATH_FRONT.DS.'sitemap.html';
//	if (is_file($filemap)) include_once $filemap;

?>