<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class tsjControllerdefault extends SpravController {
	public function showPolls() {
		$this->checkAuth();
		$this->checkACL("viewTsjPolls");
		$view=$this->getView();
		$model = $this->getModel();
		$psid=Request::getInt('psid');
		$view->assign("psid",$psid);
		if ($psid){
			$opinion=Request::getInt('opinion',0);
			if (($opinion==1)||($opinion==-1)){	$model->setPollVote($psid,$opinion);}
			$view->addBreadcrumb(Text::_("Polls"),"index.php?module=tsj&view=polls");
			$poll=$model->getPoll($psid);
			$view->assign("poll",$poll);
		} else {
			$view->addBreadcrumb(Text::_("Polls"),"#");
			$pollsCount = $model->getPollsCount(); 
			$paginator = $model->createPaginator($view,$pollsCount);
			$paginator->buildPagePanel("index.php?module=tsj&view=polls");
			$polls=$model->getPolls();
			$view->assign("polls",$polls);
		}
	}
	public function getPollResults(){
		Portal::getInstance()->disableTemplate();
		$this->checkAuth();
		$this->checkACL("viewTsjPolls");
		$view=$this->getView();
		$model = $this->getModel("polls");
		$psid=Request::getInt('psid');
		if ($psid) {
			$poll_pro=$model->getPollResults($psid,1);
			$poll_contra=$model->getPollResults($psid,-1);
			echo Text::_("Pro")." : ".$poll_pro;	
			echo "<br />";
			echo Text::_("Contra")." : ".$poll_contra;	
		} else {
		 echo Text::_("Data absent");	
		}
	}
	public function showlic() {
		$this->checkAuth();
		$this->showData();
	}
	public function ajaxgetKvitList() {
		Portal::getInstance()->disableTemplate();
		$lic=request::getInt('lic');
		$limit=request::getInt('limit',0);
		$this->checkAuth();
		$view=$this->getView();
		$model = $this->getModel("kvit");
		
		$kvit=$model->getKvitList($lic,$limit+1);
		$html=$view->renderKvitLic($kvit,$limit);
		echo $html;
	}	
	public function showKvit() {
		$this->checkAuth();
		$view=$this->getView();
		$model = $this->getModel();
		$psid=request::getInt('psid');
		if($psid)	{
			$kvit=$model->getKvit($psid);
			$view->assign('kvit',$kvit);
			$kvit_tmpl=$this->getConfigValue("kvit_tmpl",0);
			if ($kvit_tmpl) $view->setLayout("kvit_tmpl_".$kvit_tmpl);
		}
	  else Util::halt();
	}
	public function setMeterVals() {
		Portal::getInstance()->disableTemplate();
		$this->checkAuth();
		$view=$this->getView();
		
		$model = $this->getModel("kvit");
		$mdl=$this->getModule();
		$calc_month=$mdl->getConfigValue('calc_month',0);
		$calc_year=$mdl->getConfigValue('calc_year',0);
		if(!$calc_month||!$calc_year) {echo "Не установлен рассчетный период. <br /> Обратитесь к администратору"; return false;}
		$lic=request::getInt('lic');
    $data=$model->getMetersbyLic($calc_month,$calc_year,$lic);
    $html=$view->renderMetersVal($calc_month,$calc_year,$lic,$data);
    echo $html;
	}	
	
	public function savemetersval() {
		$lic=request::getInt('lic');
		$model = $this->getModel("kvit");
		$mdl=$this->getModule();		
		$calc_month=$mdl->getConfigValue('calc_month',0);
		$calc_year=$mdl->getConfigValue('calc_year',0);
   	if(!$calc_month||!$calc_year) 
   	{$msg="Не установлен рассчетный период. <br /> Обратитесь к администратору";}
   	else 
   	{				
     if($model->saveMetersbyLic($calc_month,$calc_year,$lic)) $msg='Показатели счетчиков отправлены';
     else $msg='Показатели счетчиков записать не удалось';
   	} 
   	$url=Router::_("index.php?module=user&view=panel");
    $this->setRedirect($url,$msg);
		
	}

}
?>