<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class tsjModelkvit extends SpravModel {
	public function getKvitList($lic,$limit=0){
		$sql ="SELECT * FROM #__atsj_hkvit AS k,#__atsj_lic AS l";
		$sql.=" WHERE k.kh_lic_id=l.l_id AND l.l_uid=".User::getInstance()->getId();
		$sql.=" AND l.l_id= ".$lic;
		$sql.=" ORDER BY kh_year DESC, kh_month DESC";
		if ($limit>1) $sql.=" LIMIT ".$limit;
		$this->_db->setQuery($sql);
		//echo $this->_db->getQuery();
		return $this->_db->loadObjectList();
	}
	public function getKvit($psid){
		$sql ="SELECT k.* FROM #__atsj_hkvit AS k,#__atsj_lic AS l";
		$sql.=" WHERE k.kh_lic_id=l.l_id AND l.l_uid=".User::getInstance()->getId();
		$sql.=" AND k.kh_id= '".$psid."'";
		$this->_db->setQuery($sql);
		$res=new stdClass;
		$res->rows=false;
		$this->_db->loadObject($res);
		if(isset($res->kh_id)) 		{
			$sql_t="SELECT * FROM #__atsj_tkvit WHERE kt_kh_id=".$res->kh_id;
			$this->_db->setQuery($sql_t);
			$res->rows=$this->_db->loadObjectList();
		}
		return $res;
	}

	public function getMetersbyLic($m,$y,$lic) {
		$sql ="SELECT um.*,mv.cp_val,mv.cp_checked FROM (SELECT m.* FROM #__atsj_meter AS m,#__atsj_lic AS l";
		$sql.=" WHERE m.cl_lic=l.l_id AND l.l_enabled=1 AND l.l_deleted=0 AND m.cl_enabled=1 AND m.cl_deleted=0
				AND l.l_uid=".User::getInstance()->getId().") as um
				LEFT JOIN #__atsj_meter_val as mv ON um.cl_id=mv.cp_meterid AND mv.cp_month='".$m."' AND mv.cp_year='".$y."'";
		$this->_db->setQuery($sql);
		//echo $this->_db->getQuery();
		return $this->_db->loadObjectList();
	}

	public function saveMetersbyLic($m,$y,$lic){
		$data=$this->getMetersbyLic($m,$y,$lic);
		$sql='';
		if(count($data)) {
			foreach($data as $val) {
				$currentVal=request::getFloat("m_".$val->cl_id,0);
				if($currentVal&&!$val->cp_checked) {
					$sql.="INSERT INTO #__atsj_meter_val
							(cp_meterid,cp_month,cp_year,cp_date,cp_checked,cp_val)
							VALUES('".$val->cl_id."','".$m."','".$y."',NOW(),0,'".$currentVal."')
							ON DUPLICATE KEY UPDATE cp_val='".$currentVal."',cp_date=NOW()".$this->_db->getDelimiter();
				}
			}
		}
		if($sql) {
			$this->_db->setQuery($sql);
			return $this->_db->query_batch(true,true);
		}
		return false;
	}

}
?>