<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class defaultViewlic extends View {
	
	public function renderKvitLic($row,$limit) {
		$counter=0;
		$html='';
		$html.='<table>';
		foreach($row as $val)	{
			$counter++;
			if((!$limit)||$counter<=$limit) {	
			$html.='<tr><td>Квитанция '.$val->kh_number.' за '.Date::_monthToString($val->kh_month).' '.$val->kh_year.'</td>';
			$html.='<td>Сумма '.$val->kh_cursum.'</td>';
			$html.='<td><a target="_blank" href="'.Router::_("index.php?module=tsj&view=kvit&option=print&psid=".$val->kh_id).'">печать</a></td></tr>';
			}	
		}
		if($limit&&$counter>$limit) $html.='<tr><td colspan="3" style="text-align:right;"><a href="#" onclick="getKvitList(\''.$val->kh_lic_id.'\',0);">Показать все квитанции</a></td></tr>';
		$html.='</table>';
		return $html; 
	}
	
	public function renderMetersVal($m,$y,$lic,$row){
		$html="";
		$html.="<form name=\"addmetersval\" id=\"addmetersval\" method=\"post\" action=\"".Router::_("index.php")."\">";
		$html.=HTMLControls::renderHiddenField('lic',$lic);
		$html.=HTMLControls::renderHiddenField('module','tsj');
		$html.=HTMLControls::renderHiddenField('view','lic');
		$html.=HTMLControls::renderHiddenField('task','savemetersval');
		$html.=HTMLControls::renderHiddenField('option','module');
		$html.="<table class=\"payform\">";
		// формируем счетчики
		$html.="<tr><th colspan=\"3\">Показания счетчиков за ".Date::_monthToString($m)." $y г. </th></tr>";
		
		$html.="<tr><th class=\"red\" colspan=\"3\"><small>Если поля ввода показаний недоступны, значит данные уже переданы в бухгалтерию.</small></th></tr>";
		$html.="<tr><th>Вид</th><th>Номер(наименование)</th><th>Текущие показания</th></tr>";
		foreach($row as $val)	{
			$html.="<tr><td>".HTMLControls::renderLabelField("m_".$val->cl_id,Text::_(SpravView::getValueFromCKArray('type_meters',$val->cl_type)))."</td>
							<td>".HTMLControls::renderLabelField("m_".$val->cl_id,$val->cl_name)."</td>";
			if($val->cp_checked)	{
				$html.="<td align=\"center\">".HTMLControls::renderLabelField(false,$val->cp_val)."</td>";			
			}	else	{
				 $html.="<td align=\"center\">".HTMLControls::renderInputText("m_".$val->cl_id,$val->cp_val,15,20,"m_".$val->cl_id,"checkNum")."</td>";
			}
			$html.="</tr>";
		} 	
		$html.="<tr><th colspan=\"3\">".HTMLControls::renderButton('send',Text::_("Send"),'submit',false,'')."</td></tr>";		
		$html.="</form>";
		return $html; 
	}
}

?>