<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$k=$this->kvit;
$style='
div#kvitancia {
	width:800px !important;
	margin:0 auto;
	border:1px dotted #CCCCCC;
}
div#kvitancia p.poluch{
	width:250px;
}
div#kvitancia p.rekv{
	font-size:9px;
}
div#kvitancia p.rekv2{
	font-size:9px;
}
div#kvitancia p.plat{
	font-size:9px;
}
div#kvitancia p{
	margin: 0;
	padding: 0;
}
div#kvitancia .bordered{
	border:1px solid;
}
div#kvitancia p.ahtung{
	width:230px;
	border:1px solid;
	text-align:center;
	font-weight:bold;
}
div#kvitancia .kvit_title{
	font-weight:bold;
}
div#kvitancia table{
	border-collapse:collapse;
	padding:0;
}
div#kvitancia table,
div#kvitancia div.kvithead {
	width:100%;
}
div#kvitancia .lt,
div#kvitancia .lb{
	width:200px;
	border-right:1px solid;
}
div#kvitancia .lb,
div#kvitancia .rb{
	border-top:1px solid;
}
div#kvitancia table.head{
	font-size:9px;
	width:200px;
}
div#kvitancia table.head td{
	text-align:left;
}
div#kvitancia table.uslugi{
	font-size:9px;
	font-weight:normal;
}
div#kvitancia table.uslugi th,
div#kvitancia table.uslugi td{
	border:1px solid #DEDEDE;
}
div#kvitancia table.uslugi td.numeric{
	text-align:right;
}
'; 
Portal::getInstance()->addStyle($style);
?>
<div id="kvitancia">
	<table>
		<tr>
			<td class="lt"><div class="forstamp"></div></td>
			<td  class="rt">
			  <div class="kvithead">
			    <table>
			      <tr>
			        <td colspan="2">
			        	<p class="poluch"><?php echo $k->kh_poluchat;?></p>
			          <p class="rekv"><?php echo $k->kh_bank; ?></p>
			        </td>
			      </tr>
			      <tr>
			       <td class="kvit_title">Извещение за  <?php echo Date::_monthToString($k->kh_month) ." ".$k->kh_year." г.";?></td>
			      </tr>
			      <tr>
			      	<td colspan="2">
			      		<p class="plat">Адрес: <?php echo $k->kh_addr; ?>,к.<?php echo $k->kh_flat; ?>, Плательщик: <?php echo $k->kh_plat; ?></p>
			      	</td>
			      </tr>
		      </table>
		      <table class="head">
			      <tr><td>Всего</td><td class="numeric"><?php echo  $k->kh_cursum; ?></td><td></td><td class="numeric"></td></tr>
						<tr><td>Пени</td><td class="numeric"><?php echo  $k->kh_peny; ?></td><td></td><td class="numeric"></td></tr>
			      <tr><td>Задолженность</td><td class="numeric"><?php echo  $k->kh_debet; ?></td><td></td><td class="numeric"></td></tr>
						<tr><td>Итого</td><td class="numeric"><?php echo  $k->kh_itog; ?></td><td></td><td class="numeric"></td></tr>
			    </table>
			  </div>
			</td>
		</tr>
		<tr>
			<td class="lb">
				<div class="forstamp2"><br /><br /><br /><br /></div>
			</td>
			<td class="rb">
			  <div class="kvithead">
			    <table>
			      <tr>
			        <td><p class="poluch"><?php echo $k->kh_poluchat;?></p></td>
			        <td>
			          <p class="rekv2"><?php echo $k->kh_bank; ?></p>
			        </td>
			      </tr>
			      <tr>
			       <td colspan="2" class="kvit_title">Квитанция за  <?php echo Date::_monthToString($k->kh_month) ." ".$k->kh_year." г.";?></td>
			      </tr>
			      <tr><td colspan="2">
			      	<p class="plat"> Плательщик: <?php echo $k->kh_plat; ?>, Адрес: <?php echo $k->kh_addr; ?>,к.<?php echo $k->kh_flat; ?></p>
			      </td></tr>
			      </table>

			    <table>
			      <tr>
			      	<td>
			      		<p class="plat">Ф.И.О. <?php echo $k->kh_plat; ?></p>
			      		???????????????????<br />
			      		???????????????????<br />
			      		???????????????????<br />
			      		???????????????????<br />
			      	</td>
			      	<td>
					      <table class="uslugi">
						      <tr><th>Наименование</th><th>Тариф</th><th>Объем</th><th>К.льгот</th><th>Сумма</th></tr>
									<?php if (count($k->rows)){
										foreach($k->rows as $kt){
											echo "<tr>";
											echo "	<td>".$kt->kt_name."</td>";
											echo "	<td class=\"numeric\">".$kt->kt_tarif."</td>";
											echo "	<td class=\"numeric\">".$kt->kt_quantity."</td>";
											echo "	<td class=\"numeric\">".$kt->kt_lgota."</td>";
											echo "	<td class=\"numeric\">".$kt->kt_itogo."</td>";
											echo "</tr>";
										}
									} ?>
									<tr><td>Начисл.за м-ц</td><td></td><td></td><td></td><td class="numeric"><?php echo  $k->kh_cursum; ?></td></tr>
									<tr><td>Пеня</td><td></td><td></td><td></td><td class="numeric"><?php echo  $k->kh_peny; ?></td></tr>
									<tr><td>Задолженность</td><td></td><td></td><td></td><td class="numeric"><?php echo  $k->kh_debet; ?></td></tr>
									<tr><td>Итого к оплате</td><td></td><td></td><td></td><td class="numeric"><?php echo  $k->kh_itog; ?></td></tr>
									<tr><td>Банк</td><td></td><td></td><td></td><td class="numeric"><?php echo "k->kh_bank"; ?></td></tr>
									<tr><td>Всего к оплате</td><td></td><td></td><td></td><td class="numeric"><?php echo "k->kh_vsego"; ?></td></tr>
					      </table>
			      	</td>
		      	</tr>
		      </table>
			  </div>
			</td>
		</tr>
	</table>
</div>
