<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

$address=$this->address;
if ($address["psid"]) $title=Text::_("Changing data"); else  $title=Text::_("Adding data"); 
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" name="addressForm" id="addressForm">
<input type="hidden"  name="task" value="saveAddress" />
<input type="hidden"  name="module" value="user" />
<input type="hidden"  name="view" value="panel" />
<input type="hidden"  name="psid" value="<?php echo $address["psid"];?>" />
<table class="userAddress">
<tr><th class="title" colspan="3"><?php echo $title;?></th></tr>
<tr><th><?php echo Text::_("Address type");?></th><td colspan="2"><?php echo Address::renderTypeSelector($address['type_id'])?></td></tr>
<tr><th><?php echo Text::_("zip_code");?></th><td colspan="2"><input type="text" name="zipcode"  id="zipcode" value="<?php echo $address['zipcode'];?>" /></td></tr>
<tr><th><?php echo Text::_("Country");?></th><td colspan="2"><?php echo Address::renderCountrySelector("",$address);?></td></tr>
<tr><th><?php echo Text::_("Region");?></th><td colspan="2"><?php echo Address::renderRegionSelector(0,"",$address);?></td></tr>
<tr><th><?php echo Text::_("Town");?></th><td colspan="2"><?php echo Address::renderTownSelector(0,"",$address);?></td></tr>
<tr><th><?php echo Text::_("Street");?></th><td colspan="2"><input size="80" type="text" id="street" name="street"  value="<?php echo $address['street'];?>" /></td></tr>
<tr><th><?php echo Text::_("House");?></th><td colspan="2"><input size="10" type="text" id="house" name="house"  value="<?php echo $address['house'];?>" /></td></tr>
<tr><th><?php echo Text::_("Apartment");?></th><td colspan="2"><input size="10" type="text" id="apartment" name="apartment"  value="<?php echo $address['apartment'];?>" /></td></tr>
<tr><th><?php echo Text::_("Use as default");?></th><td colspan="2"><?php echo HTMLControls::renderCheckbox("use_as_default",$address["use_as_default"]);?></td></tr>
<tr><th><?php echo Text::_("Manual input");?></th><td><input size="100" type="text" id="fullinfo" name="fullinfo"  value="<?php echo $address['fullinfo'];?>" /></td><td><img width="1" height="1" class="sweep-button" onclick="sweepInput('fullinfo')" src="/images/blank.gif" /></td></tr>
<tr><th class="buttons" colspan="3">
	<input class="commonButton" type="submit" onclick="submitAddress();" name="submit"  value="Сохранить" />
</th></tr>
</table>
</form>
