<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class videosetModule extends Module {

	public function prepare() {
		$this->setDefaultView('groups');
		$reestr = new FieldSet();
		$this->set('reestr',$reestr);
	}
	public function getSitemapHTML($links=true) {
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		$sql = "SELECT gr.vgr_id, gr.vgr_title, gr.vgr_alias,g.vg_id,g.vg_title,g.vg_alias
				FROM #__videoset_galleries as g, #__videoset_groups as gr
				WHERE gr.vgr_id = g.vg_group_id AND gr.vgr_deleted=0 AND gr.vgr_published=1 AND gr.vgr_show_in_list=1
				AND g.vg_deleted=0 AND g.vg_published=1 AND g.vg_show_in_list=1";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		$html='';
		$current_category=NULL;
		$html='';
		$ul_started=0;
		if(count($res))
		{
			$html.="<ul>";
			foreach($res as $gal)
			{
				if($current_category!=$gal->vgr_id&&!is_null($gal->vgr_id))
				{
					if($ul_started) $html.="</ul></li>";
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=items&psid=".$gal->vgr_id)."\">".$gal->vgr_title."</a>";
					$html.="<ul>";
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=videos&psid=".$gal->vg_id)."\">".$gal->vg_title."</a></li>";
					$ul_started++;
					$current_category=$gal->vgr_id;
				}
				else {
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=videos&psid=".$gal->vg_id)."\">".$gal->vg_title."</a></li>";
				}
			}
			if($ul_started) $html.="</ul></li>";
			$html.="</ul>";
		}	
		$result['html']=$html;
		return $result;
	}
	
}

?>