<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

echo "<h1 class=\"title\">".Text::_("Video gallery groups")."</h1>";
echo "<div class=\"contlist\">";
if (count($this->groups)) {
	$autowidth=" style=\"width:".galleryConfig::$thumbWidth."px;\"";
	foreach($this->groups as $group) {
		$href="index.php?module=videoset&amp;view=items&amp;psid=".$group->vgr_id;
		if ($group->vgr_alias) $href.="&amp;alias=".$group->vgr_alias;
		echo "<div class=\"videogallerygroup\">";
		echo "<table><tr><td colspan=\"2\">";
		echo "<a class=\"gallery-title\" href=\"".Router::_($href)."\">";
		echo $group->vgr_title."</a>";
		echo "</td></tr>";

		echo "<tr><td class=\"thumb\">";
		if ($group->vgr_thumb) $img=ALTADOC_UF_PATH.'videoset'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($group->vgr_thumb).DS.$group->vgr_thumb;
		else $img="";
		if($img && is_file($img)) {
			$img_link=ALTADOC_UF.'/videoset/groups/thumbs/'.Files::getAppendix($group->vgr_thumb)."/".$group->vgr_thumb;
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img".$autowidth." alt=\"".$group->vgr_title."\" class=\"group-image\" src=\"".$img_link."\" /></a>";
		}	else {
			echo "<a class=\"group-image\" href=\"".Router::_($href)."\">";
			echo "<img width=\"1\" height=\"1\"".$autowidth." alt=\"\" class=\"empty-img\" src=\"/images/blank.gif\" /></a>";
		}
		echo "</td>";
		echo "<td class=\"comment\">".$group->vgr_comment."</td></tr>";
		echo "</table>";
		echo "</div>";
	}
}
echo "</div>";
?>