<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

final class ACL {

	private static $_roles = null;

	public static function getRoles() {
		if (self::$_roles == null) {
			$query = "SELECT * FROM #__acl_roles WHERE ar_deleted=0";
			$db = Database::getInstance();
			$db->setQuery($query);
			self::$_roles = $db->loadObjectList();
		}
		return self::$_roles;
	}
	public static function createACLObject($moduleName,$objectName,$objectDescription="",$isAdmin=false) {
		if ($objectDescription == "") $objectDescription = $objectName;
		if (!ACLObject::getInstance($objectName,false)) {
			$db = Database::getInstance();
			$qIsAdmin = 0;
			if ($isAdmin) $qIsAdmin = 1;
			$query = "INSERT INTO #__acl_objects(ao_name, ao_module_name, ao_description, ao_is_admin)
								VALUES('".$objectName."','".$moduleName."','".$objectDescription."','".$qIsAdmin."')";
			$db->setQuery($query);
			$db->query();
			return $db->insertid();
		}	else {
			Debugger::getInstance()->error(Text::_("ACL object already exists").": ".$objectName);
			return false;
		}
	}

}

?>