<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class ACRM extends Object{
	private static $impression_lag=86400;
//	private static $impression_lag=10;
	
	public function __construct() {
	}
	public function getItems($client=0,$cat=0,$quantity=0,$randomize=0) {
//		Portal::getInstance()->restrictedByVersion("acrm");
		// @TODO только из включенных клиентов и категорий
		if ($randomize){
			$sql_txt="SELECT *,RAND() AS randomize FROM #__banners";
			$sql_txt.=" WHERE b_enabled=1 AND b_publish_up<=NOW() AND b_publish_down>=NOW()";
			if ($client) $sql_txt.=" AND b_client_id=".$client;
			if ($cat) $sql_txt.=" AND b_cat_id=".$cat;
			$sql_txt.=" AND (b_show_total=0 OR (b_show_total-b_show_made)>0)";
			$sql_txt.=" ORDER BY randomize";
			if ($quantity) $sql_txt.=" LIMIT ".$quantity;
		} else {
			$sql_txt="SELECT * FROM #__banners";
			$sql_txt.=" WHERE b_enabled=1 AND b_publish_up<=NOW() AND b_publish_down>=NOW()";
			if ($client) $sql_txt.=" AND b_client_id=".$client;
			if ($cat) $sql_txt.=" AND b_cat_id=".$cat;
			$sql_txt.=" AND (b_show_total=0 OR (b_show_total-b_show_made)>0)";
			$sql_txt.=" ORDER BY b_sticky DESC,b_ordering";
			if ($quantity) $sql_txt.=" LIMIT ".$quantity;
		}
		Database::getInstance()->setQuery($sql_txt);
		$result=Database::getInstance()->loadObjectList();
		return $result;
	}

	public static function clickACRM($psid){
		if (Portal::getLicenseType()=="DEMO") return "ACRM restriction";
		else {
			if($psid) {
				$sql_txt="UPDATE #__banners SET b_clicks=b_clicks+1 WHERE b_id=".$psid;
				Database::getInstance()->setQuery($sql_txt);
				if (Database::getInstance()->query()) return "OK"; else return "FALSE";
			} else return "FALSE";
		}
	}
	
	public static function displayExecuted($arr){ 
		if (Portal::getLicenseType()=="DEMO") return "ACRM restriction";
		else {
			if(count($arr)) {
				$items=implode(",",$arr);
				$sql_txt="UPDATE #__banners SET b_show_made=b_show_made+1 WHERE b_id IN(".$items.")";
				Database::getInstance()->setQuery($sql_txt);
				Database::getInstance()->query();
				return "OK";
			} else return "Nothing for update";
		}
	}
	
	/* вариант поппроще с жизнью куки до конца сессии*/
	public static function checkShown_1($arr){
		$barr=array();
		if (is_array($arr)&&count($arr)){
			if (isset($_COOKIE["altadoc_acrm"]))	{
				$cookie_data  = base64_decode($_COOKIE["altadoc_acrm"]);
				$cookie_data  = addslashes($cookie_data);
				$curr_adds_arr = explode(":", $cookie_data);
			} else $curr_adds_arr=array();
			// получили куку и есть что апдейтить
			foreach($arr as $itemid){
				if (!in_array($itemid, $curr_adds_arr)) {
					$barr[]=$itemid; $curr_adds_arr[]=$itemid;
				}
			}
			if (count($curr_adds_arr)) {
				$cookie_data = base64_encode(implode(":",$curr_adds_arr));
				setcookie("altadoc_acrm", "$cookie_data",0,"/");
			}
		}
		return $barr;
	}
	/* вариант с жизнью куки до конца сессии и проверкой как давно показывался баннер */
	public static function checkShown($arr){
		$barr=array(); 
		$cookie_arr=array(); 
		$curr_adds_arr=array(); 
		if (is_array($arr)&&count($arr)){
			if (isset($_COOKIE["altadoc_acrm"]))	{
				$cookie_data  = base64_decode($_COOKIE["altadoc_acrm"]);
				$curr_adds_rows = explode(";", $cookie_data);
				if (count($curr_adds_rows)){
					foreach($curr_adds_rows as $row){
						$cb=explode(":", $row);
						if (isset($cb[0])&&isset($cb[1])&&$cb[0]&&$cb[1]){
							$curr_adds_arr[$cb[0]]=$cb[1];
						}
					}
				}
			}
			// получили куку
			foreach($arr as $itemid){
				if (!array_key_exists($itemid, $curr_adds_arr)) {
					$barr[]=$itemid; 
					$curr_adds_arr[$itemid]=time();
				} elseif ($curr_adds_arr[$itemid]+self::$impression_lag<time()){
					$barr[]=$itemid;
					$curr_adds_arr[$itemid]=time();
				}
			}
			if (count($curr_adds_arr)) {
				foreach($curr_adds_arr as $key=>$val){
					if($key&&$val) $cookie_arr[]=$key.":".$val;
				}
				$cookie_data = base64_encode(implode(";",$cookie_arr));
				setcookie("altadoc_acrm", "$cookie_data",0,"/");
			}
		}
		return $barr;
	}
}
?>