<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */

defined('_ALTADOC_VALID') or die("Access denied");

class SpravController extends Controller	{

	public function getPsid()	{
		$arr_psid     = Request::getSafe('cps_id', false);	// массив отмеченных галочкой элементов
		$psid         = Request::getInt('psid', 0); 		// ид строки
		if(!$psid){
			if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		}
		return $psid;
	}

	public function ajaxToggleEnabled() {
		$mdl=Module::getInstance();
		$model = $this->getModel();
		$viewname 	= $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $canModify=$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname), false);
		else $canModify=$this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname), false);
		if ($canModify) {
			$psid   = Request::getInt('psid', 0);
			if ($psid){
				if ($model->toggleEnabled($psid)) echo "OK"; else echo "ERR";
			} else echo "ERR";
		} else echo "ERR";
	}
	public function ajaxUpdateOrdering(){
		if(defined("_ADMIN_MODE")) {
			$mdl=Module::getInstance();
			$model = $this->getModel();
			$viewname 	= $this->getView()->getName();
			if ($this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname),false)) {
				$psid   = Request::getInt('psid', 0);
				$ordering   = Request::getInt('ordering', 0);
				$multy_code   = Request::getInt('multy_code', 0);
				$reestr = $mdl->get('reestr');
				$reestr->set("ordering",$ordering);
				$reestr->set("psid",$psid);
				$reestr->set("multy_code",$multy_code);
				if(!$ordering) echo "ERR";
				elseif ($model->updateOrdering()) echo "OK";
				else  echo "ERR";
			} else  echo "ERR";
		}
	}
	public function ajaxUpdateLinkOrdering() {
		if(defined("_ADMIN_MODE")) {
			$mdl=Module::getInstance();
			$model = $this->getModel();
			$viewname 	= $this->getView()->getName();
			if ($this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname),false)) {
				$psid   = Request::getInt('psid', 0);
				$ordering   = Request::getInt('ordering', 0);
				$multy_code   = Request::getInt('multy_code', 0);
				$reestr = $mdl->get('reestr');
				$reestr->set("ordering",$ordering);
				$reestr->set("psid",$psid);
				$reestr->set("multy_code",$multy_code);
				if(!$ordering) echo "ERR";
				elseif ($model->updateLinkOrdering()) echo "OK";
				else  echo "ERR";
			} else  echo "ERR";
		}
	}
	public function ajaxshowAddressEditor(){
		$data=Request::getSafe("data","");
		$ctrl_id=Request::getSafe("id","");
		$submit="updateAddressPanel('".$ctrl_id."')";
		echo Address::renderEditor($data,$submit);
	}
	public function ajaxcheckAddressPanelData(){
		$address=Address::getTmpl();
		$data['country_id']=Request::getInt("pa_country_id");
		$data['region_id']=Request::getInt("pa_region_id");
		$data['town_id']=Request::getInt("pa_town_id");
		$data['country']=Request::getSafe("pa_country");
		$data['region']=Request::getSafe("pa_region");
		$data['town']=Request::getSafe("pa_town");
		$data['zipcode']=Request::getSafe("pa_zipcode");
		$data['street']=Request::getSafe("pa_street");
		$data['house']=Request::getSafe("pa_house");
		$data['apartment']=Request::getSafe("pa_apartment");
		$data['fullinfo']=Request::getSafe("pa_fullinfo");
		foreach($address as $key=>$val){
			if (isset($data[$key])) $address[$key]=$data[$key]; else $address[$key]=$val;
		}
		echo base64_encode(json_encode($data));
	}
	public function ajaxBuildPathTree() {
		$psid   = Request::getInt('psid', 0); 
		$model=$this->getModel();
		echo $model->getTreePath($psid);
	}
	public function ajaxgetContlist(){
		$reestr = Module::getInstance()->get('reestr');
		$reestr->set('is_ajax',1);
		$reestr->set('layout',$this->get('layout'));
		$reestr->set('view',$this->get('view'));
		$reestr->set('multy_code',Request::getSafe("multy_code",0));
		$reestr->set('lol',Request::getSafe('lol',''));
		$this->showData();
	}
	// Получаем Фильтр аджаксом
	public function ajaxshowfilter() {
		$reestr = Module::getInstance()->get('reestr');
		$reestr->set('view',$this->get('view'));
		$reestr->set('layout',$this->get('layout'));
		$reestr->set('multy_code',Request::getSafe("multy_code",0));
		$reestr->set('trash',Request::getSafe("trash",0));
		$model = $this->getModel();
		echo $model->getAjaxFilter();
	}
	// Вызывается из функции alterAjaxFilter (Справочник selector)
	public function ajaxsetfilter() {
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$filter_string=Request::getSafe("filter_string",'');
		$filter_name=Request::getSafe("filter_name",'');
		$flt=new SpravFilter();
		$flt->resetFilterString($moduleName, $this->get('view'),$this->get('layout'));
		$filter_arr["c.".$filter_name]['type']='string';
		$filter_arr["c.".$filter_name]['title']="c.".$filter_name;
		$filter_arr["c.".$filter_name]['ck_reestr']=false;
		$_REQUEST["c_".$filter_name]=$filter_string;
		$flt->saveFilterString($filter_arr,$moduleName,$this->get('view'),$this->get('layout'),1);
		echo "ОК";
	}

	public function ajaxcleanTrash() {
		// @TODO пройтись по моделям модулей
		$result["first_rec"]="0";
		$result["rec_count"]="0";
		if (defined("_ADMIN_MODE")) {
			$mdl = Module::getInstance();
			$moduleName	= $mdl->getName();
			$reestr = $mdl->get('reestr');
			$model = $this->getModel();
			$viewname = $this->getView()->getName();
			if ($this->checkACL("delete".ucfirst($mdl->getName()).ucfirst($viewname), false)) {
				$multy_code   = Request::getInt('multy_code', 0); 		// ид верхней группы
				$reestr->set('view',$viewname);
				$reestr->set('model',$model);
				$reestr->set("multy_code",$multy_code);
				$trash      = Request::getInt('trash',0);
				$layout			= Request::getSafe('layout');
				$first_rec	= Request::getInt('first_rec',0);
				$cleanRowsPerQuery=intval(adminConfig::$adminCleanRowsPerQuery);
				if (!$first_rec && $model->checkTrashChilds()) {
					$result["status"]="finished";
					$result["message"]=Text::_("Child objects exists")."<br />".Text::_("Click here.");
					$msg=Text::_("Child objects exists")."<br />".Text::_("Click here.");
				} else {
					// @TODO Возможно зацикливание
					if(!$first_rec) $model->markDeleteTrashChilds();
					$total_records=$model->countDeleted();
					$result["rec_count"]=$total_records;
					if ($cleanRowsPerQuery && $total_records && $total_records>$first_rec) { // до конца не дошли пока
						if ($model->cleanAttachments($first_rec,$total_records)) {
							$cur_range=$first_rec+$cleanRowsPerQuery;
							if ($cur_range>$total_records) $cur_range=$total_records;
							$result["status"]="processing";
							$result["message"]=Text::_("Processing")." ".$cur_range." ".Text::_("from")." ".$total_records;
							$result["first_rec"]=$first_rec+$cleanRowsPerQuery;
						}	 else {
							$result["status"]="error";
							$result["message"]=Text::_("Error deleting files")."<br />".Text::_("Click here");
						}
					} else { // теперь можно удалять все записи
						// cleanRecords новая функция вместо cleanTrash
						if ($model->cleanRecords()) {
							$result["status"]="finished";
							$result["message"]=Text::_("Finished")."<br />".Text::_("Click here");
						} else {
							$result["status"]="error";
							$result["message"]=Text::_("Error deleting records")."<br />".Text::_("Click here");
						}
					}
				}
			} else {
				$result["status"]="error";
				$res_msg=Text::_("Access denied");
				if (siteConfig::$debugMode)	$res_msg.="<br /> not right - delete".ucfirst($mdl->getName()).ucfirst($viewname);
				$res_msg.="<br />".Text::_("Click here");
				$result["message"]=$res_msg;
			}
		} else {
			$result["status"]="error";
			$result["message"]=Text::_("Function disabled")."<br />".Text::_("Click here");
		}
		echo json_encode($result);
	}
	public function reorder(){
		if(defined("_ADMIN_MODE")) {
			$viewname 	= $this->getView()->getName();
			$mdl=Module::getInstance();
			$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
			$model = $this->getModel();
			$reestr = $mdl->get('reestr');
			$multy_code   = Request::getInt('multy_code', 0); 					// ид верхней группы
			$reestr->set("multy_code",$multy_code);
			$model->loadMeta();
			$model->reorder();

		}
		$this->showData();
	}
	public function ajaxshowData() {
		$this->showData();
	}
	// parent_element_name и parent_element_table влияют только если не будет родительской метадаты
	public function showData($parent_element_name='',$parent_element_table='') {

		$viewname 	= $this->getView()->getName();
		$mdl = Module::getInstance();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));

		if (defined("_ADMIN_MODE")) $canModify=true; //$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname),false);
		else $canModify=$this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname),false);
		$reestr = $mdl->get('reestr');
		$model = $this->getModel();
		$model->loadMeta();
		// мультикод может проставляться при вызове в контроллерах модулей.
		$multy_code = Request::getInt('multy_code', $reestr->get("multy_code",0)); 		// ид верхней группы
		$psid       = Request::getInt('psid', 0); 					// ид строки
		$arr_psid   = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		if(!$multy_code)	$multy_code=$psid;
		elseif(!$psid) $psid=$multy_code;
		$reestr->set('psid',$psid);
		$reestr->set('parent_element_name',$parent_element_name);
		$reestr->set('parent_element_table',$parent_element_table);
		$reestr->set('canModify',$canModify);
		$reestr->set('start',Request::getInt("start",0));
		$reestr->set('sort',Request::getSafe("sort"));
		$reestr->set('orderby',Request::getSafe("orderby"));
		$reestr->set("multy_code",$multy_code);

		$trash=Request::getInt('trash',0);
		$reestr->set("trash",$trash);
		$view = $this->getView();
		Request::getSafe('option')=="ajax" ? $is_ajax=1 : $is_ajax=0;
		$reestr->set("is_ajax",$is_ajax);
		if (defined("_ADMIN_MODE") && $model->meta->tree_index) {
			if ($trash||$model->meta->selector) $model->meta->view[$model->meta->tree_index]=1;
			else $model->meta->view[$model->meta->tree_index]=0;
		}
		if (!$is_ajax && !$trash && $model->meta->tree_index) {
			$spravTree =	new simpleTreeTable ;
			$spravTree->table=$model->meta->tablename;
			$spravTree->fld_id=$model->meta->keystring;
			$spravTree->fld_parent_id=$model->meta->field[$model->meta->tree_index];
			$spravTree->fld_title=$model->meta->namestring;
			$spravTree->fld_deleted=$model->meta->deleted;
			$spravTree->split_title=50;
			if ($model->meta->ordering_field) $spravTree->fld_orderby=$model->meta->ordering_field;
			else $spravTree->fld_orderby=$model->meta->namestring;
			$spravTree->element_js="setContList(this,'%s')";
			$spravTree->buildTreeArrays();
//	Util::showArray($spravTree);	
			$sprav_cookie=$model->getSpravCookie($mdl->getName(),$viewname, $this->get('layout'));
			// @TODO А может ноль тоже учитывать ?
			if ($sprav_cookie['multy_code'])	$reestr->set("multy_code",$sprav_cookie['multy_code']);
			$reestr->set('is_ajax',true);
			$result = $model->getData();
			$view->renderSpravPanels($model->meta,$result,$spravTree);
		} else {
			$result = $model->getData();

			$view->renderSprav($model->meta,$result);
		}
	}
	public function delete()	{
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr = $mdl->get('reestr');
		$model = $this->getModel();
		$viewname = $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));
		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$psid   = Request::getInt('psid', 0);
		$multy_code   = Request::getInt('multy_code', 0);
		$reestr->set('view',$viewname);
		$reestr->set('model',$model);
		$reestr->set("multy_code",$multy_code);
		$reestr->set('arr_psid',$arr_psid);
		$trash      = Request::getInt('trash',0);
		$reestr->set("trash",$trash);
		$layout			= Request::getSafe('layout');
		$start			= Request::getInt('start',0);
		$sort			= Request::getSafe('sort');
		$orderby		= Request::getSafe('orderby');

		if($model->delete()) $msg=Text::_("Operation complete");
		else  $msg=Text::_("Operation failed");
		$url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code.'&trash='.$trash;
		$this->setRedirect($url,$msg);
	}
	public function ajaxmodify(){
		Portal::getInstance()->disableTemplate();
		$this->modify(true);
	}
	public function make_clone(){
		$this->modifyElement(false, true);
	}
	public function modify($ajaxModify=false){
		$this->modifyElement($ajaxModify);
	}
	
	public function modifyElement($ajaxModify=false, $clone_mode=false){
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$model = $this->getModel();
		$viewname = $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));
		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$psid   = Request::getInt('psid', 0);
		$multy_code   = Request::getInt('multy_code', 0);
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		$reestr->set('ajaxModify',$ajaxModify);
		$reestr->set('view',$viewname);
		$reestr->set('model',$model);
		$reestr->set('metadata',$model->meta);
		$reestr->set("multy_code",$multy_code);
		$reestr->set('psid',$psid);
		$layout		= Request::getSafe('layout');
		$start		= Request::getInt('start',0);
		$sort		= Request::getSafe('sort');
		$orderby	= Request::getSafe('orderby');
		$reestr->set('layout',$layout);
		$reestr->set('start',$start);
		$reestr->set('sort',$sort);
		$reestr->set('orderby',$orderby);
		$url='index.php?module='.$mdl->getName().'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.urlencode($multy_code);
		$reestr->set('onCancelURL',$url);
		if ($clone_mode) {
			$result = $model->getElementClone();
			$reestr->set('psid',0);
		}	else $result = $model->getElement();
		$view = $this->getView();
		$view->modify($result);
	}
	
	public function showInfo($ajaxModify=false){
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr = $mdl->get('reestr');

		$model = $this->getModel();
		$old_layout=$this->get("layout");
		$viewname = $this->getView()->getName();
		$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		if (defined("_ADMIN_MODE")) $canModify=true; //$this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname),false);
		else $canModify=$this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname),false);
		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$psid   = Request::getInt('psid', 0);
		$multy_code   = Request::getInt('multy_code', 0);
		if(!$psid)  if($arr_psid&&is_array($arr_psid)&&count($arr_psid)>0) $psid = $arr_psid[0];
		$reestr->set('canModify',$canModify);
		$reestr->set('ajaxModify',$ajaxModify);
		$reestr->set('view',$viewname);
		$reestr->set('model',$model);
		$reestr->set("multy_code",$multy_code);
		$reestr->set('psid',$psid);
		$start		= Request::getInt('start',0);
		$sort		= Request::getSafe('sort');
		$orderby	= Request::getSafe('orderby');
		$this->set("layout","default",true);
		$reestr->set('start',$start);
		$reestr->set('sort',$sort);
		$reestr->set('orderby',$orderby);
		$result = $model->getElementData($psid);
		$view = $this->getView();
		$view->set("layout",$old_layout,true);
		$view->assign("comm",$this->initComments($psid));
		$view->renderInfo($model->meta,$result);
	}

	public function save() {
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr 		= $mdl->get('reestr');
		$model 			= $this->getModel();
		$viewname 	= $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));
		$psid   = Request::getInt('psid', 0);
		$multy_code   = Request::getInt('multy_code', 0);
		$layout			= Request::getSafe('layout');
		$start			= Request::getInt('start',0);
		$sort			= Request::getSafe('sort');
		$orderby		= Request::getSafe('orderby');
		$is_apply		= Request::getSafe('apply',0);
		$is_add_clone		= Request::getSafe('add_clone',0);
		$is_add_new		= Request::getSafe('add_new',0);
		$reestr->set('multy_code',$multy_code);
		$reestr->set('view',$viewname);
		$reestr->set('psid',$psid);
		$new_psid=$model->save();
		if($new_psid) {
			$model->garbageCollector($new_psid);
			$msg=Text::_("Save successfull"); $new_psid=urlencode($new_psid);
		}	else { $msg=Text::_("Save unsuccessfull"); $new_psid=urlencode($psid);
		}
		if (count($model->getMessages()))	$msg.="<br />".implode("<br />",$model->getMessages());
		if ($is_apply) $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&task=modify&psid='.$new_psid.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		elseif($is_add_clone) $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&task=make_clone&psid='.$new_psid.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		elseif($is_add_new) $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&task=modify&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		else $url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		$this->setRedirect($url,$msg);
	}
	public function modifyLinks(){
		$mdl = Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr = $mdl->get('reestr');

		$model = $this->getModel();
		$viewname = $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));

		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$multy_code   = Request::getInt('multy_code', 0);
		$reestr->set('view',$viewname);
		$reestr->set('model',$model);
		$reestr->set("multy_code",$multy_code);
		$layout			= Request::getSafe('layout');
		$start			= Request::getInt('start',0);
		$sort			= Request::getSafe('sort');
		$orderby		= Request::getSafe('orderby');
		$reestr->set('layout',$layout);
		$reestr->set('start',$start);
		$reestr->set('sort',$sort);
		$reestr->set('orderby',$orderby);
		$url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.urlencode($multy_code);
		$reestr->set('onCancelURL',$url);
		$linkArray=$model->getParentLink($multy_code);

		$items = $model->getShortData($arr_psid);
		$view = $this->getView();
		$view->assign('items',$items);
		$view->assign('linkArray',$linkArray);
		$view->modifyLinks();
	}

	public function saveLinks() {
		$mdl				= Module::getInstance();
		$moduleName	= $mdl->getName();
		$reestr 		= $mdl->get('reestr');
		$model 			= $this->getModel();
		$viewname 	= $this->getView()->getName();
		if (defined("_ADMIN_MODE")) $this->checkACL("view".ucfirst($mdl->getName()).ucfirst($viewname));
		else $this->checkACL("modify".ucfirst($mdl->getName()).ucfirst($viewname));
		$arr_psid     = Request::getSafe('cps_id', false);				// массив отмеченных галочкой элементов
		$multy_code	= Request::getInt('multy_code', 0);
		$layout			= Request::getSafe('layout');
		$start			= Request::getInt('start');
		$sort				= Request::getSafe('sort');
		$orderby		= Request::getSafe('orderby');
		$is_apply		= Request::getSafe('apply',0);
		$reestr->set('multy_code',$multy_code);
		$reestr->set('view',$viewname);
		$group_array=Request::get('linkEditor');
		$current_group=Request::getInt('current_parent');
		$result=true;
		if(is_array($group_array)) {
			if(!in_array($current_group,$group_array))	{	  // удаляем текущую группу
				$result=$model->deleteLinks($current_group,$arr_psid);
			}
			if($result) {
				foreach($group_array as $val)	{
					if($val!=$current_group) $result=$model->addLinks($val,$arr_psid);
				}
			}
		} else { // вошедший массив пустой, значит удаляем текущую группу у выбранных товаров
			$result=$model->deleteLinks($current_group,$arr_psid);
		}

		if($result) {
			$msg=Text::_("Save successfull");
		}
		else { $msg=Text::_("Save unsuccessfull");
		}
		$url='index.php?module='.$moduleName.'&view='.$viewname.'&layout='.$layout.'&sort='.$sort.'&start='.$start.'&orderby='.$orderby.'&multy_code='.$multy_code;
		$this->setRedirect($url,$msg);
	}
	public function downloadFile(){
		// just for override
	}
}
?>