<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class editorPluginckeditor extends Plugin {
	protected $_events=array("editor.render");

	public function getParamsMask(){
		$params['advanced_content_filter']["vtype"]="boolean"; $params['advanced_content_filter']["vdefault"]=1; $params['advanced_content_filter']["descr"]="Disable to allow using manual code";
		$params['enable_file_browser']["vtype"]="boolean"; $params['enable_file_browser']["vdefault"]=0; $params['enable_file_browser']["descr"]="You must install and enable file browser plugin first";
/*
		$params['width']["vtype"]="integer"; 	$params['width']["vdefault"]="600";
		$params['height']["vtype"]="integer";	$params['height']["vdefault"]="250";
*/		
		return $params;
	}
	protected function onRaise($event, &$data) {
		$params=array();
//		if($this->get("height")) $paramsArr[]="'height' : '".$this->get("height")."'";
//		if($this->get("width")) $paramsArr[]="'width' : '".$this->get("width")."'";
		if($this->get("toolbar")) $paramsArr[]="'toolbar' : '".$this->get("toolbar")."'";
		$paramsArr[]="'startupMode' : '".$this->get("mode","wysiwyg")."'";
		$paramsArr[]="'allowedContent':".($this->get("advanced_content_filter") ?  "false" : "true")."";
		If($this->get("enable_file_browser",0))	Event::raise("editor.ckeditor_params", array(), $paramsArr);
		$params=implode(",",$paramsArr);
		Portal::getInstance()->addScript("/redistribution/ckeditor/ckeditor.js");
		Portal::getInstance()->addScriptDeclaration("$(document).ready(function() { CKEDITOR.replace('".$this->get("edName")."',{".$params."}); });");
	}
}
?>