<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class systemPlugingoogle_analytics extends Plugin {
	protected $_events=array("system.executeModuleBefore");
	public function getParamsMask(){
		$params['Site_ID']["vtype"]="string"; 	$params['Site_ID']["vdefault"]="UA-XXXXXX-X";
		return $params;
	}
	protected function onRaise($event, &$data) {
		switch($event){
			case "system.executeModuleBefore":
				$Site_ID=$this->get("Site_ID","UA-XXXXXX-X");
				$script="var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '".$Site_ID."']);
  _gaq.push(['_trackPageview']);
  _gaq.push(['_trackPageLoadTime']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();";
				Portal::getInstance()->addScriptDeclaration($script);
				break;
			default: break;
		}
	}
}

?>