<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class systemPluginkcaptcha extends Plugin {
	protected $_events=array("captcha.renderPicture","captcha.renderForm","captcha.checkResult");	
	public function getParamsMask(){
	  $params['length']["vtype"]="integer"; 	$params['length']["vdefault"]=7;
	  $params['height']["vtype"]="integer"; 	$params['height']["vdefault"]=60;
	  $params['width']["vtype"]="integer"; 		$params['width']["vdefault"]=120;
	  return $params;
	}
  protected function onRaise($event, &$data) {
  	switch($event){
  		case "captcha.renderPicture":
  			include_once PATH_INCLUDES.DS.'kcaptcha'.DS.'kcaptcha.php';
  			$params=array();
				if(($this->get("length"))&&($this->get("length")>2)&&($this->get("length")<8)) $params["length"]=$this->get("length");
				if(($this->get("height"))&&($this->get("height")>0)) $params["height"]=$this->get("height");
				if(($this->get("width"))&&($this->get("width")>0)) $params["width"]=$this->get("width");
				$captcha = new KCAPTCHA($params);
				if($_REQUEST[session_name()]){ $_SESSION['captcha_string'] = $captcha->getKeyString();	}
				break;
  		case "captcha.renderForm":
  			$html = "<div class=\"captcha\">";
  			$html .= "<table class=\"captcha\"><tr><td rowspan=\"2\" class=\"captcha\">";
				$html.= "	<img src=\"".Portal::getInstance()->getURI()."index.php?option=captcha&amp;".session_name()."=".session_id()."\" alt=\"\" />";
				$html.= "</td>";
				$html.= "<td class=\"labelcaptcha\">".Text::_("Enter code")."</td></tr>";
				$html.= "<tr><td class=\"captchainput\">";
				$html.= "	<input id=\"rCaptchaText\" class=\"required\" name=\"rCaptchaText\" type=\"text\" />";
				$html.= "</td></tr></table>";
				$html.= "</div>";
				return $html;
  			break;
  		case "captcha.checkResult":
  			$sess = Session::getInstance();
  			$captcha	= Request::get('rCaptchaText','');
  			if(isset($_SESSION['captcha_string'])) $captchaValid= $_SESSION['captcha_string']; else $captchaValid="";
				if (($captchaValid)&&($captcha == $captchaValid)) $msg="OK"; else $msg =Text::_("Wrong captcha");
				$_SESSION['captcha_string']=$msg;
  			break;
  	}
		
  }
}

?>