<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class systemPluginredirectlinks extends Plugin {
	protected $_events=array("system.check_redirect");
	public function getParamsMask(){
		$params['referer']["vtype"]="string"; 	$params['referer']["vdefault"]="";
		return $params;
	}
	protected function onRaise($event, &$data) {
		switch($event){
			case "system.check_redirect":
				$old_url1=Request::getSafe("REQUEST_URI","","server");
				//Debugger::getInstance()->milestone("Redirect link old url(SERVER)- <pre>".$old_url."</pre>");
				$old_url=htmlspecialchars_decode($old_url1,ENT_NOQUOTES);

				//$old_url=mb_str_replace($search, $replace, $subject);
				if($this->get("referer")) $referer=$this->get("referer"); else $referer="";				
				$sql="SELECT * FROM #__redirect_links WHERE (rl_old_url='".$old_url."' or rl_old_url='".$old_url1."') AND rl_published=1 AND rl_deleted=0";				
				Database::getInstance()->setQuery($sql);
				//Debugger::getInstance()->milestone("Redirect link old url(inner)- <pre>".$old_url."</pre>");
				$new_url=Database::getInstance()->loadObject($object);
				//Debugger::getInstance()->milestone("Redirect link QUERY ".$sql); 				
				//Debugger::getInstance()->milestone("Redirect link new url(outer)- ".$new_url);
				if (is_object($object) && $object->rl_new_url) Util::redirect($object->rl_new_url,"",301,$referer);
				break;
			default: break;
		}
	}
}

?>