<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

// примеры подключений 
//$my_css=Portal::getURI()."/templates/".siteConfig::$siteTemplate."/css/mycss.css";
//Portal::getInstance()->addStyleSheet($my_css);
//$my_js=Portal::getURI()."/templates/".siteConfig::$siteTemplate."/js/myjs.js";
//Portal::getInstance()->addScript($my_js);
// Получение некоторых важных переменных
// echo "option=".Portal::getInstance()->get("option")."<br />";
// echo "module=".Portal::getInstance()->get("module")."<br />";
// echo "task=".Portal::getInstance()->get("task")."<br />";
// echo "view=".Portal::getInstance()->get("view")."<br />";

$logo_arr=array(1=>"logo_green",2=>"logo_red",3=>"logo_yellow");
$logo_class=$logo_arr[rand(1,3)];
$left=$this->countZone("left-top")+$this->countZone("left")+$this->countZone("left-bottom");
$right=$this->countZone("right-top")+$this->countZone("right")+$this->countZone("right-bottom");
if ($left && $right) $center_class="center_block";
elseif (($left && !$right)||(!$left && $right)) $center_class="center_block_medium";
else $center_class="center_block_full";
echo $this->renderSystemMessage(); 
?>
<a name="up" id="up"></a>
<div id="outer_wrapper">
	<div id="header">
		<div id="sitetitle"><?php echo siteConfig::$metaTitle; ?></div>
		<div id="sitelogo" class="<?php echo $logo_class; ?>"><a rel="nofollow" href="<?php echo siteConfig::$siteUrl; ?>"><img width="1" height="1" alt="" src="/images/blank.gif" /></a></div>
	</div><!-- header -->
	<div id="header_2">
		<div id="topmenu"><?php $this->placeZone("top-menu");?></div><!-- topmenu -->
	</div><!-- header_2 -->
	<div id="inner_wrapper">
		<?php if ($left) {?>
		<div id="left_column">
			<?php if ($this->countZone("left-top")) { ?><div class="wzone"><?php $this->placeZone("left-top","rounded_4");?></div><?php } ?>
	   		<?php if ($this->countZone("left")) { ?><div class="wzone"><?php $this->placeZone("left","rounded_4");?></div><?php } ?>
			<?php if ($this->countZone("left-bottom")) { ?><div class="wzone"><?php $this->placeZone("left-bottom","rounded_4");?></div><?php } ?>
		</div><!-- left_column -->
		<?php }?>
		<div class="<?php echo $center_class; ?>">
		 	<?php if ($this->countZone("center-top")) { ?><div id="t_quarters" class="wzone"><?php $this->placeZone("center-top","rounded_4");?></div><?php } ?>
			<div class="nopad">
				<?php echo Module::getInstance()->renderBreadCrumb(); ?>
				<?php echo $this->moduleHTML; ?>
				<?php echo Module::getInstance()->renderBreadCrumb(); ?>
			</div><!-- nopad -->
			<?php if ($this->countZone("center-bottom")) { ?><div id="b_quarters" class="wzone"><?php $this->placeZone("center-bottom","rounded_4");?></div><?php } ?>
		</div><!-- main body counted-->
	  <?php if ($right) {?>
		<div id="right_column">
			<?php if ($this->countZone("right-top")) { ?><div class="wzone"><?php $this->placeZone("right-top","rounded_4");?></div><?php } ?>
			<?php if ($this->countZone("right")) { ?><div class="wzone"><?php $this->placeZone("right","rounded_4");?></div><?php } ?>
			<?php if ($this->countZone("right-bottom")) { ?><div class="wzone"><?php $this->placeZone("right-bottom","rounded_4");?></div><?php } ?>
		</div><!-- right_column -->
		<?php } ?>
	</div><!-- inner_wrapper -->
	<?php if ($this->countZone("bottom")) { ?><div id="itms_bottom"><?php $this->placeZone("bottom");?></div><?php } ?><!-- itms_bottom -->
	<div id="footer">
		<div class="footer_l">
		<?php $this->placeZone("user-6");?>
		</div><!-- footer_l -->
		<div class="counters">
		<?php $this->placeZone("user-8");?>
		</div><!-- counters -->
		<div class="copyright"><?php echo $this->getCopyright(); ?></div>
		<?php $this->placeZone("user-7");?>
	</div><!-- footer -->
</div><!-- outer_wrapper -->
