<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class widgetTMPL {
	public static function render_default($title,$body,&$widget){
		$id = $widget->getParam('Widget_ID');
		$class = $widget->getParam('class');
		if ($id) $id_txt=" id=\"".$id."\""; else $id_txt="";
		if ($class) $class_txt=" class=\"".$class."\""; else  $class_txt="";
		$title_link = $widget->getParam('title_link');
		if ($title && $title_link) $title ="<h3><a title=\"\" href=\"".Router::_($title_link)."\">".$title."</a></h3>";
		else if ($title) $title ="<h3>".$title."</h3>";
		$html = "<div ".$id_txt.$class_txt.">".$title.$body."</div>";
		return $html;
	}
	public static function render_rounded_4($title,$body,&$widget){
		$id = $widget->getParam('Widget_ID');
		$class = $widget->getParam('class');
		if ($id) $id_txt=" id=\"".$id."\""; else $id_txt="";
		if ($class) $class_txt=" class=\"".$class."\""; else  $class_txt="";
		$title_link = $widget->getParam('title_link');
		if ($title && $title_link) $title ="<h3><a title=\"\" href=\"".Router::_($title_link)."\">".$title."</a></h3>";
		else if ($title) $title ="<h3>".$title."</h3>";
		$html = "<div ".$id_txt.$class_txt.">";
		$html.= "<div class=\"w_lt\"><div class=\"w_rt\"><div class=\"w_lb\"><div class=\"w_rb\"><div class=\"w_content\">";
		$html.= $title.$body;
		$html.= "</div></div></div></div></div>";
		$html.= "</div>";
		return $html; 
	}
	public static function render_rounded_6($title,$body,&$widget){
		$id = $widget->getParam('Widget_ID');
		$class = $widget->getParam('class');
		if ($id) $id_txt=" id=\"".$id."\""; else $id_txt="";
		if ($class) $class_txt=" class=\"".$class."\""; else  $class_txt="";
		$title_link = $widget->getParam('title_link');
		if ($title && $title_link) $title ="<h3><a title=\"\" href=\"".Router::_($title_link)."\">".$title."</a></h3>";
		else if ($title) $title ="<h3>".$title."</h3>";
		$html = "<div ".$id_txt.$class_txt.">";
		$html.= "<div class=\"w_lc\"><div class=\"w_rc\"><div class=\"w_lt\"><div class=\"w_rt\"><div class=\"w_lb\"><div class=\"w_rb\"><div class=\"w_content\">";
		$html.= $title.$body;
		$html.= "</div></div></div></div></div></div></div>";
		$html.= "</div>";
		return $html; 
	}
}
?>