<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class articleWidget extends Widget {

	public function getParamsMask(){
	  $params["articleId"]["vtype"]="table_select"; 	$params["articleId"]["vdefault"]=0;		$params['articleId']["source"]="SELECT a_id AS fld_id, a_title AS fld_name FROM #__articles ORDER BY fld_name";
	  return $params;
	}
	
	public function render() {
		$psid		= $this->get('articleId',0);
		$model = $this->getModel('article','article');
		$art = false;
		$art = $model->getArticle($psid); 
		if ($art) { 
			Event::raise('content.prepare', array("clean_all"=>"1"), $art->a_text);
			$articleHTML = $art->a_text; 
		}
		else { $articleHTML = "<b>".Text::_('Article not found: ').$alias."(".$psid.")</b>";	}
		return $articleHTML;
	}
}
?>