<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class articlelistWidget extends Widget {

	public function getParamsMask(){
		$params["article_Id"]["vtype"]="string";		$params["article_Id"]["vdefault"]="";
		$params["article_Id_ex"]["vtype"]="string";		$params["article_Id_ex"]["vdefault"]="";
		$params["article_count"]["vtype"]="integer"; 	$params["article_count"]["vdefault"]=5;
		$params["menu_id"]["vtype"]="table_select"; 	$params["menu_id"]["vdefault"]=0;	$params['menu_id']["source"]="SELECT mi_id AS fld_id, CONCAT('(',mi_id,') ',mi_name) AS fld_name FROM #__menus ORDER BY fld_name";
		return $params;
	}

	public function render() {
		$article_count	= $this->get('article_count',5);
		$arrpsid		= explode(",",$this->get('article_Id',""));
		$arrexpsid	= explode(",",$this->get('article_Id_ex',""));
		if ($this->get('menu_id',0)) $mid="&amp;mid=".$this->get('menu_id'); else $mid="";
		if(count($arrpsid)==1 && empty($arrpsid[0]) ) $arrpsid=array();
		if(count($arrexpsid)==1 && empty($arrexpsid[0]) ) $arrexpsid=array();
		$body="";
		$list = $this->getListArticle($arrpsid,$arrexpsid,$article_count);
		if (count($list)) {
			foreach($list as $val) {
			 $link=Router::_("index.php?module=article&amp;view=read&amp;psid=".$val->a_id.$mid);
			 $link_aut=Router::_("index.php?module=user&view=info&psid=".$val->u_id);
			 $body.='<div class="wArticleList"><div class="wbTheme"><a href="'.$link.'">'.$val->title.'&nbsp;<small>'.Date::fromSQL($val->date,true,true).'</small></a></div>';
			 $body.='</div>';
			}
		}	else {	// Render failure
			$body .= "<b>".Text::_('Article not found')."</b>";
		}
		return $body;
	}
	private function getListArticle($arrArticleId,$arrArticleIdEx,$post_count=5) {
		$db = Database::getInstance();
		$res=array(0);  	$res_ex=array();
		if(!count($arrArticleId)) {
			$sql_article="SELECT a_id FROM #__articles WHERE a_deleted=0 AND a_published=1 and a_parent_id<>0";
			$db->setQuery($sql_article);
			$arrArticleId=$db->LoadResultArray();
		}
		 
		if(count($arrArticleId)) {
			foreach($arrArticleId as $ArticleId) {
				$res[]=intval($ArticleId);
			}
		}
		if(count($arrArticleIdEx)) {
			foreach($arrArticleIdEx as $ArticleId) {
				$res_ex[]=intval($ArticleId);
			}
		}
		$query = "SELECT a.a_id,a.a_parent_id,
				a.a_title as title,a.a_date as date,
				a.a_author_id as u_id,	u.u_nickname as author
				FROM `#__articles` as a,`#__users` as u
				WHERE a.a_deleted=0 AND a.a_published=1";
		$query .= " AND a.a_author_id=u.u_id";
		if (count($res)) {
			$query .= " AND (a.a_id IN (".implode(",",$res)."))";
		}
		if (count($res_ex)) {
			$query .= " AND (a.a_id NOT IN (".implode(",",$res_ex)."))";
		}
		$query .= " ORDER BY a.a_date DESC";
		$query .= " LIMIT ".(int)$post_count;
		$db->setQuery($query);
		$posts = $db->loadObjectList();
		if (is_array($posts) && count($posts) > 0) {
			return $posts;
		}	else 	{
			return array();
		}
	}

}
?>