<?php
/*
 * AltaDoc-CMS
 * Copyright (c) AltaDoc Group
 * Web: http://altadoc.ru
 * Commercial license http://altadoc.ru/article/litsenzionnoe_soglashenie.html
 * Last Changed Rev: 279
 * Build: 157
 * Build date: 2014.04.09 0:18:56
 * 
 */
defined('_ALTADOC_VALID') or die("Access denied");

class calendarWidget extends Widget {

	public function getParamsMask(){
	  $params["blog_Id"]["vtype"]="string";			$params["blog_Id"]["vdefault"]="";
	  $params["blog_Id_ex"]["vtype"]="string";	$params["blog_Id_ex"]["vdefault"]="";
	  $params["post_count"]["vtype"]="integer"; $params["post_count"]["vdefault"]=5;
	  $params["menu_id"]["vtype"]="integer"; 		$params["menu_id"]["vdefault"]=0;
	  return $params;
	}

	public function render() {
		$body="";
		$events='01-07-2013:"первое событие"\n02-07-2013:"второе событие"\n';		
		$showAll=1;
		$btnOpen = Text::_('ALL_EVENT');
		$btnClose = Text::_('CLOSE_EVENT');
		$timeZone  = $this->get( 'timeZone','4');
		$stoday = gmdate('D', time() + 3600*($timeZone+date('0')));
		$today = gmdate('md', time() + 3600*($timeZone+date('0')));
		$dateOrder = $this->get( 'dateOrder', 0);
		$dayText = $this->get( 'dayText','');
		$openLink = $this->get( 'openLink', '_self');
		
		
		if (($events) && ($showAll == 1)) {
			//$document =& JFactory::getDocument();
			$style = ".left,.left1,.leftbigger,#right {\n";
			$style .= "	z-index: 1;\n";
			$style .= "}\n";
			$style .= "#buaxua_calendar a{\n";
			$style .= "	text-decoration: none;\n";
			$style .= "}\n";
			Portal::getInstance()->addStyle( $style );
			$allEventCss = $this->get( 'allEventCss','');
			$body.="<script type=\"text/javascript\">jQuery.fn.center = function () {\n";
			$body.="if($.browser.msie && $.browser.version==\"6.0\") {\n";
			$body.="this.css(\"position\",\"absolute\");\n";
			$body.="}\n";
			$body.="else {\n";
			$body.="this.css(\"position\",\"fixed\");\n";
			$body.="this.css(\"top\", ( $(window).height() - this.height() ) / 2 + \"px\");\n";
			$body.="}\n";
			$body.="this.css(\"left\", ( $(window).width() - this.width() ) / 2+$(window).scrollLeft() + \"px\");\n";
			$body.="return this;\n";
			$body.="}\n";
			$body.="</script>\n";
			$body.="<script language='javascript'>\n";
			$body.="function show_popup(id) {\n";
			$body.="if (document.getElementById){\n";
			$body.="obj = document.getElementById(id);\n";
			$body.="if (obj.style.display == \"none\") {\n";
			$body.="obj.style.display = \"\";\n";
			$body.="$('#allEvent').center();\n";
			$body.="}\n}\n}\n";
			$body.="function hide_popup(id){\n";
			$body.="if (document.getElementById){\n";
			$body.="obj = document.getElementById(id);\n";
			$body.="if (obj.style.display == \"\"){\n";
			$body.="obj.style.display = \"none\";\n";
			$body.="}\n}\n}\n";
			$body.="</script>\n";
			$body.="<div id='allEvent' style='display:none;z-index:99999999999;background:#fff;padding:10px;border:2px solid #000;overflow:auto;line-height:30px;text-indent:5px;".$allEventCss."'>";
			$body.="<div align='right' style='width:100%;text-align:right;'>";
			$body.="<a href=\"javascript:hide_popup('allEvent')\">".$btnClose."</a>";
			$body.="</div>";
			$body.="<h3>".$btnOpen."</h3>";
			$body.="<table cellspacing=1 style='width:100%;'>";
			$eventDate = preg_split('/\r\n|\r|\n/', $events);
			for ($i = 0; $i < count($eventDate); $i++)	{
				$allDate = substr($eventDate[$i],2,2);
				$allMonth = substr($eventDate[$i],0,2);
				$allEvent = preg_split('/:/', $eventDate[$i], -1);
				if (($allEvent[0]) == $today) {
					$body.="<tr style='font-weight:bold;'>";
				}
				else {
					$body.="<tr>";
				}
				$body.="<td width='10%' nowrap'>";
				if ($dateOrder == 1) {
					$body.=$allMonth."/".$allDate;
				}
				else if ($dateOrder == 0) {
					$body.=$allDate."/".$allMonth;
				}
				$body.="</td>";
				$body.="<td>";
				if ($allEvent[2]) {
					$body.="<a href='http://".($allEvent[2])."' target='".$openLink."'>".($allEvent[1])."</a>";
				}
				else {
					$body.="<p>".($allEvent[1])."</p>";
				}
				$body.="</td></tr>";
			}
			$body.="</table></div>";
		}
		
		return $body;
	}
  private function getListPost($arrblogId,$arrblogIdEx,$post_count=5) {
  	$db = Database::getInstance();
  	$rights=Module::getInstance('blog')->getModel('rights');	
  	$res=array(0);  	$res_ex=array();
  	if(!count($arrblogId)) {
  		$sql_blog="SELECT b_id FROM #__blogs WHERE b_deleted=0 AND b_enabled=1";
  		$db->setQuery($sql_blog);
  		$arrblogId=$db->LoadResultArray();
  	} 
  	
  	if(count($arrblogId)) {
  		$res=array_keys($rights->getBlogsWithAction($arrblogId,'read'));
/*
  	 	foreach($arrblogId as $blogId) {
  	 		if ($rights->checkAction(intval($blogId),"read"))	{
  	 			  $res[]=intval($blogId);
  	 		}
  	 	}
*/  	 	
  	}
  	if(count($arrblogIdEx)) {
	  	foreach($arrblogIdEx as $blogId) {
	  		$res_ex[]=intval($blogId);
	  	}
  	}
  	$query = "SELECT b.p_id,b.p_blog_id,b.p_theme as title,b.p_touch_date as date,b.p_author_id as u_id,
  	u.u_nickname as author 	FROM `#__blogs_posts` as b,	#__users as u
  	WHERE b.p_deleted=0 AND b.p_enabled=1";
  	$query .= " AND b.p_author_id=u.u_id";
  	if (count($res)) { $query .= " AND (b.p_blog_id IN (".implode(",",$res)."))"; }
  	if (count($res_ex)) { $query .= " AND (b.p_blog_id NOT IN (".implode(",",$res_ex)."))"; }
  	$query .= " ORDER BY b.p_touch_date DESC";
  	$query .= " LIMIT ".(int)$post_count;
		$db->setQuery($query);
		$posts = $db->loadObjectList();
		if (is_array($posts) && count($posts) > 0) {
			return $posts;
  	}	else 	{
  		return array();
  	}
  }
	
}
?>